/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.50.233
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.50.233:3306
 Source Schema         : nacos

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 25/12/2024 15:12:52
*/
CREATE DATABASE IF NOT EXISTS nacos;

USE nacos;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for config_info
-- ----------------------------
DROP TABLE IF EXISTS `config_info`;
CREATE TABLE `config_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT 'content',
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text COLLATE utf8_bin COMMENT 'source user',
  `src_ip` varchar(20) COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL,
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  `c_desc` varchar(256) COLLATE utf8_bin DEFAULT NULL,
  `c_use` varchar(64) COLLATE utf8_bin DEFAULT NULL,
  `effect` varchar(64) COLLATE utf8_bin DEFAULT NULL,
  `type` varchar(64) COLLATE utf8_bin DEFAULT NULL,
  `c_schema` text COLLATE utf8_bin,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_configinfo_datagrouptenant` (`data_id`,`group_id`,`tenant_id`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_info';

-- ----------------------------
-- Records of config_info
-- ----------------------------
BEGIN;
INSERT INTO `config_info` VALUES (3, 'application.properties', 'dev', '# 服务端口\r\nserver.port = 16200\r\n#数据库设置\r\nspring.datasource.type = com.alibaba.druid.pool.DruidDataSource\r\nspring.datasource.druid.driver-class-name = com.mysql.jdbc.Driver\r\nspring.datasource.druid.driver-class-name = com.mysql.cj.jdbc.Driver\r\nspring.datasource.druid.url = jdbc:mysql://192.168.50.233:3306/energy?useUnicode=true&characterEncoding=UTF-8&     allowMultiQueries=true&rewriteBatchedStatements=true&useSSL=false&allowPublicKeyRetrieval=true\r\nspring.datasource.druid.username = admin\r\nspring.datasource.druid.password = admin123456\r\n#初始化大小\r\nspring.datasource.druid.initial-size = 30\r\n#最小\r\nspring.datasource.druid.min-idle = 20\r\n#最大\r\nspring.datasource.druid.max-active = 300\r\n#获取连接等待的超时时间\r\nspring.datasource.druid.max-wait = 600000\r\n#间隔多久进行一次检测,检测需要关闭的链接\r\nspring.datasource.druid.time-between-eviction-runs-millis = 60000\r\n#一个链接在池中最小生存时间\r\nspring.datasource.druid.min-evictable-idle-time-millis = 3000000\r\n##配置连接在池中的最大生存时间\r\n#spring.datasource.druid.max-evictable-idle-time-millis = 400000\r\nspring.datasource.druid.validation-query = SELECT \'x\'\r\nspring.datasource.druid.test-on-borrow = false\r\nspring.datasource.druid.test-on-return = false\r\n## 启用空闲连接检测，以便回收\r\nspring.datasource.druid.test-while-idle = true\r\n## 打开PSCache，并且指定每个连接上PSCache的大小\r\nspring.datasource.druid.pool-prepared-statements = false\r\nspring.datasource.druid.max-pool-prepared-statement-per-connection-size = 20\r\nspring.datasource.druid.remove-abandoned = true\r\nspring.datasource.druid.remove-abandoned-timeout = 7200\r\nspring.datasource.druid.log-abandoned = false\r\n\r\n#redis-config\r\nspring.redis.jedis.pool.max-idle = 100\r\nspring.redis.jedis.pool.min-idle = 10\r\nspring.redis.jedis.pool.max-active = 1000\r\nspring.redis.jedis.pool.max-wait = 100000\r\nspring.redis.database = 1\r\nspring.redis.host = 192.168.50.233\r\nspring.redis.port = 6379\r\nspring.redis.password = 123456\r\n\r\n\r\n#kafka\r\n#spring.kafka.bootstrap-servers=192.168.50.234:9092\r\n#spring.kafka.producer.batch-size=16384\r\n#spring.kafka.producer.acks=all\r\n#spring.kafka.producer.retries=3\r\n\r\n#消费者\r\n#spring.kafka.consumer.bootstrapServers=192.168.50.234:9092\r\n#spring.kafka.consumer.topics=xxxx\r\n#spring.kafka.consumer.groupId=energy-manage\r\n#spring.kafka.consumer.sessionTimeOut=30000\r\n#spring.kafka.consumer.enableAutoCommit=false\r\n#spring.kafka.consumer.autoCommitInterval=1000\r\n#spring.kafka.consumer.maxPollRecords=50\r\n#spring.kafka.consumer.maxPollInterval=300000\r\n#spring.kafka.consumer.keyDeserializer=org.apache.kafka.common.serialization.StringDeserializer\r\n#spring.kafka.consumer.valueDeserializer=org.apache.kafka.common.serialization.StringDeserializer\r\n#spring.kafka.consumer.autoOffsetReset=latest\r\n#spring.kafka.consumer.heartbeatInterval=10000\r\n\r\n#监听\r\n#spring.kafka.listener.type=batch\r\n#spring.kafka.listener.ack-mode=batch\r\n\r\n#minio\r\nminio.endpoint= http://192.168.50.233:6900\r\nminio.accessKey= haH1vePq7unSp4TG1One\r\nminio.secretKey= idxO5SAjboUYERpDICgHgBoHX7bcYv355lMQANt6\r\nminio.bucketName= bucket-zhzn\r\nminio.bucketPath= http://192.168.50.233:6900\r\n\r\n#xxl-job\r\nxxl.job.admin.addresses = http://192.168.50.234:16800/xxl-job-admin\r\nxxl.job.admin.accessToken = \r\nxxl.job.executor.appname = xxl-job-executor-dev\r\nxxl.job.executor.address = \r\nxxl.job.executor.ip =\r\nxxl.job.executor.port = 9999\r\nxxl.job.executor.logpath = /usr/local/logs/xxl\r\nxxl.job.executor.logretentiondays = 30\r\n\r\n#上传文件模板\r\ntemplate.bzpower = http://192.168.50.234:6900/bucket-zhzn/template/%E6%A0%87%E5%87%86%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF%E6%A8%A1%E7%89%88.xlsx\r\ntemplate.htpower = http://192.168.50.234:6900/bucket-zhzn/template/%E5%90%88%E5%90%8C%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF%E6%A8%A1%E7%89%88.xlsx\r\ntemplate.field = http://192.168.50.234:6900/bucket-zhzn/template/%E9%A3%8E%E5%9C%BA%E8%A1%A8%E6%A8%A1%E7%89%88.xlsx\r\ntemplate.draught = http://192.168.50.234:6900/bucket-zhzn/template/%E9%A3%8E%E6%9C%BA%E8%A1%A8%E6%A8%A1%E7%89%88.xlsx\r\n\r\n#分析算法入参json格式\r\nanalysis.algorithm.json={\"dataContractType\": {\"type\": \"analysisExecuteOrder\",\"version\": \"1.2.0\"},\"dataContract\": {\"autoOrManual\": null,\"dataFilter\": {\"powerFarmID\": null,\"turbines\": null,\"dataBatchNum\": null,\"beginTime\": null,\"endTime\": null,\"excludingMonths\": null,\"customFilter\": {\"valueWindSpeed\": {\"min\": null,\"max\": null},\"valuePitchAngle\": {\"min\":null,\"max\": null},\"valueActivePower\": {\"min\": null,\"max\": null},\"valueGeneratorSpeed\": {\"min\": null,\"max\": null}}},\"configAnalysis\": [],\"graphSets\": {\"DgeneratorSpeed\": {\"step\": 5,\"min\": 0,\"max\": 30},\"DgeneratorTorque\": {\"step\": 10000,\"min\": 0,\"max\": 10000},\"IgeneratorSpeed\": {\"step\": 200,\"min\": 1000,\"max\": 2000},\"IgeneratorTorque\": {\"step\": 2000,\"min\": 0,\"max\": 12000},\"cp\": {\"step\": 0.1,\"min\": 0,\"max\": 1},\"tsr\": {\"step\": 5,\"min\": 0,\"max\": 30},\"pitchAngle\": {\"step\": 1,\"min\": -1,\"max\": 20},\"activePower\": {\"step\": 250,\"min\": 0,\"max\": 2000}}}}\r\n#需要特殊处理的图像设置属性\r\ngraphSets.properties=dgeneratorSpeed,igeneratorSpeed,dgeneratorTorque,igeneratorTorque,cp,tsr,pitchAngle,activePower\r\n#scada数据筛选\r\ncustomFilter.properties=valueWindSpeed,valuePitchAngle,valueActivePower,valueGeneratorSpeed\r\n#需要特设处理分析类型属性\r\nanalysis.properties.name=configAnalysis\r\n#分析类型json格式\r\nanalysis.type.json={\"package\":\"\",\"className\":\"\",\"methodName\":\"\",\"scada\":\"\"}\r\n\r\nanalysis.array.properties=turbines,excludingMonths\r\n#额定功率因数\r\npower.factor.rated=1.2\r\n#算法调用默认值\r\nanalysis.url= 192.168.50.235:8001/demo/dataAnalysis/analysis\r\n#转换后数据下载地址\r\ndownload.url= http://192.168.50.241:8080\r\n#内网minio host\r\nanalysis.file.intranet.addr=http://192.168.50.233:6900/\r\n#外网网minio host(外网暂未开放)\r\nanalysis.file.external.addr=http://106.120.102.233:16900/\r\n#分析结果文件路径中替换的字符串\r\nanalysis.file.replace.str= /manual/,/automatic/\r\n', 'db60c71f3ef033e6e166d462e7fe8930', '2024-04-28 02:19:38', '2024-12-11 15:00:21', NULL, '192.168.50.201', '', '79c42a7a-2c7d-4dcf-8a2c-b334271e2191', 'dev环境', 'null', 'null', 'properties', 'null');
INSERT INTO `config_info` VALUES (14, 'application.properties', 'prod', '# 服务端口\r\nserver.port = 16300\r\n#数据库设置\r\nspring.datasource.type = com.alibaba.druid.pool.DruidDataSource\r\nspring.datasource.druid.driver-class-name = com.mysql.jdbc.Driver\r\nspring.datasource.druid.driver-class-name = com.mysql.cj.jdbc.Driver\r\nspring.datasource.druid.url = jdbc:mysql://192.168.50.233:3306/energy_prod?useUnicode=true&characterEncoding=UTF-8&     allowMultiQueries=true&rewriteBatchedStatements=true&useSSL=false&allowPublicKeyRetrieval=true\r\nspring.datasource.druid.username = admin\r\nspring.datasource.druid.password = admin123456\r\n#初始化大小\r\nspring.datasource.druid.initial-size = 30\r\n#最小\r\nspring.datasource.druid.min-idle = 20\r\n#最大\r\nspring.datasource.druid.max-active = 300\r\n#获取连接等待的超时时间\r\nspring.datasource.druid.max-wait = 600000\r\n#间隔多久进行一次检测,检测需要关闭的链接\r\nspring.datasource.druid.time-between-eviction-runs-millis = 60000\r\n#一个链接在池中最小生存时间\r\nspring.datasource.druid.min-evictable-idle-time-millis = 3000000\r\n##配置连接在池中的最大生存时间\r\n#spring.datasource.druid.max-evictable-idle-time-millis = 400000\r\nspring.datasource.druid.validation-query = SELECT \'x\'\r\nspring.datasource.druid.test-on-borrow = false\r\nspring.datasource.druid.test-on-return = false\r\n## 启用空闲连接检测，以便回收\r\nspring.datasource.druid.test-while-idle = true\r\n## 打开PSCache，并且指定每个连接上PSCache的大小\r\nspring.datasource.druid.pool-prepared-statements = false\r\nspring.datasource.druid.max-pool-prepared-statement-per-connection-size = 20\r\nspring.datasource.druid.remove-abandoned = true\r\nspring.datasource.druid.remove-abandoned-timeout = 7200\r\nspring.datasource.druid.log-abandoned = false\r\n\r\n#redis-config\r\nspring.redis.jedis.pool.max-idle = 100\r\nspring.redis.jedis.pool.min-idle = 10\r\nspring.redis.jedis.pool.max-active = 1000\r\nspring.redis.jedis.pool.max-wait = 100000\r\nspring.redis.database = 10\r\nspring.redis.host = 192.168.50.233\r\nspring.redis.port = 6379\r\nspring.redis.password = 123456\r\n\r\n\r\n\r\n#kafka\r\n#spring.kafka.bootstrap-servers=192.168.50.234:9092\r\n#spring.kafka.producer.batch-size=16384\r\n#spring.kafka.producer.acks=all\r\n#spring.kafka.producer.retries=3\r\n\r\n#消费者\r\n#spring.kafka.consumer.bootstrapServers=192.168.50.234:9092\r\n#spring.kafka.consumer.topics=xxxx\r\n#spring.kafka.consumer.groupId=energy-manage\r\n#spring.kafka.consumer.sessionTimeOut=30000\r\n#spring.kafka.consumer.enableAutoCommit=false\r\n#spring.kafka.consumer.autoCommitInterval=1000\r\n#spring.kafka.consumer.maxPollRecords=50\r\n#spring.kafka.consumer.maxPollInterval=300000\r\n#spring.kafka.consumer.keyDeserializer=org.apache.kafka.common.serialization.StringDeserializer\r\n#spring.kafka.consumer.valueDeserializer=org.apache.kafka.common.serialization.StringDeserializer\r\n#spring.kafka.consumer.autoOffsetReset=latest\r\n#spring.kafka.consumer.heartbeatInterval=10000\r\n\r\n#监听\r\n#spring.kafka.listener.type=batch\r\n#spring.kafka.listener.ack-mode=batch\r\n\r\n#minio\r\nminio.endpoint= http://192.168.50.234:6900\r\nminio.accessKey= 6VkF2ul6X7udr7RLsG2W\r\nminio.secretKey= jtBuqZ80biRWQf6sbwzDQJwHtEBicPjkZBtvjTrA\r\nminio.bucketName= bucket-zhzn\r\nminio.bucketPath= http://192.168.50.233:6900\r\n\r\n#xxl-job\r\nxxl.job.admin.addresses = http://192.168.50.234:16900/xxl-job-admin\r\nxxl.job.admin.accessToken =\r\nxxl.job.executor.appname = xxl-job-executor\r\nxxl.job.executor.address = \r\nxxl.job.executor.ip =\r\nxxl.job.executor.port = 9998\r\nxxl.job.executor.logpath = /usr/local/logs/xxl\r\nxxl.job.executor.logretentiondays = 30\r\n\r\n#上传文件模板\r\ntemplate.bzpower = http://192.168.50.234:6900/bucket-zhzn/template/%E6%A0%87%E5%87%86%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF%E6%A8%A1%E7%89%88.xlsx\r\ntemplate.htpower = http://192.168.50.234:6900/bucket-zhzn/template/%E5%90%88%E5%90%8C%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF%E6%A8%A1%E7%89%88.xlsx\r\ntemplate.field = http://192.168.50.234:6900/bucket-zhzn/template/%E9%A3%8E%E5%9C%BA%E8%A1%A8%E6%A8%A1%E7%89%88.xlsx\r\ntemplate.draught = http://192.168.50.234:6900/bucket-zhzn/template/%E9%A3%8E%E6%9C%BA%E8%A1%A8%E6%A8%A1%E7%89%88.xlsx\r\n\r\n#分析算法入参json格式\r\nanalysis.algorithm.json={\"dataContractType\": {\"type\": \"analysisExecuteOrder\",\"version\": \"1.2.0\"},\"dataContract\": {\"autoOrManual\": null,\"dataFilter\": {\"powerFarmID\": null,\"turbines\": null,\"dataBatchNum\": null,\"beginTime\": null,\"endTime\": null,\"excludingMonths\": null,\"customFilter\": {\"valueWindSpeed\": {\"min\": null,\"max\": null},\"valuePitchAngle\": {\"min\":null,\"max\": null},\"valueActivePower\": {\"min\": null,\"max\": null},\"valueGeneratorSpeed\": {\"min\": null,\"max\": null}}},\"configAnalysis\": [],\"graphSets\": {\"DgeneratorSpeed\": {\"step\": 5,\"min\": 0,\"max\": 30},\"DgeneratorTorque\": {\"step\": 10000,\"min\": 0,\"max\": 10000},\"IgeneratorSpeed\": {\"step\": 200,\"min\": 1000,\"max\": 2000},\"IgeneratorTorque\": {\"step\": 2000,\"min\": 0,\"max\": 12000},\"cp\": {\"step\": 0.1,\"min\": 0,\"max\": 1},\"tsr\": {\"step\": 5,\"min\": 0,\"max\": 30},\"pitchAngle\": {\"step\": 1,\"min\": -1,\"max\": 20},\"activePower\": {\"step\": 250,\"min\": 0,\"max\": 2000}}}}\r\n#需要特殊处理的图像设置属性\r\ngraphSets.properties=dgeneratorSpeed,igeneratorSpeed,dgeneratorTorque,igeneratorTorque,cp,tsr,pitchAngle,activePower\r\n#scada数据筛选\r\ncustomFilter.properties=valueWindSpeed,valuePitchAngle,valueActivePower,valueGeneratorSpeed\r\n#需要特设处理分析类型属性\r\nanalysis.properties.name=configAnalysis\r\n#分析类型json格式\r\nanalysis.type.json={\"package\":\"\",\"className\":\"\",\"methodName\":\"\",\"scada\":\"\"}\r\n\r\nanalysis.array.properties=turbines,excludingMonths\r\n#额定功率因数\r\npower.factor.rated=1.2\r\n\r\n#算法调用默认值\r\nanalysis.url= http://192.168.50.233:8000/demo/dataAnalysis/analysis\r\n#转换后数据下载地址\r\ndownload.url= http://192.168.50.241:8080\r\n#内网minio host\r\nanalysis.file.intranet.addr= http://192.168.50.234:6900/\r\n#外网网minio host\r\nanalysis.file.external.addr= http://106.120.102.238:16900/\r\n#分析结果文件路径中替换的字符串\r\nanalysis.file.replace.str= /manual/,/automatic/\r\n', '25221b2b7ea2adc222ef0b26df750860', '2024-06-24 15:55:51', '2024-09-30 13:51:26', NULL, '192.168.50.201', '', '79c42a7a-2c7d-4dcf-8a2c-b334271e2191', '公司内部生产环境配置', 'null', 'null', 'properties', 'null');
INSERT INTO `config_info` VALUES (29, 'analysis_type_config.properties', 'DEFAULT_GROUP', 'analysis.type.config=[{\"analysisTypeName\": \"大部件温度传感器分析\", \"analysisTypeCode\": \"temperature_large_components\", \"modeType\": \"lines\", \"graphType\": \"scatter\", \"xLable\": \"功率(kW)\", \"yLable\": \"温度(℃)\", \"com\": \"lineChart\", \"chartsType\": [{\"name\": \"总图\", \"filesType\": \"line\", \"children\": [{\"name\": \"齿轮箱高速轴温度\", \"filesType\": \"line\"}, {\"name\": \"齿轮箱低速轴温度\", \"filesType\": \"line\"}, {\"name\": \"发电机驱动端轴承温度\", \"filesType\": \"line\"}, {\"name\": \"发电机非驱动端轴承温度\", \"filesType\": \"line\"}, {\"name\": \"主轴承温度\", \"filesType\": \"line\"} ] }, {\"name\": \"分图\", \"filesType\": \"line\", \"children\": [{\"name\": \"主轴承温度\", \"filesType\": \"line\"}, {\"name\": \"齿轮箱高速轴温度\", \"filesType\": \"line\"}, {\"name\": \"齿轮箱低速轴温度\", \"filesType\": \"line\"}, {\"name\": \"发电机驱动端轴承温度\", \"filesType\": \"line\"}, {\"name\": \"发电机非驱动端轴承温度\", \"filesType\": \"line\"}, {\"name\": \"Generator Temperature BIAS:\", \"filesType\": \"line\", \"line_dash\": [\"dot\", \"dash\"] } ] } ], \"lableConfig\": {\"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"Power Floor\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"Temperature\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5, \"gridwidth\": 1 }, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.2 }, \"annotations\": [] } }, {\"analysisTypeName\": \"变桨和有功功率协调性分析\", \"analysisTypeCode\": \"pitch_power\", \"modeType\": \"markers\", \"graphType\": \"scatter\", \"xLable\": \"功率(kW)\", \"yLable\": \"桨距角(°)\", \"x3DLable\": \"桨距角(°)\", \"y3DLable\": \"时间\", \"z3DLable\": \"功率(kW)\", \"com\": \"MarkersCharts\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"2D\"}, {\"name\": \"分图\", \"filesType\": \"3D\"} ], \"2DConfig\": {\"marker\": {\"color\": [1, 2, 3, 4, 5], \"colorscale\": \"Rainbow\", \"size\": 3, \"opacity\": 0.7, \"colorbar\": {\"tickvals\": [1, 2, 3, 4, 5], \"ticktext\": [], \"thickness\": 18, \"len\": 1, \"outlinecolor\": \"rgba(255,255,255,0)\"}, \"showscale\": true }, \"mode\": \"markers\", \"type\": \"scatter\"}, \"2DLayoutConfig\": {\"title\": \"\", \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"Generator Speed\", \"dtick\": 100, \"tickangle\": -45, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"Power\", \"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5, \"gridwidth\": 1 } }, \"3DConfig\": {\"x\": [], \"y\": [], \"z\": [], \"marker\": {\"size\": 1.5, \"symbol\": \"circle\"}, \"type\": \"scatter3d\", \"mode\": \"markers\"}, \"3DLayoutConfig\": {\"title\": \"\", \"scene\": {\"xaxis\": {\"title\": \"Generator Speed\", \"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true }, \"yaxis\": {\"title\": \"Time\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true }, \"zaxis\": {\"title\": \"Power\", \"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true } }, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.1, \"itemsizing\": \"constant\"} }, \"3DColors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"变桨和叶尖速比及风能利用系数分析\", \"analysisTypeCode\": \"pitch_tsr_cp\", \"modeType\": \"markers\", \"graphType\": \"scatter2D\", \"xLable\": \"TSR\", \"yLable\": \"CP\", \"zLable\": \"\", \"com\": \"MarkersCharts\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"2D\"} ], \"2DConfig\": {\"mode\": \"markers\"}, \"2DLayoutConfig\": {\"plot_bgcolor\": \"#e5ecf6\", \"title\": \"Cp vs. TSR :\", \"xaxis\": {\"title\": \"TSR\", \"range\": [5, 20], \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"Cp\", \"range\": [0, 1], \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"} } }, {\"analysisTypeName\": \"逐月有功功率散点3D分析\", \"analysisTypeCode\": \"power_scatter\", \"title\": \"每月风力发电量\", \"modeType\": \"markers\", \"graphType\": \"scatter3D\", \"xLable\": \"风速(m/s)\", \"yLable\": \"时间\", \"zLable\": \"功率(kW)\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"3D\"} ], \"com\": \"MarkersCharts\", \"lableConfig\": {\"scene\": {\"xaxis\": {\"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true }, \"yaxis\": {\"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true }, \"zaxis\": {\"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true } }, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.1, \"itemsizing\": \"constant\"} }, \"colors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"发电机转速和有功功率分析\", \"analysisTypeCode\": \"speed_power\", \"title\": \"涡轮发电机转速功率3D散点图\", \"modeType\": \"markers\", \"graphType\": \"scatter3d\", \"xLable\": \"发电机速度\", \"yLable\": \"涡轮\", \"zLable\": \"功率\", \"com\": \"MarkersCharts\", \"chartsType\": [{\"name\": \"总图\", \"filesType\": \"3D\"}, {\"name\": \"分图\", \"filesType\": \"2D\"}, {\"name\": \"分图\", \"filesType\": \"3D\"} ], \"2DConfig\": {\"marker\": {\"color\": [1, 2, 3, 4, 5], \"colorscale\": \"Rainbow\", \"size\": 3, \"opacity\": 0.7, \"colorbar\": {\"tickvals\": [1, 2, 3, 4, 5], \"ticktext\": [], \"thickness\": 18, \"len\": 1, \"outlinecolor\": \"rgba(255,255,255,0)\"}, \"showscale\": true }, \"mode\": \"markers\", \"type\": \"scatter\"}, \"2DLayoutConfig\": {\"title\": \"涡轮发电机转速功率2D散点图\", \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"Generator Speed\", \"dtick\": 100, \"tickangle\": -45, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"Power\", \"dtick\": 100, \"tickcolor\": \"rgb(255,255,255)\"} }, \"3DConfig\": {\"x\": [], \"y\": [], \"z\": [], \"marker\": {\"size\": 1.5, \"symbol\": \"circle\"}, \"type\": \"scatter3d\", \"mode\": \"markers\"}, \"3DLayoutConfig\": {\"title\": \"涡轮发电机转速功率3D散点图\", \"scene\": {\"xaxis\": {\"title\": \"Generator Speed\", \"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true }, \"yaxis\": {\"title\": \"Time\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true }, \"zaxis\": {\"title\": \"Power\", \"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true } }, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.1, \"itemsizing\": \"constant\"} }, \"3DColors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"有功功率曲线分析\", \"analysisTypeCode\": \"power_curve\", \"title\": \"XXX机型的功率曲线图\", \"modeType\": \"lines\", \"graphType\": \"scatter\", \"xLable\": \"风速(m/s)\", \"yLable\": \"功率(kW)\", \"powerConfig\": {\"mode\": \"lines+markers\", \"name\": \"Contract Guarantee\", \"line\": {\"color\": \"red\"}, \"marker\": {\"color\": \"red\", \"size\": 5 } }, \"config\": null, \"com\": \"lineAndChildLine\", \"lableConfig\": {\"title\": {\"text\": \"\", \"x\": 0.5 }, \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"风速(m/s)\", \"range\": [0, 26], \"tickmode\": \"linear\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\", \"dtick\": 1, \"tickangle\": -45 }, \"yaxis\": {\"title\": \"功率(kW)\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\"}, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.2 } }, \"colors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"叶尖速比和有功功率分析\", \"analysisTypeCode\": \"tsr\", \"modeType\": \"lines\", \"graphType\": \"scatter\", \"xLable\": \"功率(kW)\", \"yLable\": \"TSR\", \"com\": \"lineAndChildLine\", \"lableConfig\": {\"title\": {\"text\": \"\", \"x\": 0.5 }, \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"功率(kW)\", \"range\": [0, 26], \"tickmode\": \"linear\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"dtick\": 1, \"tickangle\": -45, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"TSR\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"dtick\": 0.05, \"tickcolor\": \"rgb(255,255,255)\", \"range\": [0.3, 0.5] }, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.2 } }, \"colors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"静态偏航误差\"}, {\"analysisTypeName\": \"分钟级SCADA数据记录完整度分析\", \"analysisTypeCode\": \"data_integrity_minute\", \"modeType\": \"heatmap\", \"graphType\": \"heatmap\", \"xLable\": \"Turbine Name\", \"yLable\": \"Year Month\", \"zLable\": \"\", \"com\": \"HeatmapCharts\", \"chartsType\": [{\"name\": \"总图\", \"filesType\": \"heatmap\"} ], \"lableConfig\": {\"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 4, \"tickcolor\": \"rgb(255,255,255)\", \"tickangle\": -45 }, \"yaxis\": {\"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5, \"gridwidth\": 4 }, \"annotations\": [] } }, {\"analysisTypeName\": \"风速频率分析\", \"analysisTypeCode\": \"wind_speed_frequency\", \"modeType\": \"bar\", \"graphType\": \"bar\", \"xLable\": \"Wind Speed(m/s)\", \"yLable\": \"Frequency(%)\", \"zLable\": \"\", \"com\": \"BarChart\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"bar\"} ], \"lableConfig\": {\"plot_bgcolor\": \"#e5ecf6\", \"title\": {\"x\": 0.5, \"xanchor\": \"center\", \"yanchor\": \"top\"}, \"xaxis\": {\"showgrid\": true, \"range\": [0, 26], \"dtick\": 1, \"tickangle\": -45, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"showgrid\": true, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5, \"gridwidth\": 1 }, \"margin\": {\"t\": 50, \"b\": 100 } }, \"dataConfig\": {\"type\": \"bar\", \"marker\": {\"color\": \"#626efb\"} }, \"colors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"风向玫瑰分析\", \"analysisTypeCode\": \"wind_direction_frequency\", \"modeType\": \"barpolar\", \"graphType\": \"barpolar\", \"com\": \"WindRoseChart\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"barpolar\"} ], \"dataConfig\": {\"type\": \"barpolar\", \"marker\": {\"line\": {\"color\": \"white\", \"width\": 1 } } }, \"lableConfig\": {\"title\": \"Wind Rose\", \"plot_bgcolor\": \"#e5ecf6\", \"polar\": {\"bgcolor\": \"#e5ecf6\", \"radialaxis\": {\"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"linecolor\": \"rgb(255,255,255)\"}, \"angularaxis\": {\"gridcolor\": \"rgb(255,255,255)\", \"tickcolor\": \"rgb(255,255,255)\", \"linecolor\": \"rgb(255,255,255)\"} }, \"showlegend\": true, \"legend\": { \"title\": { \"text\": \"Wind Speed\" } } }, \"colors\": {\"[0,3)\": \"rgba(247, 251, 255, 1.0)\", \"[3,6)\": \"rgba(171, 207, 229, 1.0)\", \"[6,9)\": \"rgba(55, 135, 192, 1.0)\", \">=9\": \"rgba(8, 48, 107, 1.0)\"}, \"speedLabels\": [\"[0,3)\", \"[3,6)\", \"[6,9)\", \">=9\"], \"directionLabels\": [\"N\", \"NNE\", \"NE\", \"ENE\", \"E\", \"ESE\", \"SE\", \"SSE\", \"S\", \"SSW\", \"SW\", \"WSW\", \"W\", \"WNW\", \"NW\", \"NNW\"] }, {\"analysisTypeName\": \"风速均值分析\", \"analysisTypeCode\": \"wind_speed\", \"modeType\": \"bar\", \"graphType\": \"bar\", \"xLable\": \"Turbine Name\", \"yLable\": \"Averagr Wind Speed (m/s)\", \"zLable\": \"\", \"com\": \"BarChart\", \"chartsType\": [{\"name\": \"总图\", \"filesType\": \"bar\"} ], \"lableConfig\": {\"plot_bgcolor\": \"#e5ecf6\", \"title\": {\"x\": 0.5, \"xanchor\": \"center\", \"yanchor\": \"top\"}, \"xaxis\": {\"showgrid\": true, \"range\": [0, 26], \"dtick\": 1, \"tickangle\": -45, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"showgrid\": true, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5, \"gridwidth\": 1 }, \"margin\": {\"t\": 50, \"b\": 100 } }, \"dataConfig\": {\"type\": \"bar\", \"marker\": {\"color\": \"#626efb\"} }, \"colors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"逐月有功功率散点2D分析\", \"analysisTypeCode\": \"power_scatter_2D\", \"modeType\": \"lines+markers\", \"graphType\": \"scatter\", \"xLable\": \"Wind Speed\", \"yLable\": \"Power\", \"zLable\": \"\", \"com\": \"powerMarkers2DCharts\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"2D\"} ], \"dataConfig\": [{\"mode\": \"markers\", \"marker\": {\"colorscale\": \"Rainbow\", \"opacity\": 0.7 }, \"type\": \"scatter\"}, {\"mode\": \"lines+markers\", \"marker\": { \"color\": \"gray\", \"size\": 7 }, \"name\": \"Contract Guarantee Power Curve\", \"type\": \"scatter\"} ], \"lableConfig\": {\"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"Wind Speed\", \"tickmode\": \"array\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\", \"tickangle\": -45 }, \"yaxis\": {\"title\": \"Power\", \"tickmode\": \"array\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\"}, \"legend\": {\"yanchor\": \"bottom\", \"y\": 0, \"xanchor\": \"right\", \"x\": 1, \"bgcolor\": \"rgba(0, 0, 0, 0)\"} } }, {\"analysisTypeName\": \"额定功率和风速分析\", \"analysisTypeCode\": \"rated_power_windspeed\", \"modeType\": \"box\", \"graphType\": \"box\", \"xLable\": \"Turbine\", \"yLable\": \"Power\", \"com\": \"boxLineCharts\", \"dataConfig\": [{\"type\": \"box\", \"fillcolor\": \"#1d90ff\", \"marker\": {\"line\": {\"color\": \"black\"} }, \"whiskerwidth\": 1, \"boxpoints\": \"outliers\", \"line\": {\"color\": \"black\"}, \"name\": \"Ambient Temp >= 25°C\", \"showlegend\": false }, {\"mode\": \"markers\", \"marker\": { \"symbol\": \"line-ew-open\", \"color\": \"red\", \"size\": 10 }, \"showlegend\": false } ], \"lableConfig\": {\"title\": \"Power Distribution at Rated Wind Speed (Ambient Temp >= 25°C)\", \"plot_bgcolor\": \"#e5ecf6\", \"yaxis\": {\"title\": \"Power\", \"tickfont\": { \"size\": 10 }, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\"}, \"xaxis\": {\"title\": \"Turbine\", \"tickangle\": -45, \"type\": \"category\", \"tickfont\": { \"size\": 10 }, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\"}, \"boxmode\": \"group\"} }, {\"analysisTypeName\": \"额定风速分析\", \"analysisTypeCode\": \"rated_windspeed\", \"modeType\": \"bar\", \"graphType\": \"bar\", \"xLable\": \"Turbine(涡轮)\", \"yLable\": \"Count(总数)\", \"zLable\": \"\", \"com\": \"BarChart\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"bar\"} ], \"lableConfig\": {\"plot_bgcolor\": \"#e5ecf6\", \"title\": {\"text\": \"Wind Speed Frequency: Turbine A\", \"x\": 0.5, \"xanchor\": \"center\", \"yanchor\": \"top\"}, \"xaxis\": {\"title\": \"Turbine\", \"tickangle\": -45 }, \"yaxis\": {\"title\": \"Count\", \"showgrid\": true, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5, \"gridwidth\": 1 } }, \"dataConfig\": {\"type\": \"bar\", \"marker\": {\"color\": \"dodgerblue\"} } }, {\"analysisTypeName\": \"发电机转速和转矩分析\", \"analysisTypeCode\": \"speed_torque\", \"modeType\": \"markers\", \"graphType\": \"scatter3d\", \"xLable\": \"Generator Speed(发电机速度)\", \"yLable\": \"Turbine(涡轮)\", \"zLable\": \"Generator Turbine(发电机涡轮机)\", \"com\": \"MarkersCharts\", \"chartsType\": [{\"name\": \"总图\", \"filesType\": \"3D\"}, {\"name\": \"分图\", \"filesType\": \"2D\"}, {\"name\": \"分图\", \"filesType\": \"3D\"} ], \"2DConfig\": {\"marker\": {\"color\": [1, 2, 3, 4, 5], \"colorscale\": \"Rainbow\", \"size\": 3, \"opacity\": 0.7, \"colorbar\": {\"tickvals\": [1, 2, 3, 4, 5], \"ticktext\": [], \"thickness\": 18, \"len\": 1, \"outlinecolor\": \"rgba(255,255,255,0)\"}, \"showscale\": true }, \"mode\": \"markers\", \"type\": \"scatter\"}, \"2DLayoutConfig\": {\"title\": \"涡轮发电机转速功率2D散点图\", \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"Generator Speed\", \"dtick\": 100, \"tickangle\": -45, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"Power\", \"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"} }, \"3DConfig\": {\"x\": [], \"y\": [], \"z\": [], \"marker\": {\"size\": 1.5, \"symbol\": \"circle\"}, \"type\": \"scatter3d\", \"mode\": \"markers\"}, \"3DLayoutConfig\": {\"title\": \"涡轮发电机转速功率2D散点图\", \"scene\": {\"xaxis\": {\"title\": \"Generator Speed\", \"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true }, \"yaxis\": {\"title\": \"Time\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true }, \"zaxis\": {\"title\": \"Power\", \"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\", \"backgroundcolor\": \"#e5ecf6\", \"showbackground\": true } }, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.1, \"itemsizing\": \"constant\"} }, \"3DColors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"变桨和发电机转速协调性分析\", \"analysisTypeCode\": \"pitch_generator_speed\", \"modeType\": \"markers\", \"graphType\": \"scatter\", \"xLable\": \"Generator Speed(发电机速度)\", \"yLable\": \"Pitch Angle\", \"zLable\": \"\", \"com\": \"MarkersCharts\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"2D\"} ], \"2DConfig\": {\"marker\": {\"color\": [1, 2, 3, 4, 5], \"colorscale\": \"Rainbow\", \"size\": 3, \"opacity\": 0.7, \"colorbar\": {\"tickvals\": [1, 2, 3, 4, 5], \"ticktext\": [], \"thickness\": 18, \"len\": 1, \"outlinecolor\": \"rgba(255,255,255,0)\"}, \"showscale\": true }, \"mode\": \"markers\", \"type\": \"scatter\"}, \"2DLayoutConfig\": {\"title\": \"\", \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"Generator Speed\", \"dtick\": 100, \"tickangle\": -45, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"Power\", \"dtick\": 100, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"} } }, {\"analysisTypeName\": \"环境温度传感器分析\", \"analysisTypeCode\": \"temperature_environment\", \"modeType\": \"bar\", \"graphType\": \"bar\", \"xLable\": \"Turbine Name\", \"yLable\": \"Temperature difference\", \"com\": \"BarChart\", \"chartsType\": [{\"name\": \"总图\", \"filesType\": \"bar\", \"title\": \"Temperature Bias\"}, {\"name\": \"总图\", \"filesType\": \"bar\", \"title\": \"Temperature Median\"} ], \"dataConfig\": [{\"title\": \"Temperature Bias\", \"type\": \"bar\", \"marker\": {\"color\": \"dodgerblue\"} }, {\"title\": \"Temperature Median\", \"type\": \"bar\", \"marker\": {\"color\": \"dodgerblue\"} } ], \"lableConfig\": [{\"title\": \"Temperature Bias\", \"xaxis\": {\"title\": \"Turbine Name\", \"tickangle\": -45 }, \"yaxis\": {\"title\": \"Temperature Difference\", \"rangemode\": \"tozero\"}, \"shapes\": [{\"type\": \"line\", \"x0\": 0, \"x1\": 1, \"xref\": \"paper\", \"y0\": 5, \"y1\": 5, \"line\": {\"color\": \"red\", \"dash\": \"dot\"} }, {\"type\": \"line\", \"x0\": 0, \"x1\": 1, \"xref\": \"paper\", \"y0\": -5, \"y1\": -5, \"line\": {\"color\": \"red\", \"dash\": \"dot\"} } ] }, {\"title\": \"Temperature Median\", \"xaxis\": {\"title\": \"Turbine Name\", \"tickangle\": -45 }, \"yaxis\": {\"title\": \"Temperature\"} } ] }, {\"analysisTypeName\": \"叶尖速比-Cp-功率分析\", \"analysisTypeCode\": \"tsr_cp_power\", \"modeType\": \"lines\", \"graphType\": \"scatter\", \"xLable\": \"功率(kW)\", \"yLable\": \"TSR/CP^(1/3)\", \"zLable\": \"\", \"com\": \"lineAndChildLine\", \"lableConfig\": {\"title\": {\"text\": \"\", \"x\": 0.5 }, \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"功率(kW)\", \"range\": [0, 26], \"tickmode\": \"linear\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"dtick\": 1, \"tickangle\": -45, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"TSR/CP^(1/3)\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"dtick\": 0.05, \"tickcolor\": \"rgb(255,255,255)\", \"range\": [0.3, 0.5] }, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.2 } }, \"colors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"叶尖速比时序分析\", \"analysisTypeCode\": \"tsr_trend\", \"title\": \"\", \"modeType\": \"box+markers\", \"graphType\": \"box\", \"xLable\": \"Time\", \"yLable\": \"TSR\", \"zLable\": \"\", \"com\": \"BoxMarkersCharts\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"BoxMarkers\"} ], \"dataConfig\": [{\"type\": \"box\", \"boxpoints\": \"outliers\", \"marker\": {\"color\": \"lightgoldenrodyellow\", \"size\": 3 }, \"line\": {\"color\": \"lightgray\", \"width\": 2 }, \"fillcolor\": \"rgba(200, 200, 200, 0.5)\"}, {\"type\": \"scatter\", \"mode\": \"markers\", \"marker\": {\"color\": \"orange\", \"size\": 5 } } ], \"lableConfig\": {\"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"Time\", \"tickmode\": \"auto\", \"tickformat\": \"%Y-%m-%d\", \"showgrid\": true, \"gridcolor\": \"lightgray\", \"tickangle\": -45, \"linecolor\": \"black\", \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5 }, \"yaxis\": {\"title\": \"Cp\", \"range\": [0, 1], \"showgrid\": true, \"gridcolor\": \"lightgray\", \"linecolor\": \"black\", \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5 }, \"paper_bgcolor\": \"white\", \"plot_bgcolor\": \"white\", \"margin\": {\"t\": 50, \"b\": 150 } } }, {\"analysisTypeName\": \"最小桨距角分析\", \"analysisTypeCode\": \"min_pitch\", \"title\": \"\", \"modeType\": \"markers\", \"graphType\": \"scatter\", \"xLable\": \"Time\", \"yLable\": \"Pitch Angle\", \"com\": \"MarkersCharts\", \"chartsType\": [{\"name\": \"分图\", \"type\": \"markers\"} ], \"dataConfig\": [{\"showscale\": true, \"colorbar\": { \"title\": \"Rate\" }, \"line\": { \"color\": \"white\", \"width\": 1 }, \"mode\": \"markers\"} ], \"lableConfig\": {\"title\": \"Pitch Angle Distribution\", \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"Time\", \"tickformat\": \"%Y-%m-%d\", \"tickangle\": -45, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"Pitch Angle\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\"}, \"showlegend\": false }, \"colors\": [[0.0, \"rgb(255, 255, 255)\"], [0.1, \"rgb(135, 206, 235)\"], [0.5, \"rgb(0, 0, 255)\"], [1.0, \"rgb(0, 0, 139)\"] ] }, {\"analysisTypeName\": \"风能利用系数和有功功率分析\", \"title\": \"CP 分布图\", \"analysisTypeCode\": \"cp\", \"modeType\": \"lines\", \"graphType\": \"scatter\", \"xLable\": \"功率(kW)\", \"yLable\": \"CP 中位值\", \"powerConfig\": {\"mode\": \"lines+markers\", \"name\": \"Contract Guarantee\", \"line\": {\"color\": \"red\"}, \"marker\": {\"color\": \"red\", \"size\": 5 } }, \"config\": null, \"com\": \"lineAndChildLine\", \"lableConfig\": {\"title\": {\"text\": \"\", \"x\": 0.5 }, \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"功率(kW)\", \"range\": [0, 26], \"tickmode\": \"linear\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\", \"dtick\": 1, \"tickangle\": -45 }, \"yaxis\": {\"title\": \"CP 中位值\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\"}, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.2 } }, \"colors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"风能利用系数和风速分析\", \"analysisTypeCode\": \"cp_windspeed\", \"modeType\": \"lines\", \"graphType\": \"scatter\", \"xLable\": \"Wind Speed Floor\", \"yLable\": \"CP\", \"powerConfig\": null, \"config\": null, \"com\": \"lineAndChildLine\", \"lableConfig\": {\"title\": {\"text\": \"\", \"x\": 0.5 }, \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"Wind Speed Floor\", \"range\": [0, 26], \"tickmode\": \"linear\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"dtick\": 1, \"tickangle\": -45, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"Cp\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"dtick\": 0.05, \"tickcolor\": \"rgb(255,255,255)\", \"range\": [0.3, 0.5] }, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.2 } }, \"colors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"叶尖速比-Cp-功率散点分析\", \"analysisTypeCode\": \"tsr_cp_power_scatter\", \"title\": \"\", \"modeType\": \"markers\", \"graphType\": \"scatter\", \"xLable\": \"Power\", \"yLable\": \"TSR/CP^(1/3)\", \"zLable\": \"\", \"com\": \"MarkersCharts\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"2D\"} ], \"2DConfig\": {\"mode\": \"markers\", \"type\": \"scatter\", \"marker\": {\"size\": 5, \"color\": \"#636EFA\"} }, \"2DLayoutConfig\": {\"title\": \"\", \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"tickangle\": -45, \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"title\": \"Power\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 1, \"tickcolor\": \"rgb(255,255,255)\"} } }, {\"analysisTypeName\": \"风能利用系数时序分析\", \"analysisTypeCode\": \"cp_trend\", \"title\": \"\", \"modeType\": \"box+markers\", \"graphType\": \"box\", \"xLable\": \"Time\", \"yLable\": \"CP\", \"zLable\": \"\", \"com\": \"BoxMarkersCharts\", \"chartsType\": [{\"name\": \"分图\", \"filesType\": \"BoxMarkers\"} ], \"dataConfig\": [{\"type\": \"box\", \"boxpoints\": \"outliers\", \"marker\": {\"color\": \"lightgoldenrodyellow\", \"size\": 3 }, \"line\": {\"color\": \"lightgray\", \"width\": 2 }, \"fillcolor\": \"rgba(200, 200, 200, 0.5)\"}, {\"type\": \"scatter\", \"mode\": \"markers\", \"marker\": {\"color\": \"orange\", \"size\": 5 } } ], \"lableConfig\": {\"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"title\": \"Time\", \"tickmode\": \"auto\", \"tickformat\": \"%Y-%m-%d\", \"showgrid\": true, \"gridcolor\": \"lightgray\", \"tickangle\": -45, \"linecolor\": \"black\", \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5 }, \"yaxis\": {\"title\": \"Cp\", \"range\": [0, 1], \"showgrid\": true, \"gridcolor\": \"lightgray\", \"linecolor\": \"black\", \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5 }, \"paper_bgcolor\": \"white\", \"plot_bgcolor\": \"white\", \"margin\": {\"t\": 50, \"b\": 150 } } }, {\"analysisTypeName\": \"叶尖速比和风速分析\", \"analysisTypeCode\": \"tsr_windspeed\", \"title\": \"\", \"modeType\": \"lines\", \"graphType\": \"scatter\", \"xLable\": \"Wind Speed Floor\", \"yLable\": \"TSR\", \"zLable\": \"\", \"com\": \"lineAndChildLine\", \"lableConfig\": {\"title\": {\"x\": 0.5 }, \"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"tickmode\": \"linear\", \"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"dtick\": 1, \"tickangle\": -45, \"tickcolor\": \"rgb(255,255,255)\"}, \"yaxis\": {\"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\"}, \"legend\": {\"orientation\": \"h\", \"xanchor\": \"center\", \"x\": 0.5, \"y\": -0.2 } }, \"colors\": [\"#636EFA\", \"#EF553B\", \"#00CC96\", \"#AB63FA\", \"#FFA15A\", \"#19D3F3\", \"#FF6692\", \"#B6E880\", \"#FF97FF\", \"#FECB52\", \"#636EFB\", \"#EF553C\", \"#00CC97\", \"#AB63FB\", \"#FFA15B\", \"#19D3F4\", \"#FF6693\", \"#B6E881\", \"#FF97FE\", \"#FECB51\", \"#1F77B4\", \"#FF7F0E\", \"#2CA02C\", \"#D62728\", \"#9467BD\", \"#8C564B\", \"#E377C2\", \"#7F7F7F\", \"#BCBD22\", \"#17BECF\", \"#1A55F2\", \"#FF5733\", \"#33FF57\", \"#3375FF\", \"#FF33A6\", \"#FF5733\", \"#57FF33\", \"#FF3380\", \"#80FF33\", \"#3380FF\", \"#FF8033\", \"#57FF80\", \"#3380FF\", \"#8033FF\", \"#FF3380\", \"#FF57D7\", \"#FFD733\", \"#33FFD7\", \"#D733FF\", \"#8033FF\", \"#3380FF\", \"#FF3380\", \"#D7FF33\", \"#FF8033\", \"#33FF57\", \"#33D7FF\", \"#FF5733\", \"#33D7FF\", \"#33FF57\", \"#57D7FF\"] }, {\"analysisTypeName\": \"秒级SCADA数据记录完整度分析\", \"analysisTypeCode\": \"data_integrity_second\", \"title\": \"\", \"modeType\": \"heatmap\", \"graphType\": \"heatmap\", \"xLable\": \"Turbine Name\", \"colorscale\": \"Viridis\", \"yLable\": \"Year Month\", \"zLable\": \"\", \"com\": \"HeatmapCharts\", \"chartsType\": [{\"name\": \"总图\", \"filesType\": \"heatmap\"} ], \"lableConfig\": {\"plot_bgcolor\": \"#e5ecf6\", \"xaxis\": {\"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"ticklen\": 5, \"gridwidth\": 4, \"tickcolor\": \"rgb(255,255,255)\", \"tickangle\": -45 }, \"yaxis\": {\"gridcolor\": \"rgb(255,255,255)\", \"showgrid\": true, \"zeroline\": false, \"tickcolor\": \"rgb(255,255,255)\", \"ticklen\": 5, \"gridwidth\": 4 }, \"annotations\": [] } } ]', '1ec775c0bc17e85e46a0d88da5146eee', '2024-07-31 16:32:10', '2024-09-09 11:12:33', NULL, '192.168.50.201', '', '79c42a7a-2c7d-4dcf-8a2c-b334271e2191', 'null', 'null', 'null', 'properties', 'null');
COMMIT;

-- ----------------------------
-- Table structure for config_info_aggr
-- ----------------------------
DROP TABLE IF EXISTS `config_info_aggr`;
CREATE TABLE `config_info_aggr` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `datum_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'datum_id',
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT '内容',
  `gmt_modified` datetime NOT NULL COMMENT '修改时间',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL,
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_configinfoaggr_datagrouptenantdatum` (`data_id`,`group_id`,`tenant_id`,`datum_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='增加租户字段';

-- ----------------------------
-- Records of config_info_aggr
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for config_info_beta
-- ----------------------------
DROP TABLE IF EXISTS `config_info_beta`;
CREATE TABLE `config_info_beta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT 'content',
  `beta_ips` varchar(1024) COLLATE utf8_bin DEFAULT NULL COMMENT 'betaIps',
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text COLLATE utf8_bin COMMENT 'source user',
  `src_ip` varchar(20) COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_configinfobeta_datagrouptenant` (`data_id`,`group_id`,`tenant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_info_beta';

-- ----------------------------
-- Records of config_info_beta
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for config_info_tag
-- ----------------------------
DROP TABLE IF EXISTS `config_info_tag`;
CREATE TABLE `config_info_tag` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
  `tag_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'tag_id',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT 'content',
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text COLLATE utf8_bin COMMENT 'source user',
  `src_ip` varchar(20) COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_configinfotag_datagrouptenanttag` (`data_id`,`group_id`,`tenant_id`,`tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_info_tag';

-- ----------------------------
-- Records of config_info_tag
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for config_tags_relation
-- ----------------------------
DROP TABLE IF EXISTS `config_tags_relation`;
CREATE TABLE `config_tags_relation` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `tag_name` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'tag_name',
  `tag_type` varchar(64) COLLATE utf8_bin DEFAULT NULL COMMENT 'tag_type',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
  `nid` bigint(20) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`nid`),
  UNIQUE KEY `uk_configtagrelation_configidtag` (`id`,`tag_name`,`tag_type`),
  KEY `idx_tenant_id` (`tenant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_tag_relation';

-- ----------------------------
-- Records of config_tags_relation
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for group_capacity
-- ----------------------------
DROP TABLE IF EXISTS `group_capacity`;
CREATE TABLE `group_capacity` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Group ID，空字符表示整个集群',
  `quota` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '配额，0表示使用默认值',
  `usage` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '使用量',
  `max_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个配置大小上限，单位为字节，0表示使用默认值',
  `max_aggr_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '聚合子配置最大个数，，0表示使用默认值',
  `max_aggr_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个聚合数据的子配置大小上限，单位为字节，0表示使用默认值',
  `max_history_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最大变更历史数量',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_group_id` (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='集群、各Group容量信息表';

-- ----------------------------
-- Records of group_capacity
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for his_config_info
-- ----------------------------
DROP TABLE IF EXISTS `his_config_info`;
CREATE TABLE `his_config_info` (
  `id` bigint(20) unsigned NOT NULL,
  `nid` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL,
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL,
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
  `content` longtext COLLATE utf8_bin NOT NULL,
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `src_user` text COLLATE utf8_bin,
  `src_ip` varchar(20) COLLATE utf8_bin DEFAULT NULL,
  `op_type` char(10) COLLATE utf8_bin DEFAULT NULL,
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  PRIMARY KEY (`nid`),
  KEY `idx_gmt_create` (`gmt_create`),
  KEY `idx_gmt_modified` (`gmt_modified`),
  KEY `idx_did` (`data_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='多租户改造';

-- ----------------------------
-- Records of his_config_info
-- ----------------------------
BEGIN;
INSERT INTO `his_config_info` VALUES (3, 1, 'application.properties', 'dev', '', '# 服务端口\r\nserver.port = 16200\r\n#数据库设置\r\nspring.datasource.type = com.alibaba.druid.pool.DruidDataSource\r\nspring.datasource.druid.driver-class-name = com.mysql.jdbc.Driver\r\nspring.datasource.druid.driver-class-name = com.mysql.cj.jdbc.Driver\r\nspring.datasource.druid.url = jdbc:mysql://192.168.50.233:3306/energy?useUnicode=true&characterEncoding=UTF-8&     #allowMultiQueries=true&rewriteBatchedStatements=true&useSSL=false&allowPublicKeyRetrieval=true\r\nspring.datasource.druid.username = admin\r\nspring.datasource.druid.password = admin123456\r\n#初始化大小\r\nspring.datasource.druid.initial-size = 30\r\n#最小\r\nspring.datasource.druid.min-idle = 20\r\n#最大\r\nspring.datasource.druid.max-active = 300\r\n#获取连接等待的超时时间\r\nspring.datasource.druid.max-wait = 600000\r\n#间隔多久进行一次检测,检测需要关闭的链接\r\nspring.datasource.druid.time-between-eviction-runs-millis = 60000\r\n#一个链接在池中最小生存时间\r\nspring.datasource.druid.min-evictable-idle-time-millis = 3000000\r\n##配置连接在池中的最大生存时间\r\n#spring.datasource.druid.max-evictable-idle-time-millis = 400000\r\nspring.datasource.druid.validation-query = SELECT \'x\'\r\nspring.datasource.druid.test-on-borrow = false\r\nspring.datasource.druid.test-on-return = false\r\n## 启用空闲连接检测，以便回收\r\nspring.datasource.druid.test-while-idle = true\r\n## 打开PSCache，并且指定每个连接上PSCache的大小\r\nspring.datasource.druid.pool-prepared-statements = false\r\nspring.datasource.druid.max-pool-prepared-statement-per-connection-size = 20\r\nspring.datasource.druid.remove-abandoned = true\r\nspring.datasource.druid.remove-abandoned-timeout = 7200\r\nspring.datasource.druid.log-abandoned = false\r\n\r\n#redis-config\r\nspring.redis.jedis.pool.max-idle = 100\r\nspring.redis.jedis.pool.min-idle = 10\r\nspring.redis.jedis.pool.max-active = 1000\r\nspring.redis.jedis.pool.max-wait = 100000\r\nspring.redis.database = 1\r\nspring.redis.host = 192.168.50.233\r\nspring.redis.port = 6379\r\nspring.redis.password = 123456\r\n\r\n\r\n#kafka\r\n#spring.kafka.bootstrap-servers=192.168.50.234:9092\r\n#spring.kafka.producer.batch-size=16384\r\n#spring.kafka.producer.acks=all\r\n#spring.kafka.producer.retries=3\r\n\r\n#消费者\r\n#spring.kafka.consumer.bootstrapServers=192.168.50.234:9092\r\n#spring.kafka.consumer.topics=xxxx\r\n#spring.kafka.consumer.groupId=energy-manage\r\n#spring.kafka.consumer.sessionTimeOut=30000\r\n#spring.kafka.consumer.enableAutoCommit=false\r\n#spring.kafka.consumer.autoCommitInterval=1000\r\n#spring.kafka.consumer.maxPollRecords=50\r\n#spring.kafka.consumer.maxPollInterval=300000\r\n#spring.kafka.consumer.keyDeserializer=org.apache.kafka.common.serialization.StringDeserializer\r\n#spring.kafka.consumer.valueDeserializer=org.apache.kafka.common.serialization.StringDeserializer\r\n#spring.kafka.consumer.autoOffsetReset=latest\r\n#spring.kafka.consumer.heartbeatInterval=10000\r\n\r\n#监听\r\n#spring.kafka.listener.type=batch\r\n#spring.kafka.listener.ack-mode=batch\r\n\r\n#minio\r\nminio.endpoint= http://192.168.50.233:6900\r\nminio.accessKey= haH1vePq7unSp4TG1One\r\nminio.secretKey= idxO5SAjboUYERpDICgHgBoHX7bcYv355lMQANt6\r\nminio.bucketName= bucket-zhzn\r\nminio.bucketPath= http://192.168.50.233:6900\r\n\r\n#xxl-job\r\nxxl.job.admin.addresses = http://192.168.50.234:16800/xxl-job-admin\r\nxxl.job.admin.accessToken = \r\nxxl.job.executor.appname = xxl-job-executor-dev\r\nxxl.job.executor.address = \r\nxxl.job.executor.ip =\r\nxxl.job.executor.port = 9999\r\nxxl.job.executor.logpath = /usr/local/logs/xxl\r\nxxl.job.executor.logretentiondays = 30\r\n\r\n#上传文件模板\r\ntemplate.bzpower = http://192.168.50.234:6900/bucket-zhzn/template/%E6%A0%87%E5%87%86%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF%E6%A8%A1%E7%89%88.xlsx\r\ntemplate.htpower = http://192.168.50.234:6900/bucket-zhzn/template/%E5%90%88%E5%90%8C%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF%E6%A8%A1%E7%89%88.xlsx\r\ntemplate.field = http://192.168.50.234:6900/bucket-zhzn/template/%E9%A3%8E%E5%9C%BA%E8%A1%A8%E6%A8%A1%E7%89%88.xlsx\r\ntemplate.draught = http://192.168.50.234:6900/bucket-zhzn/template/%E9%A3%8E%E6%9C%BA%E8%A1%A8%E6%A8%A1%E7%89%88.xlsx\r\n\r\n#分析算法入参json格式\r\nanalysis.algorithm.json={\"dataContractType\": {\"type\": \"analysisExecuteOrder\",\"version\": \"1.2.0\"},\"dataContract\": {\"autoOrManual\": null,\"dataFilter\": {\"powerFarmID\": null,\"turbines\": null,\"dataBatchNum\": null,\"beginTime\": null,\"endTime\": null,\"excludingMonths\": null,\"customFilter\": {\"valueWindSpeed\": {\"min\": null,\"max\": null},\"valuePitchAngle\": {\"min\":null,\"max\": null},\"valueActivePower\": {\"min\": null,\"max\": null},\"valueGeneratorSpeed\": {\"min\": null,\"max\": null}}},\"configAnalysis\": [],\"graphSets\": {\"DgeneratorSpeed\": {\"step\": 5,\"min\": 0,\"max\": 30},\"DgeneratorTorque\": {\"step\": 10000,\"min\": 0,\"max\": 10000},\"IgeneratorSpeed\": {\"step\": 200,\"min\": 1000,\"max\": 2000},\"IgeneratorTorque\": {\"step\": 2000,\"min\": 0,\"max\": 12000},\"cp\": {\"step\": 0.1,\"min\": 0,\"max\": 1},\"tsr\": {\"step\": 5,\"min\": 0,\"max\": 30},\"pitchAngle\": {\"step\": 1,\"min\": -1,\"max\": 20},\"activePower\": {\"step\": 250,\"min\": 0,\"max\": 2000}}}}\r\n#需要特殊处理的图像设置属性\r\ngraphSets.properties=dgeneratorSpeed,igeneratorSpeed,dgeneratorTorque,igeneratorTorque,cp,tsr,pitchAngle,activePower\r\n#scada数据筛选\r\ncustomFilter.properties=valueWindSpeed,valuePitchAngle,valueActivePower,valueGeneratorSpeed\r\n#需要特设处理分析类型属性\r\nanalysis.properties.name=configAnalysis\r\n#分析类型json格式\r\nanalysis.type.json={\"package\":\"\",\"className\":\"\",\"methodName\":\"\",\"scada\":\"\"}\r\n\r\nanalysis.array.properties=turbines,excludingMonths\r\n#额定功率因数\r\npower.factor.rated=1.2\r\n#算法调用默认值\r\nanalysis.url= 192.168.50.235:8001/demo/dataAnalysis/analysis\r\n#转换后数据下载地址\r\ndownload.url= http://192.168.50.241:8080\r\n#内网minio host\r\nanalysis.file.intranet.addr=http://192.168.50.233:6900/\r\n#外网网minio host(外网暂未开放)\r\nanalysis.file.external.addr=http://106.120.102.233:16900/\r\n#分析结果文件路径中替换的字符串\r\nanalysis.file.replace.str= /manual/,/automatic/\r\n', '85464c943ed606aac49691d8cf1dff78', '2024-12-11 15:00:21', '2024-12-11 15:00:21', NULL, '192.168.50.201', 'U', '79c42a7a-2c7d-4dcf-8a2c-b334271e2191');
COMMIT;

-- ----------------------------
-- Table structure for permissions
-- ----------------------------
DROP TABLE IF EXISTS `permissions`;
CREATE TABLE `permissions` (
  `role` varchar(50) NOT NULL,
  `resource` varchar(512) NOT NULL,
  `action` varchar(8) NOT NULL,
  UNIQUE KEY `uk_role_permission` (`role`,`resource`,`action`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of permissions
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for roles
-- ----------------------------
DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles` (
  `username` varchar(50) NOT NULL,
  `role` varchar(50) NOT NULL,
  UNIQUE KEY `idx_user_role` (`username`,`role`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of roles
-- ----------------------------
BEGIN;
INSERT INTO `roles` VALUES ('nacos', 'ROLE_ADMIN');
COMMIT;

-- ----------------------------
-- Table structure for tenant_capacity
-- ----------------------------
DROP TABLE IF EXISTS `tenant_capacity`;
CREATE TABLE `tenant_capacity` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `tenant_id` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Tenant ID',
  `quota` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '配额，0表示使用默认值',
  `usage` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '使用量',
  `max_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个配置大小上限，单位为字节，0表示使用默认值',
  `max_aggr_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '聚合子配置最大个数',
  `max_aggr_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个聚合数据的子配置大小上限，单位为字节，0表示使用默认值',
  `max_history_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最大变更历史数量',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_tenant_id` (`tenant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='租户容量信息表';

-- ----------------------------
-- Records of tenant_capacity
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for tenant_info
-- ----------------------------
DROP TABLE IF EXISTS `tenant_info`;
CREATE TABLE `tenant_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `kp` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'kp',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
  `tenant_name` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_name',
  `tenant_desc` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT 'tenant_desc',
  `create_source` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'create_source',
  `gmt_create` bigint(20) NOT NULL COMMENT '创建时间',
  `gmt_modified` bigint(20) NOT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_tenant_info_kptenantid` (`kp`,`tenant_id`),
  KEY `idx_tenant_id` (`tenant_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='tenant_info';

-- ----------------------------
-- Records of tenant_info
-- ----------------------------
BEGIN;
INSERT INTO `tenant_info` VALUES (1, '1', '79c42a7a-2c7d-4dcf-8a2c-b334271e2191', 'energy-manage-service', 'energy-manage-service', 'nacos', 1714270021621, 1714270021621);
COMMIT;

-- ----------------------------
-- Table structure for users
-- ----------------------------
DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `username` varchar(50) NOT NULL,
  `password` varchar(500) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of users
-- ----------------------------
BEGIN;
INSERT INTO `users` VALUES ('nacos', '$2a$10$EuWPZHzz32dJN7jexM34MOeYirDdFAZm2kuWj7VEOJhhZkDrxfvUu', 1);
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
