package com.energy.manage.common.po.analysis;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 分析结果
 * @author chy
 * @date 2024/5/23 12:50
 * @desc
 */
@Table(name = "analysis_result")
@Data
@Accessors(chain = true)
public class AnalysisResultPo {

    /**
     * 主键
     */
    private Long id ;

    /**
     * 批次编号
     */
    private String batchCode ;

    /**
     * 分析状态 -1:未分析 10：排队中  20：分析中 30：分析完成
     */
    private Integer analysisState ;

    /**
     * 异常状态
     */
    private Integer errState ;

    /**
     * 异常编号
     */
    private String errCode ;

    /**
     * 异常信息
     */
    private String errInfo ;

    /**
     * 创建人
     */
    private Integer createBy ;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime ;

    /**
     *  更新人
     */
    private Integer updateBy ;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime ;

    /**
     * 分析进度
     */
    private BigDecimal analysisProgress;


    /**
     * 开启自动分析 0：否 1：是
     */
    private Integer onOffCall;

    /**
     * 风场标号
     */
    private String fieldCode;

    /**
     * 分析名称
     */
    private String analysisName;

    /**
     * 数据开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date dataStartTime;

    /**
     * 数据结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date dataEndTime;

    /**
     * 分析简述
     */
    private String sketch;

    /**
     * 数据类型code
     */
    private String dataTypeCode;

    /**
     * 分析开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date analysisStartTime;

    /**
     * 分析结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date analysisFinishTime;

    /**
     * 是否手动分析 0：否 1：是
     */
    private Integer analysisFlag;

}
