package com.energy.manage.common.po.analysispriorityrecords;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;


/**
 * @author: chy
 * @date: 2025/2/11
 * @description: 分析优先级记录表
 */

@Table(name = "analysis_priority_records")
@Data
@Accessors(chain = true)
public class AnalysisPriorityRecordsPo {

    /**
     * 主键
     */
    private Long id;

    /**
     * 分析批次号
     */
    private String batchCode;

    /**
     * 优先级 默认0
     */
    private int priority = 0;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 执行状态 0：未执行  1：已执行
     */
    private int executeStatus = 0;

    /**
     * 执行id
     */
    private String taskId;

}
