package com.energy.manage.common.po.units;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 品牌模型
 */
@Data
@Table(name = "unit_dict_brand_model")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UnitDictBrandModelPO {


    @Id
    @GeneratedValue(generator = "JDBC")
    @Column(name = "id")
    private Integer id;

    //1.轴承2.润滑油
    private Integer unitType;

    //品牌
    private String manufacture;

    //型号
    private  String modelNumber;

    //描述
    private String description;


    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    // 滚动数量
    private BigDecimal rollsNumber;

    // 滚动直径
    private BigDecimal rollsDiameter;

    // 圆直径
    private BigDecimal circleDiameter;

    // 接触角
    private BigDecimal thetaDeg;




}
