package com.energy.manage.service.controller.datatransfertype;

import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.config.annotations.UserLoginToken;
import com.energy.manage.service.controller.base.BaseServiceController;
import com.energy.manage.service.domain.vo.datatransfer.DataTransferTypeVo;
import com.energy.manage.service.service.datatransfertype.DataTransferTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author chy
 * @date 2025/1/7 10:46
 * @desc
 */
@Slf4j
@Api(value = "DataTransferTypeController",tags = "数据转换类型")
@RestController
@RequestMapping("/dataTransferType")
public class DataTransferTypeController extends BaseServiceController {

    @Autowired
    private DataTransferTypeService dataTransferTypeService;


    @ApiOperation(value = "查询可以数据转换批次")
    @UserLoginToken
    @GetMapping("/queryAllType")
    public ResultResp<List<DataTransferTypeVo>> queryAllType()
    {
        return success(dataTransferTypeService.queryAllType());
    }
}
