package com.energy.manage.service.domain.dto.analysis;

import com.energy.manage.service.domain.dto.BaseDto;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 分析结果
 * @author chy
 * @date 2024/5/23 12:50
 * @desc
 */
@Data
public class AnalysisResultDto extends BaseDto {


    /**
     * 风场名称
     */
    private String fieldName ;

    /**
     * 风场编号
     */
    private String fieldCode ;

    /**
     * 分析名称
     */
    private String analysisName ;

    /**
     * 分析简述
     */
    private String sketch ;

    /**
     * 批次编号
     */
    private String batchCode ;

    /**
     * 风场名称
     */
    private String batchName ;

    /**
     * 分析状态 -1:未分析 10：排队中  20：分析中 30：分析完成
     */
    private Integer analysisState ;

    /**
     * 异常状态
     */
    private Integer errState ;

    /**
     * 创建人
     */
    private Integer createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 用户角色id
     */
    private Integer roleId;

    /**
     * 开启自动分析 0：否 1：是
     */
    private Integer onOffCall;

}
