package com.energy.manage.service.domain.dto.units;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Getter
@Setter
@ApiModel("创建部件品牌参数")
public class UnitDictBrandModelDto {

    // 部件类型
    @ApiModelProperty("部件类型")
    @NotNull(message = "部件类型不能为空")
    private Integer unitType;

    //  品牌
    @ApiModelProperty("品牌")
    private String manufacture;

    //  型号
    @ApiModelProperty("型号")
    private  String modelNumber;

    //  描述
    @ApiModelProperty("描述")
    private  String description;


    // 滚动数量
    @ApiModelProperty("滚动数量")
    private BigDecimal rollsNumber;

    // 滚动直径
    @ApiModelProperty("滚动直径")
    private BigDecimal rollsDiameter;

    // 圆直径
    @ApiModelProperty("描圆直径述")
    private BigDecimal circleDiameter;

    // 接触角
    @ApiModelProperty("接触角")
    private BigDecimal thetaDeg;

}
