package com.energy.manage.service.domain.vo.analysis;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 分析结果
 * @author chy
 * @date 2024/5/23 12:50
 * @desc
 */
@Data
public class AnalysisResultVo {


    private String batchCode;

    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 风场编号
     */
    private String fieldCode;

    /**
     * 分析名称
     */
    private String analysisName;

    /**
     * 数据开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dataStartTime;

    /**
     * 数据结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dataEndTime;

    /**
     * 分析简述
     */
    private String sketch;

    /**
     * 数据转换类型代码
     */
    private String dataTypeCode;

    /**
     * 数据转换类型名称
     */
    private String dataTypeName;

    /**
     * 分析状态 -1:未分析 10：排队中  20：分析中 30：分析完成
     */
    private Integer analysisState ;

    /**
     * 异常状态
     */
    private Integer errState ;

    /**
     * 异常编号
     */
    private String errCode ;

    /**
     * 异常信息
     */
    private String errInfo ;

    /**
     * 创建人
     */
    private Integer createBy ;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime ;

    /**
     *  更新人
     */
    private Integer updateBy ;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime ;

    /**
     * 分析进度
     */
    private BigDecimal analysisProgress;


    /**
     * 开启自动分析 0：否 1：是
     */
    private Integer onOffCall;

    /**
     * 分析开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date analysisStartTime;

    /**
     * 分析结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date analysisFinishTime;

    /**
     * 分析结果报告
     */
    private List<AnalysisResultReportVo> reportVos;

    /**
     * 当前序号
     */
    private String orderNum;

    /**
     * 是否手动分析 0：否 1：是
     */
    private Integer analysisFlag;

}
