package com.energy.manage.service.mappers.analysis;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.analysis.AnalysisDiagramRelationPo;
import com.energy.manage.service.domain.vo.analysis.AnalysisDiagramRelationVo;
import com.energy.manage.service.domain.vo.windenginegroup.WindEngineGroupShortVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * @author chy
 * @date 2024/5/23 16:41
 * @desc
 */
@Repository
public interface AnalysisDiagramRelationMapper extends MyMapper<AnalysisDiagramRelationPo>{


    List<AnalysisDiagramRelationVo> selectByCondition(@Param("batchCode") String batchCode,
                                                      @Param("analysisTypeCode") String analysisTypeCode,
                                                      @Param("fieldEngineCode") List<String> fieldEngineCode);


    List<AnalysisDiagramRelationVo> selectByBatchCode(@Param("batchCode") String batchCode);


    Set<WindEngineGroupShortVo> selectByBatchCodeAndAnalysisTypeCode(@Param("batchCode") String batchCode,
                                                                         @Param("analysisTypeCode") String analysisTypeCode);
}
