package com.energy.manage.service.mappers.analysis;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.analysis.AnalysisGeneralFilePo;
import com.energy.manage.service.domain.vo.analysis.AnalysisGeneralFileVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author chy
 * @date 2024/5/23 13:04
 * @desc
 */
@Repository
public interface AnalysisGeneralFileMapper extends MyMapper<AnalysisGeneralFilePo> {

    /**
     * 根据批次号与分型类型编号查询通用文件
     * @param batchCode
     * @param analysisTypeCode
     * @return
     */
    List<AnalysisGeneralFileVo> selectByCondition(@Param("batchCode") String batchCode, @Param("analysisTypeCode") String analysisTypeCode);

    /**
     * 查询分析类型，名称
     * @param batchCode
     * @return
     */
    List<AnalysisGeneralFileVo> selectByBatchCode(@Param("batchCode") String batchCode);

}
