package com.energy.manage.service.service.analysiscomment;

import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.domain.dto.analysis.AnalysisCommentDescriptionDto;
import com.energy.manage.service.domain.dto.analysis.AnalysisCommentTypeRelationDto;
import com.energy.manage.service.domain.vo.analysis.AnalysisCommentDescriptionVo;
import com.energy.manage.service.domain.vo.analysis.AnalysisCommentTypeRelationVo;

import java.util.List;

/**
 * @author chy
 * @date 2024/5/24 17:11
 * @desc
 */
public interface AnalysisCommentService {

    /**
     * 富文本类型查询
     * @param batchCode
     * @param analysisTypeCode
     * @return
     */
    List<AnalysisCommentTypeRelationVo> analysisCommentTypeList(String batchCode,String analysisTypeCode);


    /**
     * 富文本内容添加
     * @param typeRelationDto
     * @return
     */
    ResultResp addAnalysisCommentType(AnalysisCommentTypeRelationDto typeRelationDto);

    /**
     * 删除富文本类型
     * @param commentTypeCode
     * @return
     */
    ResultResp delAnalysisCommentType(String commentTypeCode);


    /**
     * 富文本编辑
     * @param commentDescriptionDto
     * @return
     */
    int analysisCommentEdit(AnalysisCommentDescriptionDto commentDescriptionDto);


    /**
     * 富文本内容查询
     * @param batchCode
     * @param analysisTypeCode
     * @return
     */
    List<AnalysisCommentDescriptionVo> analysisCommentDescList(String batchCode, String analysisTypeCode);
}
