# ************************************************************
# Sequel Pro SQL dump
# Version 4541
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: 192.168.50.233 (MySQL 5.7.31-log)
# Database: energy
# Generation Time: 2024-07-16 06:04:02 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table analysis_comment_description
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_comment_description`;

CREATE TABLE `analysis_comment_description` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `analysis_type_code` varchar(500) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `comment_type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '评论类型编号',
  `comment` varchar(2000) DEFAULT '' COMMENT '富文本内容',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `update_by` int(11) NOT NULL DEFAULT '0' COMMENT '更新人',
  PRIMARY KEY (`id`),
  KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次编号索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析图表文本描述 ';

LOCK TABLES `analysis_comment_description` WRITE;
/*!40000 ALTER TABLE `analysis_comment_description` DISABLE KEYS */;

INSERT INTO `analysis_comment_description` (`id`, `batch_code`, `analysis_type_code`, `comment_type_code`, `comment`, `create_time`, `create_by`, `update_time`, `update_by`)
VALUES
	(6,'WOF053600062-WOB00022','data_integrity_minute','0febb65003b44b62a554d01f9a9a1873','<p>分析内容test123</p>','2024-07-01 15:58:04',2,'2024-07-16 09:58:27',2),
	(8,'WOF053600062-WOB00022','data_integrity_minute','1e3f73de878846b6842c2f592b4490f6','<p>原因描述</p>','2024-07-01 15:58:04',2,'2024-07-16 09:58:27',2),
	(14,'WOF053600062-WOB00022','data_integrity_second','1e3f73de878846b6842c2f592b4490f6','<p>原因描述</p>','2024-07-04 16:37:32',130,'2024-07-04 16:37:32',130),
	(15,'WOF053600062-WOB00022','data_integrity_second','0febb65003b44b62a554d01f9a9a1873','<p>分析内容test1233434</p>','2024-07-04 16:37:32',130,'2024-07-04 16:53:27',130),
	(16,'WOF053600062-WOB00022','data_integrity_second','12d889ebe6dd4a2480d0282c74aa93e9','<p>214123</p>','2024-07-04 16:40:33',130,'2024-07-04 16:40:33',130),
	(17,'WOF053600062-WOB00022','data_integrity_minute','122ac2bdde1047388807d62262d3d8f5','<p>test</p>','2024-07-16 09:58:27',2,'2024-07-16 09:58:27',2),
	(18,'WOF053600062-WOB00022','data_integrity_minute','12d889ebe6dd4a2480d0282c74aa93e9','<p>现象</p>','2024-07-16 09:58:42',2,'2024-07-16 09:58:42',2),
	(19,'WOF053600062-WOB00022','data_integrity_minute','77bf3da22df74f85ac84214fda309e3e','<p>排查</p>','2024-07-16 09:58:42',2,'2024-07-16 09:58:42',2),
	(20,'WOF053600062-WOB00022','power_curve','12d889ebe6dd4a2480d0282c74aa93e9','<p>现象</p>','2024-07-16 10:00:52',2,'2024-07-16 10:01:11',2),
	(21,'WOF053600062-WOB00022','power_curve','1e3f73de878846b6842c2f592b4490f6','<p><br></p>','2024-07-16 10:00:52',2,'2024-07-16 10:00:52',2),
	(22,'WOF053600062-WOB00022','power_curve','0febb65003b44b62a554d01f9a9a1873','<p>分析</p>','2024-07-16 10:00:52',2,'2024-07-16 10:01:11',2),
	(23,'WOF053600062-WOB00022','power_curve','8afca15ca801454682e66bbbe8ec3b33','<p>7.16</p>','2024-07-16 10:00:52',2,'2024-07-16 10:00:52',2),
	(24,'WOF053600062-WOB00022','power_curve','77bf3da22df74f85ac84214fda309e3e','<p>排查</p>','2024-07-16 10:00:52',2,'2024-07-16 10:01:11',2);

/*!40000 ALTER TABLE `analysis_comment_description` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_comment_type_relation
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_comment_type_relation`;

CREATE TABLE `analysis_comment_type_relation` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键 唯一标识',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `analysis_type_code` varchar(500) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `comment_type_code` varchar(64) NOT NULL DEFAULT '' COMMENT '唯一编号',
  `comment_type_name` varchar(50) NOT NULL DEFAULT '' COMMENT '评论类型名称',
  `is_defined` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否是自定义0：否 1：是',
  `create_by` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `is_delete` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否删除0：否 1：是',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT=' 分析结果评论类型关系表';

LOCK TABLES `analysis_comment_type_relation` WRITE;
/*!40000 ALTER TABLE `analysis_comment_type_relation` DISABLE KEYS */;

INSERT INTO `analysis_comment_type_relation` (`id`, `batch_code`, `analysis_type_code`, `comment_type_code`, `comment_type_name`, `is_defined`, `create_by`, `create_time`, `is_delete`)
VALUES
	(7,'','','0febb65003b44b62a554d01f9a9a1873','分析内容与可视化分析',0,0,'2024-06-12 16:56:21',0),
	(8,'','','12d889ebe6dd4a2480d0282c74aa93e9','现象描述',0,0,'2024-06-12 16:56:32',0),
	(9,'','','1e3f73de878846b6842c2f592b4490f6','原因描述',0,0,'2024-06-12 16:56:41',0),
	(10,'','','77bf3da22df74f85ac84214fda309e3e','排查建议',0,0,'2024-06-12 16:56:58',0),
	(23,'WOF053600062-WOB00022','data_integrity_minute','122ac2bdde1047388807d62262d3d8f5','测试评论',1,2,'2024-06-25 17:44:42',0),
	(24,'WOF053600062-WOB00022','data_integrity_minute','f220a987f54248c1978153a2ce43225b','test',1,2,'2024-07-01 15:48:02',1),
	(25,'WOF053600062-WOB00022','data_integrity_minute','f60fdd4da1b34750b4d60879b0754f8b','test1',1,2,'2024-07-01 15:48:57',1),
	(26,'WOF053600062-WOB00022','data_integrity_minute','5f71bb5c3f4e443682f0a4b6b9fa4b5c','tes12',1,2,'2024-07-04 15:49:40',1),
	(27,'WOF053600062-WOB00022','data_integrity_minute','c3234d3d9591456db68766a7d5c6f7f1','csi',1,130,'2024-07-04 15:52:30',1),
	(28,'WOF053600062-WOB00022','data_integrity_minute','b78b2edd26b04dbd96124ac89c2aeb1e','test12',1,130,'2024-07-04 15:52:54',1),
	(29,'WOF053600062-WOB00022','data_integrity_minute','4a5af3f3cf084c86a55d57a96767e155','tes1212',1,130,'2024-07-04 15:53:27',1),
	(30,'WOF053600062-WOB00022','power_curve','8afca15ca801454682e66bbbe8ec3b33','7.16',1,2,'2024-07-16 10:00:13',0);

/*!40000 ALTER TABLE `analysis_comment_type_relation` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_diagram_relation
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_diagram_relation`;

CREATE TABLE `analysis_diagram_relation` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `field_engine_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风机编号',
  `analysis_type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `file_addr` varchar(650) NOT NULL COMMENT '分析结果地址minio',
  `auto_analysis` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否自动分析(0-否 1-是)',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析图表关系表 ';

LOCK TABLES `analysis_diagram_relation` WRITE;
/*!40000 ALTER TABLE `analysis_diagram_relation` DISABLE KEYS */;

INSERT INTO `analysis_diagram_relation` (`id`, `batch_code`, `field_engine_code`, `analysis_type_code`, `file_addr`, `auto_analysis`, `create_time`)
VALUES
	(1,'WOF053600062-WOB00022','WOG00066','data_integrity_minute','http://192.168.50.234:6900/wof063100040/WOF063100040-WOB00013/cp/manual/#F01.html',0,'2024-06-24 09:51:09'),
	(2,'WOF053600062-WOB00022','WOG00066','data_integrity_minute','http://192.168.50.234:6900/wof063100040/WOF063100040-WOB00013/cp/manual/#F01.png',0,'2024-06-24 09:53:47'),
	(3,'WOF085500002-WOB00002','WOG00366','wind_speed_frequency','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/wind_speed_frequency/manual/#F32.png',0,'2024-07-01 11:07:38'),
	(4,'WOF085500002-WOB00002','WOG00366','wind_speed_frequency','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/wind_speed_frequency/manual/#F32.html',0,'2024-07-01 11:07:38'),
	(5,'WOF085500002-WOB00002','WOG00368','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F11.png',0,'2024-07-03 11:34:14'),
	(6,'WOF085500002-WOB00002','WOG00368','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F11.html',0,'2024-07-03 11:34:14'),
	(7,'WOF085500002-WOB00002','WOG00364','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F30.png',0,'2024-07-03 11:34:14'),
	(8,'WOF085500002-WOB00002','WOG00364','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F30.html',0,'2024-07-03 11:34:14'),
	(9,'WOF085500002-WOB00002','WOG00365','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F31.png',0,'2024-07-03 11:34:14'),
	(10,'WOF085500002-WOB00002','WOG00365','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F31.html',0,'2024-07-03 11:34:14'),
	(11,'WOF085500002-WOB00002','WOG00367','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F33.png',0,'2024-07-03 11:34:14'),
	(12,'WOF085500002-WOB00002','WOG00367','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F33.html',0,'2024-07-03 11:34:14'),
	(13,'WOF085500002-WOB00002','WOG00368','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F11.png',0,'2024-07-03 11:34:14'),
	(14,'WOF085500002-WOB00002','WOG00368','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F11.html',0,'2024-07-03 11:34:14'),
	(15,'WOF085500002-WOB00002','WOG00364','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F30.png',0,'2024-07-03 11:34:14'),
	(16,'WOF085500002-WOB00002','WOG00364','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F30.html',0,'2024-07-03 11:34:14'),
	(17,'WOF085500002-WOB00002','WOG00365','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F31.png',0,'2024-07-03 11:34:14'),
	(18,'WOF085500002-WOB00002','WOG00365','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F31.html',0,'2024-07-03 11:34:14'),
	(19,'WOF085500002-WOB00002','WOG00367','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F33.png',0,'2024-07-03 11:34:14'),
	(20,'WOF085500002-WOB00002','WOG00367','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F33.html',0,'2024-07-03 11:34:14'),
	(21,'WOF085500002-WOB00002','WOG00368','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F11.png',0,'2024-07-03 13:32:23'),
	(22,'WOF085500002-WOB00002','WOG00368','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F11.html',0,'2024-07-03 13:32:23'),
	(23,'WOF085500002-WOB00002','WOG00364','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F30.png',0,'2024-07-03 13:32:23'),
	(24,'WOF085500002-WOB00002','WOG00364','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F30.html',0,'2024-07-03 13:32:23'),
	(25,'WOF085500002-WOB00002','WOG00365','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F31.png',0,'2024-07-03 13:32:23'),
	(26,'WOF085500002-WOB00002','WOG00365','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F31.html',0,'2024-07-03 13:32:23'),
	(27,'WOF085500002-WOB00002','WOG00367','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F33.png',0,'2024-07-03 13:32:23'),
	(28,'WOF085500002-WOB00002','WOG00367','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F33.html',0,'2024-07-03 13:32:23'),
	(29,'WOF085500002-WOB00002','WOG00364','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.png',0,'2024-07-03 14:27:56'),
	(30,'WOF085500002-WOB00002','WOG00364','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.html',0,'2024-07-03 14:27:56'),
	(31,'WOF085500002-WOB00002','WOG00365','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.png',0,'2024-07-03 14:27:56'),
	(32,'WOF085500002-WOB00002','WOG00365','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.html',0,'2024-07-03 14:27:56'),
	(33,'WOF085500002-WOB00002','WOG00364','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.png',0,'2024-07-03 14:31:42'),
	(34,'WOF085500002-WOB00002','WOG00364','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.html',0,'2024-07-03 14:31:42'),
	(35,'WOF085500002-WOB00002','WOG00365','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.png',0,'2024-07-03 14:31:42'),
	(36,'WOF085500002-WOB00002','WOG00365','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.html',0,'2024-07-03 14:31:42'),
	(37,'WOF085500002-WOB00002','WOG00364','tsr','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr/manual/F30.png',0,'2024-07-03 14:31:42'),
	(38,'WOF085500002-WOB00002','WOG00364','tsr','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr/manual/F30.html',0,'2024-07-03 14:31:42'),
	(39,'WOF085500002-WOB00002','WOG00365','tsr','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr/manual/F31.png',0,'2024-07-03 14:31:42'),
	(40,'WOF085500002-WOB00002','WOG00365','tsr','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr/manual/F31.html',0,'2024-07-03 14:31:42'),
	(41,'WOF085500002-WOB00002','WOG00364','tsr_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr_windspeed/manual/F30.png',0,'2024-07-03 14:31:42'),
	(42,'WOF085500002-WOB00002','WOG00364','tsr_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr_windspeed/manual/F30.html',0,'2024-07-03 14:31:42'),
	(43,'WOF085500002-WOB00002','WOG00365','tsr_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr_windspeed/manual/F31.png',0,'2024-07-03 14:31:42'),
	(44,'WOF085500002-WOB00002','WOG00365','tsr_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr_windspeed/manual/F31.html',0,'2024-07-03 14:31:42'),
	(45,'WOF085500002-WOB00002','WOG00364','tsr','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr/manual/F30.png',0,'2024-07-03 14:48:21'),
	(46,'WOF085500002-WOB00002','WOG00364','tsr','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr/manual/F30.html',0,'2024-07-03 14:48:21'),
	(47,'WOF085500002-WOB00002','WOG00365','tsr','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr/manual/F31.png',0,'2024-07-03 14:48:21'),
	(48,'WOF085500002-WOB00002','WOG00365','tsr','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr/manual/F31.html',0,'2024-07-03 14:48:21'),
	(49,'WOF085500002-WOB00002','WOG00364','tsr_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr_windspeed/manual/F30.png',0,'2024-07-03 14:48:21'),
	(50,'WOF085500002-WOB00002','WOG00364','tsr_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr_windspeed/manual/F30.html',0,'2024-07-03 14:48:21'),
	(51,'WOF085500002-WOB00002','WOG00365','tsr_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr_windspeed/manual/F31.png',0,'2024-07-03 14:48:21'),
	(52,'WOF085500002-WOB00002','WOG00365','tsr_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr_windspeed/manual/F31.html',0,'2024-07-03 14:48:21'),
	(53,'WOF085500002-WOB00002','WOG00364','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/speed_torque/manual/F30.png',0,'2024-07-03 14:54:55'),
	(54,'WOF085500002-WOB00002','WOG00364','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/speed_torque/manual/F30.html',0,'2024-07-03 14:54:55'),
	(55,'WOF085500002-WOB00002','WOG00365','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/speed_torque/manual/F31.png',0,'2024-07-03 14:54:55'),
	(56,'WOF085500002-WOB00002','WOG00365','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/speed_torque/manual/F31.html',0,'2024-07-03 14:54:55'),
	(57,'WOF085500002-WOB00002','WOG00364','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/speed_torque/manual/F30_3D.html',0,'2024-07-03 14:54:55'),
	(58,'WOF085500002-WOB00002','WOG00365','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/speed_torque/manual/F31_3D.html',0,'2024-07-03 14:54:55'),
	(59,'WOF085500002-WOB00002','WOG00364','min_pitch','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/min_pitch/manual/F30.png',0,'2024-07-03 14:54:55'),
	(60,'WOF085500002-WOB00002','WOG00364','min_pitch','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/min_pitch/manual/F30.html',0,'2024-07-03 14:54:55'),
	(61,'WOF085500002-WOB00002','WOG00365','min_pitch','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/min_pitch/manual/F31.png',0,'2024-07-03 14:54:55'),
	(62,'WOF085500002-WOB00002','WOG00365','min_pitch','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/min_pitch/manual/F31.html',0,'2024-07-03 14:54:55'),
	(63,'WOF085500002-WOB00002','WOG00364','pitch_generator_speed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_generator_speed/manual/F30.png',0,'2024-07-03 14:54:55'),
	(64,'WOF085500002-WOB00002','WOG00364','pitch_generator_speed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_generator_speed/manual/F30.html',0,'2024-07-03 14:54:55'),
	(65,'WOF085500002-WOB00002','WOG00365','pitch_generator_speed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_generator_speed/manual/F31.png',0,'2024-07-03 14:54:55'),
	(66,'WOF085500002-WOB00002','WOG00365','pitch_generator_speed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_generator_speed/manual/F31.html',0,'2024-07-03 14:54:55'),
	(67,'WOF085500002-WOB00002','WOG00368','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(68,'WOF085500002-WOB00002','WOG00368','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(69,'WOF085500002-WOB00002','WOG00368','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(70,'WOF085500002-WOB00002','WOG00368','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(71,'WOF085500002-WOB00002','WOG00368','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(72,'WOF085500002-WOB00002','WOG00364','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(73,'WOF085500002-WOB00002','WOG00364','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(74,'WOF085500002-WOB00002','WOG00364','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(75,'WOF085500002-WOB00002','WOG00364','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(76,'WOF085500002-WOB00002','WOG00364','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(77,'WOF085500002-WOB00002','WOG00365','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(78,'WOF085500002-WOB00002','WOG00365','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(79,'WOF085500002-WOB00002','WOG00365','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(80,'WOF085500002-WOB00002','WOG00365','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(81,'WOF085500002-WOB00002','WOG00365','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(82,'WOF085500002-WOB00002','WOG00367','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(83,'WOF085500002-WOB00002','WOG00367','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(84,'WOF085500002-WOB00002','WOG00367','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(85,'WOF085500002-WOB00002','WOG00367','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(86,'WOF085500002-WOB00002','WOG00367','pitch_tsr_cp','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/pitch_tsr_cp/manual/Cp_vs_TSR_Pitch_Categories.html',0,'2024-07-05 11:42:15'),
	(87,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.png',0,'2024-07-09 09:54:24'),
	(88,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.html',0,'2024-07-09 09:54:24'),
	(89,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.png',0,'2024-07-09 09:54:24'),
	(90,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.html',0,'2024-07-09 09:54:24'),
	(91,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.png',0,'2024-07-09 09:54:24'),
	(92,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.html',0,'2024-07-09 09:54:24'),
	(93,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.png',0,'2024-07-09 09:54:24'),
	(94,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.html',0,'2024-07-09 09:54:24'),
	(95,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.png',0,'2024-07-09 10:02:59'),
	(96,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.html',0,'2024-07-09 10:02:59'),
	(97,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.png',0,'2024-07-09 10:02:59'),
	(98,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.html',0,'2024-07-09 10:02:59'),
	(99,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.png',0,'2024-07-09 10:02:59'),
	(100,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.html',0,'2024-07-09 10:02:59'),
	(101,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.png',0,'2024-07-09 10:02:59'),
	(102,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.html',0,'2024-07-09 10:02:59'),
	(103,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.png',0,'2024-07-09 10:20:02'),
	(104,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.html',0,'2024-07-09 10:20:02'),
	(105,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.png',0,'2024-07-09 10:20:02'),
	(106,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.html',0,'2024-07-09 10:20:02'),
	(107,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.png',0,'2024-07-09 10:20:02'),
	(108,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.html',0,'2024-07-09 10:20:02'),
	(109,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.png',0,'2024-07-09 10:20:02'),
	(110,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.html',0,'2024-07-09 10:20:02'),
	(111,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.png',0,'2024-07-09 10:31:32'),
	(112,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.html',0,'2024-07-09 10:31:32'),
	(113,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.png',0,'2024-07-09 10:31:32'),
	(114,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.html',0,'2024-07-09 10:31:32'),
	(115,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.png',0,'2024-07-09 10:31:32'),
	(116,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.html',0,'2024-07-09 10:31:32'),
	(117,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.png',0,'2024-07-09 10:31:32'),
	(118,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.html',0,'2024-07-09 10:31:32'),
	(119,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.png',0,'2024-07-09 13:44:35'),
	(120,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.html',0,'2024-07-09 13:44:35'),
	(121,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.png',0,'2024-07-09 13:44:35'),
	(122,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.html',0,'2024-07-09 13:44:35'),
	(123,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.png',0,'2024-07-09 13:44:35'),
	(124,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.html',0,'2024-07-09 13:44:35'),
	(125,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.png',0,'2024-07-09 13:44:35'),
	(126,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.html',0,'2024-07-09 13:44:35'),
	(127,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.png',0,'2024-07-09 15:52:53'),
	(128,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.html',0,'2024-07-09 15:52:53'),
	(129,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.png',0,'2024-07-09 15:52:53'),
	(130,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.html',0,'2024-07-09 15:52:53'),
	(131,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.png',0,'2024-07-09 15:52:53'),
	(132,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.html',0,'2024-07-09 15:52:53'),
	(133,'WOF085500002-WOB00002','WOG00366','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F32.png',0,'2024-07-09 15:52:53'),
	(134,'WOF085500002-WOB00002','WOG00366','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F32.html',0,'2024-07-09 15:52:53'),
	(135,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.png',0,'2024-07-09 15:52:53'),
	(136,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.html',0,'2024-07-09 15:52:53'),
	(137,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.png',0,'2024-07-09 16:17:41'),
	(138,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.html',0,'2024-07-09 16:17:41'),
	(139,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.png',0,'2024-07-09 16:17:41'),
	(140,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.html',0,'2024-07-09 16:17:41'),
	(141,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.png',0,'2024-07-09 16:17:41'),
	(142,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.html',0,'2024-07-09 16:17:41'),
	(143,'WOF085500002-WOB00002','WOG00366','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F32.png',0,'2024-07-09 16:17:41'),
	(144,'WOF085500002-WOB00002','WOG00366','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F32.html',0,'2024-07-09 16:17:41'),
	(145,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.png',0,'2024-07-09 16:17:41'),
	(146,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.html',0,'2024-07-09 16:17:41'),
	(147,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.png',0,'2024-07-09 17:02:54'),
	(148,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.html',0,'2024-07-09 17:02:54'),
	(149,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.png',0,'2024-07-09 17:02:54'),
	(150,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.html',0,'2024-07-09 17:02:54'),
	(151,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.png',0,'2024-07-09 17:02:54'),
	(152,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.html',0,'2024-07-09 17:02:54'),
	(153,'WOF085500002-WOB00002','WOG00366','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F32.png',0,'2024-07-09 17:02:54'),
	(154,'WOF085500002-WOB00002','WOG00366','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F32.html',0,'2024-07-09 17:02:54'),
	(155,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.png',0,'2024-07-09 17:02:54'),
	(156,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.html',0,'2024-07-09 17:02:54'),
	(157,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.png',0,'2024-07-09 17:02:54'),
	(158,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.html',0,'2024-07-09 17:02:54'),
	(159,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.png',0,'2024-07-09 17:02:54'),
	(160,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.html',0,'2024-07-09 17:02:54'),
	(161,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.png',0,'2024-07-09 17:02:54'),
	(162,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.html',0,'2024-07-09 17:02:54'),
	(163,'WOF085500002-WOB00002','WOG00366','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F32.png',0,'2024-07-09 17:02:54'),
	(164,'WOF085500002-WOB00002','WOG00366','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F32.html',0,'2024-07-09 17:02:54'),
	(165,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.png',0,'2024-07-09 17:02:54'),
	(166,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.html',0,'2024-07-09 17:02:54'),
	(167,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.png',0,'2024-07-09 17:22:19'),
	(168,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.html',0,'2024-07-09 17:22:19'),
	(169,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.png',0,'2024-07-09 17:22:19'),
	(170,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.html',0,'2024-07-09 17:22:19'),
	(171,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.png',0,'2024-07-09 17:22:19'),
	(172,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.html',0,'2024-07-09 17:22:19'),
	(173,'WOF085500002-WOB00002','WOG00366','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F32.png',0,'2024-07-09 17:22:19'),
	(174,'WOF085500002-WOB00002','WOG00366','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F32.html',0,'2024-07-09 17:22:19'),
	(175,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.png',0,'2024-07-09 17:22:19'),
	(176,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.html',0,'2024-07-09 17:22:19'),
	(177,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.png',0,'2024-07-09 17:22:19'),
	(178,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.html',0,'2024-07-09 17:22:19'),
	(179,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.png',0,'2024-07-09 17:22:19'),
	(180,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.html',0,'2024-07-09 17:22:19'),
	(181,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.png',0,'2024-07-09 17:22:19'),
	(182,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.html',0,'2024-07-09 17:22:19'),
	(183,'WOF085500002-WOB00002','WOG00366','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F32.png',0,'2024-07-09 17:22:19'),
	(184,'WOF085500002-WOB00002','WOG00366','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F32.html',0,'2024-07-09 17:22:19'),
	(185,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.png',0,'2024-07-09 17:22:19'),
	(186,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.html',0,'2024-07-09 17:22:19'),
	(187,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.png',0,'2024-07-10 10:44:20'),
	(188,'WOF085500002-WOB00002','WOG00368','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F11.html',0,'2024-07-10 10:44:20'),
	(189,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.png',0,'2024-07-10 10:44:20'),
	(190,'WOF085500002-WOB00002','WOG00364','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F30.html',0,'2024-07-10 10:44:20'),
	(191,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.png',0,'2024-07-10 10:44:20'),
	(192,'WOF085500002-WOB00002','WOG00365','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F31.html',0,'2024-07-10 10:44:20'),
	(193,'WOF085500002-WOB00002','WOG00366','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F32.png',0,'2024-07-10 10:44:20'),
	(194,'WOF085500002-WOB00002','WOG00366','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F32.html',0,'2024-07-10 10:44:20'),
	(195,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.png',0,'2024-07-10 10:44:20'),
	(196,'WOF085500002-WOB00002','WOG00367','cp','wof085500002/WOF085500002-WOB00002/cp/manual/F33.html',0,'2024-07-10 10:44:20'),
	(197,'WOF085500002-WOB00002','WOG00368','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F11.png',0,'2024-07-10 10:44:20'),
	(198,'WOF085500002-WOB00002','WOG00368','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F11.html',0,'2024-07-10 10:44:20'),
	(199,'WOF085500002-WOB00002','WOG00364','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F30.png',0,'2024-07-10 10:44:20'),
	(200,'WOF085500002-WOB00002','WOG00364','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F30.html',0,'2024-07-10 10:44:20'),
	(201,'WOF085500002-WOB00002','WOG00365','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F31.png',0,'2024-07-10 10:44:20'),
	(202,'WOF085500002-WOB00002','WOG00365','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F31.html',0,'2024-07-10 10:44:20'),
	(203,'WOF085500002-WOB00002','WOG00366','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F32.png',0,'2024-07-10 10:44:20'),
	(204,'WOF085500002-WOB00002','WOG00366','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F32.html',0,'2024-07-10 10:44:20'),
	(205,'WOF085500002-WOB00002','WOG00367','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F33.png',0,'2024-07-10 10:44:20'),
	(206,'WOF085500002-WOB00002','WOG00367','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/F33.html',0,'2024-07-10 10:44:20'),
	(207,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.png',0,'2024-07-10 10:44:20'),
	(208,'WOF085500002-WOB00002','WOG00368','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F11.html',0,'2024-07-10 10:44:20'),
	(209,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.png',0,'2024-07-10 10:44:20'),
	(210,'WOF085500002-WOB00002','WOG00364','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F30.html',0,'2024-07-10 10:44:20'),
	(211,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.png',0,'2024-07-10 10:44:20'),
	(212,'WOF085500002-WOB00002','WOG00365','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F31.html',0,'2024-07-10 10:44:20'),
	(213,'WOF085500002-WOB00002','WOG00366','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F32.png',0,'2024-07-10 10:44:20'),
	(214,'WOF085500002-WOB00002','WOG00366','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F32.html',0,'2024-07-10 10:44:20'),
	(215,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.png',0,'2024-07-10 10:44:20'),
	(216,'WOF085500002-WOB00002','WOG00367','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/F33.html',0,'2024-07-10 10:44:20'),
	(217,'WOF053600062-WOB00022','WOG00066','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1.png',0,'2024-07-10 10:44:20'),
	(218,'WOF053600062-WOB00022','WOG00066','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1.html',0,'2024-07-10 10:44:20'),
	(219,'WOF053600062-WOB00022','WOG00067','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F02.png',0,'2024-07-10 10:44:20'),
	(220,'WOF053600062-WOB00022','WOG00067','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F02.html',0,'2024-07-10 10:44:20'),
	(221,'WOF053600062-WOB00022','WOG00068','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F03.png',0,'2024-07-10 10:44:20'),
	(222,'WOF053600062-WOB00022','WOG00068','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F03.html',0,'2024-07-10 10:44:20'),
	(223,'WOF053600062-WOB00022','WOG00069','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F04.png',0,'2024-07-10 10:44:20'),
	(224,'WOF053600062-WOB00022','WOG00069','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F04.html',0,'2024-07-10 10:44:20'),
	(225,'WOF053600062-WOB00022','WOG00070','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F05.png',0,'2024-07-10 10:44:20'),
	(226,'WOF053600062-WOB00022','WOG00070','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F05.html',0,'2024-07-10 10:44:20'),
	(227,'WOF053600062-WOB00022','WOG00071','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F06.png',0,'2024-07-10 10:44:20'),
	(228,'WOF053600062-WOB00022','WOG00071','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F06.html',0,'2024-07-10 10:44:20'),
	(229,'WOF053600062-WOB00022','WOG00072','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F07.png',0,'2024-07-10 10:44:20'),
	(230,'WOF053600062-WOB00022','WOG00072','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F07.html',0,'2024-07-10 10:44:20'),
	(231,'WOF053600062-WOB00022','WOG00073','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F08.png',0,'2024-07-10 10:44:20'),
	(232,'WOF053600062-WOB00022','WOG00073','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F08.html',0,'2024-07-10 10:44:20'),
	(233,'WOF053600062-WOB00022','WOG00074','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F09.png',0,'2024-07-10 10:44:20'),
	(234,'WOF053600062-WOB00022','WOG00074','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F09.html',0,'2024-07-10 10:44:20'),
	(235,'WOF053600062-WOB00022','WOG00075','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F10.png',0,'2024-07-10 10:44:20'),
	(236,'WOF053600062-WOB00022','WOG00075','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F10.html',0,'2024-07-10 10:44:20'),
	(237,'WOF053600062-WOB00022','WOG00076','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F11.png',0,'2024-07-10 10:44:20'),
	(238,'WOF053600062-WOB00022','WOG00076','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F11.html',0,'2024-07-10 10:44:20'),
	(239,'WOF053600062-WOB00022','WOG00077','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F12.png',0,'2024-07-10 10:44:20'),
	(240,'WOF053600062-WOB00022','WOG00077','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F12.html',0,'2024-07-10 10:44:20'),
	(241,'WOF053600062-WOB00022','WOG00078','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F13.png',0,'2024-07-10 10:44:20'),
	(242,'WOF053600062-WOB00022','WOG00078','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F13.html',0,'2024-07-10 10:44:20'),
	(243,'WOF053600062-WOB00022','WOG00079','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F14.png',0,'2024-07-10 10:44:20'),
	(244,'WOF053600062-WOB00022','WOG00079','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F14.html',0,'2024-07-10 10:44:20'),
	(245,'WOF053600062-WOB00022','WOG00080','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F15.png',0,'2024-07-10 10:44:20'),
	(246,'WOF053600062-WOB00022','WOG00080','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F15.html',0,'2024-07-10 10:44:20'),
	(247,'WOF053600062-WOB00022','WOG00081','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F16.png',0,'2024-07-10 10:44:20'),
	(248,'WOF053600062-WOB00022','WOG00081','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F16.html',0,'2024-07-10 10:44:20'),
	(249,'WOF053600062-WOB00022','WOG00082','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F17.png',0,'2024-07-10 10:44:20'),
	(250,'WOF053600062-WOB00022','WOG00082','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F17.html',0,'2024-07-10 10:44:20'),
	(251,'WOF053600062-WOB00022','WOG00083','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F18.png',0,'2024-07-10 10:44:20'),
	(252,'WOF053600062-WOB00022','WOG00083','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F18.html',0,'2024-07-10 10:44:20'),
	(253,'WOF053600062-WOB00022','WOG00084','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F19.png',0,'2024-07-10 10:44:20'),
	(254,'WOF053600062-WOB00022','WOG00084','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F19.html',0,'2024-07-10 10:44:20'),
	(255,'WOF053600062-WOB00022','WOG00085','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F20.png',0,'2024-07-10 10:44:20'),
	(256,'WOF053600062-WOB00022','WOG00085','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F20.html',0,'2024-07-10 10:44:20'),
	(257,'WOF053600062-WOB00022','WOG00086','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F21.png',0,'2024-07-10 10:44:20'),
	(258,'WOF053600062-WOB00022','WOG00086','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F21.html',0,'2024-07-10 10:44:20'),
	(259,'WOF053600062-WOB00022','WOG00087','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F22.png',0,'2024-07-10 10:44:20'),
	(260,'WOF053600062-WOB00022','WOG00087','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F22.html',0,'2024-07-10 10:44:20'),
	(261,'WOF053600062-WOB00022','WOG00088','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F23.png',0,'2024-07-10 10:44:20'),
	(262,'WOF053600062-WOB00022','WOG00088','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F23.html',0,'2024-07-10 10:44:20'),
	(263,'WOF053600062-WOB00022','WOG00089','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F24.png',0,'2024-07-10 10:44:20'),
	(264,'WOF053600062-WOB00022','WOG00089','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F24.html',0,'2024-07-10 10:44:20'),
	(265,'WOF053600062-WOB00022','WOG00090','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F25.png',0,'2024-07-10 10:44:20'),
	(266,'WOF053600062-WOB00022','WOG00090','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F25.html',0,'2024-07-10 10:44:20'),
	(267,'WOF053600062-WOB00022','WOG00091','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F26.png',0,'2024-07-10 10:44:20'),
	(268,'WOF053600062-WOB00022','WOG00091','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F26.html',0,'2024-07-10 10:44:20'),
	(269,'WOF053600062-WOB00022','WOG00092','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F27.png',0,'2024-07-10 10:44:20'),
	(270,'WOF053600062-WOB00022','WOG00092','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F27.html',0,'2024-07-10 10:44:20'),
	(271,'WOF053600062-WOB00022','WOG00093','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F28.png',0,'2024-07-10 10:44:20'),
	(272,'WOF053600062-WOB00022','WOG00093','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F28.html',0,'2024-07-10 10:44:20'),
	(273,'WOF053600062-WOB00022','WOG00094','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F29.png',0,'2024-07-10 10:44:20'),
	(274,'WOF053600062-WOB00022','WOG00094','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F29.html',0,'2024-07-10 10:44:20'),
	(275,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.png',0,'2024-07-10 10:44:20'),
	(276,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.html',0,'2024-07-10 10:44:20'),
	(277,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.png',0,'2024-07-10 10:44:20'),
	(278,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.html',0,'2024-07-10 10:44:20'),
	(279,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.png',0,'2024-07-10 10:44:20'),
	(280,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.html',0,'2024-07-10 10:44:20'),
	(281,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.png',0,'2024-07-10 10:44:20'),
	(282,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.html',0,'2024-07-10 10:44:20'),
	(283,'WOF053600062-WOB00022','WOG00066','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1.png',0,'2024-07-10 10:44:20'),
	(284,'WOF053600062-WOB00022','WOG00066','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1.html',0,'2024-07-10 10:44:20'),
	(285,'WOF053600062-WOB00022','WOG00067','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F02.png',0,'2024-07-10 10:44:20'),
	(286,'WOF053600062-WOB00022','WOG00067','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F02.html',0,'2024-07-10 10:44:20'),
	(287,'WOF053600062-WOB00022','WOG00068','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F03.png',0,'2024-07-10 10:44:20'),
	(288,'WOF053600062-WOB00022','WOG00068','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F03.html',0,'2024-07-10 10:44:20'),
	(289,'WOF053600062-WOB00022','WOG00069','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F04.png',0,'2024-07-10 10:44:20'),
	(290,'WOF053600062-WOB00022','WOG00069','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F04.html',0,'2024-07-10 10:44:20'),
	(291,'WOF053600062-WOB00022','WOG00070','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F05.png',0,'2024-07-10 10:44:20'),
	(292,'WOF053600062-WOB00022','WOG00070','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F05.html',0,'2024-07-10 10:44:20'),
	(293,'WOF053600062-WOB00022','WOG00071','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F06.png',0,'2024-07-10 10:44:20'),
	(294,'WOF053600062-WOB00022','WOG00071','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F06.html',0,'2024-07-10 10:44:20'),
	(295,'WOF053600062-WOB00022','WOG00072','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F07.png',0,'2024-07-10 10:44:20'),
	(296,'WOF053600062-WOB00022','WOG00072','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F07.html',0,'2024-07-10 10:44:20'),
	(297,'WOF053600062-WOB00022','WOG00073','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F08.png',0,'2024-07-10 10:44:20'),
	(298,'WOF053600062-WOB00022','WOG00073','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F08.html',0,'2024-07-10 10:44:20'),
	(299,'WOF053600062-WOB00022','WOG00074','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F09.png',0,'2024-07-10 10:44:20'),
	(300,'WOF053600062-WOB00022','WOG00074','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F09.html',0,'2024-07-10 10:44:20'),
	(301,'WOF053600062-WOB00022','WOG00075','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F10.png',0,'2024-07-10 10:44:20'),
	(302,'WOF053600062-WOB00022','WOG00075','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F10.html',0,'2024-07-10 10:44:20'),
	(303,'WOF053600062-WOB00022','WOG00076','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F11.png',0,'2024-07-10 10:44:20'),
	(304,'WOF053600062-WOB00022','WOG00076','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F11.html',0,'2024-07-10 10:44:20'),
	(305,'WOF053600062-WOB00022','WOG00077','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F12.png',0,'2024-07-10 10:44:20'),
	(306,'WOF053600062-WOB00022','WOG00077','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F12.html',0,'2024-07-10 10:44:20'),
	(307,'WOF053600062-WOB00022','WOG00078','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F13.png',0,'2024-07-10 10:44:20'),
	(308,'WOF053600062-WOB00022','WOG00078','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F13.html',0,'2024-07-10 10:44:20'),
	(309,'WOF053600062-WOB00022','WOG00079','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F14.png',0,'2024-07-10 10:44:20'),
	(310,'WOF053600062-WOB00022','WOG00079','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F14.html',0,'2024-07-10 10:44:20'),
	(311,'WOF053600062-WOB00022','WOG00080','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F15.png',0,'2024-07-10 10:44:20'),
	(312,'WOF053600062-WOB00022','WOG00080','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F15.html',0,'2024-07-10 10:44:20'),
	(313,'WOF053600062-WOB00022','WOG00081','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F16.png',0,'2024-07-10 10:44:20'),
	(314,'WOF053600062-WOB00022','WOG00081','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F16.html',0,'2024-07-10 10:44:20'),
	(315,'WOF053600062-WOB00022','WOG00082','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F17.png',0,'2024-07-10 10:44:20'),
	(316,'WOF053600062-WOB00022','WOG00082','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F17.html',0,'2024-07-10 10:44:20'),
	(317,'WOF053600062-WOB00022','WOG00083','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F18.png',0,'2024-07-10 10:44:20'),
	(318,'WOF053600062-WOB00022','WOG00083','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F18.html',0,'2024-07-10 10:44:20'),
	(319,'WOF053600062-WOB00022','WOG00084','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F19.png',0,'2024-07-10 10:44:20'),
	(320,'WOF053600062-WOB00022','WOG00084','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F19.html',0,'2024-07-10 10:44:20'),
	(321,'WOF053600062-WOB00022','WOG00085','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F20.png',0,'2024-07-10 10:44:20'),
	(322,'WOF053600062-WOB00022','WOG00085','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F20.html',0,'2024-07-10 10:44:20'),
	(323,'WOF053600062-WOB00022','WOG00086','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F21.png',0,'2024-07-10 10:44:20'),
	(324,'WOF053600062-WOB00022','WOG00086','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F21.html',0,'2024-07-10 10:44:20'),
	(325,'WOF053600062-WOB00022','WOG00087','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F22.png',0,'2024-07-10 10:44:20'),
	(326,'WOF053600062-WOB00022','WOG00087','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F22.html',0,'2024-07-10 10:44:20'),
	(327,'WOF053600062-WOB00022','WOG00088','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F23.png',0,'2024-07-10 10:44:20'),
	(328,'WOF053600062-WOB00022','WOG00088','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F23.html',0,'2024-07-10 10:44:20'),
	(329,'WOF053600062-WOB00022','WOG00089','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F24.png',0,'2024-07-10 10:44:20'),
	(330,'WOF053600062-WOB00022','WOG00089','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F24.html',0,'2024-07-10 10:44:20'),
	(331,'WOF053600062-WOB00022','WOG00090','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F25.png',0,'2024-07-10 10:44:20'),
	(332,'WOF053600062-WOB00022','WOG00090','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F25.html',0,'2024-07-10 10:44:20'),
	(333,'WOF053600062-WOB00022','WOG00091','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F26.png',0,'2024-07-10 10:44:20'),
	(334,'WOF053600062-WOB00022','WOG00091','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F26.html',0,'2024-07-10 10:44:20'),
	(335,'WOF053600062-WOB00022','WOG00092','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F27.png',0,'2024-07-10 10:44:20'),
	(336,'WOF053600062-WOB00022','WOG00092','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F27.html',0,'2024-07-10 10:44:20'),
	(337,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.png',0,'2024-07-10 10:44:20'),
	(338,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.html',0,'2024-07-10 10:44:20'),
	(339,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.png',0,'2024-07-10 10:44:20'),
	(340,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.html',0,'2024-07-10 10:44:20'),
	(341,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.png',0,'2024-07-10 10:44:20'),
	(342,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.html',0,'2024-07-10 10:44:20'),
	(343,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.png',0,'2024-07-10 10:44:20'),
	(344,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.html',0,'2024-07-10 10:44:20'),
	(345,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.png',0,'2024-07-10 10:44:20'),
	(346,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.html',0,'2024-07-10 10:44:20'),
	(347,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.png',0,'2024-07-10 10:44:20'),
	(348,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.html',0,'2024-07-10 10:44:20'),
	(349,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1.png',0,'2024-07-10 10:44:20'),
	(350,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1.html',0,'2024-07-10 10:44:20'),
	(351,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F02.png',0,'2024-07-10 10:44:20'),
	(352,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F02.html',0,'2024-07-10 10:44:20'),
	(353,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.png',0,'2024-07-10 10:44:20'),
	(354,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.html',0,'2024-07-10 10:44:20'),
	(355,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.png',0,'2024-07-10 10:44:20'),
	(356,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.html',0,'2024-07-10 10:44:20'),
	(357,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.png',0,'2024-07-10 10:44:20'),
	(358,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.html',0,'2024-07-10 10:44:20'),
	(359,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.png',0,'2024-07-10 10:44:20'),
	(360,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.html',0,'2024-07-10 10:44:20'),
	(361,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.png',0,'2024-07-10 10:44:20'),
	(362,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.html',0,'2024-07-10 10:44:20'),
	(363,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.png',0,'2024-07-10 10:44:20'),
	(364,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.html',0,'2024-07-10 10:44:20'),
	(365,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.png',0,'2024-07-10 10:44:20'),
	(366,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.html',0,'2024-07-10 10:44:20'),
	(367,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.png',0,'2024-07-10 10:44:20'),
	(368,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.html',0,'2024-07-10 10:44:20'),
	(369,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.png',0,'2024-07-10 10:44:20'),
	(370,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.html',0,'2024-07-10 10:44:20'),
	(371,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.png',0,'2024-07-10 10:44:20'),
	(372,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.html',0,'2024-07-10 10:44:20'),
	(373,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.png',0,'2024-07-10 10:44:20'),
	(374,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.html',0,'2024-07-10 10:44:20'),
	(375,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.png',0,'2024-07-10 10:44:20'),
	(376,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.html',0,'2024-07-10 10:44:20'),
	(377,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.png',0,'2024-07-10 10:44:20'),
	(378,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.html',0,'2024-07-10 10:44:20'),
	(379,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.png',0,'2024-07-10 10:44:20'),
	(380,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.html',0,'2024-07-10 10:44:20'),
	(381,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.png',0,'2024-07-10 10:44:20'),
	(382,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.html',0,'2024-07-10 10:44:20'),
	(383,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.png',0,'2024-07-10 10:44:20'),
	(384,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.html',0,'2024-07-10 10:44:20'),
	(385,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.png',0,'2024-07-10 10:44:20'),
	(386,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.html',0,'2024-07-10 10:44:20'),
	(387,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.png',0,'2024-07-10 10:44:20'),
	(388,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.html',0,'2024-07-10 10:44:20'),
	(389,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.png',0,'2024-07-10 10:44:20'),
	(390,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.html',0,'2024-07-10 10:44:20'),
	(391,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.png',0,'2024-07-10 10:44:20'),
	(392,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.html',0,'2024-07-10 10:44:20'),
	(393,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.png',0,'2024-07-10 10:44:20'),
	(394,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.html',0,'2024-07-10 10:44:20'),
	(395,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.png',0,'2024-07-10 10:44:20'),
	(396,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.html',0,'2024-07-10 10:44:20'),
	(397,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.png',0,'2024-07-10 10:44:20'),
	(398,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.html',0,'2024-07-10 10:44:20'),
	(399,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.png',0,'2024-07-10 10:44:20'),
	(400,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.html',0,'2024-07-10 10:44:20'),
	(401,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.png',0,'2024-07-10 10:44:20'),
	(402,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.html',0,'2024-07-10 10:44:20'),
	(403,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.png',0,'2024-07-10 10:44:20'),
	(404,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.html',0,'2024-07-10 10:44:20'),
	(405,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.png',0,'2024-07-10 10:44:20'),
	(406,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.html',0,'2024-07-10 10:44:20'),
	(407,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.png',0,'2024-07-10 10:44:20'),
	(408,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.html',0,'2024-07-10 10:44:20'),
	(409,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.png',0,'2024-07-10 10:44:20'),
	(410,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.html',0,'2024-07-10 10:44:20'),
	(411,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.png',0,'2024-07-10 10:44:20'),
	(412,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.html',0,'2024-07-10 10:44:20'),
	(413,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.png',0,'2024-07-10 10:44:20'),
	(414,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.html',0,'2024-07-10 10:44:20'),
	(415,'WOF053600062-WOB00022','WOG00066','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1.png',0,'2024-07-10 11:24:08'),
	(416,'WOF053600062-WOB00022','WOG00066','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1.html',0,'2024-07-10 11:24:08'),
	(417,'WOF053600062-WOB00022','WOG00067','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F02.png',0,'2024-07-10 11:24:08'),
	(418,'WOF053600062-WOB00022','WOG00067','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F02.html',0,'2024-07-10 11:24:08'),
	(419,'WOF053600062-WOB00022','WOG00068','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F03.png',0,'2024-07-10 11:24:08'),
	(420,'WOF053600062-WOB00022','WOG00068','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F03.html',0,'2024-07-10 11:24:08'),
	(421,'WOF053600062-WOB00022','WOG00069','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F04.png',0,'2024-07-10 11:24:08'),
	(422,'WOF053600062-WOB00022','WOG00069','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F04.html',0,'2024-07-10 11:24:08'),
	(423,'WOF053600062-WOB00022','WOG00070','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F05.png',0,'2024-07-10 11:24:08'),
	(424,'WOF053600062-WOB00022','WOG00070','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F05.html',0,'2024-07-10 11:24:08'),
	(425,'WOF053600062-WOB00022','WOG00071','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F06.png',0,'2024-07-10 11:24:08'),
	(426,'WOF053600062-WOB00022','WOG00071','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F06.html',0,'2024-07-10 11:24:08'),
	(427,'WOF053600062-WOB00022','WOG00072','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F07.png',0,'2024-07-10 11:24:08'),
	(428,'WOF053600062-WOB00022','WOG00072','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F07.html',0,'2024-07-10 11:24:08'),
	(429,'WOF053600062-WOB00022','WOG00073','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F08.png',0,'2024-07-10 11:24:08'),
	(430,'WOF053600062-WOB00022','WOG00073','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F08.html',0,'2024-07-10 11:24:08'),
	(431,'WOF053600062-WOB00022','WOG00074','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F09.png',0,'2024-07-10 11:24:08'),
	(432,'WOF053600062-WOB00022','WOG00074','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F09.html',0,'2024-07-10 11:24:08'),
	(433,'WOF053600062-WOB00022','WOG00075','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F10.png',0,'2024-07-10 11:24:08'),
	(434,'WOF053600062-WOB00022','WOG00075','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F10.html',0,'2024-07-10 11:24:08'),
	(435,'WOF053600062-WOB00022','WOG00076','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F11.png',0,'2024-07-10 11:24:08'),
	(436,'WOF053600062-WOB00022','WOG00076','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F11.html',0,'2024-07-10 11:24:08'),
	(437,'WOF053600062-WOB00022','WOG00077','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F12.png',0,'2024-07-10 11:24:08'),
	(438,'WOF053600062-WOB00022','WOG00077','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F12.html',0,'2024-07-10 11:24:08'),
	(439,'WOF053600062-WOB00022','WOG00078','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F13.png',0,'2024-07-10 11:24:08'),
	(440,'WOF053600062-WOB00022','WOG00078','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F13.html',0,'2024-07-10 11:24:08'),
	(441,'WOF053600062-WOB00022','WOG00079','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F14.png',0,'2024-07-10 11:24:08'),
	(442,'WOF053600062-WOB00022','WOG00079','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F14.html',0,'2024-07-10 11:24:08'),
	(443,'WOF053600062-WOB00022','WOG00080','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F15.png',0,'2024-07-10 11:24:08'),
	(444,'WOF053600062-WOB00022','WOG00080','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F15.html',0,'2024-07-10 11:24:08'),
	(445,'WOF053600062-WOB00022','WOG00081','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F16.png',0,'2024-07-10 11:24:08'),
	(446,'WOF053600062-WOB00022','WOG00081','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F16.html',0,'2024-07-10 11:24:08'),
	(447,'WOF053600062-WOB00022','WOG00082','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F17.png',0,'2024-07-10 11:24:08'),
	(448,'WOF053600062-WOB00022','WOG00082','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F17.html',0,'2024-07-10 11:24:08'),
	(449,'WOF053600062-WOB00022','WOG00083','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F18.png',0,'2024-07-10 11:24:08'),
	(450,'WOF053600062-WOB00022','WOG00083','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F18.html',0,'2024-07-10 11:24:08'),
	(451,'WOF053600062-WOB00022','WOG00084','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F19.png',0,'2024-07-10 11:24:08'),
	(452,'WOF053600062-WOB00022','WOG00084','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F19.html',0,'2024-07-10 11:24:08'),
	(453,'WOF053600062-WOB00022','WOG00085','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F20.png',0,'2024-07-10 11:24:08'),
	(454,'WOF053600062-WOB00022','WOG00085','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F20.html',0,'2024-07-10 11:24:08'),
	(455,'WOF053600062-WOB00022','WOG00086','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F21.png',0,'2024-07-10 11:24:08'),
	(456,'WOF053600062-WOB00022','WOG00086','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F21.html',0,'2024-07-10 11:24:08'),
	(457,'WOF053600062-WOB00022','WOG00087','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F22.png',0,'2024-07-10 11:24:08'),
	(458,'WOF053600062-WOB00022','WOG00087','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F22.html',0,'2024-07-10 11:24:08'),
	(459,'WOF053600062-WOB00022','WOG00088','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F23.png',0,'2024-07-10 11:24:08'),
	(460,'WOF053600062-WOB00022','WOG00088','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F23.html',0,'2024-07-10 11:24:08'),
	(461,'WOF053600062-WOB00022','WOG00089','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F24.png',0,'2024-07-10 11:24:08'),
	(462,'WOF053600062-WOB00022','WOG00089','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F24.html',0,'2024-07-10 11:24:08'),
	(463,'WOF053600062-WOB00022','WOG00090','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F25.png',0,'2024-07-10 11:24:08'),
	(464,'WOF053600062-WOB00022','WOG00090','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F25.html',0,'2024-07-10 11:24:08'),
	(465,'WOF053600062-WOB00022','WOG00091','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F26.png',0,'2024-07-10 11:24:08'),
	(466,'WOF053600062-WOB00022','WOG00091','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F26.html',0,'2024-07-10 11:24:08'),
	(467,'WOF053600062-WOB00022','WOG00092','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F27.png',0,'2024-07-10 11:24:08'),
	(468,'WOF053600062-WOB00022','WOG00092','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F27.html',0,'2024-07-10 11:24:08'),
	(469,'WOF053600062-WOB00022','WOG00093','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F28.png',0,'2024-07-10 11:24:08'),
	(470,'WOF053600062-WOB00022','WOG00093','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F28.html',0,'2024-07-10 11:24:08'),
	(471,'WOF053600062-WOB00022','WOG00094','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F29.png',0,'2024-07-10 11:24:08'),
	(472,'WOF053600062-WOB00022','WOG00094','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F29.html',0,'2024-07-10 11:24:08'),
	(473,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.png',0,'2024-07-10 11:24:08'),
	(474,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.html',0,'2024-07-10 11:24:08'),
	(475,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.png',0,'2024-07-10 11:24:08'),
	(476,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.html',0,'2024-07-10 11:24:08'),
	(477,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.png',0,'2024-07-10 11:24:08'),
	(478,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.html',0,'2024-07-10 11:24:08'),
	(479,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.png',0,'2024-07-10 11:24:08'),
	(480,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.html',0,'2024-07-10 11:24:08'),
	(481,'WOF053600062-WOB00022','WOG00066','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1.png',0,'2024-07-10 11:24:08'),
	(482,'WOF053600062-WOB00022','WOG00066','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1.html',0,'2024-07-10 11:24:08'),
	(483,'WOF053600062-WOB00022','WOG00067','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F02.png',0,'2024-07-10 11:24:08'),
	(484,'WOF053600062-WOB00022','WOG00067','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F02.html',0,'2024-07-10 11:24:08'),
	(485,'WOF053600062-WOB00022','WOG00068','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F03.png',0,'2024-07-10 11:24:08'),
	(486,'WOF053600062-WOB00022','WOG00068','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F03.html',0,'2024-07-10 11:24:08'),
	(487,'WOF053600062-WOB00022','WOG00069','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F04.png',0,'2024-07-10 11:24:08'),
	(488,'WOF053600062-WOB00022','WOG00069','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F04.html',0,'2024-07-10 11:24:08'),
	(489,'WOF053600062-WOB00022','WOG00070','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F05.png',0,'2024-07-10 11:24:08'),
	(490,'WOF053600062-WOB00022','WOG00070','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F05.html',0,'2024-07-10 11:24:08'),
	(491,'WOF053600062-WOB00022','WOG00071','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F06.png',0,'2024-07-10 11:24:08'),
	(492,'WOF053600062-WOB00022','WOG00071','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F06.html',0,'2024-07-10 11:24:08'),
	(493,'WOF053600062-WOB00022','WOG00072','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F07.png',0,'2024-07-10 11:24:08'),
	(494,'WOF053600062-WOB00022','WOG00072','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F07.html',0,'2024-07-10 11:24:08'),
	(495,'WOF053600062-WOB00022','WOG00073','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F08.png',0,'2024-07-10 11:24:08'),
	(496,'WOF053600062-WOB00022','WOG00073','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F08.html',0,'2024-07-10 11:24:08'),
	(497,'WOF053600062-WOB00022','WOG00074','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F09.png',0,'2024-07-10 11:24:08'),
	(498,'WOF053600062-WOB00022','WOG00074','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F09.html',0,'2024-07-10 11:24:08'),
	(499,'WOF053600062-WOB00022','WOG00075','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F10.png',0,'2024-07-10 11:24:08'),
	(500,'WOF053600062-WOB00022','WOG00075','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F10.html',0,'2024-07-10 11:24:08'),
	(501,'WOF053600062-WOB00022','WOG00076','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F11.png',0,'2024-07-10 11:24:08'),
	(502,'WOF053600062-WOB00022','WOG00076','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F11.html',0,'2024-07-10 11:24:08'),
	(503,'WOF053600062-WOB00022','WOG00077','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F12.png',0,'2024-07-10 11:24:08'),
	(504,'WOF053600062-WOB00022','WOG00077','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F12.html',0,'2024-07-10 11:24:08'),
	(505,'WOF053600062-WOB00022','WOG00078','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F13.png',0,'2024-07-10 11:24:08'),
	(506,'WOF053600062-WOB00022','WOG00078','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F13.html',0,'2024-07-10 11:24:08'),
	(507,'WOF053600062-WOB00022','WOG00079','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F14.png',0,'2024-07-10 11:24:08'),
	(508,'WOF053600062-WOB00022','WOG00079','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F14.html',0,'2024-07-10 11:24:08'),
	(509,'WOF053600062-WOB00022','WOG00080','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F15.png',0,'2024-07-10 11:24:08'),
	(510,'WOF053600062-WOB00022','WOG00080','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F15.html',0,'2024-07-10 11:24:08'),
	(511,'WOF053600062-WOB00022','WOG00081','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F16.png',0,'2024-07-10 11:24:08'),
	(512,'WOF053600062-WOB00022','WOG00081','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F16.html',0,'2024-07-10 11:24:08'),
	(513,'WOF053600062-WOB00022','WOG00082','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F17.png',0,'2024-07-10 11:24:08'),
	(514,'WOF053600062-WOB00022','WOG00082','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F17.html',0,'2024-07-10 11:24:08'),
	(515,'WOF053600062-WOB00022','WOG00083','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F18.png',0,'2024-07-10 11:24:08'),
	(516,'WOF053600062-WOB00022','WOG00083','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F18.html',0,'2024-07-10 11:24:08'),
	(517,'WOF053600062-WOB00022','WOG00084','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F19.png',0,'2024-07-10 11:24:08'),
	(518,'WOF053600062-WOB00022','WOG00084','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F19.html',0,'2024-07-10 11:24:08'),
	(519,'WOF053600062-WOB00022','WOG00085','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F20.png',0,'2024-07-10 11:24:08'),
	(520,'WOF053600062-WOB00022','WOG00085','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F20.html',0,'2024-07-10 11:24:08'),
	(521,'WOF053600062-WOB00022','WOG00086','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F21.png',0,'2024-07-10 11:24:08'),
	(522,'WOF053600062-WOB00022','WOG00086','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F21.html',0,'2024-07-10 11:24:08'),
	(523,'WOF053600062-WOB00022','WOG00087','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F22.png',0,'2024-07-10 11:24:08'),
	(524,'WOF053600062-WOB00022','WOG00087','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F22.html',0,'2024-07-10 11:24:08'),
	(525,'WOF053600062-WOB00022','WOG00088','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F23.png',0,'2024-07-10 11:24:08'),
	(526,'WOF053600062-WOB00022','WOG00088','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F23.html',0,'2024-07-10 11:24:08'),
	(527,'WOF053600062-WOB00022','WOG00089','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F24.png',0,'2024-07-10 11:24:08'),
	(528,'WOF053600062-WOB00022','WOG00089','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F24.html',0,'2024-07-10 11:24:08'),
	(529,'WOF053600062-WOB00022','WOG00090','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F25.png',0,'2024-07-10 11:24:08'),
	(530,'WOF053600062-WOB00022','WOG00090','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F25.html',0,'2024-07-10 11:24:08'),
	(531,'WOF053600062-WOB00022','WOG00091','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F26.png',0,'2024-07-10 11:24:08'),
	(532,'WOF053600062-WOB00022','WOG00091','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F26.html',0,'2024-07-10 11:24:08'),
	(533,'WOF053600062-WOB00022','WOG00092','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F27.png',0,'2024-07-10 11:24:08'),
	(534,'WOF053600062-WOB00022','WOG00092','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F27.html',0,'2024-07-10 11:24:08'),
	(535,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.png',0,'2024-07-10 11:24:08'),
	(536,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.html',0,'2024-07-10 11:24:08'),
	(537,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.png',0,'2024-07-10 11:24:08'),
	(538,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.html',0,'2024-07-10 11:24:08'),
	(539,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.png',0,'2024-07-10 11:24:08'),
	(540,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.html',0,'2024-07-10 11:24:08'),
	(541,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.png',0,'2024-07-10 11:24:08'),
	(542,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.html',0,'2024-07-10 11:24:08'),
	(543,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.png',0,'2024-07-10 11:24:08'),
	(544,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.html',0,'2024-07-10 11:24:08'),
	(545,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.png',0,'2024-07-10 11:24:08'),
	(546,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.html',0,'2024-07-10 11:24:08'),
	(547,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1.png',0,'2024-07-10 11:24:08'),
	(548,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1.html',0,'2024-07-10 11:24:08'),
	(549,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F02.png',0,'2024-07-10 11:24:08'),
	(550,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F02.html',0,'2024-07-10 11:24:08'),
	(551,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.png',0,'2024-07-10 11:24:08'),
	(552,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.html',0,'2024-07-10 11:24:08'),
	(553,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.png',0,'2024-07-10 11:24:08'),
	(554,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.html',0,'2024-07-10 11:24:08'),
	(555,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.png',0,'2024-07-10 11:24:08'),
	(556,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.html',0,'2024-07-10 11:24:08'),
	(557,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.png',0,'2024-07-10 11:24:08'),
	(558,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.html',0,'2024-07-10 11:24:08'),
	(559,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.png',0,'2024-07-10 11:24:08'),
	(560,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.html',0,'2024-07-10 11:24:08'),
	(561,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.png',0,'2024-07-10 11:24:08'),
	(562,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.html',0,'2024-07-10 11:24:08'),
	(563,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.png',0,'2024-07-10 11:24:08'),
	(564,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.html',0,'2024-07-10 11:24:08'),
	(565,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.png',0,'2024-07-10 11:24:08'),
	(566,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.html',0,'2024-07-10 11:24:08'),
	(567,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.png',0,'2024-07-10 11:24:08'),
	(568,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.html',0,'2024-07-10 11:24:08'),
	(569,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.png',0,'2024-07-10 11:24:08'),
	(570,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.html',0,'2024-07-10 11:24:08'),
	(571,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.png',0,'2024-07-10 11:24:08'),
	(572,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.html',0,'2024-07-10 11:24:08'),
	(573,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.png',0,'2024-07-10 11:24:08'),
	(574,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.html',0,'2024-07-10 11:24:08'),
	(575,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.png',0,'2024-07-10 11:24:08'),
	(576,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.html',0,'2024-07-10 11:24:08'),
	(577,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.png',0,'2024-07-10 11:24:08'),
	(578,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.html',0,'2024-07-10 11:24:08'),
	(579,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.png',0,'2024-07-10 11:24:08'),
	(580,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.html',0,'2024-07-10 11:24:08'),
	(581,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.png',0,'2024-07-10 11:24:08'),
	(582,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.html',0,'2024-07-10 11:24:08'),
	(583,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.png',0,'2024-07-10 11:24:08'),
	(584,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.html',0,'2024-07-10 11:24:08'),
	(585,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.png',0,'2024-07-10 11:24:08'),
	(586,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.html',0,'2024-07-10 11:24:08'),
	(587,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.png',0,'2024-07-10 11:24:08'),
	(588,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.html',0,'2024-07-10 11:24:08'),
	(589,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.png',0,'2024-07-10 11:24:08'),
	(590,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.html',0,'2024-07-10 11:24:08'),
	(591,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.png',0,'2024-07-10 11:24:08'),
	(592,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.html',0,'2024-07-10 11:24:08'),
	(593,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.png',0,'2024-07-10 11:24:08'),
	(594,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.html',0,'2024-07-10 11:24:08'),
	(595,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.png',0,'2024-07-10 11:24:08'),
	(596,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.html',0,'2024-07-10 11:24:08'),
	(597,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.png',0,'2024-07-10 11:24:08'),
	(598,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.html',0,'2024-07-10 11:24:08'),
	(599,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.png',0,'2024-07-10 11:24:08'),
	(600,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.html',0,'2024-07-10 11:24:08'),
	(601,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.png',0,'2024-07-10 11:24:08'),
	(602,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.html',0,'2024-07-10 11:24:08'),
	(603,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.png',0,'2024-07-10 11:24:08'),
	(604,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.html',0,'2024-07-10 11:24:08'),
	(605,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.png',0,'2024-07-10 11:24:08'),
	(606,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.html',0,'2024-07-10 11:24:08'),
	(607,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.png',0,'2024-07-10 11:24:08'),
	(608,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.html',0,'2024-07-10 11:24:08'),
	(609,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.png',0,'2024-07-10 11:24:08'),
	(610,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.html',0,'2024-07-10 11:24:08'),
	(611,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.png',0,'2024-07-10 11:24:08'),
	(612,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.html',0,'2024-07-10 11:24:08'),
	(613,'WOF053600062-WOB00022','WOG00066','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1.png',0,'2024-07-10 12:57:53'),
	(614,'WOF053600062-WOB00022','WOG00066','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1.html',0,'2024-07-10 12:57:53'),
	(615,'WOF053600062-WOB00022','WOG00067','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F02.png',0,'2024-07-10 12:57:53'),
	(616,'WOF053600062-WOB00022','WOG00067','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F02.html',0,'2024-07-10 12:57:53'),
	(617,'WOF053600062-WOB00022','WOG00068','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F03.png',0,'2024-07-10 12:57:53'),
	(618,'WOF053600062-WOB00022','WOG00068','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F03.html',0,'2024-07-10 12:57:53'),
	(619,'WOF053600062-WOB00022','WOG00069','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F04.png',0,'2024-07-10 12:57:53'),
	(620,'WOF053600062-WOB00022','WOG00069','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F04.html',0,'2024-07-10 12:57:53'),
	(621,'WOF053600062-WOB00022','WOG00070','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F05.png',0,'2024-07-10 12:57:53'),
	(622,'WOF053600062-WOB00022','WOG00070','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F05.html',0,'2024-07-10 12:57:53'),
	(623,'WOF053600062-WOB00022','WOG00071','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F06.png',0,'2024-07-10 12:57:53'),
	(624,'WOF053600062-WOB00022','WOG00071','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F06.html',0,'2024-07-10 12:57:53'),
	(625,'WOF053600062-WOB00022','WOG00072','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F07.png',0,'2024-07-10 12:57:53'),
	(626,'WOF053600062-WOB00022','WOG00072','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F07.html',0,'2024-07-10 12:57:53'),
	(627,'WOF053600062-WOB00022','WOG00073','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F08.png',0,'2024-07-10 12:57:53'),
	(628,'WOF053600062-WOB00022','WOG00073','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F08.html',0,'2024-07-10 12:57:53'),
	(629,'WOF053600062-WOB00022','WOG00074','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F09.png',0,'2024-07-10 12:57:53'),
	(630,'WOF053600062-WOB00022','WOG00074','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F09.html',0,'2024-07-10 12:57:53'),
	(631,'WOF053600062-WOB00022','WOG00075','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F10.png',0,'2024-07-10 12:57:53'),
	(632,'WOF053600062-WOB00022','WOG00075','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F10.html',0,'2024-07-10 12:57:53'),
	(633,'WOF053600062-WOB00022','WOG00076','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F11.png',0,'2024-07-10 12:57:53'),
	(634,'WOF053600062-WOB00022','WOG00076','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F11.html',0,'2024-07-10 12:57:53'),
	(635,'WOF053600062-WOB00022','WOG00077','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F12.png',0,'2024-07-10 12:57:53'),
	(636,'WOF053600062-WOB00022','WOG00077','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F12.html',0,'2024-07-10 12:57:53'),
	(637,'WOF053600062-WOB00022','WOG00078','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F13.png',0,'2024-07-10 12:57:53'),
	(638,'WOF053600062-WOB00022','WOG00078','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F13.html',0,'2024-07-10 12:57:53'),
	(639,'WOF053600062-WOB00022','WOG00079','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F14.png',0,'2024-07-10 12:57:53'),
	(640,'WOF053600062-WOB00022','WOG00079','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F14.html',0,'2024-07-10 12:57:53'),
	(641,'WOF053600062-WOB00022','WOG00080','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F15.png',0,'2024-07-10 12:57:53'),
	(642,'WOF053600062-WOB00022','WOG00080','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F15.html',0,'2024-07-10 12:57:53'),
	(643,'WOF053600062-WOB00022','WOG00081','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F16.png',0,'2024-07-10 12:57:53'),
	(644,'WOF053600062-WOB00022','WOG00081','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F16.html',0,'2024-07-10 12:57:53'),
	(645,'WOF053600062-WOB00022','WOG00082','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F17.png',0,'2024-07-10 12:57:53'),
	(646,'WOF053600062-WOB00022','WOG00082','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F17.html',0,'2024-07-10 12:57:53'),
	(647,'WOF053600062-WOB00022','WOG00083','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F18.png',0,'2024-07-10 12:57:53'),
	(648,'WOF053600062-WOB00022','WOG00083','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F18.html',0,'2024-07-10 12:57:53'),
	(649,'WOF053600062-WOB00022','WOG00084','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F19.png',0,'2024-07-10 12:57:53'),
	(650,'WOF053600062-WOB00022','WOG00084','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F19.html',0,'2024-07-10 12:57:53'),
	(651,'WOF053600062-WOB00022','WOG00085','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F20.png',0,'2024-07-10 12:57:53'),
	(652,'WOF053600062-WOB00022','WOG00085','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F20.html',0,'2024-07-10 12:57:53'),
	(653,'WOF053600062-WOB00022','WOG00086','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F21.png',0,'2024-07-10 12:57:53'),
	(654,'WOF053600062-WOB00022','WOG00086','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F21.html',0,'2024-07-10 12:57:53'),
	(655,'WOF053600062-WOB00022','WOG00087','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F22.png',0,'2024-07-10 12:57:53'),
	(656,'WOF053600062-WOB00022','WOG00087','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F22.html',0,'2024-07-10 12:57:53'),
	(657,'WOF053600062-WOB00022','WOG00088','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F23.png',0,'2024-07-10 12:57:53'),
	(658,'WOF053600062-WOB00022','WOG00088','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F23.html',0,'2024-07-10 12:57:53'),
	(659,'WOF053600062-WOB00022','WOG00089','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F24.png',0,'2024-07-10 12:57:53'),
	(660,'WOF053600062-WOB00022','WOG00089','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F24.html',0,'2024-07-10 12:57:53'),
	(661,'WOF053600062-WOB00022','WOG00090','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F25.png',0,'2024-07-10 12:57:53'),
	(662,'WOF053600062-WOB00022','WOG00090','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F25.html',0,'2024-07-10 12:57:53'),
	(663,'WOF053600062-WOB00022','WOG00091','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F26.png',0,'2024-07-10 12:57:53'),
	(664,'WOF053600062-WOB00022','WOG00091','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F26.html',0,'2024-07-10 12:57:53'),
	(665,'WOF053600062-WOB00022','WOG00092','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F27.png',0,'2024-07-10 12:57:53'),
	(666,'WOF053600062-WOB00022','WOG00092','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F27.html',0,'2024-07-10 12:57:53'),
	(667,'WOF053600062-WOB00022','WOG00093','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F28.png',0,'2024-07-10 12:57:53'),
	(668,'WOF053600062-WOB00022','WOG00093','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F28.html',0,'2024-07-10 12:57:53'),
	(669,'WOF053600062-WOB00022','WOG00094','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F29.png',0,'2024-07-10 12:57:53'),
	(670,'WOF053600062-WOB00022','WOG00094','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F29.html',0,'2024-07-10 12:57:53'),
	(671,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.png',0,'2024-07-10 12:57:53'),
	(672,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.html',0,'2024-07-10 12:57:53'),
	(673,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.png',0,'2024-07-10 12:57:53'),
	(674,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.html',0,'2024-07-10 12:57:53'),
	(675,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.png',0,'2024-07-10 12:57:53'),
	(676,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.html',0,'2024-07-10 12:57:53'),
	(677,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.png',0,'2024-07-10 12:57:53'),
	(678,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.html',0,'2024-07-10 12:57:53'),
	(679,'WOF053600062-WOB00022','WOG00066','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1.png',0,'2024-07-10 12:57:53'),
	(680,'WOF053600062-WOB00022','WOG00066','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1.html',0,'2024-07-10 12:57:53'),
	(681,'WOF053600062-WOB00022','WOG00067','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F02.png',0,'2024-07-10 12:57:53'),
	(682,'WOF053600062-WOB00022','WOG00067','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F02.html',0,'2024-07-10 12:57:53'),
	(683,'WOF053600062-WOB00022','WOG00068','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F03.png',0,'2024-07-10 12:57:53'),
	(684,'WOF053600062-WOB00022','WOG00068','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F03.html',0,'2024-07-10 12:57:53'),
	(685,'WOF053600062-WOB00022','WOG00069','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F04.png',0,'2024-07-10 12:57:53'),
	(686,'WOF053600062-WOB00022','WOG00069','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F04.html',0,'2024-07-10 12:57:53'),
	(687,'WOF053600062-WOB00022','WOG00070','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F05.png',0,'2024-07-10 12:57:53'),
	(688,'WOF053600062-WOB00022','WOG00070','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F05.html',0,'2024-07-10 12:57:53'),
	(689,'WOF053600062-WOB00022','WOG00071','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F06.png',0,'2024-07-10 12:57:53'),
	(690,'WOF053600062-WOB00022','WOG00071','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F06.html',0,'2024-07-10 12:57:53'),
	(691,'WOF053600062-WOB00022','WOG00072','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F07.png',0,'2024-07-10 12:57:53'),
	(692,'WOF053600062-WOB00022','WOG00072','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F07.html',0,'2024-07-10 12:57:53'),
	(693,'WOF053600062-WOB00022','WOG00073','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F08.png',0,'2024-07-10 12:57:53'),
	(694,'WOF053600062-WOB00022','WOG00073','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F08.html',0,'2024-07-10 12:57:53'),
	(695,'WOF053600062-WOB00022','WOG00074','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F09.png',0,'2024-07-10 12:57:53'),
	(696,'WOF053600062-WOB00022','WOG00074','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F09.html',0,'2024-07-10 12:57:53'),
	(697,'WOF053600062-WOB00022','WOG00075','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F10.png',0,'2024-07-10 12:57:53'),
	(698,'WOF053600062-WOB00022','WOG00075','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F10.html',0,'2024-07-10 12:57:53'),
	(699,'WOF053600062-WOB00022','WOG00076','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F11.png',0,'2024-07-10 12:57:53'),
	(700,'WOF053600062-WOB00022','WOG00076','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F11.html',0,'2024-07-10 12:57:53'),
	(701,'WOF053600062-WOB00022','WOG00077','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F12.png',0,'2024-07-10 12:57:53'),
	(702,'WOF053600062-WOB00022','WOG00077','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F12.html',0,'2024-07-10 12:57:53'),
	(703,'WOF053600062-WOB00022','WOG00078','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F13.png',0,'2024-07-10 12:57:53'),
	(704,'WOF053600062-WOB00022','WOG00078','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F13.html',0,'2024-07-10 12:57:53'),
	(705,'WOF053600062-WOB00022','WOG00079','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F14.png',0,'2024-07-10 12:57:53'),
	(706,'WOF053600062-WOB00022','WOG00079','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F14.html',0,'2024-07-10 12:57:53'),
	(707,'WOF053600062-WOB00022','WOG00080','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F15.png',0,'2024-07-10 12:57:53'),
	(708,'WOF053600062-WOB00022','WOG00080','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F15.html',0,'2024-07-10 12:57:53'),
	(709,'WOF053600062-WOB00022','WOG00081','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F16.png',0,'2024-07-10 12:57:53'),
	(710,'WOF053600062-WOB00022','WOG00081','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F16.html',0,'2024-07-10 12:57:53'),
	(711,'WOF053600062-WOB00022','WOG00082','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F17.png',0,'2024-07-10 12:57:53'),
	(712,'WOF053600062-WOB00022','WOG00082','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F17.html',0,'2024-07-10 12:57:53'),
	(713,'WOF053600062-WOB00022','WOG00083','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F18.png',0,'2024-07-10 12:57:53'),
	(714,'WOF053600062-WOB00022','WOG00083','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F18.html',0,'2024-07-10 12:57:53'),
	(715,'WOF053600062-WOB00022','WOG00084','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F19.png',0,'2024-07-10 12:57:53'),
	(716,'WOF053600062-WOB00022','WOG00084','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F19.html',0,'2024-07-10 12:57:53'),
	(717,'WOF053600062-WOB00022','WOG00085','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F20.png',0,'2024-07-10 12:57:53'),
	(718,'WOF053600062-WOB00022','WOG00085','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F20.html',0,'2024-07-10 12:57:53'),
	(719,'WOF053600062-WOB00022','WOG00086','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F21.png',0,'2024-07-10 12:57:53'),
	(720,'WOF053600062-WOB00022','WOG00086','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F21.html',0,'2024-07-10 12:57:53'),
	(721,'WOF053600062-WOB00022','WOG00087','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F22.png',0,'2024-07-10 12:57:53'),
	(722,'WOF053600062-WOB00022','WOG00087','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F22.html',0,'2024-07-10 12:57:53'),
	(723,'WOF053600062-WOB00022','WOG00088','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F23.png',0,'2024-07-10 12:57:53'),
	(724,'WOF053600062-WOB00022','WOG00088','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F23.html',0,'2024-07-10 12:57:53'),
	(725,'WOF053600062-WOB00022','WOG00089','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F24.png',0,'2024-07-10 12:57:53'),
	(726,'WOF053600062-WOB00022','WOG00089','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F24.html',0,'2024-07-10 12:57:53'),
	(727,'WOF053600062-WOB00022','WOG00090','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F25.png',0,'2024-07-10 12:57:53'),
	(728,'WOF053600062-WOB00022','WOG00090','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F25.html',0,'2024-07-10 12:57:53'),
	(729,'WOF053600062-WOB00022','WOG00091','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F26.png',0,'2024-07-10 12:57:53'),
	(730,'WOF053600062-WOB00022','WOG00091','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F26.html',0,'2024-07-10 12:57:53'),
	(731,'WOF053600062-WOB00022','WOG00092','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F27.png',0,'2024-07-10 12:57:53'),
	(732,'WOF053600062-WOB00022','WOG00092','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F27.html',0,'2024-07-10 12:57:53'),
	(733,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.png',0,'2024-07-10 12:57:53'),
	(734,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.html',0,'2024-07-10 12:57:53'),
	(735,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.png',0,'2024-07-10 12:57:53'),
	(736,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.html',0,'2024-07-10 12:57:53'),
	(737,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.png',0,'2024-07-10 12:57:53'),
	(738,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.html',0,'2024-07-10 12:57:53'),
	(739,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.png',0,'2024-07-10 12:57:53'),
	(740,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.html',0,'2024-07-10 12:57:53'),
	(741,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.png',0,'2024-07-10 12:57:53'),
	(742,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.html',0,'2024-07-10 12:57:53'),
	(743,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.png',0,'2024-07-10 12:57:53'),
	(744,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.html',0,'2024-07-10 12:57:53'),
	(745,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1.png',0,'2024-07-10 12:57:53'),
	(746,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1.html',0,'2024-07-10 12:57:53'),
	(747,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F02.png',0,'2024-07-10 12:57:53'),
	(748,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F02.html',0,'2024-07-10 12:57:53'),
	(749,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.png',0,'2024-07-10 12:57:53'),
	(750,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.html',0,'2024-07-10 12:57:53'),
	(751,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.png',0,'2024-07-10 12:57:53'),
	(752,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.html',0,'2024-07-10 12:57:53'),
	(753,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.png',0,'2024-07-10 12:57:53'),
	(754,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.html',0,'2024-07-10 12:57:53'),
	(755,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.png',0,'2024-07-10 12:57:53'),
	(756,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.html',0,'2024-07-10 12:57:53'),
	(757,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.png',0,'2024-07-10 12:57:53'),
	(758,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.html',0,'2024-07-10 12:57:53'),
	(759,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.png',0,'2024-07-10 12:57:53'),
	(760,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.html',0,'2024-07-10 12:57:53'),
	(761,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.png',0,'2024-07-10 12:57:53'),
	(762,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.html',0,'2024-07-10 12:57:53'),
	(763,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.png',0,'2024-07-10 12:57:53'),
	(764,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.html',0,'2024-07-10 12:57:53'),
	(765,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.png',0,'2024-07-10 12:57:53'),
	(766,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.html',0,'2024-07-10 12:57:53'),
	(767,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.png',0,'2024-07-10 12:57:53'),
	(768,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.html',0,'2024-07-10 12:57:53'),
	(769,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.png',0,'2024-07-10 12:57:53'),
	(770,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.html',0,'2024-07-10 12:57:53'),
	(771,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.png',0,'2024-07-10 12:57:53'),
	(772,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.html',0,'2024-07-10 12:57:53'),
	(773,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.png',0,'2024-07-10 12:57:53'),
	(774,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.html',0,'2024-07-10 12:57:53'),
	(775,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.png',0,'2024-07-10 12:57:53'),
	(776,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.html',0,'2024-07-10 12:57:53'),
	(777,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.png',0,'2024-07-10 12:57:53'),
	(778,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.html',0,'2024-07-10 12:57:53'),
	(779,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.png',0,'2024-07-10 12:57:53'),
	(780,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.html',0,'2024-07-10 12:57:53'),
	(781,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.png',0,'2024-07-10 12:57:53'),
	(782,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.html',0,'2024-07-10 12:57:53'),
	(783,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.png',0,'2024-07-10 12:57:53'),
	(784,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.html',0,'2024-07-10 12:57:53'),
	(785,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.png',0,'2024-07-10 12:57:53'),
	(786,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.html',0,'2024-07-10 12:57:53'),
	(787,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.png',0,'2024-07-10 12:57:53'),
	(788,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.html',0,'2024-07-10 12:57:53'),
	(789,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.png',0,'2024-07-10 12:57:53'),
	(790,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.html',0,'2024-07-10 12:57:53'),
	(791,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.png',0,'2024-07-10 12:57:53'),
	(792,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.html',0,'2024-07-10 12:57:53'),
	(793,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.png',0,'2024-07-10 12:57:53'),
	(794,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.html',0,'2024-07-10 12:57:53'),
	(795,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.png',0,'2024-07-10 12:57:53'),
	(796,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.html',0,'2024-07-10 12:57:53'),
	(797,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.png',0,'2024-07-10 12:57:53'),
	(798,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.html',0,'2024-07-10 12:57:53'),
	(799,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.png',0,'2024-07-10 12:57:53'),
	(800,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.html',0,'2024-07-10 12:57:53'),
	(801,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.png',0,'2024-07-10 12:57:53'),
	(802,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.html',0,'2024-07-10 12:57:53'),
	(803,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.png',0,'2024-07-10 12:57:53'),
	(804,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.html',0,'2024-07-10 12:57:53'),
	(805,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.png',0,'2024-07-10 12:57:53'),
	(806,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.html',0,'2024-07-10 12:57:53'),
	(807,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.png',0,'2024-07-10 12:57:53'),
	(808,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.html',0,'2024-07-10 12:57:53'),
	(809,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.png',0,'2024-07-10 12:57:53'),
	(810,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.html',0,'2024-07-10 12:57:53'),
	(811,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.png',0,'2024-07-10 14:48:42'),
	(812,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.html',0,'2024-07-10 14:48:42'),
	(813,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.png',0,'2024-07-10 14:48:42'),
	(814,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.html',0,'2024-07-10 14:48:42'),
	(815,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.png',0,'2024-07-10 14:48:42'),
	(816,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.html',0,'2024-07-10 14:48:42'),
	(817,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.png',0,'2024-07-10 14:48:42'),
	(818,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.html',0,'2024-07-10 14:48:42'),
	(819,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.png',0,'2024-07-10 14:48:42'),
	(820,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.html',0,'2024-07-10 14:48:42'),
	(821,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.png',0,'2024-07-10 14:48:42'),
	(822,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.html',0,'2024-07-10 14:48:42'),
	(823,'WOF053600062-WOB00022','WOG00093','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F28.png',0,'2024-07-10 15:35:49'),
	(824,'WOF053600062-WOB00022','WOG00093','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F28.html',0,'2024-07-10 15:35:49'),
	(825,'WOF053600062-WOB00022','WOG00094','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F29.png',0,'2024-07-10 15:35:49'),
	(826,'WOF053600062-WOB00022','WOG00094','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F29.html',0,'2024-07-10 15:35:49'),
	(827,'WOF053600062-WOB00022','WOG00095','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F30.png',0,'2024-07-10 15:35:49'),
	(828,'WOF053600062-WOB00022','WOG00095','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F30.html',0,'2024-07-10 15:35:49'),
	(829,'WOF053600062-WOB00022','WOG00096','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F31.png',0,'2024-07-10 15:35:49'),
	(830,'WOF053600062-WOB00022','WOG00096','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F31.html',0,'2024-07-10 15:35:49'),
	(831,'WOF053600062-WOB00022','WOG00097','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F32.png',0,'2024-07-10 15:35:49'),
	(832,'WOF053600062-WOB00022','WOG00097','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F32.html',0,'2024-07-10 15:35:49'),
	(833,'WOF053600062-WOB00022','WOG00098','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F33.png',0,'2024-07-10 15:35:49'),
	(834,'WOF053600062-WOB00022','WOG00098','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F33.html',0,'2024-07-10 15:35:49'),
	(835,'WOF053600062-WOB00022','WOG00093','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F28_3D.html',0,'2024-07-10 15:35:49'),
	(836,'WOF053600062-WOB00022','WOG00094','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F29_3D.html',0,'2024-07-10 15:35:49'),
	(837,'WOF053600062-WOB00022','WOG00095','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F30_3D.html',0,'2024-07-10 15:35:49'),
	(838,'WOF053600062-WOB00022','WOG00096','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F31_3D.html',0,'2024-07-10 15:35:49'),
	(839,'WOF053600062-WOB00022','WOG00097','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F32_3D.html',0,'2024-07-10 15:35:49'),
	(840,'WOF053600062-WOB00022','WOG00098','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/F33_3D.html',0,'2024-07-10 15:35:49'),
	(841,'WOF053600062-WOB00022','WOG00093','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F28.png',0,'2024-07-10 15:35:49'),
	(842,'WOF053600062-WOB00022','WOG00093','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F28.html',0,'2024-07-10 15:35:49'),
	(843,'WOF053600062-WOB00022','WOG00094','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F29.png',0,'2024-07-10 15:35:49'),
	(844,'WOF053600062-WOB00022','WOG00094','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F29.html',0,'2024-07-10 15:35:49'),
	(845,'WOF053600062-WOB00022','WOG00095','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F30.png',0,'2024-07-10 15:35:49'),
	(846,'WOF053600062-WOB00022','WOG00095','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F30.html',0,'2024-07-10 15:35:49'),
	(847,'WOF053600062-WOB00022','WOG00096','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F31.png',0,'2024-07-10 15:35:49'),
	(848,'WOF053600062-WOB00022','WOG00096','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F31.html',0,'2024-07-10 15:35:49'),
	(849,'WOF053600062-WOB00022','WOG00097','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F32.png',0,'2024-07-10 15:35:49'),
	(850,'WOF053600062-WOB00022','WOG00097','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F32.html',0,'2024-07-10 15:35:49'),
	(851,'WOF053600062-WOB00022','WOG00098','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F33.png',0,'2024-07-10 15:35:49'),
	(852,'WOF053600062-WOB00022','WOG00098','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F33.html',0,'2024-07-10 15:35:49'),
	(853,'WOF053600062-WOB00022','WOG00093','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F28_3D.html',0,'2024-07-10 15:35:49'),
	(854,'WOF053600062-WOB00022','WOG00094','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F29_3D.html',0,'2024-07-10 15:35:49'),
	(855,'WOF053600062-WOB00022','WOG00095','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F30_3D.html',0,'2024-07-10 15:35:49'),
	(856,'WOF053600062-WOB00022','WOG00096','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F31_3D.html',0,'2024-07-10 15:35:49'),
	(857,'WOF053600062-WOB00022','WOG00097','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F32_3D.html',0,'2024-07-10 15:35:49'),
	(858,'WOF053600062-WOB00022','WOG00098','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/F33_3D.html',0,'2024-07-10 15:35:49'),
	(859,'WOF053600062-WOB00022','WOG00093','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F28.png',0,'2024-07-10 15:35:49'),
	(860,'WOF053600062-WOB00022','WOG00093','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F28.html',0,'2024-07-10 15:35:49'),
	(861,'WOF053600062-WOB00022','WOG00094','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F29.png',0,'2024-07-10 15:35:49'),
	(862,'WOF053600062-WOB00022','WOG00094','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F29.html',0,'2024-07-10 15:35:49'),
	(863,'WOF053600062-WOB00022','WOG00095','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F30.png',0,'2024-07-10 15:35:49'),
	(864,'WOF053600062-WOB00022','WOG00095','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F30.html',0,'2024-07-10 15:35:49'),
	(865,'WOF053600062-WOB00022','WOG00096','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F31.png',0,'2024-07-10 15:35:49'),
	(866,'WOF053600062-WOB00022','WOG00096','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F31.html',0,'2024-07-10 15:35:49'),
	(867,'WOF053600062-WOB00022','WOG00097','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F32.png',0,'2024-07-10 15:35:49'),
	(868,'WOF053600062-WOB00022','WOG00097','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F32.html',0,'2024-07-10 15:35:49'),
	(869,'WOF053600062-WOB00022','WOG00098','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F33.png',0,'2024-07-10 15:35:49'),
	(870,'WOF053600062-WOB00022','WOG00098','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F33.html',0,'2024-07-10 15:35:49'),
	(871,'WOF053600062-WOB00022','WOG00093','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F28_3D.html',0,'2024-07-10 15:35:49'),
	(872,'WOF053600062-WOB00022','WOG00094','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F29_3D.html',0,'2024-07-10 15:35:49'),
	(873,'WOF053600062-WOB00022','WOG00095','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F30_3D.html',0,'2024-07-10 15:35:49'),
	(874,'WOF053600062-WOB00022','WOG00096','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F31_3D.html',0,'2024-07-10 15:35:49'),
	(875,'WOF053600062-WOB00022','WOG00097','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F32_3D.html',0,'2024-07-10 15:35:49'),
	(876,'WOF053600062-WOB00022','WOG00098','pitch_power','wof053600062/WOF053600062-WOB00022/pitch_power/manual/F33_3D.html',0,'2024-07-10 15:35:49'),
	(877,'WOF053600062-WOB00022','WOG00095','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/main_bearing_temperature/F30.html',0,'2024-07-10 17:00:40'),
	(878,'WOF053600062-WOB00022','WOG00096','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/main_bearing_temperature/F31.html',0,'2024-07-10 17:00:40'),
	(879,'WOF053600062-WOB00022','WOG00097','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/main_bearing_temperature/F32.html',0,'2024-07-10 17:00:40'),
	(880,'WOF053600062-WOB00022','WOG00098','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/main_bearing_temperature/F33.html',0,'2024-07-10 17:00:40'),
	(881,'WOF053600062-WOB00022','WOG00095','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/F30.html',0,'2024-07-10 17:00:40'),
	(882,'WOF053600062-WOB00022','WOG00096','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/F31.html',0,'2024-07-10 17:00:40'),
	(883,'WOF053600062-WOB00022','WOG00097','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/F32.html',0,'2024-07-10 17:00:40'),
	(884,'WOF053600062-WOB00022','WOG00098','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/F33.html',0,'2024-07-10 17:00:40'),
	(885,'WOF053600062-WOB00022','WOG00095','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generatordrive_end_bearing_temperature/F30.html',0,'2024-07-10 17:00:40'),
	(886,'WOF053600062-WOB00022','WOG00096','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generatordrive_end_bearing_temperature/F31.html',0,'2024-07-10 17:00:40'),
	(887,'WOF053600062-WOB00022','WOG00097','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generatordrive_end_bearing_temperature/F32.html',0,'2024-07-10 17:00:40'),
	(888,'WOF053600062-WOB00022','WOG00098','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generatordrive_end_bearing_temperature/F33.html',0,'2024-07-10 17:00:40'),
	(889,'WOF053600062-WOB00022','WOG00095','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/F30.html',0,'2024-07-10 17:00:40'),
	(890,'WOF053600062-WOB00022','WOG00096','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/F31.html',0,'2024-07-10 17:00:40'),
	(891,'WOF053600062-WOB00022','WOG00097','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/F32.html',0,'2024-07-10 17:00:40'),
	(892,'WOF053600062-WOB00022','WOG00098','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/F33.html',0,'2024-07-10 17:00:40'),
	(893,'WOF053600062-WOB00022','WOG00095','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generator_winding1_temperature/F30.html',0,'2024-07-10 17:00:40'),
	(894,'WOF053600062-WOB00022','WOG00096','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generator_winding1_temperature/F31.html',0,'2024-07-10 17:00:40'),
	(895,'WOF053600062-WOB00022','WOG00097','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generator_winding1_temperature/F32.html',0,'2024-07-10 17:00:40'),
	(896,'WOF053600062-WOB00022','WOG00098','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generator_winding1_temperature/F33.html',0,'2024-07-10 17:00:40'),
	(897,'WOF053600062-WOB00022','WOG00095','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/GeneratorTemperature/F30.html',0,'2024-07-10 17:00:40'),
	(898,'WOF053600062-WOB00022','WOG00096','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/GeneratorTemperature/F31.html',0,'2024-07-10 17:00:40'),
	(899,'WOF053600062-WOB00022','WOG00097','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/GeneratorTemperature/F32.html',0,'2024-07-10 17:00:40'),
	(900,'WOF053600062-WOB00022','WOG00098','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/GeneratorTemperature/F33.html',0,'2024-07-10 17:00:40'),
	(901,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.png',0,'2024-07-11 11:11:47'),
	(902,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.html',0,'2024-07-11 11:11:47'),
	(903,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.png',0,'2024-07-11 11:11:47'),
	(904,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.html',0,'2024-07-11 11:11:47'),
	(905,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.png',0,'2024-07-11 11:11:47'),
	(906,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.html',0,'2024-07-11 11:11:47'),
	(907,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.png',0,'2024-07-11 11:11:47'),
	(908,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.html',0,'2024-07-11 11:11:47'),
	(909,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.png',0,'2024-07-11 11:11:47'),
	(910,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.html',0,'2024-07-11 11:11:47'),
	(911,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.png',0,'2024-07-11 11:11:47'),
	(912,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.html',0,'2024-07-11 11:11:47'),
	(913,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.png',0,'2024-07-11 11:11:47'),
	(914,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.html',0,'2024-07-11 11:11:47'),
	(915,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.png',0,'2024-07-11 11:11:47'),
	(916,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.html',0,'2024-07-11 11:11:47'),
	(917,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.png',0,'2024-07-11 11:11:47'),
	(918,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.html',0,'2024-07-11 11:11:47'),
	(919,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.png',0,'2024-07-11 11:11:47'),
	(920,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.html',0,'2024-07-11 11:11:47'),
	(921,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.png',0,'2024-07-11 11:11:47'),
	(922,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.html',0,'2024-07-11 11:11:47'),
	(923,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.png',0,'2024-07-11 11:11:47'),
	(924,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.html',0,'2024-07-11 11:11:47'),
	(925,'WOF053600062-WOB00022','WOG00066','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1.png',0,'2024-07-15 14:38:05'),
	(926,'WOF053600062-WOB00022','WOG00066','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1.html',0,'2024-07-15 14:38:05'),
	(927,'WOF053600062-WOB00022','WOG00067','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F02.png',0,'2024-07-15 14:38:05'),
	(928,'WOF053600062-WOB00022','WOG00067','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F02.html',0,'2024-07-15 14:38:05'),
	(929,'WOF053600062-WOB00022','WOG00068','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F03.png',0,'2024-07-15 14:38:05'),
	(930,'WOF053600062-WOB00022','WOG00068','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F03.html',0,'2024-07-15 14:38:05'),
	(931,'WOF053600062-WOB00022','WOG00069','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F04.png',0,'2024-07-15 14:38:05'),
	(932,'WOF053600062-WOB00022','WOG00069','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F04.html',0,'2024-07-15 14:38:05'),
	(933,'WOF053600062-WOB00022','WOG00070','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F05.png',0,'2024-07-15 14:38:05'),
	(934,'WOF053600062-WOB00022','WOG00070','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F05.html',0,'2024-07-15 14:38:05'),
	(935,'WOF053600062-WOB00022','WOG00071','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F06.png',0,'2024-07-15 14:38:05'),
	(936,'WOF053600062-WOB00022','WOG00071','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F06.html',0,'2024-07-15 14:38:05'),
	(937,'WOF053600062-WOB00022','WOG00072','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F07.png',0,'2024-07-15 14:38:05'),
	(938,'WOF053600062-WOB00022','WOG00072','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F07.html',0,'2024-07-15 14:38:05'),
	(939,'WOF053600062-WOB00022','WOG00073','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F08.png',0,'2024-07-15 14:38:05'),
	(940,'WOF053600062-WOB00022','WOG00073','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F08.html',0,'2024-07-15 14:38:05'),
	(941,'WOF053600062-WOB00022','WOG00074','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F09.png',0,'2024-07-15 14:38:05'),
	(942,'WOF053600062-WOB00022','WOG00074','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F09.html',0,'2024-07-15 14:38:05'),
	(943,'WOF053600062-WOB00022','WOG00075','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F10.png',0,'2024-07-15 14:38:05'),
	(944,'WOF053600062-WOB00022','WOG00075','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F10.html',0,'2024-07-15 14:38:05'),
	(945,'WOF053600062-WOB00022','WOG00076','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F11.png',0,'2024-07-15 14:38:05'),
	(946,'WOF053600062-WOB00022','WOG00076','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F11.html',0,'2024-07-15 14:38:05'),
	(947,'WOF053600062-WOB00022','WOG00077','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F12.png',0,'2024-07-15 14:38:05'),
	(948,'WOF053600062-WOB00022','WOG00077','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F12.html',0,'2024-07-15 14:38:05'),
	(949,'WOF053600062-WOB00022','WOG00078','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F13.png',0,'2024-07-15 14:38:05'),
	(950,'WOF053600062-WOB00022','WOG00078','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F13.html',0,'2024-07-15 14:38:05'),
	(951,'WOF053600062-WOB00022','WOG00079','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F14.png',0,'2024-07-15 14:38:05'),
	(952,'WOF053600062-WOB00022','WOG00079','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F14.html',0,'2024-07-15 14:38:05'),
	(953,'WOF053600062-WOB00022','WOG00080','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F15.png',0,'2024-07-15 14:38:05'),
	(954,'WOF053600062-WOB00022','WOG00080','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F15.html',0,'2024-07-15 14:38:05'),
	(955,'WOF053600062-WOB00022','WOG00081','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F16.png',0,'2024-07-15 14:38:05'),
	(956,'WOF053600062-WOB00022','WOG00081','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F16.html',0,'2024-07-15 14:38:05'),
	(957,'WOF053600062-WOB00022','WOG00082','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F17.png',0,'2024-07-15 14:38:05'),
	(958,'WOF053600062-WOB00022','WOG00082','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F17.html',0,'2024-07-15 14:38:05'),
	(959,'WOF053600062-WOB00022','WOG00083','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F18.png',0,'2024-07-15 14:38:05'),
	(960,'WOF053600062-WOB00022','WOG00083','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F18.html',0,'2024-07-15 14:38:05'),
	(961,'WOF053600062-WOB00022','WOG00084','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F19.png',0,'2024-07-15 14:38:05'),
	(962,'WOF053600062-WOB00022','WOG00084','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F19.html',0,'2024-07-15 14:38:05'),
	(963,'WOF053600062-WOB00022','WOG00085','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F20.png',0,'2024-07-15 14:38:05'),
	(964,'WOF053600062-WOB00022','WOG00085','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F20.html',0,'2024-07-15 14:38:05'),
	(965,'WOF053600062-WOB00022','WOG00086','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F21.png',0,'2024-07-15 14:38:05'),
	(966,'WOF053600062-WOB00022','WOG00086','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F21.html',0,'2024-07-15 14:38:05'),
	(967,'WOF053600062-WOB00022','WOG00087','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F22.png',0,'2024-07-15 14:38:05'),
	(968,'WOF053600062-WOB00022','WOG00087','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F22.html',0,'2024-07-15 14:38:05'),
	(969,'WOF053600062-WOB00022','WOG00088','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F23.png',0,'2024-07-15 14:38:05'),
	(970,'WOF053600062-WOB00022','WOG00088','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F23.html',0,'2024-07-15 14:38:05'),
	(971,'WOF053600062-WOB00022','WOG00089','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F24.png',0,'2024-07-15 14:38:05'),
	(972,'WOF053600062-WOB00022','WOG00089','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F24.html',0,'2024-07-15 14:38:05'),
	(973,'WOF053600062-WOB00022','WOG00090','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F25.png',0,'2024-07-15 14:38:05'),
	(974,'WOF053600062-WOB00022','WOG00090','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F25.html',0,'2024-07-15 14:38:05'),
	(975,'WOF053600062-WOB00022','WOG00091','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F26.png',0,'2024-07-15 14:38:05'),
	(976,'WOF053600062-WOB00022','WOG00091','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F26.html',0,'2024-07-15 14:38:05'),
	(977,'WOF053600062-WOB00022','WOG00092','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F27.png',0,'2024-07-15 14:38:05'),
	(978,'WOF053600062-WOB00022','WOG00092','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F27.html',0,'2024-07-15 14:38:05'),
	(979,'WOF053600062-WOB00022','WOG00093','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F28.png',0,'2024-07-15 14:38:05'),
	(980,'WOF053600062-WOB00022','WOG00093','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F28.html',0,'2024-07-15 14:38:05'),
	(981,'WOF053600062-WOB00022','WOG00094','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F29.png',0,'2024-07-15 14:38:05'),
	(982,'WOF053600062-WOB00022','WOG00094','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F29.html',0,'2024-07-15 14:38:05'),
	(983,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.png',0,'2024-07-15 14:38:05'),
	(984,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.html',0,'2024-07-15 14:38:05'),
	(985,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.png',0,'2024-07-15 14:38:05'),
	(986,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.html',0,'2024-07-15 14:38:05'),
	(987,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.png',0,'2024-07-15 14:38:05'),
	(988,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.html',0,'2024-07-15 14:38:05'),
	(989,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.png',0,'2024-07-15 14:38:05'),
	(990,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.html',0,'2024-07-15 14:38:05'),
	(991,'WOF053600062-WOB00022','WOG00066','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1.png',0,'2024-07-15 14:38:05'),
	(992,'WOF053600062-WOB00022','WOG00066','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1.html',0,'2024-07-15 14:38:05'),
	(993,'WOF053600062-WOB00022','WOG00067','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F02.png',0,'2024-07-15 14:38:05'),
	(994,'WOF053600062-WOB00022','WOG00067','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F02.html',0,'2024-07-15 14:38:05'),
	(995,'WOF053600062-WOB00022','WOG00068','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F03.png',0,'2024-07-15 14:38:05'),
	(996,'WOF053600062-WOB00022','WOG00068','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F03.html',0,'2024-07-15 14:38:05'),
	(997,'WOF053600062-WOB00022','WOG00069','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F04.png',0,'2024-07-15 14:38:05'),
	(998,'WOF053600062-WOB00022','WOG00069','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F04.html',0,'2024-07-15 14:38:05'),
	(999,'WOF053600062-WOB00022','WOG00070','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F05.png',0,'2024-07-15 14:38:05'),
	(1000,'WOF053600062-WOB00022','WOG00070','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F05.html',0,'2024-07-15 14:38:05'),
	(1001,'WOF053600062-WOB00022','WOG00071','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F06.png',0,'2024-07-15 14:38:05'),
	(1002,'WOF053600062-WOB00022','WOG00071','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F06.html',0,'2024-07-15 14:38:05'),
	(1003,'WOF053600062-WOB00022','WOG00072','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F07.png',0,'2024-07-15 14:38:05'),
	(1004,'WOF053600062-WOB00022','WOG00072','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F07.html',0,'2024-07-15 14:38:05'),
	(1005,'WOF053600062-WOB00022','WOG00073','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F08.png',0,'2024-07-15 14:38:05'),
	(1006,'WOF053600062-WOB00022','WOG00073','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F08.html',0,'2024-07-15 14:38:05'),
	(1007,'WOF053600062-WOB00022','WOG00074','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F09.png',0,'2024-07-15 14:38:05'),
	(1008,'WOF053600062-WOB00022','WOG00074','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F09.html',0,'2024-07-15 14:38:05'),
	(1009,'WOF053600062-WOB00022','WOG00075','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F10.png',0,'2024-07-15 14:38:05'),
	(1010,'WOF053600062-WOB00022','WOG00075','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F10.html',0,'2024-07-15 14:38:05'),
	(1011,'WOF053600062-WOB00022','WOG00076','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F11.png',0,'2024-07-15 14:38:05'),
	(1012,'WOF053600062-WOB00022','WOG00076','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F11.html',0,'2024-07-15 14:38:05'),
	(1013,'WOF053600062-WOB00022','WOG00077','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F12.png',0,'2024-07-15 14:38:05'),
	(1014,'WOF053600062-WOB00022','WOG00077','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F12.html',0,'2024-07-15 14:38:05'),
	(1015,'WOF053600062-WOB00022','WOG00078','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F13.png',0,'2024-07-15 14:38:05'),
	(1016,'WOF053600062-WOB00022','WOG00078','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F13.html',0,'2024-07-15 14:38:05'),
	(1017,'WOF053600062-WOB00022','WOG00079','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F14.png',0,'2024-07-15 14:38:05'),
	(1018,'WOF053600062-WOB00022','WOG00079','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F14.html',0,'2024-07-15 14:38:05'),
	(1019,'WOF053600062-WOB00022','WOG00080','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F15.png',0,'2024-07-15 14:38:05'),
	(1020,'WOF053600062-WOB00022','WOG00080','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F15.html',0,'2024-07-15 14:38:05'),
	(1021,'WOF053600062-WOB00022','WOG00081','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F16.png',0,'2024-07-15 14:38:05'),
	(1022,'WOF053600062-WOB00022','WOG00081','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F16.html',0,'2024-07-15 14:38:05'),
	(1023,'WOF053600062-WOB00022','WOG00082','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F17.png',0,'2024-07-15 14:38:05'),
	(1024,'WOF053600062-WOB00022','WOG00082','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F17.html',0,'2024-07-15 14:38:05'),
	(1025,'WOF053600062-WOB00022','WOG00083','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F18.png',0,'2024-07-15 14:38:05'),
	(1026,'WOF053600062-WOB00022','WOG00083','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F18.html',0,'2024-07-15 14:38:05'),
	(1027,'WOF053600062-WOB00022','WOG00084','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F19.png',0,'2024-07-15 14:38:05'),
	(1028,'WOF053600062-WOB00022','WOG00084','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F19.html',0,'2024-07-15 14:38:05'),
	(1029,'WOF053600062-WOB00022','WOG00085','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F20.png',0,'2024-07-15 14:38:05'),
	(1030,'WOF053600062-WOB00022','WOG00085','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F20.html',0,'2024-07-15 14:38:05'),
	(1031,'WOF053600062-WOB00022','WOG00086','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F21.png',0,'2024-07-15 14:38:05'),
	(1032,'WOF053600062-WOB00022','WOG00086','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F21.html',0,'2024-07-15 14:38:05'),
	(1033,'WOF053600062-WOB00022','WOG00087','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F22.png',0,'2024-07-15 14:38:05'),
	(1034,'WOF053600062-WOB00022','WOG00087','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F22.html',0,'2024-07-15 14:38:05'),
	(1035,'WOF053600062-WOB00022','WOG00088','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F23.png',0,'2024-07-15 14:38:05'),
	(1036,'WOF053600062-WOB00022','WOG00088','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F23.html',0,'2024-07-15 14:38:05'),
	(1037,'WOF053600062-WOB00022','WOG00089','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F24.png',0,'2024-07-15 14:38:05'),
	(1038,'WOF053600062-WOB00022','WOG00089','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F24.html',0,'2024-07-15 14:38:05'),
	(1039,'WOF053600062-WOB00022','WOG00090','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F25.png',0,'2024-07-15 14:38:05'),
	(1040,'WOF053600062-WOB00022','WOG00090','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F25.html',0,'2024-07-15 14:38:05'),
	(1041,'WOF053600062-WOB00022','WOG00091','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F26.png',0,'2024-07-15 14:38:05'),
	(1042,'WOF053600062-WOB00022','WOG00091','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F26.html',0,'2024-07-15 14:38:05'),
	(1043,'WOF053600062-WOB00022','WOG00092','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F27.png',0,'2024-07-15 14:38:05'),
	(1044,'WOF053600062-WOB00022','WOG00092','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F27.html',0,'2024-07-15 14:38:05'),
	(1045,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.png',0,'2024-07-15 14:38:05'),
	(1046,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.html',0,'2024-07-15 14:38:05'),
	(1047,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.png',0,'2024-07-15 14:38:05'),
	(1048,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.html',0,'2024-07-15 14:38:05'),
	(1049,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.png',0,'2024-07-15 14:38:05'),
	(1050,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.html',0,'2024-07-15 14:38:05'),
	(1051,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.png',0,'2024-07-15 14:38:05'),
	(1052,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.html',0,'2024-07-15 14:38:05'),
	(1053,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.png',0,'2024-07-15 14:38:05'),
	(1054,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.html',0,'2024-07-15 14:38:05'),
	(1055,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.png',0,'2024-07-15 14:38:05'),
	(1056,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.html',0,'2024-07-15 14:38:05'),
	(1057,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1.png',0,'2024-07-15 14:38:05'),
	(1058,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1.html',0,'2024-07-15 14:38:05'),
	(1059,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F02.png',0,'2024-07-15 14:38:05'),
	(1060,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F02.html',0,'2024-07-15 14:38:05'),
	(1061,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.png',0,'2024-07-15 14:38:05'),
	(1062,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.html',0,'2024-07-15 14:38:05'),
	(1063,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.png',0,'2024-07-15 14:38:05'),
	(1064,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.html',0,'2024-07-15 14:38:05'),
	(1065,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.png',0,'2024-07-15 14:38:05'),
	(1066,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.html',0,'2024-07-15 14:38:05'),
	(1067,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.png',0,'2024-07-15 14:38:05'),
	(1068,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.html',0,'2024-07-15 14:38:05'),
	(1069,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.png',0,'2024-07-15 14:38:05'),
	(1070,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.html',0,'2024-07-15 14:38:05'),
	(1071,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.png',0,'2024-07-15 14:38:05'),
	(1072,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.html',0,'2024-07-15 14:38:05'),
	(1073,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.png',0,'2024-07-15 14:38:05'),
	(1074,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.html',0,'2024-07-15 14:38:05'),
	(1075,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.png',0,'2024-07-15 14:38:05'),
	(1076,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.html',0,'2024-07-15 14:38:05'),
	(1077,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.png',0,'2024-07-15 14:38:05'),
	(1078,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.html',0,'2024-07-15 14:38:05'),
	(1079,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.png',0,'2024-07-15 14:38:05'),
	(1080,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.html',0,'2024-07-15 14:38:05'),
	(1081,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.png',0,'2024-07-15 14:38:05'),
	(1082,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.html',0,'2024-07-15 14:38:05'),
	(1083,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.png',0,'2024-07-15 14:38:05'),
	(1084,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.html',0,'2024-07-15 14:38:05'),
	(1085,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.png',0,'2024-07-15 14:38:05'),
	(1086,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.html',0,'2024-07-15 14:38:05'),
	(1087,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.png',0,'2024-07-15 14:38:05'),
	(1088,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.html',0,'2024-07-15 14:38:05'),
	(1089,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.png',0,'2024-07-15 14:38:05'),
	(1090,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.html',0,'2024-07-15 14:38:05'),
	(1091,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.png',0,'2024-07-15 14:38:05'),
	(1092,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.html',0,'2024-07-15 14:38:05'),
	(1093,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.png',0,'2024-07-15 14:38:05'),
	(1094,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.html',0,'2024-07-15 14:38:05'),
	(1095,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.png',0,'2024-07-15 14:38:05'),
	(1096,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.html',0,'2024-07-15 14:38:05'),
	(1097,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.png',0,'2024-07-15 14:38:05'),
	(1098,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.html',0,'2024-07-15 14:38:05'),
	(1099,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.png',0,'2024-07-15 14:38:05'),
	(1100,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.html',0,'2024-07-15 14:38:05'),
	(1101,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.png',0,'2024-07-15 14:38:05'),
	(1102,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.html',0,'2024-07-15 14:38:05'),
	(1103,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.png',0,'2024-07-15 14:38:05'),
	(1104,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.html',0,'2024-07-15 14:38:05'),
	(1105,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.png',0,'2024-07-15 14:38:05'),
	(1106,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.html',0,'2024-07-15 14:38:05'),
	(1107,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.png',0,'2024-07-15 14:38:05'),
	(1108,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.html',0,'2024-07-15 14:38:05'),
	(1109,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.png',0,'2024-07-15 14:38:05'),
	(1110,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.html',0,'2024-07-15 14:38:05'),
	(1111,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.png',0,'2024-07-15 14:38:05'),
	(1112,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.html',0,'2024-07-15 14:38:05'),
	(1113,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.png',0,'2024-07-15 14:38:05'),
	(1114,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.html',0,'2024-07-15 14:38:05'),
	(1115,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.png',0,'2024-07-15 14:38:05'),
	(1116,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.html',0,'2024-07-15 14:38:05'),
	(1117,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.png',0,'2024-07-15 14:38:05'),
	(1118,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.html',0,'2024-07-15 14:38:05'),
	(1119,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.png',0,'2024-07-15 14:38:05'),
	(1120,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.html',0,'2024-07-15 14:38:05'),
	(1121,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.png',0,'2024-07-15 14:38:05'),
	(1122,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.html',0,'2024-07-15 14:38:05'),
	(1123,'WOF053600062-WOB00022','WOG00066','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1-1.png',0,'2024-07-15 15:52:52'),
	(1124,'WOF053600062-WOB00022','WOG00066','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1-1.html',0,'2024-07-15 15:52:52'),
	(1125,'WOF053600062-WOB00022','WOG00067','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1-2.png',0,'2024-07-15 15:52:52'),
	(1126,'WOF053600062-WOB00022','WOG00067','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F01-1-2.html',0,'2024-07-15 15:52:52'),
	(1127,'WOF053600062-WOB00022','WOG00068','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F03.png',0,'2024-07-15 15:52:52'),
	(1128,'WOF053600062-WOB00022','WOG00068','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F03.html',0,'2024-07-15 15:52:52'),
	(1129,'WOF053600062-WOB00022','WOG00069','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F04.png',0,'2024-07-15 15:52:52'),
	(1130,'WOF053600062-WOB00022','WOG00069','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F04.html',0,'2024-07-15 15:52:52'),
	(1131,'WOF053600062-WOB00022','WOG00070','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F05.png',0,'2024-07-15 15:52:52'),
	(1132,'WOF053600062-WOB00022','WOG00070','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F05.html',0,'2024-07-15 15:52:52'),
	(1133,'WOF053600062-WOB00022','WOG00071','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F06.png',0,'2024-07-15 15:52:52'),
	(1134,'WOF053600062-WOB00022','WOG00071','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F06.html',0,'2024-07-15 15:52:52'),
	(1135,'WOF053600062-WOB00022','WOG00072','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F07.png',0,'2024-07-15 15:52:52'),
	(1136,'WOF053600062-WOB00022','WOG00072','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F07.html',0,'2024-07-15 15:52:52'),
	(1137,'WOF053600062-WOB00022','WOG00073','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F08.png',0,'2024-07-15 15:52:52'),
	(1138,'WOF053600062-WOB00022','WOG00073','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F08.html',0,'2024-07-15 15:52:52'),
	(1139,'WOF053600062-WOB00022','WOG00074','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F09.png',0,'2024-07-15 15:52:52'),
	(1140,'WOF053600062-WOB00022','WOG00074','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F09.html',0,'2024-07-15 15:52:52'),
	(1141,'WOF053600062-WOB00022','WOG00075','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F10.png',0,'2024-07-15 15:52:52'),
	(1142,'WOF053600062-WOB00022','WOG00075','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F10.html',0,'2024-07-15 15:52:52'),
	(1143,'WOF053600062-WOB00022','WOG00076','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F11.png',0,'2024-07-15 15:52:52'),
	(1144,'WOF053600062-WOB00022','WOG00076','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F11.html',0,'2024-07-15 15:52:52'),
	(1145,'WOF053600062-WOB00022','WOG00077','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F12.png',0,'2024-07-15 15:52:52'),
	(1146,'WOF053600062-WOB00022','WOG00077','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F12.html',0,'2024-07-15 15:52:52'),
	(1147,'WOF053600062-WOB00022','WOG00078','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F13.png',0,'2024-07-15 15:52:52'),
	(1148,'WOF053600062-WOB00022','WOG00078','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F13.html',0,'2024-07-15 15:52:52'),
	(1149,'WOF053600062-WOB00022','WOG00079','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F14.png',0,'2024-07-15 15:52:52'),
	(1150,'WOF053600062-WOB00022','WOG00079','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F14.html',0,'2024-07-15 15:52:52'),
	(1151,'WOF053600062-WOB00022','WOG00080','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F15.png',0,'2024-07-15 15:52:52'),
	(1152,'WOF053600062-WOB00022','WOG00080','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F15.html',0,'2024-07-15 15:52:52'),
	(1153,'WOF053600062-WOB00022','WOG00081','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F16.png',0,'2024-07-15 15:52:52'),
	(1154,'WOF053600062-WOB00022','WOG00081','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F16.html',0,'2024-07-15 15:52:52'),
	(1155,'WOF053600062-WOB00022','WOG00082','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F17.png',0,'2024-07-15 15:52:52'),
	(1156,'WOF053600062-WOB00022','WOG00082','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F17.html',0,'2024-07-15 15:52:52'),
	(1157,'WOF053600062-WOB00022','WOG00083','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F18.png',0,'2024-07-15 15:52:52'),
	(1158,'WOF053600062-WOB00022','WOG00083','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F18.html',0,'2024-07-15 15:52:52'),
	(1159,'WOF053600062-WOB00022','WOG00084','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F19.png',0,'2024-07-15 15:52:52'),
	(1160,'WOF053600062-WOB00022','WOG00084','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F19.html',0,'2024-07-15 15:52:52'),
	(1161,'WOF053600062-WOB00022','WOG00085','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F20.png',0,'2024-07-15 15:52:52'),
	(1162,'WOF053600062-WOB00022','WOG00085','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F20.html',0,'2024-07-15 15:52:52'),
	(1163,'WOF053600062-WOB00022','WOG00086','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F21.png',0,'2024-07-15 15:52:52'),
	(1164,'WOF053600062-WOB00022','WOG00086','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F21.html',0,'2024-07-15 15:52:52'),
	(1165,'WOF053600062-WOB00022','WOG00087','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F22.png',0,'2024-07-15 15:52:52'),
	(1166,'WOF053600062-WOB00022','WOG00087','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F22.html',0,'2024-07-15 15:52:52'),
	(1167,'WOF053600062-WOB00022','WOG00088','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F23.png',0,'2024-07-15 15:52:52'),
	(1168,'WOF053600062-WOB00022','WOG00088','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F23.html',0,'2024-07-15 15:52:52'),
	(1169,'WOF053600062-WOB00022','WOG00089','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F24.png',0,'2024-07-15 15:52:52'),
	(1170,'WOF053600062-WOB00022','WOG00089','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F24.html',0,'2024-07-15 15:52:52'),
	(1171,'WOF053600062-WOB00022','WOG00090','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F25.png',0,'2024-07-15 15:52:52'),
	(1172,'WOF053600062-WOB00022','WOG00090','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F25.html',0,'2024-07-15 15:52:52'),
	(1173,'WOF053600062-WOB00022','WOG00091','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F26.png',0,'2024-07-15 15:52:52'),
	(1174,'WOF053600062-WOB00022','WOG00091','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F26.html',0,'2024-07-15 15:52:52'),
	(1175,'WOF053600062-WOB00022','WOG00092','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F27.png',0,'2024-07-15 15:52:52'),
	(1176,'WOF053600062-WOB00022','WOG00092','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F27.html',0,'2024-07-15 15:52:52'),
	(1177,'WOF053600062-WOB00022','WOG00093','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F28.png',0,'2024-07-15 15:52:52'),
	(1178,'WOF053600062-WOB00022','WOG00093','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F28.html',0,'2024-07-15 15:52:52'),
	(1179,'WOF053600062-WOB00022','WOG00094','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F29.png',0,'2024-07-15 15:52:52'),
	(1180,'WOF053600062-WOB00022','WOG00094','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F29.html',0,'2024-07-15 15:52:52'),
	(1181,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.png',0,'2024-07-15 15:52:52'),
	(1182,'WOF053600062-WOB00022','WOG00095','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F30.html',0,'2024-07-15 15:52:52'),
	(1183,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.png',0,'2024-07-15 15:52:52'),
	(1184,'WOF053600062-WOB00022','WOG00096','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F31.html',0,'2024-07-15 15:52:52'),
	(1185,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.png',0,'2024-07-15 15:52:52'),
	(1186,'WOF053600062-WOB00022','WOG00097','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F32.html',0,'2024-07-15 15:52:52'),
	(1187,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.png',0,'2024-07-15 15:52:52'),
	(1188,'WOF053600062-WOB00022','WOG00098','cp','wof053600062/WOF053600062-WOB00022/cp/manual/F33.html',0,'2024-07-15 15:52:52'),
	(1189,'WOF053600062-WOB00022','WOG00066','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1-1.png',0,'2024-07-15 15:52:52'),
	(1190,'WOF053600062-WOB00022','WOG00066','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1-1.html',0,'2024-07-15 15:52:52'),
	(1191,'WOF053600062-WOB00022','WOG00067','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1-2.png',0,'2024-07-15 15:52:52'),
	(1192,'WOF053600062-WOB00022','WOG00067','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F01-1-2.html',0,'2024-07-15 15:52:52'),
	(1193,'WOF053600062-WOB00022','WOG00068','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F03.png',0,'2024-07-15 15:52:52'),
	(1194,'WOF053600062-WOB00022','WOG00068','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F03.html',0,'2024-07-15 15:52:52'),
	(1195,'WOF053600062-WOB00022','WOG00069','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F04.png',0,'2024-07-15 15:52:52'),
	(1196,'WOF053600062-WOB00022','WOG00069','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F04.html',0,'2024-07-15 15:52:52'),
	(1197,'WOF053600062-WOB00022','WOG00070','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F05.png',0,'2024-07-15 15:52:52'),
	(1198,'WOF053600062-WOB00022','WOG00070','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F05.html',0,'2024-07-15 15:52:52'),
	(1199,'WOF053600062-WOB00022','WOG00071','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F06.png',0,'2024-07-15 15:52:52'),
	(1200,'WOF053600062-WOB00022','WOG00071','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F06.html',0,'2024-07-15 15:52:52'),
	(1201,'WOF053600062-WOB00022','WOG00072','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F07.png',0,'2024-07-15 15:52:52'),
	(1202,'WOF053600062-WOB00022','WOG00072','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F07.html',0,'2024-07-15 15:52:52'),
	(1203,'WOF053600062-WOB00022','WOG00073','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F08.png',0,'2024-07-15 15:52:52'),
	(1204,'WOF053600062-WOB00022','WOG00073','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F08.html',0,'2024-07-15 15:52:52'),
	(1205,'WOF053600062-WOB00022','WOG00074','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F09.png',0,'2024-07-15 15:52:52'),
	(1206,'WOF053600062-WOB00022','WOG00074','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F09.html',0,'2024-07-15 15:52:52'),
	(1207,'WOF053600062-WOB00022','WOG00075','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F10.png',0,'2024-07-15 15:52:52'),
	(1208,'WOF053600062-WOB00022','WOG00075','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F10.html',0,'2024-07-15 15:52:52'),
	(1209,'WOF053600062-WOB00022','WOG00076','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F11.png',0,'2024-07-15 15:52:52'),
	(1210,'WOF053600062-WOB00022','WOG00076','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F11.html',0,'2024-07-15 15:52:52'),
	(1211,'WOF053600062-WOB00022','WOG00077','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F12.png',0,'2024-07-15 15:52:52'),
	(1212,'WOF053600062-WOB00022','WOG00077','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F12.html',0,'2024-07-15 15:52:52'),
	(1213,'WOF053600062-WOB00022','WOG00078','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F13.png',0,'2024-07-15 15:52:52'),
	(1214,'WOF053600062-WOB00022','WOG00078','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F13.html',0,'2024-07-15 15:52:52'),
	(1215,'WOF053600062-WOB00022','WOG00079','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F14.png',0,'2024-07-15 15:52:52'),
	(1216,'WOF053600062-WOB00022','WOG00079','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F14.html',0,'2024-07-15 15:52:52'),
	(1217,'WOF053600062-WOB00022','WOG00080','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F15.png',0,'2024-07-15 15:52:52'),
	(1218,'WOF053600062-WOB00022','WOG00080','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F15.html',0,'2024-07-15 15:52:52'),
	(1219,'WOF053600062-WOB00022','WOG00081','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F16.png',0,'2024-07-15 15:52:52'),
	(1220,'WOF053600062-WOB00022','WOG00081','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F16.html',0,'2024-07-15 15:52:52'),
	(1221,'WOF053600062-WOB00022','WOG00082','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F17.png',0,'2024-07-15 15:52:52'),
	(1222,'WOF053600062-WOB00022','WOG00082','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F17.html',0,'2024-07-15 15:52:52'),
	(1223,'WOF053600062-WOB00022','WOG00083','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F18.png',0,'2024-07-15 15:52:52'),
	(1224,'WOF053600062-WOB00022','WOG00083','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F18.html',0,'2024-07-15 15:52:52'),
	(1225,'WOF053600062-WOB00022','WOG00084','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F19.png',0,'2024-07-15 15:52:52'),
	(1226,'WOF053600062-WOB00022','WOG00084','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F19.html',0,'2024-07-15 15:52:52'),
	(1227,'WOF053600062-WOB00022','WOG00085','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F20.png',0,'2024-07-15 15:52:52'),
	(1228,'WOF053600062-WOB00022','WOG00085','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F20.html',0,'2024-07-15 15:52:52'),
	(1229,'WOF053600062-WOB00022','WOG00086','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F21.png',0,'2024-07-15 15:52:52'),
	(1230,'WOF053600062-WOB00022','WOG00086','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F21.html',0,'2024-07-15 15:52:52'),
	(1231,'WOF053600062-WOB00022','WOG00087','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F22.png',0,'2024-07-15 15:52:52'),
	(1232,'WOF053600062-WOB00022','WOG00087','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F22.html',0,'2024-07-15 15:52:52'),
	(1233,'WOF053600062-WOB00022','WOG00088','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F23.png',0,'2024-07-15 15:52:52'),
	(1234,'WOF053600062-WOB00022','WOG00088','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F23.html',0,'2024-07-15 15:52:52'),
	(1235,'WOF053600062-WOB00022','WOG00089','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F24.png',0,'2024-07-15 15:52:52'),
	(1236,'WOF053600062-WOB00022','WOG00089','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F24.html',0,'2024-07-15 15:52:52'),
	(1237,'WOF053600062-WOB00022','WOG00090','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F25.png',0,'2024-07-15 15:52:52'),
	(1238,'WOF053600062-WOB00022','WOG00090','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F25.html',0,'2024-07-15 15:52:52'),
	(1239,'WOF053600062-WOB00022','WOG00091','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F26.png',0,'2024-07-15 15:52:52'),
	(1240,'WOF053600062-WOB00022','WOG00091','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F26.html',0,'2024-07-15 15:52:52'),
	(1241,'WOF053600062-WOB00022','WOG00092','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F27.png',0,'2024-07-15 15:52:52'),
	(1242,'WOF053600062-WOB00022','WOG00092','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F27.html',0,'2024-07-15 15:52:52'),
	(1243,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.png',0,'2024-07-15 15:52:52'),
	(1244,'WOF053600062-WOB00022','WOG00093','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F28.html',0,'2024-07-15 15:52:52'),
	(1245,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.png',0,'2024-07-15 15:52:52'),
	(1246,'WOF053600062-WOB00022','WOG00094','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F29.html',0,'2024-07-15 15:52:52'),
	(1247,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.png',0,'2024-07-15 15:52:52'),
	(1248,'WOF053600062-WOB00022','WOG00095','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F30.html',0,'2024-07-15 15:52:52'),
	(1249,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.png',0,'2024-07-15 15:52:52'),
	(1250,'WOF053600062-WOB00022','WOG00096','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F31.html',0,'2024-07-15 15:52:52'),
	(1251,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.png',0,'2024-07-15 15:52:52'),
	(1252,'WOF053600062-WOB00022','WOG00097','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F32.html',0,'2024-07-15 15:52:52'),
	(1253,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.png',0,'2024-07-15 15:52:52'),
	(1254,'WOF053600062-WOB00022','WOG00098','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/F33.html',0,'2024-07-15 15:52:52'),
	(1255,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1-1.png',0,'2024-07-15 15:52:52'),
	(1256,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1-1.html',0,'2024-07-15 15:52:52'),
	(1257,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1-2.png',0,'2024-07-15 15:52:52'),
	(1258,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1-2.html',0,'2024-07-15 15:52:52'),
	(1259,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.png',0,'2024-07-15 15:52:52'),
	(1260,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.html',0,'2024-07-15 15:52:52'),
	(1261,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.png',0,'2024-07-15 15:52:52'),
	(1262,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.html',0,'2024-07-15 15:52:52'),
	(1263,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.png',0,'2024-07-15 15:52:52'),
	(1264,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.html',0,'2024-07-15 15:52:52'),
	(1265,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.png',0,'2024-07-15 15:52:52'),
	(1266,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.html',0,'2024-07-15 15:52:52'),
	(1267,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.png',0,'2024-07-15 15:52:52'),
	(1268,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.html',0,'2024-07-15 15:52:52'),
	(1269,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.png',0,'2024-07-15 15:52:52'),
	(1270,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.html',0,'2024-07-15 15:52:52'),
	(1271,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.png',0,'2024-07-15 15:52:52'),
	(1272,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.html',0,'2024-07-15 15:52:52'),
	(1273,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.png',0,'2024-07-15 15:52:52'),
	(1274,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.html',0,'2024-07-15 15:52:52'),
	(1275,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.png',0,'2024-07-15 15:52:52'),
	(1276,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.html',0,'2024-07-15 15:52:52'),
	(1277,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.png',0,'2024-07-15 15:52:52'),
	(1278,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.html',0,'2024-07-15 15:52:52'),
	(1279,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.png',0,'2024-07-15 15:52:52'),
	(1280,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.html',0,'2024-07-15 15:52:52'),
	(1281,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.png',0,'2024-07-15 15:52:52'),
	(1282,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.html',0,'2024-07-15 15:52:52'),
	(1283,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.png',0,'2024-07-15 15:52:52'),
	(1284,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.html',0,'2024-07-15 15:52:52'),
	(1285,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.png',0,'2024-07-15 15:52:52'),
	(1286,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.html',0,'2024-07-15 15:52:52'),
	(1287,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.png',0,'2024-07-15 15:52:52'),
	(1288,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.html',0,'2024-07-15 15:52:52'),
	(1289,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.png',0,'2024-07-15 15:52:52'),
	(1290,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.html',0,'2024-07-15 15:52:52'),
	(1291,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.png',0,'2024-07-15 15:52:52'),
	(1292,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.html',0,'2024-07-15 15:52:52'),
	(1293,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.png',0,'2024-07-15 15:52:52'),
	(1294,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.html',0,'2024-07-15 15:52:52'),
	(1295,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.png',0,'2024-07-15 15:52:52'),
	(1296,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.html',0,'2024-07-15 15:52:52'),
	(1297,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.png',0,'2024-07-15 15:52:52'),
	(1298,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.html',0,'2024-07-15 15:52:52'),
	(1299,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.png',0,'2024-07-15 15:52:52'),
	(1300,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.html',0,'2024-07-15 15:52:52'),
	(1301,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.png',0,'2024-07-15 15:52:52'),
	(1302,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.html',0,'2024-07-15 15:52:52'),
	(1303,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.png',0,'2024-07-15 15:52:52'),
	(1304,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.html',0,'2024-07-15 15:52:52'),
	(1305,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.png',0,'2024-07-15 15:52:52'),
	(1306,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.html',0,'2024-07-15 15:52:52'),
	(1307,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.png',0,'2024-07-15 15:52:52'),
	(1308,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.html',0,'2024-07-15 15:52:52'),
	(1309,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.png',0,'2024-07-15 15:52:52'),
	(1310,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.html',0,'2024-07-15 15:52:52'),
	(1311,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.png',0,'2024-07-15 15:52:52'),
	(1312,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.html',0,'2024-07-15 15:52:52'),
	(1313,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.png',0,'2024-07-15 15:52:52'),
	(1314,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.html',0,'2024-07-15 15:52:52'),
	(1315,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.png',0,'2024-07-15 15:52:52'),
	(1316,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.html',0,'2024-07-15 15:52:52'),
	(1317,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.png',0,'2024-07-15 15:52:52'),
	(1318,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.html',0,'2024-07-15 15:52:52'),
	(1319,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.png',0,'2024-07-15 15:52:52'),
	(1320,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.html',0,'2024-07-15 15:52:52'),
	(1321,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 16:20:04'),
	(1322,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 16:20:04'),
	(1323,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 16:31:44'),
	(1324,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 16:31:44'),
	(1325,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 16:41:32'),
	(1326,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 16:41:32'),
	(1327,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 16:45:44'),
	(1328,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 16:45:44'),
	(1329,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 16:50:13'),
	(1330,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 16:50:13'),
	(1331,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 17:05:14'),
	(1332,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 17:05:14'),
	(1333,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 17:11:52'),
	(1334,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 17:11:52'),
	(1335,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 17:18:03'),
	(1336,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 17:18:03'),
	(1337,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 17:25:15'),
	(1338,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 17:25:15'),
	(1339,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 17:29:21'),
	(1340,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 17:29:21'),
	(1341,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 17:40:52'),
	(1342,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 17:40:52'),
	(1343,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 17:46:20'),
	(1344,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 17:46:20'),
	(1345,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 17:50:36'),
	(1346,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 17:50:36'),
	(1347,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.png',0,'2024-07-15 17:55:12'),
	(1348,'WOF053600062-WOB00022','WOG00098','min_pitch','wof053600062/WOF053600062-WOB00022/min_pitch/manual/F33.html',0,'2024-07-15 17:55:12'),
	(1349,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1-1.png',0,'2024-07-16 12:55:48'),
	(1350,'WOF053600062-WOB00022','WOG00066','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1-1.html',0,'2024-07-16 12:55:48'),
	(1351,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1-2.png',0,'2024-07-16 12:55:48'),
	(1352,'WOF053600062-WOB00022','WOG00067','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F01-1-2.html',0,'2024-07-16 12:55:48'),
	(1353,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.png',0,'2024-07-16 12:55:48'),
	(1354,'WOF053600062-WOB00022','WOG00068','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F03.html',0,'2024-07-16 12:55:48'),
	(1355,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.png',0,'2024-07-16 12:55:48'),
	(1356,'WOF053600062-WOB00022','WOG00069','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F04.html',0,'2024-07-16 12:55:48'),
	(1357,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.png',0,'2024-07-16 12:55:48'),
	(1358,'WOF053600062-WOB00022','WOG00070','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F05.html',0,'2024-07-16 12:55:48'),
	(1359,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.png',0,'2024-07-16 12:55:48'),
	(1360,'WOF053600062-WOB00022','WOG00071','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F06.html',0,'2024-07-16 12:55:48'),
	(1361,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.png',0,'2024-07-16 12:55:48'),
	(1362,'WOF053600062-WOB00022','WOG00072','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F07.html',0,'2024-07-16 12:55:48'),
	(1363,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.png',0,'2024-07-16 12:55:48'),
	(1364,'WOF053600062-WOB00022','WOG00073','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F08.html',0,'2024-07-16 12:55:48'),
	(1365,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.png',0,'2024-07-16 12:55:48'),
	(1366,'WOF053600062-WOB00022','WOG00074','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F09.html',0,'2024-07-16 12:55:48'),
	(1367,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.png',0,'2024-07-16 12:55:48'),
	(1368,'WOF053600062-WOB00022','WOG00075','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F10.html',0,'2024-07-16 12:55:48'),
	(1369,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.png',0,'2024-07-16 12:55:48'),
	(1370,'WOF053600062-WOB00022','WOG00076','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F11.html',0,'2024-07-16 12:55:48'),
	(1371,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.png',0,'2024-07-16 12:55:48'),
	(1372,'WOF053600062-WOB00022','WOG00077','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F12.html',0,'2024-07-16 12:55:48'),
	(1373,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.png',0,'2024-07-16 12:55:48'),
	(1374,'WOF053600062-WOB00022','WOG00078','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F13.html',0,'2024-07-16 12:55:48'),
	(1375,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.png',0,'2024-07-16 12:55:48'),
	(1376,'WOF053600062-WOB00022','WOG00079','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F14.html',0,'2024-07-16 12:55:48'),
	(1377,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.png',0,'2024-07-16 12:55:48'),
	(1378,'WOF053600062-WOB00022','WOG00080','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F15.html',0,'2024-07-16 12:55:48'),
	(1379,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.png',0,'2024-07-16 12:55:48'),
	(1380,'WOF053600062-WOB00022','WOG00081','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F16.html',0,'2024-07-16 12:55:48'),
	(1381,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.png',0,'2024-07-16 12:55:48'),
	(1382,'WOF053600062-WOB00022','WOG00082','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F17.html',0,'2024-07-16 12:55:48'),
	(1383,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.png',0,'2024-07-16 12:55:48'),
	(1384,'WOF053600062-WOB00022','WOG00083','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F18.html',0,'2024-07-16 12:55:48'),
	(1385,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.png',0,'2024-07-16 12:55:48'),
	(1386,'WOF053600062-WOB00022','WOG00084','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F19.html',0,'2024-07-16 12:55:48'),
	(1387,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.png',0,'2024-07-16 12:55:48'),
	(1388,'WOF053600062-WOB00022','WOG00085','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F20.html',0,'2024-07-16 12:55:48'),
	(1389,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.png',0,'2024-07-16 12:55:48'),
	(1390,'WOF053600062-WOB00022','WOG00086','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F21.html',0,'2024-07-16 12:55:48'),
	(1391,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.png',0,'2024-07-16 12:55:48'),
	(1392,'WOF053600062-WOB00022','WOG00087','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F22.html',0,'2024-07-16 12:55:48'),
	(1393,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.png',0,'2024-07-16 12:55:48'),
	(1394,'WOF053600062-WOB00022','WOG00088','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F23.html',0,'2024-07-16 12:55:48'),
	(1395,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.png',0,'2024-07-16 12:55:48'),
	(1396,'WOF053600062-WOB00022','WOG00089','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F24.html',0,'2024-07-16 12:55:48'),
	(1397,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.png',0,'2024-07-16 12:55:48'),
	(1398,'WOF053600062-WOB00022','WOG00090','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F25.html',0,'2024-07-16 12:55:48'),
	(1399,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.png',0,'2024-07-16 12:55:48'),
	(1400,'WOF053600062-WOB00022','WOG00091','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F26.html',0,'2024-07-16 12:55:48'),
	(1401,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.png',0,'2024-07-16 12:55:48'),
	(1402,'WOF053600062-WOB00022','WOG00092','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F27.html',0,'2024-07-16 12:55:48'),
	(1403,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.png',0,'2024-07-16 12:55:48'),
	(1404,'WOF053600062-WOB00022','WOG00093','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F28.html',0,'2024-07-16 12:55:48'),
	(1405,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.png',0,'2024-07-16 12:55:48'),
	(1406,'WOF053600062-WOB00022','WOG00094','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F29.html',0,'2024-07-16 12:55:48'),
	(1407,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.png',0,'2024-07-16 12:55:48'),
	(1408,'WOF053600062-WOB00022','WOG00095','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F30.html',0,'2024-07-16 12:55:48'),
	(1409,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.png',0,'2024-07-16 12:55:48'),
	(1410,'WOF053600062-WOB00022','WOG00096','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F31.html',0,'2024-07-16 12:55:48'),
	(1411,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.png',0,'2024-07-16 12:55:48'),
	(1412,'WOF053600062-WOB00022','WOG00097','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F32.html',0,'2024-07-16 12:55:48'),
	(1413,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.png',0,'2024-07-16 12:55:48'),
	(1414,'WOF053600062-WOB00022','WOG00098','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/F33.html',0,'2024-07-16 12:55:48');

/*!40000 ALTER TABLE `analysis_diagram_relation` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_general_file
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_general_file`;

CREATE TABLE `analysis_general_file` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次号',
  `analysis_type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `file_addr` varchar(650) NOT NULL DEFAULT '' COMMENT '总文件地址minIO',
  `auto_analysis` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否自动分析(0:否 1：是)',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_file_unique` (`batch_code`,`analysis_type_code`,`file_addr`) USING BTREE COMMENT '唯一索引',
  KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析结果总文件信息表 ';

LOCK TABLES `analysis_general_file` WRITE;
/*!40000 ALTER TABLE `analysis_general_file` DISABLE KEYS */;

INSERT INTO `analysis_general_file` (`id`, `batch_code`, `analysis_type_code`, `file_addr`, `auto_analysis`, `create_time`)
VALUES
	(411,'WOF085500002-WOB00002','data_integrity_minute','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/data_integrity_minute/manual/特色菜数据完整度分析.png',0,'2024-07-01 11:30:16'),
	(412,'WOF085500002-WOB00002','data_integrity_minute','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/data_integrity_minute/manual/特色菜数据完整度分析.html',0,'2024-07-01 11:30:16'),
	(425,'WOF085500002-WOB00002','cp_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/特色菜-Cp-Distribution.html',0,'2024-07-03 11:34:14'),
	(428,'WOF085500002-WOB00002','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/power_curve/manual/全场-特色菜功率曲线.html',0,'2024-07-03 14:27:56'),
	(430,'WOF085500002-WOB00002','rated_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/rated_windspeed/manual/风速区间数据计数.png',0,'2024-07-03 14:31:42'),
	(431,'WOF085500002-WOB00002','rated_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/rated_windspeed/manual/风速区间数据计数.html',0,'2024-07-03 14:31:42'),
	(432,'WOF085500002-WOB00002','tsr','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr/manual/特色菜-TSR-Distribution.html',0,'2024-07-03 14:31:42'),
	(433,'WOF085500002-WOB00002','tsr_windspeed','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/tsr_windspeed/manual/特色菜-TSR-Distribution.html',0,'2024-07-03 14:31:42'),
	(438,'WOF085500002-WOB00002','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/speed_torque/manual/speed_torque.html',0,'2024-07-03 14:54:55'),
	(439,'WOF085500002-WOB00002','temperature_environment','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/temperature_environment/manual/特色菜环境温差Bias.png',0,'2024-07-03 14:54:55'),
	(440,'WOF085500002-WOB00002','temperature_environment','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/temperature_environment/manual/特色菜环境温差Bias.html',0,'2024-07-03 14:54:55'),
	(441,'WOF085500002-WOB00002','temperature_environment','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/temperature_environment/manual/特色菜环境温度中位数.png',0,'2024-07-03 14:54:55'),
	(442,'WOF085500002-WOB00002','temperature_environment','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00002/temperature_environment/manual/特色菜环境温度中位数.html',0,'2024-07-03 14:54:55'),
	(443,'WOF085500002-WOB00002','cp','wof085500002/WOF085500002-WOB00002/cp/manual/%E7%89%B9%E8%89%B2%E8%8F%9C-Cp-Distribution.html',0,'2024-07-09 09:54:24'),
	(447,'WOF053600062-WOB000071','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/%E5%85%A8%E5%9C%BA-%E7%89%B9%E8%89%B2%E8%8F%9C%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF.html',0,'2024-07-09 13:44:35'),
	(448,'WOF085500002-WOB00002','power_curve','wof085500002/WOF085500002-WOB00002/power_curve/manual/%E5%85%A8%E5%9C%BA-%E7%89%B9%E8%89%B2%E8%8F%9C%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF.html',0,'2024-07-09 15:52:53'),
	(455,'WOF085500002-WOB00002','cp_windspeed','wof085500002/WOF085500002-WOB00002/cp_windspeed/manual/%E7%89%B9%E8%89%B2%E8%8F%9C-Cp-Distribution.html',0,'2024-07-10 10:44:20'),
	(457,'WOF053600062-WOB00022','cp','wof053600062/WOF053600062-WOB00022/cp/manual/%E6%8B%9B%E8%BF%9C%E9%A3%8E%E7%94%B5%E5%9C%BA-Cp-Distribution.html',0,'2024-07-10 10:44:20'),
	(458,'WOF053600062-WOB00022','cp_windspeed','wof053600062/WOF053600062-WOB00022/cp_windspeed/manual/%E6%8B%9B%E8%BF%9C%E9%A3%8E%E7%94%B5%E5%9C%BA-Cp-Distribution.html',0,'2024-07-10 10:44:20'),
	(459,'WOF053600062-WOB00022','power_curve','wof053600062/WOF053600062-WOB00022/power_curve/manual/%E5%85%A8%E5%9C%BA-%E6%8B%9B%E8%BF%9C%E9%A3%8E%E7%94%B5%E5%9C%BA%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF.html',0,'2024-07-10 10:44:20'),
	(467,'WOF053600062-WOB00022','speed_power','wof053600062/WOF053600062-WOB00022/speed_power/manual/speed_power.html',0,'2024-07-10 15:35:49'),
	(468,'WOF053600062-WOB00022','speed_torque','wof053600062/WOF053600062-WOB00022/speed_torque/manual/speed_torque.html',0,'2024-07-10 15:35:49'),
	(469,'WOF053600062-WOB00022','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/main_bearing_temperature/%E4%B8%BB%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:00:40'),
	(470,'WOF053600062-WOB00022','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E9%AB%98%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:00:40'),
	(471,'WOF053600062-WOB00022','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generatordrive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:00:40'),
	(472,'WOF053600062-WOB00022','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%9D%9E%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:00:40'),
	(473,'WOF053600062-WOB00022','temperature_large_components','wof053600062/WOF053600062-WOB00022/temperature_large_components/manual/generator_winding1_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E7%BB%95%E7%BB%84%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:00:40');

/*!40000 ALTER TABLE `analysis_general_file` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_option_records
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_option_records`;

CREATE TABLE `analysis_option_records` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `option_content` varchar(50) NOT NULL DEFAULT '' COMMENT '操作内容',
  `option_by` int(10) NOT NULL DEFAULT '0' COMMENT '操作人id',
  `option_by_name` varchar(20) NOT NULL COMMENT '操作人名称',
  `field_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风场编号',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '操作时间',
  PRIMARY KEY (`id`),
  KEY `index_field_code` (`field_code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析操作记录';

LOCK TABLES `analysis_option_records` WRITE;
/*!40000 ALTER TABLE `analysis_option_records` DISABLE KEYS */;

INSERT INTO `analysis_option_records` (`id`, `option_content`, `option_by`, `option_by_name`, `field_code`, `create_time`)
VALUES
	(46,'手动分析',2,'admin','WOF053600062','2024-06-26 11:29:29'),
	(47,'手动分析',2,'admin','WOF053600062','2024-06-26 13:36:44'),
	(48,'手动分析',2,'admin','WOF053600062','2024-06-26 13:42:10'),
	(49,'手动分析',2,'admin','WOF063100040','2024-06-26 13:44:36'),
	(50,'手动分析',2,'admin','WOF063100040','2024-06-26 13:45:16'),
	(51,'手动分析',2,'admin','WOF063100040','2024-06-26 13:45:49'),
	(52,'手动分析',2,'admin','WOF063100040','2024-06-26 13:51:05'),
	(53,'手动分析',2,'admin','WOF063100040','2024-06-26 14:07:58'),
	(54,'手动分析',2,'admin','WOF063100040','2024-06-26 14:09:36'),
	(55,'手动分析',2,'admin','WOF053600062','2024-06-26 14:10:36'),
	(56,'手动分析',2,'admin','WOF063100040','2024-06-26 14:11:16'),
	(57,'手动分析',2,'admin','WOF063100040','2024-06-26 14:11:26'),
	(58,'手动分析',2,'admin','WOF053600062','2024-06-26 14:24:33'),
	(59,'手动分析',2,'admin','WOF053600062','2024-06-26 14:29:08'),
	(60,'手动分析',2,'admin','WOF053600062','2024-06-26 14:36:47'),
	(61,'手动分析',2,'admin','WOF053600062','2024-06-26 14:47:23'),
	(62,'手动分析',2,'admin','WOF053600062','2024-06-26 14:52:54'),
	(63,'手动分析',2,'admin','WOF053600062','2024-06-26 14:56:28'),
	(64,'手动分析',2,'admin','WOF063100040','2024-06-26 15:06:22'),
	(65,'手动分析',2,'admin','WOF053600062','2024-06-26 16:11:09'),
	(66,'手动分析',2,'admin','WOF053600062','2024-06-26 16:12:57'),
	(67,'手动分析',2,'admin','WOF053600062','2024-06-28 10:00:46'),
	(68,'手动分析',2,'admin','WOF063100040','2024-06-28 10:02:21'),
	(69,'手动分析',2,'admin','WOF063100040','2024-06-28 10:03:09'),
	(70,'手动分析',2,'admin','WOF063100040','2024-06-28 10:03:50'),
	(71,'手动分析',2,'admin','WOF063100040','2024-06-28 10:18:41'),
	(72,'手动分析',2,'admin','WOF063100040','2024-06-28 10:19:04'),
	(73,'手动分析',2,'admin','WOF063100040','2024-06-28 10:19:14'),
	(74,'手动分析',2,'admin','WOF063100040','2024-06-28 10:19:28'),
	(75,'手动分析',2,'admin','WOF063100040','2024-06-28 10:19:56'),
	(76,'手动分析',2,'admin','WOF063100040','2024-06-28 10:21:43'),
	(77,'手动分析',2,'admin','WOF053600062','2024-06-28 11:28:02'),
	(78,'手动分析',2,'admin','WOF053600062','2024-06-28 11:29:32'),
	(79,'手动分析',2,'admin','WOF053600062','2024-06-28 11:32:09'),
	(80,'手动分析',2,'admin','WOF053600062','2024-06-28 11:33:57'),
	(81,'手动分析',2,'admin','WOF053600062','2024-06-28 11:42:49'),
	(82,'手动分析',2,'admin','WOF063100040','2024-06-28 13:45:36'),
	(83,'手动分析',2,'admin','WOF063100040','2024-06-28 13:46:31'),
	(84,'手动分析',2,'admin','WOF053600062','2024-07-01 10:07:52'),
	(85,'手动分析',2,'admin','WOF053600062','2024-07-01 10:08:47'),
	(86,'评论编辑',2,'admin','WOF053600062','2024-07-01 15:48:07'),
	(87,'评论编辑',2,'admin','WOF053600062','2024-07-01 15:58:04'),
	(88,'手动分析',2,'admin','WOF053600062','2024-07-01 17:26:17'),
	(89,'手动分析',2,'admin','WOF053600062','2024-07-02 11:09:55'),
	(90,'评论编辑',2,'admin','WOF053600062','2024-07-03 09:00:21'),
	(91,'手动分析',2,'admin','WOF053600062','2024-07-03 10:40:23'),
	(92,'手动分析',130,'xo','WOF093400005','2024-07-03 12:36:31'),
	(93,'手动分析',130,'xo','WOF093400005','2024-07-03 13:35:22'),
	(94,'评论编辑',2,'admin','WOF053600062','2024-07-04 16:13:10'),
	(95,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:14:04'),
	(96,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:15:08'),
	(97,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:15:24'),
	(98,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:22:20'),
	(99,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:22:51'),
	(100,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:24:14'),
	(101,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:25:03'),
	(102,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:26:39'),
	(103,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:37:36'),
	(104,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:37:47'),
	(105,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:40:33'),
	(106,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:42:33'),
	(107,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:43:17'),
	(108,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:46:08'),
	(109,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:49:00'),
	(110,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:49:10'),
	(111,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:53:15'),
	(112,'评论编辑',130,'xo','WOF053600062','2024-07-04 16:53:27'),
	(113,'手动分析',2,'admin','WOF053600062','2024-07-08 15:16:54'),
	(114,'手动分析',2,'admin','WOF053600062','2024-07-09 09:15:51'),
	(115,'手动分析',2,'admin','WOF053600062','2024-07-09 16:01:44'),
	(116,'手动分析',2,'admin','WOF053600062','2024-07-09 16:02:31'),
	(117,'手动分析',2,'admin','WOF053600062','2024-07-09 16:04:23'),
	(118,'手动分析',130,'xo','WOF093400005','2024-07-10 15:18:04'),
	(119,'手动分析',130,'xo','WOF093400005','2024-07-10 15:19:53'),
	(120,'手动分析',130,'xo','WOF093400005','2024-07-10 15:22:12'),
	(121,'手动分析',130,'xo','WOF093400005','2024-07-10 15:23:45'),
	(122,'手动分析',130,'xo','WOF093400005','2024-07-10 15:24:41'),
	(123,'手动分析',130,'xo','WOF093400005','2024-07-10 15:27:53'),
	(124,'手动分析',130,'xo','WOF093400005','2024-07-10 15:34:37'),
	(125,'手动分析',130,'xo','WOF093400005','2024-07-11 09:41:51'),
	(126,'手动分析',130,'xo','WOF093400005','2024-07-11 09:44:19'),
	(127,'手动分析',130,'xo','WOF093400005','2024-07-11 10:17:52'),
	(128,'手动分析',130,'xo','WOF093400005','2024-07-11 10:18:11'),
	(129,'手动分析',130,'xo','WOF093400005','2024-07-11 11:28:58'),
	(130,'手动分析',130,'xo','WOF053600062','2024-07-11 11:31:07'),
	(131,'手动分析',130,'xo','WOF053600062','2024-07-11 11:31:45'),
	(132,'手动分析',130,'xo','WOF053600062','2024-07-11 11:32:15'),
	(133,'手动分析',130,'xo','WOF053600062','2024-07-11 11:34:11'),
	(134,'手动分析',2,'admin','WOF053600062','2024-07-11 11:54:35'),
	(135,'手动分析',2,'admin','WOF053600062','2024-07-11 11:57:35'),
	(136,'手动分析',130,'xo','WOF093400005','2024-07-11 15:23:27'),
	(137,'手动分析',130,'xo','WOF093400005','2024-07-11 15:25:19'),
	(138,'手动分析',130,'xo','WOF093400005','2024-07-11 15:26:03'),
	(139,'手动分析',130,'xo','WOF093400005','2024-07-11 15:31:38'),
	(140,'手动分析',130,'xo','WOF093400005','2024-07-11 15:47:18'),
	(141,'手动分析',130,'xo','WOF093400005','2024-07-11 15:49:17'),
	(142,'手动分析',130,'xo','WOF093400005','2024-07-11 15:53:31'),
	(143,'手动分析',130,'xo','WOF093400005','2024-07-11 16:01:30'),
	(144,'手动分析',130,'xo','WOF093400005','2024-07-11 16:01:37'),
	(145,'手动分析',130,'xo','WOF093400005','2024-07-11 16:02:35'),
	(146,'手动分析',130,'xo','WOF093400005','2024-07-11 16:04:10'),
	(147,'手动分析',130,'xo','WOF093400005','2024-07-11 16:08:42'),
	(148,'手动分析',130,'xo','WOF093400005','2024-07-11 16:10:56'),
	(149,'手动分析',130,'xo','WOF093400005','2024-07-11 16:17:12'),
	(150,'手动分析',130,'xo','WOF093400005','2024-07-11 16:19:05'),
	(151,'手动分析',130,'xo','WOF093400005','2024-07-11 16:21:39'),
	(152,'手动分析',130,'xo','WOF093400005','2024-07-11 16:40:41'),
	(153,'手动分析',130,'xo','WOF093400005','2024-07-11 16:48:53'),
	(154,'手动分析',130,'xo','WOF093400005','2024-07-11 16:51:30'),
	(155,'手动分析',130,'xo','WOF093400005','2024-07-12 08:47:48'),
	(156,'手动分析',2,'admin','WOF053600062','2024-07-15 11:29:56'),
	(157,'评论编辑',2,'admin','WOF053600062','2024-07-16 09:58:27'),
	(158,'评论编辑',2,'admin','WOF053600062','2024-07-16 09:58:42'),
	(159,'评论编辑',2,'admin','WOF053600062','2024-07-16 10:00:52'),
	(160,'评论编辑',2,'admin','WOF053600062','2024-07-16 10:01:11');

/*!40000 ALTER TABLE `analysis_option_records` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_result
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_result`;

CREATE TABLE `analysis_result` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `analysis_state` tinyint(1) NOT NULL DEFAULT '-1' COMMENT '分析状态(-1-未分析，0-分析中1-已分析)',
  `err_state` tinyint(1) DEFAULT '0' COMMENT '异常状态（0：否 1：是）',
  `err_code` varchar(100) DEFAULT '' COMMENT '异常编号',
  `err_info` varchar(1000) DEFAULT '' COMMENT '异常信息',
  `create_by` int(11) DEFAULT '0' COMMENT '创建人',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` int(11) DEFAULT '0' COMMENT '更新人',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `analysis_progress` decimal(6,2) DEFAULT '0.00' COMMENT '分析进度\n',
  `on_off_call` tinyint(2) NOT NULL DEFAULT '0' COMMENT '开启自动分析 0：否 1：是',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析结果表—批次分析结果表';



# Dump of table analysis_type
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_type`;

CREATE TABLE `analysis_type` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` bigint(11) NOT NULL COMMENT '分析类型父级编号',
  `type_flag` varchar(200) NOT NULL DEFAULT '' COMMENT '分析类型标识',
  `type_name` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型名称',
  `create_by` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析类型字典表 ';

LOCK TABLES `analysis_type` WRITE;
/*!40000 ALTER TABLE `analysis_type` DISABLE KEYS */;

INSERT INTO `analysis_type` (`id`, `parent_id`, `type_flag`, `type_name`, `create_by`, `create_time`, `type_code`)
VALUES
	(1,0,'','数据情况',2,'2024-06-05 11:30:12',''),
	(2,0,'','风资源分析',2,'2024-06-05 11:30:12',''),
	(3,0,'','功率曲线分析',2,'2024-06-05 13:28:03',''),
	(4,0,'','额定功率分析',2,'2024-06-05 13:28:47',''),
	(5,0,'','性能特性分析',2,'2024-06-05 13:29:02',''),
	(6,0,'','静态偏航误差分析',2,'2024-06-05 13:29:18',''),
	(7,0,'','变桨特性分析',2,'2024-06-05 13:29:31',''),
	(8,0,'','变桨-转速-转矩（功率）协调分析',2,'2024-06-05 13:29:44',''),
	(9,0,'','温度传感器性能分析',2,'2024-06-05 13:30:07',''),
	(10,0,'','尚未归类的分析类型',2,'2024-06-05 13:30:19',''),
	(11,1,'algorithm.dataIntegrityOfMinuteAnalyst|DataIntegrityOfMinuteAnalyst|executeAnalysis|minute','分钟级SCADA数据记录完整度分析',2,'2024-06-05 13:38:17','data_integrity_minute'),
	(12,1,'algorithm.dataIntegrityOfSecondAnalyst|DataIntegrityOfSecondAnalyst|executeAnalysis|second','秒级SCADA数据记录完整度分析',2,'2024-06-05 13:38:17','data_integrity_second'),
	(13,2,'algorithm.windSpeedFrequencyAnalyst|WindSpeedFrequencyAnalyst|executeAnalysis|minute','风速频率分析',2,'2024-06-05 13:38:17','wind_speed_frequency'),
	(14,2,'algorithm.windDirectionFrequencyAnalyst|WindDirectionFrequencyAnalyst|executeAnalysis|minute','风向玫瑰分析',2,'2024-06-05 13:40:36','wind_direction_frequency'),
	(15,2,'algorithm.windSpeedAnalyst|WindSpeedAnalyst|executeAnalysis|minute','风速均值分析',2,'2024-06-05 14:19:29','wind_speed'),
	(16,3,'algorithm.powerCurveAnalyst|PowerCurveAnalyst|executeAnalysis|minute','有功功率曲线分析',2,'2024-06-05 14:19:59','power_curve'),
	(17,3,'algorithm.powerScatter2DAnalyst|PowerScatter2DAnalyst|executeAnalysis|minute','逐月有功功率散点2D分析',2,'2024-06-05 14:20:47','power_scatter_2D'),
	(18,3,'algorithm.powerScatterAnalyst|PowerScatterAnalyst|executeAnalysis|minute','逐月有功功率散点3D分析',2,'2024-06-05 14:21:17','power_scatter'),
	(19,4,'algorithm.ratedPowerWindSpeedAnalyst|RatedPowerWindSpeedAnalyst|executeAnalysis|minute','额定功率和风速分析',2,'2024-06-05 14:21:24','rated_power_windspeed'),
	(20,4,'algorithm.ratedWindSpeedAnalyst|RatedWindSpeedAnalyst|executeAnalysis|minute','额定风速分析',2,'2024-06-05 14:21:52','rated_windspeed'),
	(21,5,'algorithm.cpAnalyst|CpAnalyst|executeAnalysis|second','风能利用系数和有功功率分析',2,'2024-06-05 14:22:12','cp'),
	(22,5,'algorithm.cpWindSpeedAnalyst|CpWindSpeedAnalyst|executeAnalysis|second','风能利用系数和风速分析',2,'2024-06-05 14:22:50','cp_windspeed'),
	(23,5,'algorithm.cpTrendAnalyst|CpTrendAnalyst|executeAnalysis|second','风能利用系数时序分析',2,'2024-06-05 14:23:13','cp_trend'),
	(24,5,'algorithm.tsrAnalyst|TSRAnalyst|executeAnalysis|second','叶尖速比和有功功率分析',2,'2024-06-05 14:23:19','tsr'),
	(25,5,'algorithm.tsrWindSpeedAnalyst|TSRWindSpeedAnalyst|executeAnalysis|second','叶尖速比和风速分析',2,'2024-06-05 14:23:23','tsr_windspeed'),
	(26,5,'algorithm.tsrTrendAnalyst|TSRTrendAnalyst|executeAnalysis|second','叶尖速比时序分析',2,'2024-06-05 14:23:28','tsr_trend'),
	(27,5,'algorithm.generatorSpeedPowerAnalyst|GeneratorSpeedPowerAnalyst|executeAnalysis|minute','发电机转速和有功功率分析',2,'2024-06-05 14:23:32','speed_power'),
	(28,5,'algorithm.generatorSpeedTorqueAnalyst|GeneratorSpeedTorqueAnalyst|executeAnalysis|minute','发电机转速和转矩分析',2,'2024-06-05 14:24:51','speed_torque'),
	(29,6,'algorithm.yawErrorAnalyst|YawErrorAnalyst|executeAnalysis|second','静态偏航误差分析',2,'2024-06-05 14:25:14','yaw_error'),
	(30,7,'algorithm.minPitchAnalyst|MinPitchAnalyst|executeAnalysis|second','最小桨距角分析',2,'2024-06-05 14:25:42','min_pitch'),
	(31,8,'algorithm.pitchPowerAnalyst|PitchPowerAnalyst|executeAnalysis|minute','变桨和有功功率协调性分析',2,'2024-06-05 14:26:19','pitch_power'),
	(32,8,'algorithm.pitchGeneratorSpeedAnalyst|PitchGeneratorSpeedAnalyst|executeAnalysis|minute','变桨和发电机转速协调性分析',2,'2024-06-05 14:26:41','pitch_generator_speed'),
	(33,9,'algorithm.temperatureEnvironmentAnalyst|TemperatureEnvironmentAnalyst|executeAnalysis|minute','环境温度传感器分析',2,'2024-06-05 14:27:20','temperature_environment'),
	(34,9,'algorithm.temperatureLargeComponentsAnalyst|TemperatureLargeComponentsAnalyst|executeAnalysis|minute','大部件温度传感器分析',2,'2024-06-13 09:03:50','temperature_large_components'),
	(35,10,'algorithm.pitchTSRCpAnalyst|PitchTSRCpAnalyst|executeAnalysis|second','变桨和叶尖速比及风能利用系数分析',2,'2024-06-13 09:04:50','pitch_tsr_cp');

/*!40000 ALTER TABLE `analysis_type` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table anemometer_tower
# ------------------------------------------------------------

DROP TABLE IF EXISTS `anemometer_tower`;

CREATE TABLE `anemometer_tower` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `anemometer_code` varchar(32) DEFAULT NULL COMMENT '测风塔编号',
  `anemometer_name` varchar(32) DEFAULT NULL COMMENT '测风塔名称',
  `longitude` decimal(15,8) DEFAULT NULL COMMENT '经度',
  `latitude` decimal(15,8) DEFAULT NULL COMMENT '纬度',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `anemometer_code` (`anemometer_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测风塔信息 ';

LOCK TABLES `anemometer_tower` WRITE;
/*!40000 ALTER TABLE `anemometer_tower` DISABLE KEYS */;

INSERT INTO `anemometer_tower` (`id`, `anemometer_code`, `anemometer_name`, `longitude`, `latitude`, `state`, `del_state`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(29,'WOT00029','第一次',120.33000000,37.18000000,1,0,131,'2024-06-20 15:49:54',NULL,'2024-06-25 09:28:29');

/*!40000 ALTER TABLE `anemometer_tower` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table anemometer_tower_height
# ------------------------------------------------------------

DROP TABLE IF EXISTS `anemometer_tower_height`;

CREATE TABLE `anemometer_tower_height` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `anemometer_code` varchar(32) DEFAULT NULL COMMENT '测风塔编号',
  `anemometer_height` double(10,2) DEFAULT NULL COMMENT '测风塔高度',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `anemometer_code` (`anemometer_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测风塔层高信息表 ';

LOCK TABLES `anemometer_tower_height` WRITE;
/*!40000 ALTER TABLE `anemometer_tower_height` DISABLE KEYS */;

INSERT INTO `anemometer_tower_height` (`id`, `anemometer_code`, `anemometer_height`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(64,'WOT00029',50.00,NULL,'2024-06-25 09:28:29',NULL,'2024-06-25 09:28:29'),
	(65,'WOT00029',40.00,NULL,'2024-06-25 09:28:29',NULL,'2024-06-25 09:28:29');

/*!40000 ALTER TABLE `anemometer_tower_height` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table anemometer_tower_relation
# ------------------------------------------------------------

DROP TABLE IF EXISTS `anemometer_tower_relation`;

CREATE TABLE `anemometer_tower_relation` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
  `tower_code` varchar(32) DEFAULT NULL COMMENT '测风塔编号',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `field_code` (`field_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测风塔与风场关系表 ';

LOCK TABLES `anemometer_tower_relation` WRITE;
/*!40000 ALTER TABLE `anemometer_tower_relation` DISABLE KEYS */;

INSERT INTO `anemometer_tower_relation` (`id`, `field_code`, `tower_code`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(53,'WOF01000063','WOT00029',NULL,'2024-06-20 17:09:08',NULL,'2024-06-20 17:09:08'),
	(54,'WOF01000064','WOT00029',NULL,'2024-06-20 17:13:37',NULL,'2024-06-20 17:13:37'),
	(55,'WOF053600062','WOT00029',NULL,'2024-06-24 17:47:24',NULL,'2024-06-24 17:47:24'),
	(56,'WOF01000065','WOT00029',NULL,'2024-06-28 10:26:56',NULL,'2024-06-28 10:26:56');

/*!40000 ALTER TABLE `anemometer_tower_relation` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table data_transfer
# ------------------------------------------------------------

DROP TABLE IF EXISTS `data_transfer`;

CREATE TABLE `data_transfer` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风场编号',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `engine_count` int(11) NOT NULL DEFAULT '0' COMMENT '机组数量',
  `transfer_type` varchar(32) NOT NULL DEFAULT '' COMMENT '转换类型',
  `transfer_addr` varchar(100) DEFAULT '' COMMENT '转换路径',
  `time_granularity` int(10) NOT NULL DEFAULT '0' COMMENT '时间粒度（以秒为单位）',
  `err_info` varchar(1000) DEFAULT '' COMMENT '异常信息',
  `transfer_state` tinyint(1) NOT NULL DEFAULT '-1' COMMENT '转换状态(-1：初始化状态 0-转换中 1-转换成功 2-转换失败)',
  `trans_sys_status` tinyint(1) DEFAULT '-1' COMMENT '转化系统的状态值',
  `transfer_data_count` bigint(20) DEFAULT NULL COMMENT '转化后数据总条数',
  `data_min_time` datetime DEFAULT NULL COMMENT '数据中最小时间',
  `data_max_time` datetime DEFAULT NULL COMMENT '数据中最大时间',
  `transfer_start_time` datetime DEFAULT NULL COMMENT '数据开始转化的时间',
  `transfer_finish_time` datetime DEFAULT NULL COMMENT '转换完成时间',
  `create_by` int(11) NOT NULL COMMENT '创建人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` int(11) NOT NULL COMMENT '更新人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `call_state` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0:未调用 1：已调用  是否已调用分析算法',
  `transfer_progress` decimal(6,2) NOT NULL DEFAULT '1.00' COMMENT '转换进度',
  PRIMARY KEY (`id`),
  KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次编号'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='数据操作 ';

LOCK TABLES `data_transfer` WRITE;
/*!40000 ALTER TABLE `data_transfer` DISABLE KEYS */;

INSERT INTO `data_transfer` (`id`, `field_code`, `batch_code`, `engine_count`, `transfer_type`, `transfer_addr`, `time_granularity`, `err_info`, `transfer_state`, `trans_sys_status`, `transfer_data_count`, `data_min_time`, `data_max_time`, `transfer_start_time`, `transfer_finish_time`, `create_by`, `create_time`, `update_by`, `update_time`, `call_state`, `transfer_progress`)
VALUES
	(82,'WOF053600062','WOF053600062-WOB00021',0,'tower',NULL,0,'',-1,-1,NULL,'2024-07-09 10:58:48',NULL,NULL,NULL,131,'2024-06-20 16:27:12',131,'2024-07-09 10:58:50',0,2.10),
	(83,'WOF053600062','WOF053600062-WOB00021',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,131,'2024-06-20 16:27:12',131,'2024-06-27 15:22:48',0,2.10),
	(84,'WOF053600062','WOF053600062-WOB00021',33,'minute','tets',0,'运行超时失败',2,2,NULL,NULL,NULL,'2024-06-21 14:55:10','2024-06-21 14:55:10',131,'2024-06-20 16:27:12',2,'2024-07-05 10:31:54',0,2.10),
	(85,'WOF053600062','WOF053600062-WOB00021',0,'second','/123',0,'读取路径与配置路径不匹配:/123,配置文件为:招远风电场-山东-大唐',2,2,NULL,NULL,NULL,NULL,'2024-06-27 15:29:05',131,'2024-06-20 16:27:12',2,'2024-07-02 10:11:00',0,2.10),
	(86,'WOF053600062','WOF053600062-WOB00022',0,'tower','/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/招远秒级数据',0,'未找到招远风电场的tower配置',2,2,NULL,NULL,NULL,NULL,'2024-06-27 15:46:05',2,'2024-06-24 09:41:13',2,'2024-07-02 10:10:57',0,2.10),
	(87,'WOF053600062','WOF053600062-WOB00022',0,'event','/123',60,'未找到招远风电场的event配置',2,2,NULL,NULL,NULL,NULL,'2024-07-04 17:36:05',2,'2024-06-24 09:41:13',130,'2024-07-05 09:31:20',0,0.00),
	(88,'WOF053600062','WOF053600062-WOB00022',33,'minute','/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/十分钟数据-未知量',0,'',0,1,NULL,NULL,NULL,NULL,'2024-06-24 18:26:49',2,'2024-06-24 09:41:13',2,'2024-06-27 15:22:48',0,2.10),
	(89,'WOF053600062','WOF053600062-WOB00022',0,'second','/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/招远秒级数据',1,'',0,1,NULL,NULL,NULL,NULL,'2024-06-28 12:49:14',2,'2024-06-24 09:41:13',2,'2024-07-01 17:28:02',0,0.00),
	(90,'WOF01000063','WOF01000063-WOB00024',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,2,'2024-06-25 15:34:00',2,'2024-06-27 15:22:48',0,2.10),
	(91,'WOF01000063','WOF01000063-WOB00024',0,'second',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,2,'2024-06-25 15:34:00',2,'2024-06-27 15:22:48',0,2.10),
	(92,'WOF01000063','WOF01000063-WOB00024',0,'minute','test-6-25-user',600,'未找到测试风场的minute配置',2,2,NULL,NULL,NULL,NULL,'2024-06-27 15:30:05',2,'2024-06-25 15:34:00',2,'2024-06-27 15:30:05',0,2.10),
	(93,'WOF01000063','WOF01000063-WOB00024',0,'event','/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/十分钟数据-未知量',0,'未找到测试风场的event配置',2,2,NULL,NULL,NULL,NULL,'2024-06-27 15:43:05',2,'2024-06-25 15:34:00',2,'2024-06-27 15:43:05',0,2.10),
	(94,'WOF053600062','WOF053600062-WOB00023',0,'second','876',0,'读取路径与配置路径不匹配:876,配置文件为:招远风电场-山东-大唐',2,2,NULL,NULL,NULL,NULL,'2024-06-27 15:44:04',2,'2024-06-26 09:27:16',2,'2024-06-27 15:44:04',0,2.10),
	(95,'WOF053600062','WOF053600062-WOB00023',0,'tower','/usr/local/index.csv',1,'未找到招远风电场的tower配置',2,2,NULL,NULL,NULL,NULL,'2024-06-27 21:17:04',2,'2024-06-26 09:27:16',2,'2024-06-27 21:17:04',0,0.00),
	(96,'WOF053600062','WOF053600062-WOB00023',0,'event','evet123transferState',500,'未找到招远风电场的event配置',2,2,NULL,NULL,NULL,NULL,'2024-07-01 17:27:05',2,'2024-06-26 09:27:16',2,'2024-07-01 17:27:05',0,0.00),
	(97,'WOF053600062','WOF053600062-WOB00023',0,'minute','test',600,'读取路径与配置路径不匹配:test,配置文件为:招远风电场-山东-大唐',2,2,NULL,NULL,NULL,NULL,'2024-06-27 15:45:05',2,'2024-06-26 09:27:16',2,'2024-06-27 15:45:05',0,2.10),
	(98,'WOF053600062','WOF053600062-WOB00026',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,2,'2024-06-26 16:11:37',2,'2024-06-27 15:22:48',0,2.10),
	(99,'WOF053600062','WOF053600062-WOB00026',0,'second','/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/招远秒级数据',0,'系统返回错误:读取文件列表错误:/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/招远秒级数据,系统返回错误:[Errno 28] No space left on device',2,2,NULL,NULL,NULL,NULL,'2024-06-27 15:42:06',2,'2024-06-26 16:11:37',2,'2024-06-27 15:42:06',0,10.00),
	(100,'WOF053600062','WOF053600062-WOB00026',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,2,'2024-06-26 16:11:37',2,'2024-06-27 15:22:48',0,2.10),
	(101,'WOF053600062','WOF053600062-WOB00026',33,'minute','/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/十分钟数据-未知量',600,'',1,1,NULL,NULL,NULL,NULL,'2024-06-27 15:33:04',2,'2024-06-26 16:11:37',2,'2024-06-27 15:33:04',0,100.00),
	(102,'WOF01000063','WOF01000063-WOB00025',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,2,'2024-06-26 16:12:02',2,'2024-06-27 17:19:32',1,2.10),
	(103,'WOF01000063','WOF01000063-WOB00025',0,'second','86',600,'未找到测试风场的second配置',1,2,NULL,NULL,NULL,NULL,'2024-06-27 15:27:05',2,'2024-06-26 16:12:02',2,'2024-06-27 17:19:32',1,2.10),
	(104,'WOF01000063','WOF01000063-WOB00025',0,'minute','/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/十分钟数据-未知量',600,'未找到测试风场的minute配置',1,2,NULL,NULL,NULL,NULL,'2024-06-27 15:28:05',2,'2024-06-26 16:12:02',2,'2024-06-27 17:19:32',1,2.10),
	(105,'WOF01000063','WOF01000063-WOB00025',0,'event','test',0,'未找到测试风场的event配置',2,2,NULL,NULL,NULL,NULL,'2024-06-27 21:18:05',2,'2024-06-26 16:12:02',2,'2024-06-27 21:18:05',1,2.10),
	(106,'WOF085500002','WOF085500002-WOB00002',0,'minute','dddddd',600,'未找到测试风场的minute配置',2,2,NULL,NULL,NULL,NULL,'2024-06-27 15:30:05',2,'2024-06-25 15:34:00',2,'2024-06-27 15:30:05',0,2.10);

/*!40000 ALTER TABLE `data_transfer` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table data_transfer_history
# ------------------------------------------------------------

DROP TABLE IF EXISTS `data_transfer_history`;

CREATE TABLE `data_transfer_history` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL COMMENT '批次编号',
  `engine_count` int(4) DEFAULT '0' COMMENT '风机数量',
  `transfer_addr` varchar(500) NOT NULL DEFAULT '' COMMENT '转换地址',
  `transfer_type` varchar(50) NOT NULL DEFAULT '' COMMENT '转换类型',
  `err_info` varchar(1000) NOT NULL DEFAULT '' COMMENT '异常信息',
  `transfer_finish_time` datetime DEFAULT NULL COMMENT '转换完成时间',
  `option_by` int(11) NOT NULL COMMENT '转换人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='数据转换异常历史表 ';

LOCK TABLES `data_transfer_history` WRITE;
/*!40000 ALTER TABLE `data_transfer_history` DISABLE KEYS */;

INSERT INTO `data_transfer_history` (`id`, `batch_code`, `engine_count`, `transfer_addr`, `transfer_type`, `err_info`, `transfer_finish_time`, `option_by`, `create_time`)
VALUES
	(13,'WOF053600062-WOB00021',0,'/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/十分钟数据-未知量','second','系统返回错误:Usecols do not match columns, columns expected but not found: [\'给定力矩\', \'风向1s\', \'发电机后轴承温度\', \'实际力矩\', \'设备主要状态\', \'发电机转速\', \'发电机前轴承温度\', \'有功功率\', \'齿轮箱高速轴轴承(风轮侧)温度\', \'叶轮转速\', \'变频器转速(主控)\', \'有功设定反馈\', \'齿轮箱油温度\', \'顺时针偏航次数\', \'桨叶角度C\', \'发电机定子绕组温度\', \'塔筒前后振动\', \'主轴轴承温度\', \'机舱内温度\', \'电缆扭角\', \'齿轮箱转速\', \'不可利用\', \'逆时针偏航次数\', \'实际风速\', \'机舱外温度\', \'桨叶角度B\', \'Time\', \'塔筒左右振动\', \'湍流强度\', \'绝对风向\', \'机舱位置\', \'功率曲线可用\', \'桨叶角度A\']','2024-06-21 14:51:57',131,'2024-06-25 15:25:38'),
	(14,'WOF053600062-WOB00021',0,'/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/招远秒级数据','second','系统返回错误:Usecols do not match columns, columns expected but not found: [\'给定力矩\', \'风向1s\', \'发电机后轴承温度\', \'实际力矩\', \'设备主要状态\', \'发电机转速\', \'发电机前轴承温度\', \'有功功率\', \'齿轮箱高速轴轴承(风轮侧)温度\', \'叶轮转速\', \'变频器转速(主控)\', \'有功设定反馈\', \'齿轮箱油温度\', \'顺时针偏航次数\', \'桨叶角度C\', \'发电机定子绕组温度\', \'塔筒前后振动\', \'主轴轴承温度\', \'机舱内温度\', \'电缆扭角\', \'齿轮箱转速\', \'不可利用\', \'逆时针偏航次数\', \'实际风速\', \'机舱外温度\', \'桨叶角度B\', \'Time\', \'塔筒左右振动\', \'湍流强度\', \'绝对风向\', \'机舱位置\', \'功率曲线可用\', \'桨叶角度A\']','2024-06-21 14:51:57',2,'2024-06-26 15:40:19'),
	(15,'WOF053600062-WOB00023',0,'1234','second','',NULL,2,'2024-06-26 15:43:01'),
	(16,'WOF053600062-WOB00022',33,'/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/十分钟数据-未知量','minute','','2024-06-24 18:26:49',2,'2024-06-26 15:51:05'),
	(17,'WOF053600062-WOB00021',33,'/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/十分钟数据-未知量','minute','','2024-06-21 14:55:10',131,'2024-06-27 10:34:46'),
	(18,'WOF053600062-WOB00023',0,'evet123','event','',NULL,2,'2024-06-27 11:20:36'),
	(19,'WOF053600062-WOB00023',0,'evet123transferState','event','',NULL,2,'2024-06-27 11:22:50'),
	(20,'WOF053600062-WOB00023',0,'evet123transferState','event','未找到招远风电场的event配置','2024-06-27 15:34:05',2,'2024-06-27 15:55:11'),
	(21,'WOF053600062-WOB00023',0,'evet123transferState','event','未找到招远风电场的event配置','2024-06-27 15:34:05',2,'2024-06-27 15:58:26'),
	(22,'WOF053600062-WOB00023',0,'evet123transferState','event','未找到招远风电场的event配置','2024-06-27 21:16:04',2,'2024-07-01 10:09:46'),
	(23,'WOF053600062-WOB00023',0,'evet123transferState','event','未找到招远风电场的event配置','2024-07-01 10:10:05',2,'2024-07-01 17:26:36'),
	(24,'WOF053600062-WOB00022',0,'/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/招远秒级数据','second','','2024-06-28 12:49:14',2,'2024-07-01 17:28:02'),
	(25,'WOF053600062-WOB00022',0,'/data/download/collection_data/2完成/招远风电场-山东-大唐/收资数据/十分钟数据-未知量','event','未找到招远风电场的event配置','2024-06-27 15:26:05',2,'2024-07-04 17:36:02');

/*!40000 ALTER TABLE `data_transfer_history` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table data_transfer_type
# ------------------------------------------------------------

DROP TABLE IF EXISTS `data_transfer_type`;

CREATE TABLE `data_transfer_type` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT COMMENT '主键 唯一标识',
  `transfer_type_name` varchar(100) NOT NULL DEFAULT '',
  `transfer_type` varchar(20) NOT NULL COMMENT '转换类型',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT=' 转换类型表（scada分钟级 scada秒级）';

LOCK TABLES `data_transfer_type` WRITE;
/*!40000 ALTER TABLE `data_transfer_type` DISABLE KEYS */;

INSERT INTO `data_transfer_type` (`id`, `transfer_type_name`, `transfer_type`, `create_time`)
VALUES
	(1,'分钟级数据路径','minute','2024-06-04 10:46:56'),
	(2,'秒级数据路径','second','2024-06-04 10:47:15'),
	(3,'测风塔数据路径','tower','2024-06-04 10:47:40'),
	(4,'事件数数据路径','event','2024-06-04 10:48:00');

/*!40000 ALTER TABLE `data_transfer_type` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table dict_constants
# ------------------------------------------------------------

DROP TABLE IF EXISTS `dict_constants`;

CREATE TABLE `dict_constants` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `contents_type` tinyint(4) DEFAULT NULL COMMENT '常量类型',
  `contents_value` tinyint(4) DEFAULT NULL COMMENT '常量值',
  `contents_name` varchar(255) DEFAULT NULL COMMENT '常量显示内容',
  `contents_describe` varchar(255) DEFAULT NULL COMMENT '描述信息',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='字典表';

LOCK TABLES `dict_constants` WRITE;
/*!40000 ALTER TABLE `dict_constants` DISABLE KEYS */;

INSERT INTO `dict_constants` (`id`, `contents_type`, `contents_value`, `contents_name`, `contents_describe`)
VALUES
	(388,1,1,'双馈','驱动类型'),
	(389,1,2,'半驱','驱动类型'),
	(390,1,3,'半直驱','驱动类型'),
	(391,2,1,'管理员','角色类型'),
	(392,2,2,'普通员工','角色类型');

/*!40000 ALTER TABLE `dict_constants` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table power_word_relation_contract
# ------------------------------------------------------------

DROP TABLE IF EXISTS `power_word_relation_contract`;

CREATE TABLE `power_word_relation_contract` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
  `field_contract_id` int(11) DEFAULT NULL COMMENT '风场合同功率曲线关系表id',
  `mill_type_code` varchar(32) DEFAULT NULL COMMENT '机型编号',
  `active_power` double(10,3) DEFAULT NULL COMMENT '有功功率',
  `wind_speed` double(10,2) DEFAULT NULL COMMENT '风速',
  `density` double(10,3) DEFAULT NULL COMMENT '当地空气密度',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='合同功率曲线关系表 合同功率曲线-关联机型厂商+风场';

LOCK TABLES `power_word_relation_contract` WRITE;
/*!40000 ALTER TABLE `power_word_relation_contract` DISABLE KEYS */;

INSERT INTO `power_word_relation_contract` (`id`, `field_code`, `field_contract_id`, `mill_type_code`, `active_power`, `wind_speed`, `density`, `del_state`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(1,'WOF053600062',NULL,'WEM00014',0.000,0.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(2,'WOF053600062',NULL,'WEM00014',0.000,0.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(3,'WOF053600062',NULL,'WEM00014',0.000,1.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(4,'WOF053600062',NULL,'WEM00014',0.000,1.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(5,'WOF053600062',NULL,'WEM00014',0.000,2.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(6,'WOF053600062',NULL,'WEM00014',0.000,2.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(7,'WOF053600062',NULL,'WEM00014',0.000,3.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(8,'WOF053600062',NULL,'WEM00014',32.000,3.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(9,'WOF053600062',NULL,'WEM00014',61.000,4.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(10,'WOF053600062',NULL,'WEM00014',108.000,4.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(11,'WOF053600062',NULL,'WEM00014',153.000,5.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(12,'WOF053600062',NULL,'WEM00014',223.000,5.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(13,'WOF053600062',NULL,'WEM00014',284.000,6.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(14,'WOF053600062',NULL,'WEM00014',323.000,6.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(15,'WOF053600062',NULL,'WEM00014',418.000,7.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(16,'WOF053600062',NULL,'WEM00014',612.000,7.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(17,'WOF053600062',NULL,'WEM00014',784.000,8.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(18,'WOF053600062',NULL,'WEM00014',952.000,8.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(19,'WOF053600062',NULL,'WEM00014',1103.000,9.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(20,'WOF053600062',NULL,'WEM00014',1224.000,9.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(21,'WOF053600062',NULL,'WEM00014',1359.000,10.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(22,'WOF053600062',NULL,'WEM00014',1397.000,10.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(23,'WOF053600062',NULL,'WEM00014',1428.000,11.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(24,'WOF053600062',NULL,'WEM00014',1457.000,11.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(25,'WOF053600062',NULL,'WEM00014',1475.000,12.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(26,'WOF053600062',NULL,'WEM00014',1500.000,12.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(27,'WOF053600062',NULL,'WEM00014',1500.000,13.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(28,'WOF053600062',NULL,'WEM00014',1500.000,13.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(29,'WOF053600062',NULL,'WEM00014',1500.000,14.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(30,'WOF053600062',NULL,'WEM00014',1500.000,14.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(31,'WOF053600062',NULL,'WEM00014',1500.000,15.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(32,'WOF053600062',NULL,'WEM00014',1500.000,15.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(33,'WOF053600062',NULL,'WEM00014',1500.000,16.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(34,'WOF053600062',NULL,'WEM00014',1500.000,16.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(35,'WOF053600062',NULL,'WEM00014',1500.000,17.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(36,'WOF053600062',NULL,'WEM00014',1500.000,17.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(37,'WOF053600062',NULL,'WEM00014',1500.000,18.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(38,'WOF053600062',NULL,'WEM00014',1500.000,18.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(39,'WOF053600062',NULL,'WEM00014',1500.000,19.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(40,'WOF053600062',NULL,'WEM00014',1500.000,19.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(41,'WOF053600062',NULL,'WEM00014',1500.000,20.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(42,'WOF053600062',NULL,'WEM00014',1500.000,20.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(43,'WOF053600062',NULL,'WEM00014',1500.000,21.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(44,'WOF053600062',NULL,'WEM00014',1500.000,21.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(45,'WOF053600062',NULL,'WEM00014',1500.000,22.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(46,'WOF053600062',NULL,'WEM00014',1500.000,22.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(47,'WOF053600062',NULL,'WEM00014',1500.000,23.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(48,'WOF053600062',NULL,'WEM00014',1500.000,23.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(49,'WOF053600062',NULL,'WEM00014',1500.000,24.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(50,'WOF053600062',NULL,'WEM00014',1500.000,24.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(51,'WOF053600062',NULL,'WEM00014',1500.000,25.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(52,'WOF085500002',NULL,'WEM00014',1500.000,24.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(53,'WOF085500002',NULL,'WEM00014',1500.000,24.50,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51'),
	(54,'WOF085500002',NULL,'WEM00014',1500.000,25.00,NULL,0,NULL,'2024-06-20 15:54:51',NULL,'2024-06-20 15:54:51');

/*!40000 ALTER TABLE `power_word_relation_contract` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table power_word_relation_criterion
# ------------------------------------------------------------

DROP TABLE IF EXISTS `power_word_relation_criterion`;

CREATE TABLE `power_word_relation_criterion` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `mill_type_code` varchar(32) DEFAULT NULL COMMENT '机型编号',
  `wind_speed` double(10,2) DEFAULT NULL COMMENT '风速',
  `active_power` double(10,2) DEFAULT NULL COMMENT '有功功率',
  `density` double(10,3) DEFAULT NULL COMMENT '空气密度',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='标准功率曲线关系表 标准功率曲线-关联机型';



# Dump of table sys_areas_info
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_areas_info`;

CREATE TABLE `sys_areas_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `province` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `area` varchar(255) DEFAULT NULL,
  `area_code` varchar(10) DEFAULT NULL COMMENT '区域编号',
  `type` int(11) DEFAULT NULL,
  `root_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `areas_index` (`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='省市区县表';

LOCK TABLES `sys_areas_info` WRITE;
/*!40000 ALTER TABLE `sys_areas_info` DISABLE KEYS */;

INSERT INTO `sys_areas_info` (`id`, `province`, `city`, `area`, `area_code`, `type`, `root_id`)
VALUES
	(1,'北京市',NULL,NULL,NULL,1,0),
	(2,'天津市',NULL,NULL,NULL,1,0),
	(3,'河北省',NULL,NULL,NULL,1,0),
	(4,'山西省',NULL,NULL,NULL,1,0),
	(5,'内蒙古自治区',NULL,NULL,NULL,1,0),
	(6,'辽宁省',NULL,NULL,NULL,1,0),
	(7,'吉林省',NULL,NULL,NULL,1,0),
	(8,'黑龙江省',NULL,NULL,NULL,1,0),
	(9,'上海市',NULL,NULL,NULL,1,0),
	(10,'江苏省',NULL,NULL,NULL,1,0),
	(11,'浙江省',NULL,NULL,NULL,1,0),
	(12,'安徽省',NULL,NULL,NULL,1,0),
	(13,'福建省',NULL,NULL,NULL,1,0),
	(14,'江西省',NULL,NULL,NULL,1,0),
	(15,'山东省',NULL,NULL,NULL,1,0),
	(16,'河南省',NULL,NULL,NULL,1,0),
	(17,'湖北省',NULL,NULL,NULL,1,0),
	(18,'广东省',NULL,NULL,NULL,1,0),
	(19,'广西壮族自治区',NULL,NULL,NULL,1,0),
	(20,'海南省',NULL,NULL,NULL,1,0),
	(21,'重庆市',NULL,NULL,NULL,1,0),
	(22,'四川省',NULL,NULL,NULL,1,0),
	(23,'贵州省',NULL,NULL,NULL,1,0),
	(24,'云南省',NULL,NULL,NULL,1,0),
	(25,'西藏自治区',NULL,NULL,NULL,1,0),
	(26,'陕西省',NULL,NULL,NULL,1,0),
	(27,'甘肃省',NULL,NULL,NULL,1,0),
	(28,'宁夏回族自治区',NULL,NULL,NULL,1,0),
	(29,'新疆维吾尔族自治区',NULL,NULL,NULL,1,0),
	(30,'青海省',NULL,NULL,NULL,1,0),
	(31,'湖南省',NULL,NULL,NULL,1,0),
	(101,'江苏省','连云港市',NULL,'0518',2,10),
	(102,'河南省','周口市',NULL,'0394',2,16),
	(103,'云南省','丽江市',NULL,'0888',2,24),
	(104,'江西省','九江市',NULL,'0792',2,14),
	(105,'黑龙江省','佳木斯市',NULL,'0454',2,8),
	(106,'四川省','成都市',NULL,'028',2,22),
	(107,'浙江省','嘉兴市',NULL,'0573',2,11),
	(108,'山西省','大同市',NULL,'0352',2,4),
	(109,'四川省','宜宾市',NULL,'0831',2,22),
	(110,'四川省','泸州市',NULL,'0830',2,22),
	(111,'河南省','开封市',NULL,'0378',2,16),
	(112,'吉林省','长春市',NULL,'0431',2,7),
	(113,'湖北省','武汉市',NULL,'027',2,17),
	(114,'广东省','揭阳市',NULL,'0663',2,18),
	(115,'山东省','日照市',NULL,'0633',2,15),
	(116,'湖南省','衡阳市',NULL,'0734',2,31),
	(117,'河南省','平顶山市',NULL,'0375',2,16),
	(118,'广东省','深圳市',NULL,'0755',2,18),
	(119,'福建省','南平市',NULL,'0599',2,13),
	(120,'新疆维吾尔族自治区','伊犁哈萨克自治州',NULL,'0999',2,29),
	(121,'山东省','潍坊市',NULL,'0536',2,15),
	(122,'吉林省','辽源市',NULL,'0437',2,7),
	(123,'内蒙古自治区','阿拉善盟',NULL,'0483',2,5),
	(124,'黑龙江省','哈尔滨市',NULL,'0451',2,8),
	(125,'黑龙江省','伊春市',NULL,'0458',2,8),
	(126,'山东省','莱芜市',NULL,'0634',2,15),
	(127,'河北省','承德市',NULL,'0314',2,3),
	(128,'黑龙江省','鸡西市',NULL,'0467',2,8),
	(129,'广东省','广州市',NULL,'020',2,18),
	(130,'江苏省','徐州市',NULL,'0516',2,10),
	(131,'黑龙江省','黑河市',NULL,'0456',2,8),
	(132,'安徽省','铜陵市',NULL,'0562',2,12),
	(133,'山东省','德州市',NULL,'0534',2,15),
	(134,'广东省','珠海市',NULL,'0756',2,18),
	(135,'广西壮族自治区','贺州市',NULL,'0774',2,19),
	(136,'江苏省','扬州市',NULL,'0514',2,10),
	(137,'山西省','阳泉市',NULL,'0353',2,4),
	(138,'河北省','衡水市',NULL,'0318',2,3),
	(139,'山西省','晋中市',NULL,'0354',2,4),
	(140,'山东省','东营市',NULL,'0546',2,15),
	(141,'辽宁省','本溪市',NULL,'0414',2,6),
	(142,'江西省','宜春市',NULL,'0795',2,14),
	(143,'广东省','梅州市',NULL,'0753',2,18),
	(144,'广东省','肇庆市',NULL,'0758',2,18),
	(145,'湖南省','益阳市',NULL,'0737',2,31),
	(146,'新疆维吾尔族自治区','塔城地区',NULL,'0901',2,29),
	(147,'辽宁省','盘锦市',NULL,'0427',2,6),
	(148,'青海省','海南藏族自治州',NULL,'0974',2,30),
	(149,'广东省','韶关市',NULL,'0751',2,18),
	(150,'福建省','漳州市',NULL,'0596',2,13),
	(151,'河北省','邢台市',NULL,'0319',2,3),
	(152,'浙江省','金华市',NULL,'0579',2,11),
	(153,'湖北省','荆门市',NULL,'0724',2,17),
	(154,'山西省','太原市',NULL,'0351',2,4),
	(155,'四川省','乐山市',NULL,'0833',2,22),
	(156,'湖南省','怀化市',NULL,'0745',2,31),
	(157,'甘肃省','白银市',NULL,'0943',2,27),
	(158,'辽宁省','抚顺市',NULL,'024',2,6),
	(159,'浙江省','湖州市',NULL,'0572',2,11),
	(160,'湖北省','仙桃市',NULL,'0728',2,17),
	(161,'福建省','泉州市',NULL,'0595',2,13),
	(162,'河北省','张家口市',NULL,'0313',2,3),
	(163,'河北省','秦皇岛市',NULL,'0335',2,3),
	(164,'海南省','五指山市',NULL,'0898',2,20),
	(165,'吉林省','延边朝鲜族自治州',NULL,'0433',2,7),
	(166,'辽宁省','营口市',NULL,'0417',2,6),
	(167,'广东省','中山市',NULL,'0760',2,18),
	(168,'云南省','思茅市',NULL,'0879',2,24),
	(169,'山东省','济宁市',NULL,'0537',2,15),
	(170,'辽宁省','沈阳市',NULL,'024',2,6),
	(171,'广东省','湛江市',NULL,'0759',2,18),
	(172,'西藏自治区','山南地区',NULL,'0893',2,25),
	(173,'四川省','凉山彝族自治州',NULL,'0834',2,22),
	(174,'辽宁省','朝阳市',NULL,'0421',2,6),
	(175,'河南省','焦作市',NULL,'0391',2,16),
	(176,'河北省','廊坊市',NULL,'0316',2,3),
	(177,'福建省','福州市',NULL,'0591',2,13),
	(178,'四川省','德阳市',NULL,'0838',2,22),
	(179,'甘肃省','天水市',NULL,'0938',2,27),
	(180,'陕西省','咸阳市',NULL,'029',2,26),
	(181,'安徽省','宿州市',NULL,'0557',2,12),
	(182,'内蒙古自治区','乌海市',NULL,'0473',2,5),
	(183,'新疆维吾尔族自治区','克拉玛依市',NULL,'0990',2,29),
	(184,'云南省','德宏傣族景颇族自治州',NULL,'0692',2,24),
	(185,'湖北省','十堰市',NULL,'0719',2,17),
	(186,'湖南省','常德市',NULL,'0736',2,31),
	(187,'西藏自治区','日喀则地区',NULL,'0892',2,25),
	(188,'黑龙江省','鹤岗市',NULL,'0468',2,8),
	(189,'宁夏回族自治区','石嘴山市',NULL,'0952',2,28),
	(190,'新疆维吾尔族自治区','阿勒泰地区',NULL,'0906',2,29),
	(191,'云南省','大理白族自治州',NULL,'0872',2,24),
	(192,'山东省','泰安市',NULL,'0538',2,15),
	(193,'青海省','西宁市',NULL,'0971',2,30),
	(194,'浙江省','舟山市',NULL,'0580',2,11),
	(195,'黑龙江省','齐齐哈尔市',NULL,'0452',2,8),
	(196,'广东省','清远市',NULL,'0763',2,18),
	(197,'广西壮族自治区','河池市',NULL,'0778',2,19),
	(198,'甘肃省','庆阳市',NULL,'0934',2,27),
	(199,'海南省','儋州市',NULL,'0898',2,20),
	(200,'江西省','南昌市',NULL,'0791',2,14),
	(201,'湖南省','长沙市',NULL,'0731',2,31),
	(202,'福建省','宁德市',NULL,'0593',2,13),
	(203,'山东省','淄博市',NULL,'0533',2,15),
	(204,'云南省','迪庆藏族自治州',NULL,'0887',2,24),
	(205,'陕西省','渭南市',NULL,'0913',2,26),
	(206,'湖南省','娄底市',NULL,'0738',2,31),
	(207,'新疆维吾尔族自治区','乌鲁木齐市',NULL,'0991',2,29),
	(208,'四川省','雅安市',NULL,'0835',2,22),
	(209,'河北省','保定市',NULL,'0312',2,3),
	(210,'湖北省','孝感市',NULL,'0712',2,17),
	(211,'湖南省','湘西土家族苗族自治州',NULL,'0743',2,31),
	(212,'广西壮族自治区','钦州市',NULL,'0777',2,19),
	(213,'辽宁省','葫芦岛市',NULL,'0429',2,6),
	(214,'河南省','洛阳市',NULL,'0379',2,16),
	(215,'广东省','汕头市',NULL,'0754',2,18),
	(216,'山东省','菏泽市',NULL,'0530',2,15),
	(217,'浙江省','宁波市',NULL,'0574',2,11),
	(218,'甘肃省','平凉市',NULL,'0933',2,27),
	(219,'海南省','海口市',NULL,'0898',2,20),
	(220,'陕西省','铜川市',NULL,'0919',2,26),
	(221,'广东省','茂名市',NULL,'0668',2,18),
	(222,'湖北省','黄石市',NULL,'0714',2,17),
	(223,'辽宁省','铁岭市',NULL,'0410',2,6),
	(224,'四川省','绵阳市',NULL,'0816',2,22),
	(225,'广西壮族自治区','来宾市',NULL,'0772',2,19),
	(226,'辽宁省','阜新市',NULL,'0418',2,6),
	(227,'山西省','吕梁市',NULL,'0358',2,4),
	(228,'甘肃省','兰州市',NULL,'0931',2,27),
	(229,'广东省','东莞市',NULL,'0769',2,18),
	(230,'内蒙古自治区','包头市',NULL,'0472',2,5),
	(231,'云南省','楚雄彝族自治州',NULL,'0878',2,24),
	(232,'陕西省','宝鸡市',NULL,'0917',2,26),
	(233,'四川省','巴中市',NULL,'0827',2,22),
	(234,'江西省','上饶市',NULL,'0793',2,14),
	(235,'山东省','枣庄市',NULL,'0632',2,15),
	(236,'山西省','运城市',NULL,'0359',2,4),
	(237,'四川省','广安市',NULL,'0826',2,22),
	(238,'山西省','临汾市',NULL,'0357',2,4),
	(239,'湖北省','鄂州市',NULL,'0711',2,17),
	(240,'吉林省','吉林市',NULL,'0432',2,7),
	(241,'广西壮族自治区','崇左市',NULL,'0771',2,19),
	(242,'广西壮族自治区','南宁市',NULL,'0771',2,19),
	(243,'辽宁省','锦州市',NULL,'0416',2,6),
	(244,'江西省','景德镇市',NULL,'0798',2,14),
	(245,'山东省','滨州市',NULL,'0543',2,15),
	(246,'安徽省','安庆市',NULL,'0556',2,12),
	(247,'宁夏回族自治区','银川市',NULL,'0951',2,28),
	(248,'内蒙古自治区','兴安盟',NULL,'0482',2,5),
	(249,'安徽省','亳州市',NULL,'0558',2,12),
	(250,'广东省','惠州市',NULL,'0752',2,18),
	(251,'安徽省','马鞍山市',NULL,'0555',2,12),
	(252,'天津市','天津市',NULL,'022',2,2),
	(253,'安徽省','六安市',NULL,'0564',2,12),
	(254,'河南省','商丘市',NULL,'0370',2,16),
	(255,'四川省','阿坝藏族羌族自治州',NULL,'0837',2,22),
	(256,'山东省','威海市',NULL,'0631',2,15),
	(257,'浙江省','衢州市',NULL,'0570',2,11),
	(258,'云南省','怒江傈僳族自治州',NULL,'0886',2,24),
	(259,'新疆维吾尔族自治区','克孜勒苏柯尔克孜自治州',NULL,'0908',2,29),
	(260,'黑龙江省','牡丹江市',NULL,'0453',2,8),
	(261,'山东省','烟台市',NULL,'0535',2,15),
	(262,'辽宁省','大连市',NULL,'0411',2,6),
	(263,'浙江省','杭州市',NULL,'0571',2,11),
	(264,'河北省','石家庄市',NULL,'0311',2,3),
	(265,'安徽省','阜阳市',NULL,'0558',2,12),
	(266,'江西省','抚州市',NULL,'0794',2,14),
	(267,'福建省','龙岩市',NULL,'0597',2,13),
	(268,'四川省','遂宁市',NULL,'0825',2,22),
	(269,'河南省','信阳市',NULL,'0376',2,16),
	(270,'云南省','临沧市',NULL,'0883',2,24),
	(271,'湖北省','咸宁市',NULL,'0715',2,17),
	(272,'贵州省','铜仁地区',NULL,'0856',2,23),
	(273,'贵州省','贵阳市',NULL,'0851',2,23),
	(274,'湖南省','邵阳市',NULL,'0739',2,31),
	(275,'海南省','三亚市',NULL,'0898',2,20),
	(276,'贵州省','黔南布依族苗族自治州',NULL,'0854',2,23),
	(277,'河北省','唐山市',NULL,'0315',2,3),
	(278,'宁夏回族自治区','中卫市',NULL,'0955',2,28),
	(279,'安徽省','黄山市',NULL,'0559',2,12),
	(280,'广西壮族自治区','梧州市',NULL,'0774',2,19),
	(281,'江苏省','苏州市',NULL,'0512',2,10),
	(282,'河南省','驻马店市',NULL,'0396',2,16),
	(283,'江苏省','镇江市',NULL,'0511',2,10),
	(284,'山东省','青岛市',NULL,'0532',2,15),
	(285,'江苏省','宿迁市',NULL,'0527',2,10),
	(286,'河北省','沧州市',NULL,'0317',2,3),
	(287,'上海市','上海市',NULL,'021',2,9),
	(288,'贵州省','遵义市',NULL,'0852',2,23),
	(289,'浙江省','台州市',NULL,'0576',2,11),
	(290,'山西省','朔州市',NULL,'0349',2,4),
	(291,'广东省','潮州市',NULL,'0768',2,18),
	(292,'新疆维吾尔族自治区','和田地区',NULL,'0903',2,29),
	(293,'新疆维吾尔族自治区','昌吉回族自治州',NULL,'0994',2,29),
	(294,'甘肃省','武威市',NULL,'0935',2,27),
	(295,'广西壮族自治区','贵港市',NULL,'0775',2,19),
	(296,'新疆维吾尔族自治区','喀什地区',NULL,'0998',2,29),
	(297,'贵州省','黔西南布依族苗族自治州',NULL,'0859',2,23),
	(298,'四川省','广元市',NULL,'0839',2,22),
	(299,'安徽省','合肥市',NULL,'0551',2,12),
	(300,'湖南省','张家界市',NULL,'0744',2,31),
	(301,'辽宁省','鞍山市',NULL,'0412',2,6),
	(302,'湖南省','株洲市',NULL,'0731',2,31),
	(303,'新疆维吾尔族自治区','吐鲁番地区',NULL,'0995',2,29),
	(304,'江苏省','常州市',NULL,'0519',2,10),
	(305,'辽宁省','丹东市',NULL,'0415',2,6),
	(306,'山东省','济南市',NULL,'0531',2,15),
	(307,'浙江省','绍兴市',NULL,'0575',2,11),
	(308,'河南省','郑州市',NULL,'0371',2,16),
	(309,'甘肃省','嘉峪关市',NULL,'0937',2,27),
	(310,'新疆维吾尔族自治区','巴音郭楞蒙古自治州',NULL,'0996',2,29),
	(311,'江苏省','泰州市',NULL,'0523',2,10),
	(312,'山东省','临沂市',NULL,'0539',2,15),
	(313,'江苏省','南京市',NULL,'025',2,10),
	(314,'内蒙古自治区','赤峰市',NULL,'0476',2,5),
	(315,'浙江省','温州市',NULL,'0577',2,11),
	(316,'内蒙古自治区','巴彦淖尔市',NULL,'0478',2,5),
	(317,'四川省','达州市',NULL,'0818',2,22),
	(318,'贵州省','毕节地区',NULL,'0857',2,23),
	(319,'河南省','濮阳市',NULL,'0393',2,16),
	(320,'江西省','萍乡市',NULL,'0799',2,14),
	(321,'吉林省','白山市',NULL,'0439',2,7),
	(322,'四川省','内江市',NULL,'0832',2,22),
	(323,'陕西省','商洛市',NULL,'0914',2,26),
	(324,'湖北省','随州市',NULL,'0722',2,17),
	(325,'贵州省','黔东南苗族侗族自治州',NULL,'0855',2,23),
	(326,'内蒙古自治区','通辽市',NULL,'0475',2,5),
	(327,'甘肃省','定西市',NULL,'0932',2,27),
	(328,'河南省','三门峡市',NULL,'0398',2,16),
	(329,'江苏省','盐城市',NULL,'0515',2,10),
	(330,'内蒙古自治区','锡林郭勒盟',NULL,'0479',2,5),
	(331,'广西壮族自治区','北海市',NULL,'0779',2,19),
	(332,'江西省','吉安市',NULL,'0796',2,14),
	(333,'吉林省','松原市',NULL,'0438',2,7),
	(334,'陕西省','西安市',NULL,'029',2,26),
	(335,'甘肃省','临夏回族自治州',NULL,'0930',2,27),
	(336,'江西省','赣州市',NULL,'0797',2,14),
	(337,'湖南省','湘潭市',NULL,'0731',2,31),
	(338,'广西壮族自治区','玉林市',NULL,'0775',2,19),
	(339,'贵州省','六盘水市',NULL,'0858',2,23),
	(340,'湖北省','恩施市',NULL,'0718',2,17),
	(341,'江西省','新余市',NULL,'0790',2,14),
	(342,'四川省','眉山市',NULL,'028',2,22),
	(343,'吉林省','白城市',NULL,'0436',2,7),
	(344,'陕西省','延安市',NULL,'0911',2,26),
	(345,'河南省','许昌市',NULL,'0374',2,16),
	(346,'福建省','莆田市',NULL,'0594',2,13),
	(347,'贵州省','安顺市',NULL,'0853',2,23),
	(348,'河北省','邯郸市',NULL,'0310',2,3),
	(349,'四川省','甘孜藏族自治州',NULL,'0836',2,22),
	(350,'四川省','南充市',NULL,'0817',2,22),
	(351,'海南省','琼海市',NULL,'0898',2,20),
	(352,'西藏自治区','拉萨市',NULL,'0891',2,25),
	(353,'河南省','安阳市',NULL,'0372',2,16),
	(354,'福建省','厦门市',NULL,'0592',2,13),
	(355,'新疆维吾尔族自治区','奎屯市',NULL,'0992',2,29),
	(356,'甘肃省','金昌市',NULL,'0935',2,27),
	(357,'内蒙古自治区','呼伦贝尔市',NULL,'0470',2,5),
	(358,'宁夏回族自治区','固原市',NULL,'0954',2,28),
	(359,'湖北省','天门市',NULL,'0728',2,17),
	(360,'江苏省','淮安市',NULL,'0517',2,10),
	(361,'湖北省','荆州市',NULL,'0716',2,17),
	(362,'甘肃省','张掖市',NULL,'0936',2,27),
	(363,'重庆市','重庆市',NULL,'023',2,21),
	(364,'江苏省','无锡市',NULL,'0510',2,10),
	(365,'浙江省','丽水市',NULL,'0578',2,11),
	(366,'新疆维吾尔族自治区','哈密地区',NULL,'0902',2,29),
	(367,'安徽省','淮南市',NULL,'0554',2,12),
	(368,'北京市','北京市',NULL,'010',2,1),
	(369,'云南省','昆明市',NULL,'0871',2,24),
	(370,'湖南省','郴州市',NULL,'0735',2,31),
	(371,'黑龙江省','绥化市',NULL,'0455',2,8),
	(372,'安徽省','蚌埠市',NULL,'0552',2,12),
	(373,'黑龙江省','双鸭山市',NULL,'0469',2,8),
	(374,'广东省','河源市',NULL,'0762',2,18),
	(375,'四川省','自贡市',NULL,'0813',2,22),
	(376,'山西省','晋城市',NULL,'0356',2,4),
	(377,'安徽省','宣城市',NULL,'0563',2,12),
	(378,'广东省','佛山市',NULL,'0757',2,18),
	(379,'陕西省','汉中市',NULL,'0916',2,26),
	(380,'安徽省','滁州市',NULL,'0550',2,12),
	(381,'云南省','保山市',NULL,'0875',2,24),
	(382,'山西省','忻州市',NULL,'0350',2,4),
	(383,'宁夏回族自治区','吴忠市',NULL,'0953',2,28),
	(384,'内蒙古自治区','鄂尔多斯市',NULL,'0477',2,5),
	(385,'河南省','鹤壁市',NULL,'0392',2,16),
	(386,'内蒙古自治区','乌兰察布市',NULL,'0474',2,5),
	(387,'云南省','玉溪市',NULL,'0877',2,24),
	(388,'广西壮族自治区','柳州市',NULL,'0772',2,19),
	(389,'云南省','昭通市',NULL,'0870',2,24),
	(390,'云南省','西双版纳傣族自治州',NULL,'0691',2,24),
	(391,'安徽省','池州市',NULL,'0566',2,12),
	(392,'广西壮族自治区','百色市',NULL,'0776',2,19),
	(393,'湖南省','岳阳市',NULL,'0730',2,31),
	(394,'山西省','长治市',NULL,'0355',2,4),
	(395,'吉林省','通化市',NULL,'0435',2,7),
	(396,'河南省','漯河市',NULL,'0395',2,16),
	(397,'湖北省','黄冈市',NULL,'0713',2,17),
	(398,'广东省','江门市',NULL,'0750',2,18),
	(399,'云南省','红河哈尼族彝族自治州',NULL,'0873',2,24),
	(400,'广西壮族自治区','桂林市',NULL,'0773',2,19),
	(401,'青海省','海东地区',NULL,'0972',2,30),
	(402,'山东省','聊城市',NULL,'0635',2,15),
	(403,'江西省','鹰潭市',NULL,'0701',2,14),
	(404,'四川省','资阳市',NULL,'028',2,22),
	(405,'河南省','南阳市',NULL,'0377',2,16),
	(406,'海南省','文昌市',NULL,'0898',2,20),
	(407,'安徽省','淮北市',NULL,'0561',2,12),
	(408,'湖南省','永州市',NULL,'0746',2,31),
	(409,'甘肃省','酒泉市',NULL,'0937',2,27),
	(410,'广西壮族自治区','防城港市',NULL,'0770',2,19),
	(411,'福建省','三明市',NULL,'0598',2,13),
	(412,'湖北省','襄樊市',NULL,'0710',2,17),
	(413,'广东省','阳江市',NULL,'0662',2,18),
	(414,'湖北省','潜江市',NULL,'0728',2,17),
	(415,'黑龙江省','大庆市',NULL,'0459',2,8),
	(416,'江苏省','南通市',NULL,'0513',2,10),
	(417,'吉林省','四平市',NULL,'0434',2,7),
	(418,'河南省','新乡市',NULL,'0373',2,16),
	(419,'黑龙江省','七台河市',NULL,'0464',2,8),
	(420,'云南省','曲靖市',NULL,'0874',2,24),
	(421,'陕西省','榆林市',NULL,'0912',2,26),
	(422,'内蒙古自治区','呼和浩特市',NULL,'0471',2,5),
	(423,'湖北省','宜昌市',NULL,'0717',2,17),
	(424,'新疆维吾尔族自治区','阿克苏地区',NULL,'0997',2,29),
	(425,'安徽省','芜湖市',NULL,'0553',2,12),
	(426,'云南省','文山壮族苗族自治州',NULL,'0876',2,24),
	(427,'辽宁省','辽阳市',NULL,'0419',2,6),
	(428,'四川省','攀枝花市',NULL,'0812',2,22),
	(501,'湖北省','荆门市','沙洋县','0724',3,153),
	(502,'福建省','三明市','泰宁县','0598',3,411),
	(503,'湖北省','荆州市','公安县','0716',3,361),
	(504,'吉林省','通化市','梅河口市','0435',3,395),
	(505,'江苏省','徐州市','睢宁县','0516',3,130),
	(506,'甘肃省','张掖市','高台县','0936',3,362),
	(507,'四川省','遂宁市','蓬溪县','0825',3,268),
	(508,'云南省','红河哈尼族彝族自治州','蒙自县','0873',3,399),
	(509,'内蒙古自治区','乌兰察布市','集宁区','0474',3,386),
	(510,'江西省','抚州市','宜黄县','0794',3,266),
	(511,'河南省','信阳市','平桥区','0376',3,269),
	(512,'湖北省','武汉市','硚口区','027',3,113),
	(513,'江西省','上饶市','玉山县','0793',3,234),
	(514,'安徽省','阜阳市','颍泉区','0558',3,265),
	(515,'北京市','北京市','延庆县','010',3,368),
	(516,'四川省','乐山市','五通桥区','0833',3,155),
	(517,'四川省','自贡市','荣县','0813',3,375),
	(518,'云南省','思茅市','景谷傣族彝族自治县',NULL,3,168),
	(519,'天津市','天津市','津南区','0',3,252),
	(520,'北京市','北京市','顺义区','010',3,368),
	(521,'四川省','成都市','金牛区','028',3,106),
	(522,'广西壮族自治区','防城港市','东兴市','0770',3,410),
	(523,'山西省','临汾市','乡宁县','0357',3,238),
	(524,'广东省','茂名市','茂南区','0668',3,221),
	(525,'河北省','邢台市','宁晋县','0',3,151),
	(526,'江西省','吉安市','永新县','0796',3,332),
	(527,'广东省','阳江市','江城区','0662',3,413),
	(528,'广东省','河源市','和平县','0762',3,374),
	(529,'江苏省','徐州市','鼓楼区','0516',3,130),
	(530,'贵州省','安顺市','西秀区','0853',3,347),
	(531,'福建省','南平市','松溪县','0599',3,119),
	(532,'云南省','曲靖市','富源县','0874',3,420),
	(533,'贵州省','铜仁地区','印江土家族苗族自治县','0856',3,272),
	(534,'吉林省','吉林市','桦甸市','0432',3,240),
	(535,'河北省','唐山市','遵化市','0',3,277),
	(536,'云南省','德宏傣族景颇族自治州','盈江县','0692',3,184),
	(537,'浙江省','金华市','浦江县','0579',3,152),
	(538,'广西壮族自治区','桂林市','全州县','0773',3,400),
	(539,'河北省','沧州市','黄骅市','0',3,286),
	(540,'河北省','衡水市','景县','0',3,138),
	(541,'山西省','临汾市','霍州市','0357',3,238),
	(542,'山西省','晋城市','阳城县','0356',3,376),
	(543,'湖南省','岳阳市','汨罗市','0730',3,393),
	(544,'吉林省','松原市','前郭尔罗斯蒙古族自治县','0438',3,333),
	(545,'黑龙江省','大庆市','肇州县','0459',3,415),
	(546,'四川省','成都市','金堂县','028',3,106),
	(547,'辽宁省','大连市','长海县','0',3,262),
	(548,'湖北省','十堰市','竹溪县','0719',3,185),
	(549,'浙江省','杭州市','临安市','0571',3,263),
	(550,'河南省','驻马店市','平舆县','0396',3,282),
	(551,'内蒙古自治区','鄂尔多斯市','准格尔旗','0477',3,384),
	(552,'浙江省','台州市','仙居县','0576',3,289),
	(553,'河北省','唐山市','古冶区','0',3,277),
	(554,'辽宁省','铁岭市','银州区','0410',3,223),
	(555,'河南省','周口市','郸城县','0394',3,102),
	(556,'北京市','北京市','丰台区','010',3,368),
	(557,'广东省','清远市','清新县','0763',3,196),
	(558,'河南省','洛阳市','偃师市','0379',3,214),
	(559,'黑龙江省','大庆市','大同区','0459',3,415),
	(560,'黑龙江省','齐齐哈尔市','泰来县','0452',3,195),
	(561,'山西省','运城市','芮城县','0359',3,236),
	(562,'福建省','莆田市','城厢区','0594',3,346),
	(563,'河南省','濮阳市','南乐县','0393',3,319),
	(564,'辽宁省','盘锦市','兴隆台区','0427',3,147),
	(565,'山东省','菏泽市','郓城县','0530',3,216),
	(566,'黑龙江省','佳木斯市','桦川县','0454',3,105),
	(567,'广西壮族自治区','柳州市','柳北区','0772',3,388),
	(568,'山西省','吕梁市','交城县','0358',3,227),
	(569,'广西壮族自治区','桂林市','灵川县','0773',3,400),
	(570,'广西壮族自治区','百色市','靖西县','0776',3,392),
	(571,'安徽省','蚌埠市','怀远县','0552',3,372),
	(572,'江西省','吉安市','井冈山市','0796',3,332),
	(573,'江西省','南昌市','新建县','0791',3,200),
	(574,'贵州省','遵义市','凤冈县','0852',3,288),
	(575,'江西省','宜春市','铜鼓县','0795',3,142),
	(576,'陕西省','宝鸡市','凤翔县','0917',3,232),
	(577,'广东省','韶关市','武江区','0751',3,149),
	(578,'四川省','凉山彝族自治州','越西县','0834',3,173),
	(579,'河北省','沧州市','沧县','0',3,286),
	(580,'安徽省','阜阳市','太和县','0558',3,265),
	(581,'云南省','临沧市','凤庆县','0883',3,270),
	(582,'浙江省','丽水市','缙云县','0578',3,365),
	(583,'西藏自治区','日喀则地区','日喀则市','0892',3,187),
	(584,'云南省','昆明市','安宁市','0871',3,369),
	(585,'湖北省','武汉市','蔡甸区','027',3,113),
	(586,'宁夏回族自治区','吴忠市','盐池县','0953',3,383),
	(587,'云南省','大理白族自治州','巍山彝族回族自治县','0872',3,191),
	(588,'湖南省','邵阳市','邵东县','0739',3,274),
	(589,'福建省','福州市','连江县','0591',3,177),
	(590,'四川省','达州市','大竹县','0818',3,317),
	(591,'浙江省','杭州市','西湖区','0571',3,263),
	(592,'河北省','石家庄市','栾城县','0',3,264),
	(593,'湖南省','永州市','东安县','0746',3,408),
	(594,'安徽省','铜陵市','铜官山区','0562',3,132),
	(595,'广东省','汕头市','龙湖区','0754',3,215),
	(596,'四川省','德阳市','什邡市','0838',3,178),
	(597,'云南省','临沧市','临翔区','0883',3,270),
	(598,'内蒙古自治区','鄂尔多斯市','东胜区','0477',3,384),
	(599,'福建省','南平市','光泽县','0599',3,119),
	(600,'四川省','南充市','营山县','0817',3,350),
	(601,'山西省','大同市','城区','0352',3,108),
	(602,'云南省','红河哈尼族彝族自治州','元阳县','0873',3,399),
	(603,'浙江省','温州市','瓯海区','0577',3,315),
	(604,'河北省','邯郸市','魏县','0',3,348),
	(605,'山东省','泰安市','岱岳区','0538',3,192),
	(606,'广西壮族自治区','百色市','乐业县','0776',3,392),
	(607,'四川省','南充市','嘉陵区','0817',3,350),
	(608,'黑龙江省','牡丹江市','东安区','0453',3,260),
	(609,'山东省','聊城市','东昌府区','0635',3,402),
	(610,'青海省','西宁市','城北区','0971',3,193),
	(611,'云南省','红河哈尼族彝族自治州','个旧市','0873',3,399),
	(612,'江苏省','南京市','雨花台区','025',3,313),
	(613,'湖北省','荆门市','东宝区','0724',3,153),
	(614,'山西省','吕梁市','中阳县','0358',3,227),
	(615,'广西壮族自治区','柳州市','柳江县','0772',3,388),
	(616,'河北省','石家庄市','行唐县','0',3,264),
	(617,'山西省','运城市','闻喜县','0359',3,236),
	(618,'江西省','赣州市','兴国县','0797',3,336),
	(619,'浙江省','嘉兴市','秀城区','0573',3,107),
	(620,'浙江省','宁波市','镇海区','0574',3,217),
	(621,'湖北省','黄冈市','罗田县','0713',3,397),
	(622,'辽宁省','大连市','庄河市','0',3,262),
	(623,'河南省','漯河市','郾城区','0395',3,396),
	(624,'吉林省','长春市','南关区','0431',3,112),
	(625,'安徽省','黄山市','休宁县','0559',3,279),
	(626,'天津市','天津市','宝坻区','0',3,252),
	(627,'山西省','晋中市','祁县','0354',3,139),
	(628,'山东省','青岛市','崂山区','0532',3,284),
	(629,'广西壮族自治区','梧州市','岑溪市','0774',3,280),
	(630,'安徽省','安庆市','怀宁县','0556',3,246),
	(631,'甘肃省','张掖市','山丹县','0936',3,362),
	(632,'黑龙江省','黑河市','嫩江县','0456',3,131),
	(633,'浙江省','嘉兴市','桐乡市','0573',3,107),
	(634,'河北省','张家口市','尚义县','0',3,162),
	(635,'湖北省','十堰市','张湾区','0719',3,185),
	(636,'云南省','临沧市','双江拉祜族佤族布朗族傣族自治县','0883',3,270),
	(637,'江西省','上饶市','婺源县','0793',3,234),
	(638,'四川省','南充市','蓬安县','0817',3,350),
	(639,'内蒙古自治区','呼和浩特市','赛罕区','0471',3,422),
	(640,'陕西省','西安市','户县','029',3,334),
	(641,'河北省','邯郸市','永年县','0',3,348),
	(642,'辽宁省','锦州市','古塔区','0416',3,243),
	(643,'河南省','信阳市','固始县','0376',3,269),
	(644,'福建省','宁德市','霞浦县','0593',3,202),
	(645,'辽宁省','丹东市','振安区','0415',3,305),
	(646,'四川省','达州市','渠县','0818',3,317),
	(647,'浙江省','丽水市','松阳县','0578',3,365),
	(648,'山东省','泰安市','宁阳县','0538',3,192),
	(649,'辽宁省','营口市','大石桥市','0417',3,166),
	(650,'陕西省','榆林市','榆阳区','0912',3,421),
	(651,'广西壮族自治区','百色市','田东县','0776',3,392),
	(652,'广东省','广州市','海珠区','020',3,129),
	(653,'陕西省','渭南市','合阳县','0913',3,205),
	(654,'江苏省','苏州市','吴江市','0512',3,281),
	(655,'广西壮族自治区','来宾市','忻城县','0772',3,225),
	(656,'四川省','达州市','通川区','0818',3,317),
	(657,'河北省','邯郸市','邯郸县','0',3,348),
	(658,'黑龙江省','佳木斯市','富锦市','0454',3,105),
	(659,'广东省','深圳市','南山区','0755',3,118),
	(660,'湖北省','武汉市','新洲区','027',3,113),
	(661,'广西壮族自治区','南宁市','邕宁区','0771',3,242),
	(662,'河北省','邢台市','临城县','0',3,151),
	(663,'江西省','吉安市','泰和县','0796',3,332),
	(664,'河北省','保定市','清苑县','0',3,209),
	(665,'甘肃省','武威市','凉州区','0935',3,294),
	(666,'江苏省','宿迁市','宿城区','0527',3,285),
	(667,'河北省','唐山市','乐亭县','0',3,277),
	(668,'辽宁省','朝阳市','双塔区','0421',3,174),
	(669,'河北省','承德市','兴隆县','0',3,127),
	(670,'安徽省','宿州市','灵璧县','0557',3,181),
	(671,'甘肃省','兰州市','七里河区','0931',3,228),
	(672,'云南省','昆明市','官渡区','0871',3,369),
	(673,'安徽省','亳州市','利辛县','0558',3,249),
	(674,'河北省','秦皇岛市','海港区','0',3,163),
	(675,'云南省','文山壮族苗族自治州','丘北县','0876',3,426),
	(676,'河北省','邯郸市','磁县','0',3,348),
	(677,'广东省','清远市','清城区','0763',3,196),
	(678,'山西省','运城市','万荣县','0359',3,236),
	(679,'天津市','天津市','北辰区','0',3,252),
	(680,'四川省','绵阳市','江油市','0816',3,224),
	(681,'江西省','南昌市','进贤县','0791',3,200),
	(682,'广西壮族自治区','南宁市','宾阳县','0771',3,242),
	(683,'河北省','张家口市','涿鹿县','0',3,162),
	(684,'甘肃省','庆阳市','庆城县','0934',3,198),
	(685,'山东省','东营市','东营区','0546',3,140),
	(686,'河南省','郑州市','新密市','0371',3,308),
	(687,'贵州省','黔东南苗族侗族自治州','锦屏县','0855',3,325),
	(688,'辽宁省','锦州市','黑山县','0416',3,243),
	(689,'河南省','平顶山市','鲁山县','0375',3,117),
	(690,'湖北省','荆州市','沙市区','0716',3,361),
	(691,'山东省','烟台市','芝罘区','0535',3,261),
	(692,'内蒙古自治区','阿拉善盟','阿拉善左旗','0483',3,123),
	(693,'江苏省','常州市','武进区','0519',3,304),
	(694,'内蒙古自治区','包头市','昆都仑区','0472',3,230),
	(695,'山西省','长治市','沁县','0355',3,394),
	(696,'河南省','郑州市','二七区','0371',3,308),
	(697,'辽宁省','铁岭市','西丰县','0410',3,223),
	(698,'湖北省','随州市','广水市','0722',3,324),
	(699,'广西壮族自治区','桂林市','七星区','0773',3,400),
	(700,'上海市','上海市','杨浦区','021',3,287),
	(701,'山西省','运城市','临猗县','0359',3,236),
	(702,'甘肃省','庆阳市','西峰区','0934',3,198),
	(703,'江西省','赣州市','宁都县','0797',3,336),
	(704,'江西省','宜春市','樟树市','0795',3,142),
	(705,'福建省','福州市','闽侯县','0591',3,177),
	(706,'广东省','广州市','萝岗区','020',3,129),
	(707,'河北省','衡水市','武邑县','0',3,138),
	(708,'云南省','昭通市','彝良县','0870',3,389),
	(709,'四川省','成都市','新都区','028',3,106),
	(710,'江苏省','无锡市','滨湖区','0510',3,364),
	(711,'广西壮族自治区','梧州市','苍梧县','0774',3,280),
	(712,'河北省','廊坊市','永清县','0',3,176),
	(713,'浙江省','湖州市','安吉县','0572',3,159),
	(714,'广东省','肇庆市','端州区','0758',3,144),
	(715,'四川省','眉山市','东坡区','028',3,342),
	(716,'辽宁省','丹东市','东港市','0415',3,305),
	(717,'湖南省','长沙市','开福区','0731',3,201),
	(718,'湖北省','咸宁市','嘉鱼县','0715',3,271),
	(719,'湖北省','荆州市','石首市','0716',3,361),
	(720,'广西壮族自治区','玉林市','陆川县','0775',3,338),
	(721,'江苏省','淮安市','洪泽县','0517',3,360),
	(722,'广东省','珠海市','金湾区','0756',3,134),
	(723,'江苏省','常州市','天宁区','0519',3,304),
	(724,'河南省','三门峡市','陕县','0398',3,328),
	(725,'江苏省','泰州市','高港区','0523',3,311),
	(726,'广东省','江门市','开平市','0750',3,398),
	(727,'辽宁省','盘锦市','盘山县','0427',3,147),
	(728,'广西壮族自治区','钦州市','灵山县','0777',3,212),
	(729,'贵州省','遵义市','湄潭县','0852',3,288),
	(730,'甘肃省','张掖市','甘州区','0936',3,362),
	(731,'山西省','晋中市','灵石县','0354',3,139),
	(732,'辽宁省','丹东市','凤城市','0415',3,305),
	(733,'浙江省','杭州市','滨江区','0571',3,263),
	(734,'辽宁省','鞍山市','海城市','0',3,301),
	(735,'辽宁省','朝阳市','朝阳县','0421',3,174),
	(736,'甘肃省','天水市','秦安县','0938',3,179),
	(737,'河北省','保定市','望都县','0',3,209),
	(738,'山东省','菏泽市','巨野县','0530',3,216),
	(739,'广西壮族自治区','玉林市','兴业县','0775',3,338),
	(740,'浙江省','湖州市','南浔区','0572',3,159),
	(741,'云南省','昭通市','大关县','0870',3,389),
	(742,'河南省','安阳市','滑县','0372',3,353),
	(743,'河北省','衡水市','深州市','0',3,138),
	(744,'四川省','眉山市','彭山县','028',3,342),
	(745,'广东省','汕头市','濠江区','0754',3,215),
	(746,'河北省','秦皇岛市','青龙满族自治县','0',3,163),
	(747,'浙江省','温州市','瑞安市','0577',3,315),
	(748,'安徽省','滁州市','明光市','0550',3,380),
	(749,'河北省','廊坊市','三河市','0',3,176),
	(750,'福建省','泉州市','南安市','0595',3,161),
	(751,'江苏省','盐城市','滨海县','0515',3,329),
	(752,'云南省','西双版纳傣族自治州','勐腊县','0691',3,390),
	(753,'河南省','焦作市','武陟县','0391',3,175),
	(754,'重庆市','重庆市','巴南区','023',3,363),
	(755,'河南省','平顶山市','宝丰县','0375',3,117),
	(756,'河北省','衡水市','安平县','0',3,138),
	(757,'福建省','漳州市','长泰县','0596',3,150),
	(758,'重庆市','重庆市','长寿区','023',3,363),
	(759,'重庆市','重庆市','璧山县','023',3,363),
	(760,'河南省','焦作市','解放区','0391',3,175),
	(761,'贵州省','黔西南布依族苗族自治州','安龙县','0859',3,297),
	(762,'四川省','成都市','双流县','028',3,106),
	(763,'河南省','焦作市','济源市','0391',3,175),
	(764,'江西省','抚州市','黎川县','0794',3,266),
	(765,'福建省','泉州市','晋江市','0595',3,161),
	(766,'辽宁省','葫芦岛市','其他','0429',3,213),
	(767,'辽宁省','抚顺市','东洲区','0',3,158),
	(768,'河北省','保定市','定兴县','0',3,209),
	(769,'安徽省','合肥市','蜀山区','0551',3,299),
	(770,'河北省','秦皇岛市','北戴河区','0',3,163),
	(771,'江苏省','泰州市','兴化市','0523',3,311),
	(772,'陕西省','西安市','雁塔区','029',3,334),
	(773,'河北省','廊坊市','香河县','0',3,176),
	(774,'天津市','天津市','东丽区','0',3,252),
	(775,'山西省','运城市','河津市','0359',3,236),
	(776,'湖北省','襄樊市','樊城区','0710',3,412),
	(777,'河北省','邢台市','威县','0',3,151),
	(778,'云南省','思茅市','镇沅彝族哈尼族拉祜族自治县',NULL,3,168),
	(779,'重庆市','重庆市','九龙坡区','023',3,363),
	(780,'湖南省','衡阳市','衡东县','0734',3,116),
	(781,'天津市','天津市','红桥区','0',3,252),
	(782,'浙江省','台州市','三门县','0576',3,289),
	(783,'江西省','抚州市','南城县','0794',3,266),
	(784,'陕西省','铜川市','耀州区','0919',3,220),
	(785,'安徽省','阜阳市','颍州区','0558',3,265),
	(786,'广西壮族自治区','柳州市','城中区','0772',3,388),
	(787,'河南省','漯河市','临颍县','0395',3,396),
	(788,'河南省','郑州市','中牟县','0371',3,308),
	(789,'北京市','北京市','通州区','010',3,368),
	(790,'黑龙江省','大庆市','龙凤区','0459',3,415),
	(791,'河南省','平顶山市','汝州市','0375',3,117),
	(792,'山西省','长治市','屯留县','0355',3,394),
	(793,'山东省','济南市','济阳县','0531',3,306),
	(794,'江苏省','南京市','六合区','025',3,313),
	(795,'河南省','安阳市','安阳县','0372',3,353),
	(796,'江西省','上饶市','德兴市','0793',3,234),
	(797,'浙江省','杭州市','余杭区','0571',3,263),
	(798,'天津市','天津市','河西区','0',3,252),
	(799,'四川省','宜宾市','珙县','0831',3,109),
	(800,'山西省','太原市','尖草坪区','0351',3,154),
	(801,'安徽省','阜阳市','阜南县','0558',3,265),
	(802,'山西省','临汾市','侯马市','0357',3,238),
	(803,'山东省','济宁市','金乡县','0537',3,169),
	(804,'河南省','安阳市','龙安区','0372',3,353),
	(805,'湖南省','湘潭市','湘潭县','0731',3,337),
	(806,'四川省','达州市','达县','0818',3,317),
	(807,'甘肃省','平凉市','庄浪县','0933',3,218),
	(808,'湖北省','咸宁市','咸安区','0715',3,271),
	(809,'重庆市','重庆市','垫江县','023',3,363),
	(810,'黑龙江省','哈尔滨市','香坊区','0451',3,124),
	(811,'上海市','上海市','黄浦区','021',3,287),
	(812,'吉林省','白城市','通榆县','0436',3,343),
	(813,'四川省','成都市','龙泉驿区','028',3,106),
	(814,'河北省','秦皇岛市','卢龙县','0',3,163),
	(815,'重庆市','重庆市','铜梁县','023',3,363),
	(816,'甘肃省','酒泉市','肃州区','0937',3,409),
	(817,'河南省','平顶山市','新华区','0375',3,117),
	(818,'湖北省','孝感市','其他','0712',3,210),
	(819,'山东省','日照市','五莲县','0633',3,115),
	(820,'四川省','宜宾市','江安县','0831',3,109),
	(821,'福建省','龙岩市','其他','0597',3,267),
	(822,'河南省','三门峡市','灵宝市','0398',3,328),
	(823,'广东省','肇庆市','四会市','0758',3,144),
	(824,'内蒙古自治区','兴安盟','科尔沁右翼前旗','0482',3,248),
	(825,'湖南省','衡阳市','雁峰区','0734',3,116),
	(826,'山西省','太原市','清徐县','0351',3,154),
	(827,'福建省','龙岩市','长汀县','0597',3,267),
	(828,'辽宁省','营口市','盖州市','0417',3,166),
	(829,'陕西省','商洛市','洛南县','0914',3,323),
	(830,'河南省','焦作市','修武县','0391',3,175),
	(831,'湖北省','孝感市','应城市','0712',3,210),
	(832,'甘肃省','白银市','平川区','0943',3,157),
	(833,'江苏省','南通市','海门市','0513',3,416),
	(834,'安徽省','淮南市','谢家集区','0554',3,367),
	(835,'内蒙古自治区','兴安盟','科尔沁右翼中旗','0482',3,248),
	(836,'广西壮族自治区','河池市','南丹县','0778',3,197),
	(837,'江西省','吉安市','吉安县','0796',3,332),
	(838,'辽宁省','鞍山市','立山区','0',3,301),
	(839,'河北省','邢台市','巨鹿县','0',3,151),
	(840,'四川省','达州市','开江县','0818',3,317),
	(841,'河北省','廊坊市','霸州市','0',3,176),
	(842,'山西省','朔州市','平鲁区','0349',3,290),
	(843,'辽宁省','锦州市','凌海市','0416',3,243),
	(844,'湖北省','荆州市','监利县','0716',3,361),
	(845,'山东省','临沂市','河东区','0539',3,312),
	(846,'河北省','石家庄市','元氏县','0',3,264),
	(847,'上海市','上海市','闵行区','021',3,287),
	(848,'吉林省','白城市','洮北区','0436',3,343),
	(849,'云南省','思茅市','西盟佤族自治县',NULL,3,168),
	(850,'广东省','江门市','蓬江区','0750',3,398),
	(851,'贵州省','毕节地区','大方县','0857',3,318),
	(852,'河南省','南阳市','西峡县','0377',3,405),
	(853,'辽宁省','抚顺市','望花区','0',3,158),
	(854,'山西省','长治市','城区','0355',3,394),
	(855,'广东省','清远市','佛冈县','0763',3,196),
	(856,'河北省','石家庄市','鹿泉市','0',3,264),
	(857,'河南省','南阳市','桐柏县','0377',3,405),
	(858,'辽宁省','本溪市','本溪满族自治县','0414',3,141),
	(859,'浙江省','衢州市','龙游县','0570',3,257),
	(860,'福建省','莆田市','秀屿区','0594',3,346),
	(861,'江苏省','宿迁市','泗洪县','0527',3,285),
	(862,'江苏省','淮安市','涟水县','0517',3,360),
	(863,'湖南省','益阳市','安化县','0737',3,145),
	(864,'辽宁省','本溪市','平山区','0414',3,141),
	(865,'青海省','海南藏族自治州','共和县','0974',3,148),
	(866,'四川省','绵阳市','北川羌族自治县','0816',3,224),
	(867,'江西省','九江市','都昌县','0792',3,104),
	(868,'广西壮族自治区','柳州市','柳城县','0772',3,388),
	(869,'云南省','文山壮族苗族自治州','马关县','0876',3,426),
	(870,'江苏省','扬州市','广陵区','0514',3,136),
	(871,'吉林省','白山市','八道江区','0439',3,321),
	(872,'浙江省','杭州市','淳安县','0571',3,263),
	(873,'河南省','新乡市','新乡县','0373',3,418),
	(874,'上海市','上海市','松江区','021',3,287),
	(875,'河北省','承德市','滦平县','0',3,127),
	(876,'浙江省','舟山市','定海区','0580',3,194),
	(877,'河北省','唐山市','唐海县','0',3,277),
	(878,'河北省','保定市','北市区','0',3,209),
	(879,'江西省','新余市','渝水区','0790',3,341),
	(880,'山东省','德州市','齐河县','0534',3,133),
	(881,'云南省','昆明市','石林彝族自治县','0871',3,369),
	(882,'河南省','周口市','扶沟县','0394',3,102),
	(883,'河南省','新乡市','原阳县','0373',3,418),
	(884,'陕西省','延安市','宝塔区','0911',3,344),
	(885,'河北省','石家庄市','辛集市','0',3,264),
	(886,'广西壮族自治区','河池市','环江毛南族自治县','0778',3,197),
	(887,'新疆维吾尔族自治区','乌鲁木齐市','乌鲁木齐县','0991',3,207),
	(888,'山西省','大同市','阳高县','0352',3,108),
	(889,'江西省','赣州市','南康市','0797',3,336),
	(890,'河北省','沧州市','任丘市','0',3,286),
	(891,'山西省','运城市','盐湖区','0359',3,236),
	(892,'湖北省','恩施市','建始县','0718',3,340),
	(893,'四川省','乐山市','夹江县','0833',3,155),
	(894,'河南省','信阳市','商城县','0376',3,269),
	(895,'云南省','昭通市','绥江县','0870',3,389),
	(896,'黑龙江省','鸡西市','其他','0467',3,128),
	(897,'安徽省','亳州市','蒙城县','0558',3,249),
	(898,'浙江省','杭州市','富阳市','0571',3,263),
	(899,'河北省','沧州市','吴桥县','0',3,286),
	(900,'浙江省','台州市','玉环县','0576',3,289),
	(901,'黑龙江省','哈尔滨市','尚志市','0451',3,124),
	(902,'云南省','玉溪市','新平彝族傣族自治县','0877',3,387),
	(903,'江西省','景德镇市','珠山区','0798',3,244),
	(904,'广东省','梅州市','五华县','0753',3,143),
	(905,'上海市','上海市','嘉定区','021',3,287),
	(906,'河北省','保定市','南市区','0',3,209),
	(907,'黑龙江省','哈尔滨市','平房区','0451',3,124),
	(908,'湖北省','随州市','曾都区','0722',3,324),
	(909,'浙江省','嘉兴市','海宁市','0573',3,107),
	(910,'广西壮族自治区','贺州市','八步区','0774',3,135),
	(911,'四川省','资阳市','雁江区','028',3,404),
	(912,'湖北省','荆门市','掇刀区','0724',3,153),
	(913,'天津市','天津市','和平区','0',3,252),
	(914,'四川省','广安市','广安区','0826',3,237),
	(915,'天津市','天津市','河东区','0',3,252),
	(916,'江苏省','无锡市','锡山区','0510',3,364),
	(917,'内蒙古自治区','呼和浩特市','回民区','0471',3,422),
	(918,'贵州省','铜仁地区','铜仁市','0856',3,272),
	(919,'云南省','昭通市','永善县','0870',3,389),
	(920,'贵州省','黔东南苗族侗族自治州','黎平县','0855',3,325),
	(921,'辽宁省','鞍山市','岫岩满族自治县','0',3,301),
	(922,'辽宁省','大连市','沙河口区','0',3,262),
	(923,'湖南省','郴州市','桂阳县','0735',3,370),
	(924,'广东省','广州市','花都区','020',3,129),
	(925,'安徽省','淮南市','田家庵区','0554',3,367),
	(926,'江苏省','连云港市','东海县','0518',3,101),
	(927,'福建省','福州市','平潭县','0591',3,177),
	(928,'福建省','宁德市','福安市','0593',3,202),
	(929,'云南省','思茅市','景东彝族自治县',NULL,3,168),
	(930,'江西省','上饶市','广丰县','0793',3,234),
	(931,'广西壮族自治区','河池市','大化瑶族自治县','0778',3,197),
	(932,'青海省','海东地区','平安县','0972',3,401),
	(933,'湖南省','永州市','道县','0746',3,408),
	(934,'河南省','焦作市','博爱县','0391',3,175),
	(935,'广西壮族自治区','贵港市','港北区','0775',3,295),
	(936,'内蒙古自治区','包头市','青山区','0472',3,230),
	(937,'新疆维吾尔族自治区','塔城地区','沙湾县','0901',3,146),
	(938,'辽宁省','沈阳市','皇姑区','0',3,170),
	(939,'湖北省','宜昌市','秭归县','0717',3,423),
	(940,'黑龙江省','牡丹江市','海林市','0453',3,260),
	(941,'江苏省','苏州市','沧浪区','0512',3,281),
	(942,'内蒙古自治区','包头市','九原区','0472',3,230),
	(943,'贵州省','遵义市','仁怀市','0852',3,288),
	(944,'广东省','佛山市','南海区','0757',3,378),
	(945,'山西省','长治市','襄垣县','0355',3,394),
	(946,'新疆维吾尔族自治区','阿勒泰地区','石河子市','0906',3,190),
	(947,'河南省','南阳市','邓州市','0377',3,405),
	(948,'云南省','大理白族自治州','宾川县','0872',3,191),
	(949,'北京市','北京市','房山区','010',3,368),
	(950,'江苏省','南京市','江宁区','025',3,313),
	(951,'福建省','漳州市','龙海市','0596',3,150),
	(952,'河北省','廊坊市','安次区','0',3,176),
	(953,'湖南省','岳阳市','岳阳县','0730',3,393),
	(954,'四川省','广安市','岳池县','0826',3,237),
	(955,'云南省','文山壮族苗族自治州','麻栗坡县','0876',3,426),
	(956,'天津市','天津市','河北区','0',3,252),
	(957,'河南省','许昌市','许昌县','0374',3,345),
	(958,'云南省','思茅市','澜沧拉祜族自治县',NULL,3,168),
	(959,'山东省','菏泽市','定陶县','0530',3,216),
	(960,'江苏省','常州市','新北区','0519',3,304),
	(961,'山西省','太原市','迎泽区','0351',3,154),
	(962,'福建省','福州市','其他','0591',3,177),
	(963,'河北省','石家庄市','高邑县','0',3,264),
	(964,'河南省','新乡市','获嘉县','0373',3,418),
	(965,'河南省','安阳市','汤阴县','0372',3,353),
	(966,'安徽省','合肥市','肥西县','0551',3,299),
	(967,'广西壮族自治区','桂林市','恭城瑶族自治县','0773',3,400),
	(968,'辽宁省','抚顺市','顺城区','0',3,158),
	(969,'浙江省','丽水市','云和县','0578',3,365),
	(970,'山西省','临汾市','浮山县','0357',3,238),
	(971,'云南省','昆明市','五华区','0871',3,369),
	(972,'湖南省','郴州市','永兴县','0735',3,370),
	(973,'湖北省','潜江市','其他','0728',3,414),
	(974,'福建省','漳州市','云霄县','0596',3,150),
	(975,'吉林省','通化市','二道江区','0435',3,395),
	(976,'黑龙江省','鹤岗市','其他','0468',3,188),
	(977,'四川省','达州市','宣汉县','0818',3,317),
	(978,'山东省','枣庄市','峄城区','0632',3,235),
	(979,'浙江省','台州市','临海市','0576',3,289),
	(980,'江苏省','连云港市','海州区','0518',3,101),
	(981,'宁夏回族自治区','吴忠市','利通区','0953',3,383),
	(982,'河南省','周口市','沈丘县','0394',3,102),
	(983,'河北省','承德市','隆化县','0',3,127),
	(984,'浙江省','嘉兴市','海盐县','0573',3,107),
	(985,'河北省','邯郸市','邯山区','0',3,348),
	(986,'河北省','张家口市','赤城县','0',3,162),
	(987,'江西省','九江市','彭泽县','0792',3,104),
	(988,'江苏省','南京市','高淳县','025',3,313),
	(989,'甘肃省','武威市','民勤县','0935',3,294),
	(990,'山东省','济宁市','市中区','0537',3,169),
	(991,'河北省','廊坊市','文安县','0',3,176),
	(992,'云南省','昭通市','威信县','0870',3,389),
	(993,'甘肃省','平凉市','泾川县','0933',3,218),
	(994,'云南省','昆明市','宜良县','0871',3,369),
	(995,'河北省','邢台市','南宫市','0',3,151),
	(996,'贵州省','黔西南布依族苗族自治州','兴仁县','0859',3,297),
	(997,'河南省','焦作市','温县','0391',3,175),
	(998,'甘肃省','庆阳市','其他','0934',3,198),
	(999,'宁夏回族自治区','银川市','西夏区','0951',3,247),
	(1000,'内蒙古自治区','乌海市','乌达区','0473',3,182),
	(1001,'广西壮族自治区','南宁市','江南区','0771',3,242),
	(1002,'新疆维吾尔族自治区','巴音郭楞蒙古自治州','和静县','0996',3,310),
	(1003,'湖南省','郴州市','汝城县','0735',3,370),
	(1004,'湖北省','武汉市','汉南区','027',3,113),
	(1005,'江苏省','盐城市','建湖县','0515',3,329),
	(1006,'河南省','商丘市','夏邑县','0370',3,254),
	(1007,'浙江省','丽水市','青田县','0578',3,365),
	(1008,'福建省','三明市','尤溪县','0598',3,411),
	(1009,'广东省','河源市','紫金县','0762',3,374),
	(1010,'河北省','承德市','双桥区','0',3,127),
	(1011,'湖北省','鄂州市','鄂城区','0711',3,239),
	(1012,'河北省','石家庄市','无极县','0',3,264),
	(1013,'江西省','九江市','庐山区','0792',3,104),
	(1014,'重庆市','重庆市','荣昌县','023',3,363),
	(1015,'浙江省','台州市','天台县','0576',3,289),
	(1016,'江苏省','连云港市','新浦区','0518',3,101),
	(1017,'江苏省','苏州市','吴中区','0512',3,281),
	(1018,'浙江省','湖州市','吴兴区','0572',3,159),
	(1019,'云南省','德宏傣族景颇族自治州','瑞丽市','0692',3,184),
	(1020,'山东省','菏泽市','牡丹区','0530',3,216),
	(1021,'黑龙江省','大庆市','红岗区','0459',3,415),
	(1022,'辽宁省','大连市','金州区','0',3,262),
	(1023,'山西省','忻州市','定襄县','0350',3,382),
	(1024,'湖北省','宜昌市','远安县','0717',3,423),
	(1025,'河北省','石家庄市','正定县','0',3,264),
	(1026,'重庆市','重庆市','渝中区','023',3,363),
	(1027,'江西省','抚州市','南丰县','0794',3,266),
	(1028,'山东省','威海市','荣成市','0631',3,256),
	(1029,'山东省','青岛市','即墨市','0532',3,284),
	(1030,'广东省','东莞市','常平镇','0769',3,229),
	(1031,'山西省','太原市','杏花岭区','0351',3,154),
	(1032,'广东省','广州市','番禺区','020',3,129),
	(1033,'江苏省','淮安市','盱眙县','0517',3,360),
	(1034,'江苏省','盐城市','亭湖区','0515',3,329),
	(1035,'上海市','上海市','宝山区','021',3,287),
	(1036,'江苏省','徐州市','邳州市','0516',3,130),
	(1037,'河北省','沧州市','南皮县','0',3,286),
	(1038,'新疆维吾尔族自治区','巴音郭楞蒙古自治州','轮台县','0996',3,310),
	(1039,'陕西省','西安市','未央区','029',3,334),
	(1040,'湖南省','湘潭市','湘乡市','0731',3,337),
	(1041,'安徽省','宿州市','萧县','0557',3,181),
	(1042,'辽宁省','沈阳市','大东区','0',3,170),
	(1043,'湖北省','宜昌市','宜都市','0717',3,423),
	(1044,'广西壮族自治区','南宁市','青秀区','0771',3,242),
	(1045,'广西壮族自治区','河池市','罗城仫佬族自治县','0778',3,197),
	(1046,'山东省','济宁市','兖州市','0537',3,169),
	(1047,'湖北省','武汉市','武昌区','027',3,113),
	(1048,'广东省','深圳市','宝安区','0755',3,118),
	(1049,'河南省','信阳市','潢川县','0376',3,269),
	(1050,'江西省','南昌市','湾里区','0791',3,200),
	(1051,'宁夏回族自治区','固原市','西吉县','0954',3,358),
	(1052,'河北省','张家口市','阳原县','0',3,162),
	(1053,'云南省','大理白族自治州','大理市','0872',3,191),
	(1054,'河北省','保定市','高阳县','0',3,209),
	(1055,'天津市','天津市','南开区','0',3,252),
	(1056,'河北省','廊坊市','固安县','0',3,176),
	(1057,'江苏省','宿迁市','沭阳县','0527',3,285),
	(1058,'甘肃省','天水市','其他','0938',3,179),
	(1059,'贵州省','铜仁地区','思南县','0856',3,272),
	(1060,'广东省','湛江市','赤坎区','0759',3,171),
	(1061,'山西省','大同市','浑源县','0352',3,108),
	(1062,'安徽省','安庆市','迎江区','0556',3,246),
	(1063,'江西省','宜春市','其他','0795',3,142),
	(1064,'云南省','玉溪市','通海县','0877',3,387),
	(1065,'辽宁省','铁岭市','开原市','0410',3,223),
	(1066,'贵州省','遵义市','红花岗区','0852',3,288),
	(1067,'山西省','吕梁市','柳林县','0358',3,227),
	(1068,'河南省','商丘市','睢县','0370',3,254),
	(1069,'吉林省','吉林市','船营区','0432',3,240),
	(1070,'吉林省','辽源市','龙山区','0437',3,122),
	(1071,'云南省','丽江市','永胜县','0888',3,103),
	(1072,'辽宁省','铁岭市','清河区','0410',3,223),
	(1073,'四川省','甘孜藏族自治州','康定县','0836',3,349),
	(1074,'安徽省','安庆市','桐城市','0556',3,246),
	(1075,'重庆市','重庆市','丰都县','023',3,363),
	(1076,'江西省','宜春市','上高县','0795',3,142),
	(1077,'河南省','许昌市','襄城县','0374',3,345),
	(1078,'河北省','保定市','高碑店市','0',3,209),
	(1079,'四川省','泸州市','叙永县','0830',3,110),
	(1080,'云南省','昭通市','巧家县','0870',3,389),
	(1081,'山西省','运城市','永济市','0359',3,236),
	(1082,'浙江省','绍兴市','绍兴县','0575',3,307),
	(1083,'广东省','汕头市','潮阳区','0754',3,215),
	(1084,'河南省','周口市','太康县','0394',3,102),
	(1085,'江苏省','镇江市','丹阳市','0511',3,283),
	(1086,'黑龙江省','齐齐哈尔市','富裕县','0452',3,195),
	(1087,'湖北省','恩施市','巴东县','0718',3,340),
	(1088,'福建省','漳州市','东山县','0596',3,150),
	(1089,'河南省','漯河市','源汇区','0395',3,396),
	(1090,'河北省','张家口市','张北县','0',3,162),
	(1091,'湖南省','张家界市','慈利县','0744',3,300),
	(1092,'江苏省','苏州市','平江区','0512',3,281),
	(1093,'河南省','开封市','通许县','0378',3,111),
	(1094,'江苏省','淮安市','淮阴区','0517',3,360),
	(1095,'安徽省','亳州市','谯城区','0558',3,249),
	(1096,'湖北省','恩施市','恩施市','0718',3,340),
	(1097,'山东省','潍坊市','奎文区','0536',3,121),
	(1098,'江苏省','苏州市','常熟市','0512',3,281),
	(1099,'浙江省','丽水市','庆元县','0578',3,365),
	(1100,'湖北省','黄冈市','武穴市','0713',3,397),
	(1101,'四川省','绵阳市','盐亭县','0816',3,224),
	(1102,'四川省','宜宾市','长宁县','0831',3,109),
	(1103,'贵州省','黔东南苗族侗族自治州','黄平县','0855',3,325),
	(1104,'北京市','北京市','门头沟区','010',3,368),
	(1105,'西藏自治区','拉萨市','城关区','0891',3,352),
	(1106,'江西省','赣州市','于都县','0797',3,336),
	(1107,'辽宁省','沈阳市','和平区','0',3,170),
	(1108,'宁夏回族自治区','固原市','隆德县','0954',3,358),
	(1109,'河北省','沧州市','泊头市','0',3,286),
	(1110,'河南省','焦作市','孟州市','0391',3,175),
	(1111,'四川省','绵阳市','三台县','0816',3,224),
	(1112,'云南省','文山壮族苗族自治州','西畴县','0876',3,426),
	(1113,'河南省','信阳市','罗山县','0376',3,269),
	(1114,'四川省','广安市','华蓥市','0826',3,237),
	(1115,'河南省','驻马店市','汝南县','0396',3,282),
	(1116,'海南省','海口市','琼山区','0898',3,219),
	(1117,'河南省','许昌市','禹州市','0374',3,345),
	(1118,'湖北省','宜昌市','西陵区','0717',3,423),
	(1119,'江西省','抚州市','崇仁县','0794',3,266),
	(1120,'江苏省','淮安市','清河区','0517',3,360),
	(1121,'福建省','福州市','闽清县','0591',3,177),
	(1122,'山西省','临汾市','尧都区','0357',3,238),
	(1123,'浙江省','温州市','永嘉县','0577',3,315),
	(1124,'湖南省','邵阳市','绥宁县','0739',3,274),
	(1125,'江苏省','盐城市','阜宁县','0515',3,329),
	(1126,'江苏省','徐州市','沛县','0516',3,130),
	(1127,'湖南省','衡阳市','衡阳县','0734',3,116),
	(1128,'安徽省','淮南市','凤台县','0554',3,367),
	(1129,'四川省','泸州市','古蔺县','0830',3,110),
	(1130,'宁夏回族自治区','中卫市','沙坡头区','0955',3,278),
	(1131,'河北省','保定市','定州市','0',3,209),
	(1132,'河南省','南阳市','镇平县','0377',3,405),
	(1133,'江苏省','徐州市','新沂市','0516',3,130),
	(1134,'安徽省','安庆市','宿松县','0556',3,246),
	(1135,'广西壮族自治区','来宾市','兴宾区','0772',3,225),
	(1136,'河北省','邯郸市','涉县','0',3,348),
	(1137,'江西省','九江市','永修县','0792',3,104),
	(1138,'河南省','开封市','禹王台区','0378',3,111),
	(1139,'广西壮族自治区','南宁市','兴宁区','0771',3,242),
	(1140,'山西省','临汾市','襄汾县','0357',3,238),
	(1141,'辽宁省','阜新市','清河门区','0418',3,226),
	(1142,'广东省','珠海市','斗门区','0756',3,134),
	(1143,'湖南省','邵阳市','隆回县','0739',3,274),
	(1144,'湖北省','宜昌市','枝江市','0717',3,423),
	(1145,'黑龙江省','佳木斯市','前进区','0454',3,105),
	(1146,'河南省','三门峡市','卢氏县','0398',3,328),
	(1147,'黑龙江省','齐齐哈尔市','富拉尔基区','0452',3,195),
	(1148,'湖南省','长沙市','天心区','0731',3,201),
	(1149,'河北省','石家庄市','长安区','0',3,264),
	(1150,'福建省','龙岩市','新罗区','0597',3,267),
	(1151,'四川省','凉山彝族自治州','冕宁县','0834',3,173),
	(1152,'湖南省','邵阳市','新宁县','0739',3,274),
	(1153,'河北省','保定市','唐县','0',3,209),
	(1154,'云南省','迪庆藏族自治州','德钦县','0887',3,204),
	(1155,'内蒙古自治区','乌兰察布市','卓资县','0474',3,386),
	(1156,'云南省','迪庆藏族自治州','维西傈僳族自治县','0887',3,204),
	(1157,'河北省','邢台市','沙河市','0',3,151),
	(1158,'云南省','昆明市','富民县','0871',3,369),
	(1159,'广西壮族自治区','防城港市','防城区','0770',3,410),
	(1160,'河北省','石家庄市','晋州市','0',3,264),
	(1161,'山东省','济宁市','嘉祥县','0537',3,169),
	(1162,'河南省','郑州市','新郑市','0371',3,308),
	(1163,'湖北省','咸宁市','赤壁市','0715',3,271),
	(1164,'四川省','成都市','成华区','028',3,106),
	(1165,'河南省','商丘市','柘城县','0370',3,254),
	(1166,'陕西省','渭南市','蒲城县','0913',3,205),
	(1167,'四川省','南充市','南部县','0817',3,350),
	(1168,'江苏省','常州市','溧阳市','0519',3,304),
	(1169,'贵州省','黔西南布依族苗族自治州','其他','0859',3,297),
	(1170,'重庆市','重庆市','大足县','023',3,363),
	(1171,'安徽省','滁州市','定远县','0550',3,380),
	(1172,'黑龙江省','牡丹江市','爱民区','0453',3,260),
	(1173,'辽宁省','大连市','瓦房店市','0',3,262),
	(1174,'辽宁省','辽阳市','白塔区','0419',3,427),
	(1175,'天津市','天津市','塘沽区','0',3,252),
	(1176,'广西壮族自治区','桂林市','荔蒲县','0773',3,400),
	(1177,'宁夏回族自治区','石嘴山市','大武口区','0952',3,189),
	(1178,'湖北省','宜昌市','夷陵区','0717',3,423),
	(1179,'湖北省','十堰市','郧西县','0719',3,185),
	(1180,'新疆维吾尔族自治区','克孜勒苏柯尔克孜自治州','阿图什市','0908',3,259),
	(1181,'四川省','德阳市','旌阳区','0838',3,178),
	(1182,'云南省','大理白族自治州','弥渡县','0872',3,191),
	(1183,'浙江省','杭州市','江干区','0571',3,263),
	(1184,'广西壮族自治区','百色市','田阳县','0776',3,392),
	(1185,'贵州省','六盘水市','六枝特区','0858',3,339),
	(1186,'湖北省','黄冈市','团风县','0713',3,397),
	(1187,'河南省','平顶山市','湛河区','0375',3,117),
	(1188,'山西省','晋中市','太谷县','0354',3,139),
	(1189,'山西省','晋中市','昔阳县','0354',3,139),
	(1190,'江西省','抚州市','乐安县','0794',3,266),
	(1191,'陕西省','西安市','碑林区','029',3,334),
	(1192,'湖北省','黄冈市','红安县','0713',3,397),
	(1193,'山东省','滨州市','邹平县','0543',3,245),
	(1194,'浙江省','台州市','温岭市','0576',3,289),
	(1195,'广东省','江门市','新会区','0750',3,398),
	(1196,'云南省','保山市','隆阳区','0875',3,381),
	(1197,'陕西省','宝鸡市','金台区','0917',3,232),
	(1198,'浙江省','金华市','婺城区','0579',3,152),
	(1199,'内蒙古自治区','兴安盟','扎赉特旗','0482',3,248),
	(1200,'湖南省','株洲市','株洲县','0731',3,302),
	(1201,'山西省','阳泉市','矿区','0353',3,137),
	(1202,'黑龙江省','牡丹江市','宁安市','0453',3,260),
	(1203,'吉林省','四平市','铁东区','0434',3,417),
	(1204,'四川省','乐山市','市中区','0833',3,155),
	(1205,'四川省','成都市','高新区','028',3,106),
	(1206,'四川省','乐山市','峨眉山市','0833',3,155),
	(1207,'江西省','吉安市','吉水县','0796',3,332),
	(1208,'河北省','衡水市','冀州市','0',3,138),
	(1209,'四川省','自贡市','自流井区','0813',3,375),
	(1210,'河北省','张家口市','桥东区','0',3,162),
	(1211,'福建省','龙岩市','连城县','0597',3,267),
	(1212,'云南省','红河哈尼族彝族自治州','红河县','0873',3,399),
	(1213,'云南省','文山壮族苗族自治州','广南县','0876',3,426),
	(1214,'广东省','惠州市','博罗县','0752',3,250),
	(1215,'广西壮族自治区','柳州市','其他','0772',3,388),
	(1216,'湖北省','荆州市','荆州区','0716',3,361),
	(1217,'黑龙江省','佳木斯市','桦南县','0454',3,105),
	(1218,'安徽省','安庆市','太湖县','0556',3,246),
	(1219,'广西壮族自治区','贺州市','昭平县','0774',3,135),
	(1220,'甘肃省','天水市','甘谷县','0938',3,179),
	(1221,'辽宁省','朝阳市','建平县','0421',3,174),
	(1222,'新疆维吾尔族自治区','奎屯市','其他','0992',3,355),
	(1223,'福建省','南平市','延平区','0599',3,119),
	(1224,'河南省','信阳市','新县','0376',3,269),
	(1225,'山西省','太原市','小店区','0351',3,154),
	(1226,'河南省','郑州市','管城回族区','0371',3,308),
	(1227,'黑龙江省','鸡西市','恒山区','0467',3,128),
	(1228,'江苏省','泰州市','姜堰市','0523',3,311),
	(1229,'河南省','洛阳市','栾川县','0379',3,214),
	(1230,'浙江省','宁波市','鄞州区','0574',3,217),
	(1231,'四川省','阿坝藏族羌族自治州','马尔康县','0837',3,255),
	(1232,'山东省','济宁市','微山县','0537',3,169),
	(1233,'新疆维吾尔族自治区','吐鲁番地区','吐鲁番市','0995',3,303),
	(1234,'山东省','滨州市','滨城区','0543',3,245),
	(1235,'甘肃省','平凉市','灵台县','0933',3,218),
	(1236,'山东省','淄博市','张店区','0533',3,203),
	(1237,'青海省','海东地区','互助土族自治县','0972',3,401),
	(1238,'江苏省','扬州市','邗江区','0514',3,136),
	(1239,'浙江省','金华市','义乌市','0579',3,152),
	(1240,'湖北省','荆门市','其他','0724',3,153),
	(1241,'河南省','郑州市','巩义市','0371',3,308),
	(1242,'江苏省','徐州市','丰县','0516',3,130),
	(1243,'安徽省','滁州市','凤阳县','0550',3,380),
	(1244,'浙江省','金华市','金东区','0579',3,152),
	(1245,'浙江省','衢州市','常山县','0570',3,257),
	(1246,'四川省','德阳市','广汉市','0838',3,178),
	(1247,'福建省','福州市','福清市','0591',3,177),
	(1248,'贵州省','铜仁地区','石阡县','0856',3,272),
	(1249,'四川省','绵阳市','安县','0816',3,224),
	(1250,'辽宁省','阜新市','彰武县','0418',3,226),
	(1251,'河南省','焦作市','沁阳市','0391',3,175),
	(1252,'辽宁省','辽阳市','灯塔市','0419',3,427),
	(1253,'黑龙江省','七台河市','勃利县','0464',3,419),
	(1254,'辽宁省','朝阳市','北票市','0421',3,174),
	(1255,'云南省','丽江市','玉龙纳西族自治县','0888',3,103),
	(1256,'湖南省','娄底市','娄星区','0738',3,206),
	(1257,'浙江省','湖州市','长兴县','0572',3,159),
	(1258,'黑龙江省','齐齐哈尔市','龙江县','0452',3,195),
	(1259,'广东省','梅州市','梅县','0753',3,143),
	(1260,'江西省','赣州市','全南县','0797',3,336),
	(1261,'山东省','烟台市','莱州市','0535',3,261),
	(1262,'吉林省','吉林市','磐石市','0432',3,240),
	(1263,'北京市','北京市','怀柔区','010',3,368),
	(1264,'广西壮族自治区','百色市','平果县','0776',3,392),
	(1265,'河南省','开封市','鼓楼区','0378',3,111),
	(1266,'福建省','莆田市','荔城区','0594',3,346),
	(1267,'黑龙江省','双鸭山市','其他','0469',3,373),
	(1268,'广西壮族自治区','钦州市','钦南区','0777',3,212),
	(1269,'吉林省','四平市','铁西区','0434',3,417),
	(1270,'吉林省','延边朝鲜族自治州','延吉市','0433',3,165),
	(1271,'山西省','运城市','垣曲县','0359',3,236),
	(1272,'湖北省','孝感市','云梦县','0712',3,210),
	(1273,'黑龙江省','绥化市','肇东市','0455',3,371),
	(1274,'浙江省','金华市','武义县','0579',3,152),
	(1275,'贵州省','毕节地区','黔西县','0857',3,318),
	(1276,'海南省','海口市','龙华区','0898',3,219),
	(1277,'浙江省','舟山市','嵊泗县','0580',3,194),
	(1278,'广西壮族自治区','桂林市','阳朔县','0773',3,400),
	(1279,'甘肃省','兰州市','城关区','0931',3,228),
	(1280,'广东省','佛山市','顺德区','0757',3,378),
	(1281,'山东省','威海市','文登市','0631',3,256),
	(1282,'安徽省','池州市','贵池区','0566',3,391),
	(1283,'四川省','成都市','温江区','028',3,106),
	(1284,'福建省','泉州市','丰泽区','0595',3,161),
	(1285,'云南省','曲靖市','麒麟区','0874',3,420),
	(1286,'贵州省','贵阳市','修文县','0851',3,273),
	(1287,'山西省','阳泉市','郊区','0353',3,137),
	(1288,'山西省','吕梁市','临县','0358',3,227),
	(1289,'山西省','大同市','南郊区','0352',3,108),
	(1290,'辽宁省','沈阳市','沈北新区','0',3,170),
	(1291,'湖北省','孝感市','安陆市','0712',3,210),
	(1292,'河北省','保定市','蠡县','0',3,209),
	(1293,'河北省','石家庄市','赵县','0',3,264),
	(1294,'河北省','保定市','徐水县','0',3,209),
	(1295,'福建省','三明市','清流县','0598',3,411),
	(1296,'陕西省','咸阳市','兴平市','029',3,180),
	(1297,'山东省','临沂市','兰山区','0539',3,312),
	(1298,'陕西省','宝鸡市','眉县','0917',3,232),
	(1299,'广东省','揭阳市','普宁市','0663',3,114),
	(1300,'山西省','朔州市','朔城区','0349',3,290),
	(1301,'福建省','泉州市','泉港区','0595',3,161),
	(1302,'湖北省','襄樊市','枣阳市','0710',3,412),
	(1303,'安徽省','蚌埠市','禹会区','0552',3,372),
	(1304,'内蒙古自治区','呼和浩特市','其他','0471',3,422),
	(1305,'宁夏回族自治区','银川市','金凤区','0951',3,247),
	(1306,'山东省','济南市','历下区','0531',3,306),
	(1307,'黑龙江省','哈尔滨市','南岗区','0451',3,124),
	(1308,'上海市','上海市','青浦区','021',3,287),
	(1309,'河南省','新乡市','牧野区','0373',3,418),
	(1310,'河南省','安阳市','文峰区','0372',3,353),
	(1311,'山西省','晋城市','城区','0356',3,376),
	(1312,'湖南省','怀化市','洪江市','0745',3,156),
	(1313,'福建省','三明市','大田县','0598',3,411),
	(1314,'浙江省','温州市','泰顺县','0577',3,315),
	(1315,'湖南省','永州市','祁阳县','0746',3,408),
	(1316,'福建省','厦门市','集美区','0592',3,354),
	(1317,'四川省','甘孜藏族自治州','泸定县','0836',3,349),
	(1318,'江苏省','南通市','通州市','0513',3,416),
	(1319,'江苏省','泰州市','泰兴市','0523',3,311),
	(1320,'海南省','文昌市','其他','0898',3,406),
	(1321,'云南省','玉溪市','易门县','0877',3,387),
	(1322,'四川省','资阳市','乐至县','028',3,404),
	(1323,'安徽省','马鞍山市','花山区','0555',3,251),
	(1324,'安徽省','滁州市','来安县','0550',3,380),
	(1325,'浙江省','温州市','乐清市','0577',3,315),
	(1326,'河南省','商丘市','梁园区','0370',3,254),
	(1327,'甘肃省','平凉市','崆峒区','0933',3,218),
	(1328,'福建省','福州市','永泰县','0591',3,177),
	(1329,'江西省','宜春市','高安市','0795',3,142),
	(1330,'湖北省','荆门市','钟祥市','0724',3,153),
	(1331,'河南省','南阳市','内乡县','0377',3,405),
	(1332,'河南省','南阳市','宛城区','0377',3,405),
	(1333,'四川省','资阳市','安岳县','028',3,404),
	(1334,'河南省','鹤壁市','淇滨区','0392',3,385),
	(1335,'贵州省','遵义市','赤水市','0852',3,288),
	(1336,'广西壮族自治区','柳州市','三江侗族自治县','0772',3,388),
	(1337,'天津市','天津市','武清区','0',3,252),
	(1338,'广东省','梅州市','兴宁市','0753',3,143),
	(1339,'云南省','曲靖市','沾益县','0874',3,420),
	(1340,'江西省','九江市','武宁县','0792',3,104),
	(1341,'浙江省','宁波市','宁海县','0574',3,217),
	(1342,'江苏省','苏州市','虎丘区','0512',3,281),
	(1343,'山东省','泰安市','肥城市','0538',3,192),
	(1344,'云南省','楚雄彝族自治州','元谋县','0878',3,231),
	(1345,'河南省','郑州市','金水区','0371',3,308),
	(1346,'广西壮族自治区','钦州市','浦北县','0777',3,212),
	(1347,'山东省','青岛市','城阳区','0532',3,284),
	(1348,'广东省','佛山市','三水区','0757',3,378),
	(1349,'浙江省','台州市','椒江区','0576',3,289),
	(1350,'北京市','北京市','昌平区','010',3,368),
	(1351,'新疆维吾尔族自治区','昌吉回族自治州','米泉市','0994',3,293),
	(1352,'辽宁省','沈阳市','沈河区','0',3,170),
	(1353,'河北省','张家口市','桥西区','0',3,162),
	(1354,'贵州省','贵阳市','云岩区','0851',3,273),
	(1355,'云南省','曲靖市','陆良县','0874',3,420),
	(1356,'浙江省','丽水市','景宁畲族自治县','0578',3,365),
	(1357,'辽宁省','铁岭市','昌图县','0410',3,223),
	(1358,'河北省','唐山市','路北区','0',3,277),
	(1359,'甘肃省','金昌市','金川区','0935',3,356),
	(1360,'河北省','石家庄市','藁城市','0',3,264),
	(1361,'四川省','乐山市','沙湾区','0833',3,155),
	(1362,'甘肃省','定西市','安定区','0932',3,327),
	(1363,'江苏省','南京市','浦口区','025',3,313),
	(1364,'浙江省','宁波市','海曙区','0574',3,217),
	(1365,'新疆维吾尔族自治区','哈密地区','哈密市','0902',3,366),
	(1366,'云南省','楚雄彝族自治州','禄丰县','0878',3,231),
	(1367,'山西省','晋城市','高平市','0356',3,376),
	(1368,'内蒙古自治区','赤峰市','翁牛特旗','0476',3,314),
	(1369,'广东省','中山市','南朗镇','0760',3,167),
	(1370,'湖北省','恩施市','利川市','0718',3,340),
	(1371,'广东省','珠海市','香洲区','0756',3,134),
	(1372,'四川省','眉山市','洪雅县','028',3,342),
	(1373,'上海市','上海市','静安区','021',3,287),
	(1374,'贵州省','黔南布依族苗族自治州','荔波县','0854',3,276),
	(1375,'贵州省','黔南布依族苗族自治州','都匀市','0854',3,276),
	(1376,'河南省','南阳市','新野县','0377',3,405),
	(1377,'四川省','巴中市','南江县','0827',3,233),
	(1378,'安徽省','宣城市','宁国市','0563',3,377),
	(1379,'四川省','资阳市','简阳市','028',3,404),
	(1380,'云南省','昭通市','水富县','0870',3,389),
	(1381,'黑龙江省','牡丹江市','穆棱市','0453',3,260),
	(1382,'山东省','淄博市','周村区','0533',3,203),
	(1383,'吉林省','四平市','公主岭市','0434',3,417),
	(1384,'江西省','抚州市','临川区','0794',3,266),
	(1385,'河北省','衡水市','故城县','0',3,138),
	(1386,'浙江省','丽水市','莲都区','0578',3,365),
	(1387,'河北省','邯郸市','邱县','0',3,348),
	(1388,'河南省','洛阳市','新安县','0379',3,214),
	(1389,'四川省','巴中市','平昌县','0827',3,233),
	(1390,'广东省','湛江市','徐闻县','0759',3,171),
	(1391,'甘肃省','兰州市','榆中县','0931',3,228),
	(1392,'云南省','玉溪市','峨山彝族自治县','0877',3,387),
	(1393,'云南省','文山壮族苗族自治州','文山县','0876',3,426),
	(1394,'云南省','西双版纳傣族自治州','景洪市','0691',3,390),
	(1395,'四川省','内江市','威远县','0832',3,322),
	(1396,'河北省','唐山市','开平区','0',3,277),
	(1397,'河南省','驻马店市','正阳县','0396',3,282),
	(1398,'黑龙江省','绥化市','海伦市','0455',3,371),
	(1399,'安徽省','安庆市','岳西县','0556',3,246),
	(1400,'山西省','晋城市','泽州县','0356',3,376),
	(1401,'广西壮族自治区','桂林市','资源县','0773',3,400),
	(1402,'广东省','广州市','从化市','020',3,129),
	(1403,'浙江省','宁波市','慈溪市','0574',3,217),
	(1404,'重庆市','重庆市','南岸区','023',3,363),
	(1405,'安徽省','宣城市','广德县','0563',3,377),
	(1406,'新疆维吾尔族自治区','塔城地区','乌苏市','0901',3,146),
	(1407,'江苏省','南京市','玄武区','025',3,313),
	(1408,'四川省','内江市','隆昌县','0832',3,322),
	(1409,'福建省','厦门市','翔安区','0592',3,354),
	(1410,'浙江省','金华市','兰溪市','0579',3,152),
	(1411,'河南省','许昌市','鄢陵县','0374',3,345),
	(1412,'重庆市','重庆市','北碚区','023',3,363),
	(1413,'安徽省','滁州市','天长市','0550',3,380),
	(1414,'江西省','赣州市','定南县','0797',3,336),
	(1415,'广东省','潮州市','潮安县','0768',3,291),
	(1416,'山东省','青岛市','胶南市','0532',3,284),
	(1417,'辽宁省','鞍山市','铁西区','0',3,301),
	(1418,'黑龙江省','鸡西市','鸡冠区','0467',3,128),
	(1419,'浙江省','湖州市','德清县','0572',3,159),
	(1420,'江苏省','扬州市','仪征市','0514',3,136),
	(1421,'云南省','丽江市','宁蒗彝族自治县','0888',3,103),
	(1422,'湖南省','怀化市','沅陵县','0745',3,156),
	(1423,'贵州省','贵阳市','其他','0851',3,273),
	(1424,'河南省','周口市','西华县','0394',3,102),
	(1425,'安徽省','铜陵市','铜陵县','0562',3,132),
	(1426,'河北省','邢台市','清河县','0',3,151),
	(1427,'四川省','内江市','资中县','0832',3,322),
	(1428,'湖北省','宜昌市','长阳县','0717',3,423),
	(1429,'云南省','昭通市','昭阳区','0870',3,389),
	(1430,'云南省','昆明市','盘龙区','0871',3,369),
	(1431,'湖南省','衡阳市','珠晖区','0734',3,116),
	(1432,'云南省','红河哈尼族彝族自治州','开远市','0873',3,399),
	(1433,'贵州省','安顺市','普定县','0853',3,347),
	(1434,'云南省','玉溪市','红塔区','0877',3,387),
	(1435,'河南省','新乡市','卫辉市','0373',3,418),
	(1436,'湖南省','邵阳市','武冈市','0739',3,274),
	(1437,'山东省','青岛市','市南区','0532',3,284),
	(1438,'江苏省','连云港市','灌南县','0518',3,101),
	(1439,'安徽省','蚌埠市','蚌山区','0552',3,372),
	(1440,'四川省','广安市','邻水县','0826',3,237),
	(1441,'云南省','保山市','腾冲县','0875',3,381),
	(1442,'北京市','北京市','朝阳区','010',3,368),
	(1443,'浙江省','衢州市','江山市','0570',3,257),
	(1444,'广东省','深圳市','福田区','0755',3,118),
	(1445,'四川省','绵阳市','涪城区','0816',3,224),
	(1446,'贵州省','遵义市','习水县','0852',3,288),
	(1447,'福建省','三明市','建宁县','0598',3,411),
	(1448,'河南省','南阳市','唐河县','0377',3,405),
	(1449,'山西省','吕梁市','汾阳市','0358',3,227),
	(1450,'辽宁省','沈阳市','其他','0',3,170),
	(1451,'河北省','秦皇岛市','山海关区','0',3,163),
	(1452,'江西省','宜春市','袁州区','0795',3,142),
	(1453,'江苏省','南通市','启东市','0513',3,416),
	(1454,'湖南省','怀化市','靖州苗族侗族自治县','0745',3,156),
	(1455,'湖南省','长沙市','望城县','0731',3,201),
	(1456,'江西省','赣州市','寻乌县','0797',3,336),
	(1457,'湖北省','宜昌市','当阳市','0717',3,423),
	(1458,'湖南省','株洲市','炎陵县','0731',3,302),
	(1459,'四川省','德阳市','罗江县','0838',3,178),
	(1460,'四川省','成都市','锦江区','028',3,106),
	(1461,'广西壮族自治区','柳州市','柳南区','0772',3,388),
	(1462,'浙江省','杭州市','建德市','0571',3,263),
	(1463,'江苏省','苏州市','相城区','0512',3,281),
	(1464,'吉林省','延边朝鲜族自治州','龙井市','0433',3,165),
	(1465,'黑龙江省','齐齐哈尔市','讷河市','0452',3,195),
	(1466,'辽宁省','丹东市','宽甸满族自治县','0415',3,305),
	(1467,'广东省','梅州市','梅江区','0753',3,143),
	(1468,'吉林省','长春市','其他','0431',3,112),
	(1469,'云南省','迪庆藏族自治州','香格里拉县','0887',3,204),
	(1470,'安徽省','蚌埠市','固镇县','0552',3,372),
	(1471,'云南省','楚雄彝族自治州','双柏县','0878',3,231),
	(1472,'湖北省','十堰市','茅箭区','0719',3,185),
	(1473,'河南省','商丘市','宁陵县','0370',3,254),
	(1474,'贵州省','遵义市','务川仡佬族苗族自治县','0852',3,288),
	(1475,'广东省','惠州市','惠东县','0752',3,250),
	(1476,'江西省','萍乡市','安源区','0799',3,320),
	(1477,'安徽省','阜阳市','颍上县','0558',3,265),
	(1478,'黑龙江省','哈尔滨市','道里区','0451',3,124),
	(1479,'广西壮族自治区','河池市','都安瑶族自治县','0778',3,197),
	(1480,'内蒙古自治区','赤峰市','松山区','0476',3,314),
	(1481,'辽宁省','丹东市','振兴区','0415',3,305),
	(1482,'吉林省','长春市','九台市','0431',3,112),
	(1483,'河北省','保定市','安国市','0',3,209),
	(1484,'湖北省','荆州市','松滋市','0716',3,361),
	(1485,'福建省','三明市','永安市','0598',3,411),
	(1486,'广西壮族自治区','来宾市','象州县','0772',3,225),
	(1487,'云南省','曲靖市','罗平县','0874',3,420),
	(1488,'浙江省','台州市','路桥区','0576',3,289),
	(1489,'吉林省','吉林市','龙潭区','0432',3,240),
	(1490,'陕西省','西安市','灞桥区','029',3,334),
	(1491,'江苏省','南通市','崇川区','0513',3,416),
	(1492,'天津市','天津市','蓟县','0',3,252),
	(1493,'山东省','潍坊市','昌乐县','0536',3,121),
	(1494,'福建省','泉州市','安溪县','0595',3,161),
	(1495,'山东省','菏泽市','鄄城县','0530',3,216),
	(1496,'云南省','昆明市','晋宁县','0871',3,369),
	(1497,'贵州省','六盘水市','盘县','0858',3,339),
	(1498,'广西壮族自治区','北海市','合浦县','0779',3,331),
	(1499,'云南省','思茅市','翠云区',NULL,3,168),
	(1500,'江西省','吉安市','永丰县','0796',3,332),
	(1501,'黑龙江省','双鸭山市','尖山区','0469',3,373),
	(1502,'河北省','保定市','涞源县','0',3,209),
	(1503,'吉林省','吉林市','永吉县','0432',3,240),
	(1504,'湖南省','常德市','其他','0736',3,186),
	(1505,'福建省','福州市','仓山区','0591',3,177),
	(1506,'黑龙江省','黑河市','爱辉区','0456',3,131),
	(1507,'广西壮族自治区','防城港市','港口区','0770',3,410),
	(1508,'四川省','成都市','新津县','028',3,106),
	(1509,'内蒙古自治区','赤峰市','宁城县','0476',3,314),
	(1510,'湖北省','武汉市','江夏区','027',3,113),
	(1511,'青海省','西宁市','城中区','0971',3,193),
	(1512,'河北省','衡水市','饶阳县','0',3,138),
	(1513,'江西省','萍乡市','其他','0799',3,320),
	(1514,'贵州省','黔西南布依族苗族自治州','兴义市','0859',3,297),
	(1515,'贵州省','黔东南苗族侗族自治州','台江县','0855',3,325),
	(1516,'湖南省','永州市','冷水滩区','0746',3,408),
	(1517,'云南省','西双版纳傣族自治州','勐海县','0691',3,390),
	(1518,'宁夏回族自治区','银川市','永宁县','0951',3,247),
	(1519,'江苏省','盐城市','盐都区','0515',3,329),
	(1520,'河南省','新乡市','延津县','0373',3,418),
	(1521,'内蒙古自治区','呼伦贝尔市','扎兰屯市','0470',3,357),
	(1522,'广西壮族自治区','防城港市','上思县','0770',3,410),
	(1523,'辽宁省','营口市','西市区','0417',3,166),
	(1524,'宁夏回族自治区','银川市','灵武市','0951',3,247),
	(1525,'广西壮族自治区','柳州市','鱼峰区','0772',3,388),
	(1526,'山东省','东营市','广饶县','0546',3,140),
	(1527,'广东省','广州市','天河区','020',3,129),
	(1528,'四川省','宜宾市','宜宾县','0831',3,109),
	(1529,'福建省','福州市','台江区','0591',3,177),
	(1530,'贵州省','贵阳市','乌当区','0851',3,273),
	(1531,'河南省','周口市','鹿邑县','0394',3,102),
	(1532,'河南省','三门峡市','渑池县','0398',3,328),
	(1533,'新疆维吾尔族自治区','塔城地区','塔城市','0901',3,146),
	(1534,'重庆市','重庆市','云阳县','023',3,363),
	(1535,'浙江省','杭州市','下城区','0571',3,263),
	(1536,'福建省','泉州市','鲤城区','0595',3,161),
	(1537,'贵州省','安顺市','其他','0853',3,347),
	(1538,'安徽省','淮北市','相山区','0561',3,407),
	(1539,'四川省','攀枝花市','米易县','0812',3,428),
	(1540,'山东省','济南市','市中区','0531',3,306),
	(1541,'黑龙江省','齐齐哈尔市','克山县','0452',3,195),
	(1542,'广西壮族自治区','百色市','那坡县','0776',3,392),
	(1543,'山东省','潍坊市','昌邑市','0536',3,121),
	(1544,'河南省','郑州市','中原区','0371',3,308),
	(1545,'宁夏回族自治区','中卫市','中宁县','0955',3,278),
	(1546,'四川省','宜宾市','兴文县','0831',3,109),
	(1547,'河南省','信阳市','淮滨县','0376',3,269),
	(1548,'宁夏回族自治区','固原市','原州区','0954',3,358),
	(1549,'湖北省','襄樊市','襄阳区','0710',3,412),
	(1550,'甘肃省','定西市','陇西县','0932',3,327),
	(1551,'黑龙江省','齐齐哈尔市','建华区','0452',3,195),
	(1552,'陕西省','榆林市','神木县','0912',3,421),
	(1553,'福建省','漳州市','南靖县','0596',3,150),
	(1554,'安徽省','蚌埠市','龙子湖区','0552',3,372),
	(1555,'福建省','南平市','浦城县','0599',3,119),
	(1556,'福建省','三明市','将乐县','0598',3,411),
	(1557,'云南省','曲靖市','会泽县','0874',3,420),
	(1558,'广西壮族自治区','河池市','宜州市','0778',3,197),
	(1559,'河北省','石家庄市','灵寿县','0',3,264),
	(1560,'云南省','玉溪市','江川县','0877',3,387),
	(1561,'吉林省','通化市','通化县','0435',3,395),
	(1562,'辽宁省','沈阳市','辽中县','0',3,170),
	(1563,'河南省','焦作市','山阳区','0391',3,175),
	(1564,'湖北省','仙桃市','其他','0728',3,160),
	(1565,'湖北省','荆门市','京山县','0724',3,153),
	(1566,'湖北省','武汉市','江岸区','027',3,113),
	(1567,'黑龙江省','佳木斯市','同江市','0454',3,105),
	(1568,'四川省','成都市','彭州市','028',3,106),
	(1569,'福建省','宁德市','福鼎市','0593',3,202),
	(1570,'浙江省','宁波市','象山县','0574',3,217),
	(1571,'云南省','大理白族自治州','鹤庆县','0872',3,191),
	(1572,'云南省','丽江市','古城区','0888',3,103),
	(1573,'广东省','江门市','恩平市','0750',3,398),
	(1574,'安徽省','宣城市','宣州区','0563',3,377),
	(1575,'河北省','衡水市','枣强县','0',3,138),
	(1576,'广东省','深圳市','罗湖区','0755',3,118),
	(1577,'新疆维吾尔族自治区','克拉玛依市','独山子区','0990',3,183),
	(1578,'河南省','信阳市','浉河区','0376',3,269),
	(1579,'河南省','周口市','淮阳县','0394',3,102),
	(1580,'河北省','邯郸市','成安县','0',3,348),
	(1581,'云南省','曲靖市','师宗县','0874',3,420),
	(1582,'河北省','唐山市','丰南区','0',3,277),
	(1583,'湖南省','娄底市','涟源市','0738',3,206),
	(1584,'浙江省','温州市','平阳县','0577',3,315),
	(1585,'河北省','邢台市','邢台县','0',3,151),
	(1586,'湖南省','长沙市','岳麓区','0731',3,201),
	(1587,'山东省','菏泽市','东明县','0530',3,216),
	(1588,'广东省','江门市','台山市','0750',3,398),
	(1589,'上海市','上海市','闸北区','021',3,287),
	(1590,'贵州省','毕节地区','毕节市','0857',3,318),
	(1591,'天津市','天津市','静海县','0',3,252),
	(1592,'江西省','抚州市','金溪县','0794',3,266),
	(1593,'广东省','佛山市','禅城区','0757',3,378),
	(1594,'河南省','三门峡市','义马市','0398',3,328),
	(1595,'甘肃省','兰州市','西固区','0931',3,228),
	(1596,'安徽省','池州市','东至县','0566',3,391),
	(1597,'广东省','梅州市','平远县','0753',3,143),
	(1598,'安徽省','蚌埠市','五河县','0552',3,372),
	(1599,'湖南省','湘西土家族苗族自治州','吉首市','0743',3,211),
	(1600,'黑龙江省','哈尔滨市','其他','0451',3,124),
	(1601,'内蒙古自治区','通辽市','科尔沁区','0475',3,326),
	(1602,'湖南省','郴州市','嘉禾县','0735',3,370),
	(1603,'新疆维吾尔族自治区','阿勒泰地区','阿勒泰市','0906',3,190),
	(1604,'福建省','宁德市','古田县','0593',3,202),
	(1605,'河南省','郑州市','上街区','0371',3,308),
	(1606,'山东省','潍坊市','安丘市','0536',3,121),
	(1607,'湖北省','黄冈市','蕲春县','0713',3,397),
	(1608,'陕西省','咸阳市','三原县','029',3,180),
	(1609,'河南省','安阳市','林州市','0372',3,353),
	(1610,'山东省','淄博市','淄川区','0533',3,203),
	(1611,'山东省','济南市','历城区','0531',3,306),
	(1612,'福建省','福州市','罗源县','0591',3,177),
	(1613,'云南省','思茅市','墨江哈尼族自治县',NULL,3,168),
	(1614,'黑龙江省','哈尔滨市','双城市','0451',3,124),
	(1615,'贵州省','遵义市','余庆县','0852',3,288),
	(1616,'甘肃省','白银市','会宁县','0943',3,157),
	(1617,'甘肃省','平凉市','静宁县','0933',3,218),
	(1618,'湖南省','邵阳市','双清区','0739',3,274),
	(1619,'福建省','龙岩市','漳平市','0597',3,267),
	(1620,'黑龙江省','哈尔滨市','五常市','0451',3,124),
	(1621,'河南省','郑州市','荥阳市','0371',3,308),
	(1622,'江苏省','苏州市','金阊区','0512',3,281),
	(1623,'吉林省','吉林市','舒兰市','0432',3,240),
	(1624,'浙江省','嘉兴市','平湖市','0573',3,107),
	(1625,'江西省','赣州市','龙南县','0797',3,336),
	(1626,'贵州省','黔南布依族苗族自治州','贵定县','0854',3,276),
	(1627,'湖北省','襄樊市','保康县','0710',3,412),
	(1628,'四川省','成都市','邛崃市','028',3,106),
	(1629,'陕西省','西安市','长安区','029',3,334),
	(1630,'湖北省','孝感市','孝南区','0712',3,210),
	(1631,'广东省','中山市','东区','0760',3,167),
	(1632,'贵州省','贵阳市','南明区','0851',3,273),
	(1633,'云南省','昆明市','寻甸回族彝族自治县','0871',3,369),
	(1634,'山东省','临沂市','罗庄区','0539',3,312),
	(1635,'河北省','沧州市','运河区','0',3,286),
	(1636,'贵州省','遵义市','道真仡佬族苗族自治县','0852',3,288),
	(1637,'吉林省','长春市','绿园区','0431',3,112),
	(1638,'河北省','唐山市','滦县','0',3,277),
	(1639,'贵州省','遵义市','遵义县','0852',3,288),
	(1640,'江西省','吉安市','安福县','0796',3,332),
	(1641,'黑龙江省','齐齐哈尔市','其他','0452',3,195),
	(1642,'安徽省','宣城市','绩溪县','0563',3,377),
	(1643,'福建省','南平市','政和县','0599',3,119),
	(1644,'江西省','九江市','浔阳区','0792',3,104),
	(1645,'山东省','青岛市','平度市','0532',3,284),
	(1646,'福建省','莆田市','涵江区','0594',3,346),
	(1647,'内蒙古自治区','赤峰市','红山区','0476',3,314),
	(1648,'四川省','内江市','东兴区','0832',3,322),
	(1649,'黑龙江省','鹤岗市','向阳区','0468',3,188),
	(1650,'江西省','抚州市','东乡县','0794',3,266),
	(1651,'河北省','唐山市','丰润区','0',3,277),
	(1652,'浙江省','绍兴市','新昌县','0575',3,307),
	(1653,'福建省','三明市','宁化县','0598',3,411),
	(1654,'四川省','泸州市','江阳区','0830',3,110),
	(1655,'山西省','大同市','灵丘县','0352',3,108),
	(1656,'云南省','昆明市','嵩明县','0871',3,369),
	(1657,'吉林省','延边朝鲜族自治州','汪清县','0433',3,165),
	(1658,'甘肃省','张掖市','临泽县','0936',3,362),
	(1659,'福建省','厦门市','海沧区','0592',3,354),
	(1660,'西藏自治区','山南地区','乃东县','0893',3,172),
	(1661,'安徽省','宿州市','墉桥区','0557',3,181),
	(1662,'江西省','九江市','湖口县','0792',3,104),
	(1663,'江苏省','常州市','金坛市','0519',3,304),
	(1664,'四川省','泸州市','合江县','0830',3,110),
	(1665,'黑龙江省','七台河市','桃山区','0464',3,419),
	(1666,'宁夏回族自治区','固原市','彭阳县','0954',3,358),
	(1667,'山东省','枣庄市','薛城区','0632',3,235),
	(1668,'江西省','九江市','星子县','0792',3,104),
	(1669,'云南省','昭通市','镇雄县','0870',3,389),
	(1670,'贵州省','黔西南布依族苗族自治州','普安县','0859',3,297),
	(1671,'四川省','宜宾市','高县','0831',3,109),
	(1672,'辽宁省','阜新市','阜新蒙古族自治县','0418',3,226),
	(1673,'广东省','清远市','英德市','0763',3,196),
	(1674,'山东省','淄博市','沂源县','0533',3,203),
	(1675,'江西省','萍乡市','上栗县','0799',3,320),
	(1676,'江苏省','泰州市','海陵区','0523',3,311),
	(1677,'河南省','濮阳市','濮阳县','0393',3,319),
	(1678,'云南省','临沧市','沧源佤族自治县','0883',3,270),
	(1679,'河南省','新乡市','辉县市','0373',3,418),
	(1680,'江苏省','南通市','如皋市','0513',3,416),
	(1681,'福建省','泉州市','洛江区','0595',3,161),
	(1682,'湖南省','张家界市','永定区','0744',3,300),
	(1683,'福建省','龙岩市','永定县','0597',3,267),
	(1684,'福建省','福州市','马尾区','0591',3,177),
	(1685,'山东省','济宁市','汶上县','0537',3,169),
	(1686,'山西省','运城市','新绛县','0359',3,236),
	(1687,'广东省','江门市','江海区','0750',3,398),
	(1688,'河北省','石家庄市','桥东区','0',3,264),
	(1689,'四川省','雅安市','汉源县','0835',3,208),
	(1690,'广东省','中山市','石岐区','0760',3,167),
	(1691,'河南省','南阳市','方城县','0377',3,405),
	(1692,'广东省','广州市','荔湾区','020',3,129),
	(1693,'湖北省','孝感市','大悟县','0712',3,210),
	(1694,'安徽省','黄山市','歙县','0559',3,279),
	(1695,'广东省','东莞市','东城区','0769',3,229),
	(1696,'贵州省','毕节地区','其他','0857',3,318),
	(1697,'江苏省','苏州市','张家港市','0512',3,281),
	(1698,'江苏省','南通市','如东县','0513',3,416),
	(1699,'黑龙江省','哈尔滨市','道外区','0451',3,124),
	(1700,'重庆市','重庆市','大渡口区','023',3,363),
	(1701,'贵州省','铜仁地区','松桃苗族自治县','0856',3,272),
	(1702,'四川省','南充市','高坪区','0817',3,350),
	(1703,'青海省','西宁市','城东区','0971',3,193),
	(1704,'福建省','漳州市','芗城区','0596',3,150),
	(1705,'山东省','临沂市','临沭县','0539',3,312),
	(1706,'浙江省','舟山市','普陀区','0580',3,194),
	(1707,'河北省','承德市','承德县','0',3,127),
	(1708,'吉林省','长春市','双阳区','0431',3,112),
	(1709,'河南省','鹤壁市','浚县','0392',3,385),
	(1710,'黑龙江省','伊春市','友好区','0458',3,125),
	(1711,'黑龙江省','伊春市','伊春区','0458',3,125),
	(1712,'广西壮族自治区','玉林市','玉州区','0775',3,338),
	(1713,'湖南省','怀化市','鹤城区','0745',3,156),
	(1714,'安徽省','宣城市','郎溪县','0563',3,377),
	(1715,'北京市','北京市','海淀区','010',3,368),
	(1716,'内蒙古自治区','赤峰市','元宝山区','0476',3,314),
	(1717,'新疆维吾尔族自治区','伊犁哈萨克自治州','霍城县','0999',3,120),
	(1718,'广东省','湛江市','霞山区','0759',3,171),
	(1719,'重庆市','重庆市','江北区','023',3,363),
	(1720,'广东省','东莞市','莞城区','0769',3,229),
	(1721,'江苏省','连云港市','赣榆县','0518',3,101),
	(1722,'浙江省','金华市','东阳市','0579',3,152),
	(1723,'四川省','德阳市','中江县','0838',3,178),
	(1724,'河南省','商丘市','睢阳区','0370',3,254),
	(1725,'安徽省','淮北市','濉溪县','0561',3,407),
	(1726,'辽宁省','鞍山市','千山区','0',3,301),
	(1727,'云南省','丽江市','华坪县','0888',3,103),
	(1728,'内蒙古自治区','包头市','东河区','0472',3,230),
	(1729,'江苏省','泰州市','靖江市','0523',3,311),
	(1730,'河南省','安阳市','北关区','0372',3,353),
	(1731,'江苏省','苏州市','太仓市','0512',3,281),
	(1732,'河北省','秦皇岛市','昌黎县','0',3,163),
	(1733,'四川省','阿坝藏族羌族自治州','汶川县','0837',3,255),
	(1734,'河北省','邢台市','平乡县','0',3,151),
	(1735,'广东省','梅州市','丰顺县','0753',3,143),
	(1736,'江苏省','南京市','建邺区','025',3,313),
	(1737,'北京市','北京市','密云县','010',3,368),
	(1738,'安徽省','阜阳市','临泉县','0558',3,265),
	(1739,'河南省','洛阳市','伊川县','0379',3,214),
	(1740,'云南省','德宏傣族景颇族自治州','陇川县','0692',3,184),
	(1741,'湖北省','武汉市','青山区','027',3,113),
	(1742,'山西省','运城市','夏县','0359',3,236),
	(1743,'河南省','周口市','项城市','0394',3,102),
	(1744,'江苏省','徐州市','云龙区','0516',3,130),
	(1745,'四川省','自贡市','贡井区','0813',3,375),
	(1746,'陕西省','西安市','周至县','029',3,334),
	(1747,'福建省','福州市','鼓楼区','0591',3,177),
	(1748,'四川省','雅安市','雨城区','0835',3,208),
	(1749,'上海市','上海市','徐汇区','021',3,287),
	(1750,'江西省','景德镇市','乐平市','0798',3,244),
	(1751,'辽宁省','鞍山市','铁东区','0',3,301),
	(1752,'山西省','临汾市','曲沃县','0357',3,238),
	(1753,'北京市','北京市','西城区','010',3,368),
	(1754,'内蒙古自治区','鄂尔多斯市','达拉特旗','0477',3,384),
	(1755,'云南省','昆明市','东川区','0871',3,369),
	(1756,'辽宁省','大连市','西岗区','0',3,262),
	(1757,'辽宁省','抚顺市','清原满族自治县','0',3,158),
	(1758,'湖南省','衡阳市','蒸湘区','0734',3,116),
	(1759,'辽宁省','沈阳市','法库县','0',3,170),
	(1760,'河北省','唐山市','迁西县','0',3,277),
	(1761,'福建省','南平市','建瓯市','0599',3,119),
	(1762,'河北省','石家庄市','桥西区','0',3,264),
	(1763,'河北省','邯郸市','峰峰矿区','0',3,348),
	(1764,'山东省','潍坊市','坊子区','0536',3,121),
	(1765,'湖南省','郴州市','苏仙区','0735',3,370),
	(1766,'浙江省','宁波市','奉化市','0574',3,217),
	(1767,'山东省','枣庄市','市中区','0632',3,235),
	(1768,'湖北省','襄樊市','襄城区','0710',3,412),
	(1769,'河南省','驻马店市','上蔡县','0396',3,282),
	(1770,'安徽省','合肥市','庐阳区','0551',3,299),
	(1771,'江西省','鹰潭市','月湖区','0701',3,403),
	(1772,'河南省','新乡市','长垣县','0373',3,418),
	(1773,'云南省','文山壮族苗族自治州','富宁县','0876',3,426),
	(1774,'安徽省','阜阳市','颍东区','0558',3,265),
	(1775,'辽宁省','沈阳市','东陵区','0',3,170),
	(1776,'甘肃省','定西市','临洮县','0932',3,327),
	(1777,'四川省','成都市','郫县','028',3,106),
	(1778,'安徽省','六安市','金安区','0564',3,253),
	(1779,'江西省','赣州市','信丰县','0797',3,336),
	(1780,'江苏省','无锡市','北塘区','0510',3,364),
	(1781,'云南省','怒江傈僳族自治州','福贡县','0886',3,258),
	(1782,'福建省','莆田市','仙游县','0594',3,346),
	(1783,'山西省','太原市','古交市','0351',3,154),
	(1784,'河北省','保定市','涿州市','0',3,209),
	(1785,'贵州省','黔东南苗族侗族自治州','麻江县','0855',3,325),
	(1786,'河北省','保定市','容城县','0',3,209),
	(1787,'河北省','衡水市','桃城区','0',3,138),
	(1788,'内蒙古自治区','呼伦贝尔市','牙克石市','0470',3,357),
	(1789,'山东省','莱芜市','莱城区','0634',3,126),
	(1790,'河南省','平顶山市','卫东区','0375',3,117),
	(1791,'安徽省','合肥市','肥东县','0551',3,299),
	(1792,'河南省','信阳市','息县','0376',3,269),
	(1793,'安徽省','芜湖市','镜湖区','0553',3,425),
	(1794,'四川省','绵阳市','游仙区','0816',3,224),
	(1795,'四川省','德阳市','绵竹市','0838',3,178),
	(1796,'河南省','洛阳市','嵩县','0379',3,214),
	(1797,'湖北省','荆州市','洪湖市','0716',3,361),
	(1798,'云南省','红河哈尼族彝族自治州','石屏县','0873',3,399),
	(1799,'贵州省','遵义市','正安县','0852',3,288),
	(1800,'四川省','遂宁市','船山区','0825',3,268),
	(1801,'广西壮族自治区','百色市','田林县','0776',3,392),
	(1802,'河北省','张家口市','沽源县','0',3,162),
	(1803,'安徽省','宿州市','泗县','0557',3,181),
	(1804,'河北省','廊坊市','广阳区','0',3,176),
	(1805,'湖南省','衡阳市','祁东县','0734',3,116),
	(1806,'江苏省','无锡市','江阴市','0510',3,364),
	(1807,'辽宁省','朝阳市','凌源市','0421',3,174),
	(1808,'江苏省','宿迁市','泗阳县','0527',3,285),
	(1809,'江西省','吉安市','吉州区','0796',3,332),
	(1810,'江苏省','镇江市','句容市','0511',3,283),
	(1811,'四川省','凉山彝族自治州','昭觉县','0834',3,173),
	(1812,'河南省','南阳市','淅川县','0377',3,405),
	(1813,'福建省','南平市','其他','0599',3,119),
	(1814,'陕西省','宝鸡市','扶风县','0917',3,232),
	(1815,'贵州省','黔东南苗族侗族自治州','凯里市','0855',3,325),
	(1816,'黑龙江省','大庆市','萨尔图区','0459',3,415),
	(1817,'山东省','滨州市','博兴县','0543',3,245),
	(1818,'云南省','临沧市','云县','0883',3,270),
	(1819,'山东省','泰安市','新泰市','0538',3,192),
	(1820,'河北省','张家口市','宣化区','0',3,162),
	(1821,'辽宁省','阜新市','海州区','0418',3,226),
	(1822,'吉林省','延边朝鲜族自治州','敦化市','0433',3,165),
	(1823,'福建省','漳州市','平和县','0596',3,150),
	(1824,'湖北省','天门市','其他','0728',3,359),
	(1825,'浙江省','绍兴市','上虞市','0575',3,307),
	(1826,'江苏省','常州市','钟楼区','0519',3,304),
	(1827,'河北省','张家口市','怀来县','0',3,162),
	(1828,'浙江省','舟山市','岱山县','0580',3,194),
	(1829,'安徽省','滁州市','琅琊区','0550',3,380),
	(1830,'河北省','保定市','顺平县','0',3,209),
	(1831,'天津市','天津市','汉沽区','0',3,252),
	(1832,'四川省','宜宾市','翠屏区','0831',3,109),
	(1833,'江西省','上饶市','余干县','0793',3,234),
	(1834,'上海市','上海市','浦东新区','021',3,287),
	(1835,'青海省','西宁市','城西区','0971',3,193),
	(1836,'山东省','威海市','环翠区','0631',3,256),
	(1837,'甘肃省','临夏回族自治州','临夏市','0930',3,335),
	(1838,'湖南省','娄底市','双峰县','0738',3,206),
	(1839,'广西壮族自治区','南宁市','横县','0771',3,242),
	(1840,'上海市','上海市','长宁区','021',3,287),
	(1841,'广东省','江门市','鹤山市','0750',3,398),
	(1842,'福建省','漳州市','诏安县','0596',3,150),
	(1843,'新疆维吾尔族自治区','伊犁哈萨克自治州','伊宁市','0999',3,120),
	(1844,'重庆市','重庆市','合川区','023',3,363),
	(1845,'河北省','保定市','曲阳县','0',3,209),
	(1846,'浙江省','嘉兴市','秀洲区','0573',3,107),
	(1847,'浙江省','温州市','洞头县','0577',3,315),
	(1848,'湖北省','武汉市','洪山区','027',3,113),
	(1849,'湖南省','长沙市','宁乡县','0731',3,201),
	(1850,'河南省','开封市','顺河回族区','0378',3,111),
	(1851,'江苏省','扬州市','江都市','0514',3,136),
	(1852,'天津市','天津市','西青区','0',3,252),
	(1853,'辽宁省','沈阳市','铁西区','0',3,170),
	(1854,'浙江省','衢州市','开化县','0570',3,257),
	(1855,'云南省','红河哈尼族彝族自治州','泸西县','0873',3,399),
	(1856,'山西省','晋中市','介休市','0354',3,139),
	(1857,'广西壮族自治区','贵港市','其他','0775',3,295),
	(1858,'广西壮族自治区','贺州市','钟山县','0774',3,135),
	(1859,'天津市','天津市','宁河县','0',3,252),
	(1860,'浙江省','嘉兴市','嘉善县','0573',3,107),
	(1861,'云南省','怒江傈僳族自治州','泸水县','0886',3,258),
	(1862,'广西壮族自治区','贵港市','桂平市','0775',3,295),
	(1863,'重庆市','重庆市','开县','023',3,363),
	(1864,'陕西省','汉中市','汉台区','0916',3,379),
	(1865,'海南省','海口市','美兰区','0898',3,219),
	(1866,'内蒙古自治区','呼伦贝尔市','海拉尔区','0470',3,357),
	(1867,'新疆维吾尔族自治区','巴音郭楞蒙古自治州','其他','0996',3,310),
	(1868,'河南省','许昌市','魏都区','0374',3,345),
	(1869,'浙江省','温州市','苍南县','0577',3,315),
	(1870,'河南省','新乡市','封丘县','0373',3,418),
	(1871,'山东省','东营市','河口区','0546',3,140),
	(1872,'浙江省','台州市','黄岩区','0576',3,289),
	(1873,'浙江省','绍兴市','嵊州市','0575',3,307),
	(1874,'广西壮族自治区','南宁市','武鸣县','0771',3,242),
	(1875,'河北省','张家口市','蔚县','0',3,162),
	(1876,'江苏省','无锡市','崇安区','0510',3,364),
	(1877,'重庆市','重庆市','沙坪坝区','023',3,363),
	(1878,'安徽省','安庆市','大观区','0556',3,246),
	(1879,'四川省','攀枝花市','东区','0812',3,428),
	(1880,'山东省','枣庄市','滕州市','0632',3,235),
	(1881,'江苏省','连云港市','灌云县','0518',3,101),
	(1882,'云南省','临沧市','耿马傣族佤族自治县','0883',3,270),
	(1883,'宁夏回族自治区','吴忠市','青铜峡市','0953',3,383),
	(1884,'辽宁省','铁岭市','铁岭县','0410',3,223),
	(1885,'上海市','上海市','奉贤区','021',3,287),
	(1886,'广东省','中山市','五桂山区','0760',3,167),
	(1887,'内蒙古自治区','巴彦淖尔市','临河区','0478',3,316),
	(1888,'四川省','泸州市','龙马潭区','0830',3,110),
	(1889,'浙江省','温州市','其他','0577',3,315),
	(1890,'贵州省','黔东南苗族侗族自治州','岑巩县','0855',3,325),
	(1891,'江西省','萍乡市','湘东区','0799',3,320),
	(1892,'广东省','广州市','越秀区','020',3,129),
	(1893,'江西省','宜春市','宜丰县','0795',3,142),
	(1894,'河北省','保定市','博野县','0',3,209),
	(1895,'浙江省','丽水市','龙泉市','0578',3,365),
	(1896,'山西省','阳泉市','城区','0353',3,137),
	(1897,'河北省','廊坊市','大城县','0',3,176),
	(1898,'山东省','聊城市','莘县','0635',3,402),
	(1899,'山东省','潍坊市','寿光市','0536',3,121),
	(1900,'福建省','南平市','建阳市','0599',3,119),
	(1901,'云南省','红河哈尼族彝族自治州','弥勒县','0873',3,399),
	(1902,'河北省','邢台市','其他','0',3,151),
	(1903,'吉林省','长春市','德惠市','0431',3,112),
	(1904,'安徽省','合肥市','长丰县','0551',3,299),
	(1905,'广西壮族自治区','贵港市','港南区','0775',3,295),
	(1906,'吉林省','松原市','其他','0438',3,333),
	(1907,'青海省','西宁市','大通回族土族自治县','0971',3,193),
	(1908,'山西省','阳泉市','盂县','0353',3,137),
	(1909,'天津市','天津市','大港区','0',3,252),
	(1910,'河北省','邯郸市','大名县','0',3,348),
	(1911,'河南省','洛阳市','宜阳县','0379',3,214),
	(1912,'贵州省','黔东南苗族侗族自治州','剑河县','0855',3,325),
	(1913,'福建省','南平市','邵武市','0599',3,119),
	(1914,'江西省','赣州市','石城县','0797',3,336),
	(1915,'吉林省','松原市','宁江区','0438',3,333),
	(1916,'云南省','楚雄彝族自治州','永仁县','0878',3,231),
	(1917,'福建省','三明市','明溪县','0598',3,411),
	(1918,'内蒙古自治区','赤峰市','林西县','0476',3,314),
	(1919,'河北省','秦皇岛市','抚宁县','0',3,163),
	(1920,'广西壮族自治区','梧州市','蝶山区','0774',3,280),
	(1921,'云南省','思茅市','普洱哈尼族彝族自治县',NULL,3,168),
	(1922,'海南省','儋州市','那大镇','0898',3,199),
	(1923,'辽宁省','抚顺市','抚顺县','0',3,158),
	(1924,'湖南省','益阳市','南县','0737',3,145),
	(1925,'福建省','三明市','沙县','0598',3,411),
	(1926,'江西省','九江市','德安县','0792',3,104),
	(1927,'北京市','北京市','大兴区','010',3,368),
	(1928,'四川省','巴中市','巴州区','0827',3,233),
	(1929,'黑龙江省','黑河市','其他','0456',3,131),
	(1930,'山东省','潍坊市','诸城市','0536',3,121),
	(1931,'四川省','成都市','大邑县','028',3,106),
	(1932,'江苏省','扬州市','维扬区','0514',3,136),
	(1933,'河北省','唐山市','滦南县','0',3,277),
	(1934,'河北省','唐山市','路南区','0',3,277),
	(1935,'湖南省','衡阳市','南岳区','0734',3,116),
	(1936,'贵州省','黔南布依族苗族自治州','福泉市','0854',3,276),
	(1937,'四川省','广元市','市中区','0839',3,298),
	(1938,'山西省','朔州市','怀仁县','0349',3,290),
	(1939,'浙江省','杭州市','上城区','0571',3,263),
	(1940,'湖南省','岳阳市','云溪区','0730',3,393),
	(1941,'湖北省','武汉市','江汉区','027',3,113),
	(1942,'河南省','信阳市','光山县','0376',3,269),
	(1943,'湖南省','衡阳市','衡南县','0734',3,116),
	(1944,'河南省','南阳市','社旗县','0377',3,405),
	(1945,'辽宁省','大连市','旅顺口区','0',3,262),
	(1946,'北京市','北京市','平谷区','010',3,368),
	(1947,'海南省','琼海市','其他','0898',3,351),
	(1948,'重庆市','重庆市','渝北区','023',3,363),
	(1949,'江西省','赣州市','安远县','0797',3,336),
	(1950,'山西省','临汾市','翼城县','0357',3,238),
	(1951,'河北省','邯郸市','临漳县','0',3,348),
	(1952,'河南省','开封市','杞县','0378',3,111),
	(1953,'广西壮族自治区','贵港市','平南县','0775',3,295),
	(1954,'上海市','上海市','金山区','021',3,287),
	(1955,'贵州省','六盘水市','其他','0858',3,339),
	(1956,'四川省','广元市','剑阁县','0839',3,298),
	(1957,'四川省','遂宁市','射洪县','0825',3,268),
	(1958,'广西壮族自治区','崇左市','扶绥县','0771',3,241),
	(1959,'江苏省','盐城市','东台市','0515',3,329),
	(1960,'辽宁省','鞍山市','其他','0',3,301),
	(1961,'福建省','福州市','晋安区','0591',3,177),
	(1962,'四川省','广安市','武胜县','0826',3,237),
	(1963,'广西壮族自治区','来宾市','武宣县','0772',3,225),
	(1964,'江苏省','无锡市','宜兴市','0510',3,364),
	(1965,'广西壮族自治区','北海市','海城区','0779',3,331),
	(1966,'辽宁省','葫芦岛市','兴城市','0429',3,213),
	(1967,'辽宁省','营口市','鲅鱼圈区','0417',3,166),
	(1968,'辽宁省','丹东市','元宝区','0415',3,305),
	(1969,'辽宁省','葫芦岛市','连山区','0429',3,213),
	(1970,'江西省','南昌市','南昌县','0791',3,200),
	(1971,'黑龙江省','鸡西市','虎林市','0467',3,128),
	(1972,'湖南省','永州市','蓝山县','0746',3,408),
	(1973,'河南省','驻马店市','遂平县','0396',3,282),
	(1974,'贵州省','黔南布依族苗族自治州','瓮安县','0854',3,276),
	(1975,'安徽省','宿州市','其他','0557',3,181),
	(1976,'广西壮族自治区','崇左市','江洲区','0771',3,241),
	(1977,'新疆维吾尔族自治区','伊犁哈萨克自治州','伊宁县','0999',3,120),
	(1978,'山东省','聊城市','临清市','0635',3,402),
	(1979,'广西壮族自治区','柳州市','鹿寨县','0772',3,388),
	(1980,'山西省','吕梁市','离石区','0358',3,227),
	(1981,'湖南省','株洲市','天元区','0731',3,302),
	(1982,'湖北省','黄冈市','其他','0713',3,397),
	(1983,'江西省','吉安市','新干县','0796',3,332),
	(1984,'黑龙江省','牡丹江市','西安区','0453',3,260),
	(1985,'河南省','濮阳市','华龙区','0393',3,319),
	(1986,'广东省','东莞市','厚街镇','0769',3,229),
	(1987,'湖北省','黄冈市','黄州区','0713',3,397),
	(1988,'浙江省','金华市','永康市','0579',3,152),
	(1989,'广西壮族自治区','桂林市','兴安县','0773',3,400),
	(1990,'浙江省','绍兴市','越城区','0575',3,307),
	(1991,'河南省','洛阳市','涧西区','0379',3,214),
	(1992,'四川省','成都市','都江堰市','028',3,106),
	(1993,'江苏省','镇江市','丹徒区','0511',3,283),
	(1994,'湖南省','岳阳市','岳阳楼区','0730',3,393),
	(1995,'广东省','湛江市','遂溪县','0759',3,171),
	(1996,'江苏省','南京市','白下区','025',3,313),
	(1997,'江苏省','扬州市','宝应县','0514',3,136),
	(1998,'北京市','北京市','东城区','010',3,368),
	(1999,'山东省','威海市','乳山市','0631',3,256),
	(2000,'广东省','阳江市','阳春市','0662',3,413),
	(2001,'浙江省','丽水市','遂昌县','0578',3,365),
	(2002,'河南省','洛阳市','洛龙区','0379',3,214),
	(2003,'广西壮族自治区','贵港市','覃塘区','0775',3,295),
	(2004,'云南省','曲靖市','宣威市','0874',3,420),
	(2005,'贵州省','遵义市','桐梓县','0852',3,288),
	(2006,'湖南省','湘潭市','岳塘区','0731',3,337),
	(2007,'重庆市','重庆市','奉节县','023',3,363),
	(2008,'云南省','昆明市','西山区','0871',3,369),
	(2009,'河北省','沧州市','肃宁县','0',3,286),
	(2010,'安徽省','黄山市','黄山区','0559',3,279),
	(2011,'贵州省','贵阳市','花溪区','0851',3,273),
	(2012,'福建省','泉州市','惠安县','0595',3,161),
	(2013,'河南省','洛阳市','西工区','0379',3,214),
	(2014,'湖北省','宜昌市','兴山县','0717',3,423),
	(2015,'湖北省','孝感市','孝昌县','0712',3,210),
	(2016,'福建省','厦门市','同安区','0592',3,354),
	(2017,'河南省','周口市','川汇区','0394',3,102),
	(2018,'内蒙古自治区','呼和浩特市','新城区','0471',3,422),
	(2019,'山东省','日照市','东港区','0633',3,115),
	(2020,'山东省','淄博市','博山区','0533',3,203),
	(2021,'浙江省','宁波市','江东区','0574',3,217),
	(2022,'陕西省','咸阳市','秦都区','029',3,180),
	(2023,'山东省','德州市','德城区','0534',3,133),
	(2024,'河北省','唐山市','迁安市','0',3,277),
	(2025,'河北省','邢台市','南和县','0',3,151),
	(2026,'湖南省','邵阳市','洞口县','0739',3,274),
	(2027,'山西省','吕梁市','文水县','0358',3,227),
	(2028,'新疆维吾尔族自治区','昌吉回族自治州','奇台县','0994',3,293),
	(2029,'河北省','张家口市','万全县','0',3,162),
	(2030,'广西壮族自治区','百色市','凌云县','0776',3,392),
	(2031,'内蒙古自治区','赤峰市','巴林左旗','0476',3,314),
	(2032,'河南省','开封市','兰考县','0378',3,111),
	(2033,'新疆维吾尔族自治区','和田地区','和田市','0903',3,292),
	(2034,'山西省','吕梁市','石楼县','0358',3,227),
	(2035,'山东省','泰安市','泰山区','0538',3,192),
	(2036,'山东省','临沂市','沂南县','0539',3,312),
	(2037,'内蒙古自治区','赤峰市','其他','0476',3,314),
	(2038,'河北省','石家庄市','平山县','0',3,264),
	(2039,'河南省','驻马店市','新蔡县','0396',3,282),
	(2040,'江苏省','徐州市','泉山区','0516',3,130),
	(2041,'甘肃省','酒泉市','敦煌市','0937',3,409),
	(2042,'湖南省','郴州市','临武县','0735',3,370),
	(2043,'江苏省','徐州市','铜山县','0516',3,130),
	(2044,'湖北省','襄樊市','宜城市','0710',3,412),
	(2045,'湖南省','湘西土家族苗族自治州','永顺县','0743',3,211),
	(2046,'广西壮族自治区','百色市','右江区','0776',3,392),
	(2047,'云南省','楚雄彝族自治州','楚雄市','0878',3,231),
	(2048,'河南省','许昌市','长葛市','0374',3,345),
	(2049,'河南省','周口市','商水县','0394',3,102),
	(2050,'黑龙江省','鸡西市','鸡东县','0467',3,128),
	(2051,'广东省','湛江市','吴川市','0759',3,171),
	(2052,'安徽省','合肥市','瑶海区','0551',3,299),
	(2053,'云南省','文山壮族苗族自治州','砚山县','0876',3,426),
	(2054,'山西省','阳泉市','平定县','0353',3,137),
	(2055,'河北省','石家庄市','新华区','0',3,264),
	(2056,'河北省','沧州市','青县','0',3,286),
	(2057,'陕西省','西安市','莲湖区','029',3,334),
	(2058,'河北省','石家庄市','新乐市','0',3,264),
	(2059,'辽宁省','大连市','甘井子区','0',3,262),
	(2060,'浙江省','温州市','鹿城区','0577',3,315),
	(2061,'新疆维吾尔族自治区','伊犁哈萨克自治州','奎屯市','0999',3,120),
	(2062,'江西省','赣州市','章贡区','0797',3,336),
	(2063,'吉林省','长春市','宽城区','0431',3,112),
	(2064,'上海市','上海市','虹口区','021',3,287),
	(2065,'辽宁省','葫芦岛市','绥中县','0429',3,213),
	(2066,'黑龙江省','大庆市','让胡路区','0459',3,415),
	(2067,'河北省','保定市','满城县','0',3,209),
	(2068,'福建省','宁德市','其他','0593',3,202),
	(2069,'山西省','长治市','长治县','0355',3,394),
	(2070,'福建省','南平市','顺昌县','0599',3,119),
	(2071,'河南省','驻马店市','驿城区','0396',3,282),
	(2072,'海南省','五指山市','其他','0898',3,164),
	(2073,'宁夏回族自治区','银川市','兴庆区','0951',3,247),
	(2074,'河北省','邢台市','隆尧县','0',3,151),
	(2075,'山东省','东营市','利津县','0546',3,140),
	(2076,'湖南省','湘潭市','雨湖区','0731',3,337),
	(2077,'湖北省','武汉市','汉阳区','027',3,113),
	(2078,'安徽省','安庆市','枞阳县','0556',3,246),
	(2079,'四川省','泸州市','纳溪区','0830',3,110),
	(2080,'安徽省','合肥市','包河区','0551',3,299),
	(2081,'江西省','上饶市','万年县','0793',3,234),
	(2082,'广西壮族自治区','玉林市','容县','0775',3,338),
	(2083,'上海市','上海市','卢湾区','021',3,287),
	(2084,'甘肃省','白银市','白银区','0943',3,157),
	(2085,'贵州省','铜仁地区','德江县','0856',3,272),
	(2086,'黑龙江省','鹤岗市','工农区','0468',3,188),
	(2087,'新疆维吾尔族自治区','喀什地区','喀什市','0998',3,296),
	(2088,'江苏省','镇江市','润州区','0511',3,283),
	(2089,'湖北省','恩施市','宣恩县','0718',3,340),
	(2090,'江西省','宜春市','丰城市','0795',3,142),
	(2091,'四川省','成都市','崇州市','028',3,106),
	(2092,'安徽省','滁州市','全椒县','0550',3,380),
	(2093,'湖北省','十堰市','丹江口市','0719',3,185),
	(2094,'甘肃省','兰州市','安宁区','0931',3,228),
	(2095,'吉林省','长春市','二道区','0431',3,112),
	(2096,'江苏省','淮安市','金湖县','0517',3,360),
	(2097,'广东省','河源市','源城区','0762',3,374),
	(2098,'江西省','九江市','瑞昌','0792',3,104),
	(2099,'湖北省','黄石市','下陆区','0714',3,222),
	(2100,'山西省','临汾市','洪洞县','0357',3,238),
	(2101,'河北省','沧州市','东光县','0',3,286),
	(2102,'福建省','龙岩市','武平县','0597',3,267),
	(2103,'山西省','吕梁市','孝义市','0358',3,227),
	(2104,'四川省','成都市','武侯区','028',3,106),
	(2105,'福建省','龙岩市','上杭县','0597',3,267),
	(2106,'广东省','惠州市','惠阳区','0752',3,250),
	(2107,'湖南省','衡阳市','耒阳市','0734',3,116),
	(2108,'云南省','昆明市','呈贡县','0871',3,369),
	(2109,'山东省','临沂市','莒南县','0539',3,312),
	(2110,'内蒙古自治区','锡林郭勒盟','锡林浩特市','0479',3,330),
	(2111,'湖北省','咸宁市','崇阳县','0715',3,271),
	(2112,'江苏省','镇江市','扬中市','0511',3,283),
	(2113,'福建省','泉州市','德化县','0595',3,161),
	(2114,'上海市','上海市','普陀区','021',3,287),
	(2115,'河南省','濮阳市','清丰县','0393',3,319),
	(2116,'内蒙古自治区','兴安盟','乌兰浩特市','0482',3,248),
	(2117,'陕西省','西安市','新城区','029',3,334),
	(2118,'河南省','开封市','尉氏县','0378',3,111),
	(2119,'云南省','大理白族自治州','洱源县','0872',3,191),
	(2120,'山东省','菏泽市','成武县','0530',3,216),
	(2121,'浙江省','杭州市','桐庐县','0571',3,263),
	(2122,'江西省','上饶市','鄱阳县','0793',3,234),
	(2123,'河南省','平顶山市','叶县','0375',3,117),
	(2124,'江西省','吉安市','峡江县','0796',3,332),
	(2125,'辽宁省','本溪市','明山区','0414',3,141),
	(2126,'湖南省','郴州市','宜章县','0735',3,370),
	(2127,'河北省','沧州市','献县','0',3,286),
	(2128,'广东省','韶关市','翁源县','0751',3,149),
	(2129,'湖南省','长沙市','浏阳市','0731',3,201),
	(2130,'广东省','韶关市','南雄市','0751',3,149),
	(2131,'山西省','大同市','大同县','0352',3,108),
	(2132,'贵州省','毕节地区','金沙县','0857',3,318),
	(2133,'安徽省','安庆市','望江县','0556',3,246),
	(2134,'吉林省','延边朝鲜族自治州','珲春市','0433',3,165),
	(2135,'贵州省','贵阳市','开阳县','0851',3,273),
	(2136,'云南省','保山市','昌宁县','0875',3,381),
	(2137,'山东省','菏泽市','曹县','0530',3,216),
	(2138,'新疆维吾尔族自治区','巴音郭楞蒙古自治州','库尔勒市','0996',3,310),
	(2139,'江西省','上饶市','铅山县','0793',3,234),
	(2140,'江西省','景德镇市','浮梁县','0798',3,244),
	(2141,'湖北省','襄樊市','谷城县','0710',3,412),
	(2142,'江苏省','苏州市','昆山市','0512',3,281),
	(2143,'山西省','忻州市','忻府区','0350',3,382),
	(2144,'河北省','沧州市','河间市','0',3,286),
	(2145,'江西省','鹰潭市','贵溪市','0701',3,403),
	(2146,'河南省','新乡市','红旗区','0373',3,418),
	(2147,'山东省','菏泽市','单县','0530',3,216),
	(2148,'云南省','玉溪市','澄江县','0877',3,387),
	(2149,'辽宁省','大连市','中山区','0',3,262),
	(2150,'新疆维吾尔族自治区','克拉玛依市','克拉玛依区','0990',3,183),
	(2151,'甘肃省','嘉峪关市','其他','0937',3,309),
	(2152,'山东省','德州市','临邑县','0534',3,133),
	(2153,'河北省','邢台市','桥西区','0',3,151),
	(2154,'江西省','赣州市','大余县','0797',3,336),
	(2155,'山西省','太原市','万柏林区','0351',3,154),
	(2156,'云南省','玉溪市','华宁县','0877',3,387),
	(2157,'广东省','清远市','连州市','0763',3,196),
	(2158,'海南省','三亚市','河西区','0898',3,275),
	(2159,'宁夏回族自治区','石嘴山市','惠农区','0952',3,189),
	(2160,'云南省','大理白族自治州','祥云县','0872',3,191),
	(2161,'内蒙古自治区','乌海市','海勃湾区','0473',3,182),
	(2162,'四川省','南充市','阆中市','0817',3,350),
	(2163,'湖南省','郴州市','桂东县','0735',3,370),
	(2164,'四川省','成都市','青羊区','028',3,106),
	(2165,'广西壮族自治区','南宁市','其他','0771',3,242),
	(2166,'四川省','凉山彝族自治州','西昌市','0834',3,173),
	(2167,'新疆维吾尔族自治区','喀什地区','莎车县','0998',3,296),
	(2168,'辽宁省','锦州市','凌河区','0416',3,243),
	(2169,'广西壮族自治区','南宁市','西乡塘区','0771',3,242),
	(2170,'江西省','吉安市','遂川县','0796',3,332),
	(2171,'重庆市','重庆市','万盛区','023',3,363),
	(2172,'河北省','承德市','平泉县','0',3,127),
	(2173,'云南省','红河哈尼族彝族自治州','建水县','0873',3,399),
	(2174,'安徽省','宿州市','砀山县','0557',3,181),
	(2175,'山东省','临沂市','沂水县','0539',3,312),
	(2176,'四川省','眉山市','仁寿县','028',3,342),
	(2177,'湖南省','株洲市','醴陵市','0731',3,302),
	(2178,'辽宁省','沈阳市','新民市','0',3,170),
	(2179,'湖南省','益阳市','赫山区','0737',3,145),
	(2180,'内蒙古自治区','兴安盟','突泉县','0482',3,248),
	(2181,'山西省','忻州市','原平市','0350',3,382),
	(2182,'江苏省','南京市','鼓楼区','025',3,313),
	(2183,'山西省','大同市','矿区','0352',3,108),
	(2184,'山东省','济南市','天桥区','0531',3,306),
	(2185,'江西省','南昌市','西湖区','0791',3,200),
	(2186,'河南省','开封市','开封县','0378',3,111),
	(2187,'贵州省','黔东南苗族侗族自治州','天柱县','0855',3,325),
	(2188,'山西省','晋中市','平遥县','0354',3,139),
	(2189,'河北省','承德市','宽城满族自治县','0',3,127),
	(2190,'辽宁省','沈阳市','于洪区','0',3,170),
	(2191,'山东省','潍坊市','高密市','0536',3,121),
	(2192,'陕西省','榆林市','子洲县','0912',3,421),
	(2193,'河南省','郑州市','登封市','0371',3,308),
	(2194,'江苏省','盐城市','射阳县','0515',3,329),
	(2195,'黑龙江省','伊春市','铁力市','0458',3,125),
	(2196,'湖北省','恩施市','来凤县','0718',3,340),
	(2197,'内蒙古自治区','通辽市','霍林郭勒市','0475',3,326),
	(2198,'福建省','漳州市','华安县','0596',3,150),
	(2199,'安徽省','池州市','青阳县','0566',3,391),
	(2200,'福建省','三明市','其他','0598',3,411),
	(2201,'黑龙江省','黑河市','北安市','0456',3,131),
	(2202,'辽宁省','锦州市','北宁市','0416',3,243),
	(2203,'安徽省','亳州市','涡阳县','0558',3,249),
	(2204,'山西省','忻州市','河曲县','0350',3,382),
	(2205,'宁夏回族自治区','吴忠市','同心县','0953',3,383),
	(2206,'吉林省','长春市','榆树市','0431',3,112),
	(2207,'贵州省','黔西南布依族苗族自治州','晴隆县','0859',3,297),
	(2208,'浙江省','绍兴市','诸暨市','0575',3,307),
	(2209,'浙江省','宁波市','余姚市','0574',3,217),
	(2210,'辽宁省','沈阳市','苏家屯区','0',3,170),
	(2211,'福建省','福州市','长乐市','0591',3,177),
	(2212,'湖北省','武汉市','黄陂区','027',3,113),
	(2213,'广西壮族自治区','南宁市','上林县','0771',3,242),
	(2214,'山西省','晋中市','榆次区','0354',3,139),
	(2215,'甘肃省','酒泉市','金塔县','0937',3,409),
	(2216,'宁夏回族自治区','中卫市','海原县','0955',3,278),
	(2217,'广东省','广州市','增城市','020',3,129),
	(2218,'重庆市','重庆市','永川区','023',3,363),
	(2219,'广东省','肇庆市','高要市','0758',3,144),
	(2220,'江西省','南昌市','东湖区','0791',3,200),
	(2221,'河北省','石家庄市','裕华区','0',3,264),
	(2222,'新疆维吾尔族自治区','阿克苏地区','阿克苏市','0997',3,424),
	(2223,'广东省','茂名市','化州市','0668',3,221),
	(2224,'新疆维吾尔族自治区','昌吉回族自治州','昌吉市','0994',3,293),
	(2225,'河南省','商丘市','永城市','0370',3,254),
	(2226,'河南省','驻马店市','西平县','0396',3,282),
	(2227,'浙江省','衢州市','柯城区','0570',3,257),
	(2228,'福建省','泉州市','其他','0595',3,161),
	(2229,'黑龙江省','齐齐哈尔市','龙沙区','0452',3,195),
	(2230,'四川省','攀枝花市','西区','0812',3,428),
	(2231,'广西壮族自治区','玉林市','北流市','0775',3,338),
	(2232,'贵州省','贵阳市','清镇市','0851',3,273),
	(2233,'贵州省','铜仁地区','沿河土家族自治县','0856',3,272),
	(2234,'四川省','泸州市','泸县','0830',3,110),
	(2235,'福建省','南平市','武夷山市','0599',3,119),
	(2236,'福建省','厦门市','思明区','0592',3,354),
	(2237,'内蒙古自治区','通辽市','开鲁县','0475',3,326),
	(2238,'江西省','南昌市','青山湖区','0791',3,200),
	(2239,'上海市','上海市','崇明县','021',3,287),
	(2240,'四川省','遂宁市','大英县','0825',3,268),
	(2241,'湖南省','株洲市','茶陵县','0731',3,302),
	(2242,'河北省','邯郸市','武安市','0',3,348),
	(2243,'浙江省','杭州市','萧山区','0571',3,263),
	(2244,'广东省','清远市','阳山县','0763',3,196),
	(2245,'四川省','南充市','仪陇县','0817',3,350),
	(2246,'山东省','青岛市','李沧区','0532',3,284),
	(2247,'河北省','邢台市','内丘县','0',3,151),
	(2248,'四川省','南充市','西充县','0817',3,350),
	(2249,'浙江省','温州市','文成县','0577',3,315),
	(2250,'陕西省','咸阳市','泾阳县','029',3,180),
	(2251,'河南省','商丘市','虞城县','0370',3,254),
	(2252,'新疆维吾尔族自治区','乌鲁木齐市','天山区','0991',3,207),
	(2253,'广东省','潮州市','湘桥区','0768',3,291),
	(2254,'甘肃省','张掖市','民乐县','0936',3,362),
	(2255,'河北省','邯郸市','馆陶县','0',3,348),
	(2256,'湖南省','郴州市','资兴市','0735',3,370),
	(2257,'云南省','保山市','龙陵县','0875',3,381),
	(2258,'福建省','厦门市','湖里区','0592',3,354),
	(2259,'江西省','上饶市','上饶县','0793',3,234),
	(2260,'广东省','汕头市','金平区','0754',3,215),
	(2261,'河南省','平顶山市','郏县','0375',3,117),
	(2262,'福建省','漳州市','漳浦县','0596',3,150),
	(2263,'江苏省','南京市','溧水县','025',3,313),
	(2264,'河南省','安阳市','殷都区','0372',3,353),
	(2265,'江西省','赣州市','瑞金市','0797',3,336),
	(2266,'福建省','泉州市','石狮市','0595',3,161),
	(2267,'广东省','深圳市','龙岗区','0755',3,118),
	(2268,'浙江省','温州市','龙湾区','0577',3,315),
	(2269,'安徽省','宣城市','旌德县','0563',3,377),
	(2270,'广西壮族自治区','玉林市','博白县','0775',3,338),
	(2271,'广东省','佛山市','高明区','0757',3,378),
	(2272,'安徽省','安庆市','潜山县','0556',3,246),
	(2273,'贵州省','贵阳市','白云区','0851',3,273),
	(2274,'广东省','茂名市','信宜市','0668',3,221),
	(2275,'广西壮族自治区','河池市','金城江区','0778',3,197),
	(2276,'吉林省','长春市','朝阳区','0431',3,112),
	(2277,'湖南省','衡阳市','常宁市','0734',3,116),
	(2278,'广东省','茂名市','高州市','0668',3,221),
	(2279,'河北省','衡水市','阜城县','0',3,138),
	(2280,'江苏省','淮安市','清浦区','0517',3,360),
	(2281,'河南省','洛阳市','孟津县','0379',3,214),
	(2282,'河北省','唐山市','玉田县','0',3,277),
	(2283,'江西省','九江市','修水县','0792',3,104),
	(2284,'贵州省','黔东南苗族侗族自治州','榕江县','0855',3,325),
	(2285,'河南省','驻马店市','确山县','0396',3,282),
	(2286,'四川省','成都市','青白江区','028',3,106),
	(2287,'北京市','北京市','石景山区','010',3,368),
	(2288,'湖南省','长沙市','雨花区','0731',3,201),
	(2289,'江西省','上饶市','弋阳县','0793',3,234),
	(2290,'江苏省','南通市','海安县','0513',3,416),
	(2291,'贵州省','黔南布依族苗族自治州','龙里县','0854',3,276),
	(2292,'安徽省','合肥市','滨湖新区','0551',3,299),
	(2293,'新疆维吾尔族自治区','巴音郭楞蒙古自治州','焉耆回族自治县','0996',3,310),
	(2294,'黑龙江省','绥化市','北林区','0455',3,371),
	(2295,'河南省','洛阳市','洛宁县','0379',3,214),
	(2296,'福建省','泉州市','永春县','0595',3,161),
	(2297,'河南省','三门峡市','湖滨区','0398',3,328),
	(2298,'宁夏回族自治区','银川市','贺兰县','0951',3,247),
	(2299,'山东省','济宁市','邹城市','0537',3,169),
	(2300,'四川省','广元市','青川县','0839',3,298),
	(2301,'广东省','广州市','海珠区','020',3,129),
	(2302,'广东省','云浮市','','0766',2,18),
	(2303,'广东省','云浮市','云城区','0766',3,2302),
	(2304,'广东省','云浮市','云安区','0766',3,2302),
	(2305,'广东省','云浮市','新兴县','0766',3,2302),
	(2306,'广东省','云浮市','郁南县','0766',3,2302),
	(2307,'广东省','云浮市','罗定市','0766',3,2302),
	(2308,'广东省','广州市','白云区','020',3,129),
	(2309,'山西省','大同市','平城区','0352',3,108);

/*!40000 ALTER TABLE `sys_areas_info` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_organization_auth
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_organization_auth`;

CREATE TABLE `sys_organization_auth` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `role_id` int(11) DEFAULT NULL COMMENT '角色编号',
  `code_number` varchar(32) DEFAULT NULL COMMENT '组织编号',
  `code_type` varchar(32) DEFAULT NULL COMMENT '组织类型',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`),
  KEY `code_number` (`code_number`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='组织架构权限关系表 ';

LOCK TABLES `sys_organization_auth` WRITE;
/*!40000 ALTER TABLE `sys_organization_auth` DISABLE KEYS */;

INSERT INTO `sys_organization_auth` (`id`, `role_id`, `code_number`, `code_type`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(498,1,'COM00038','company',2,'2024-06-24 09:28:29',NULL,'2024-06-24 09:28:29'),
	(499,1,'WOF053600062','field',2,'2024-06-24 09:28:29',NULL,'2024-06-24 09:28:29'),
	(500,1,'COM00041','company',2,'2024-06-24 09:28:29',NULL,'2024-06-24 09:28:29'),
	(501,1,'WOF01000063','field',2,'2024-06-24 09:28:29',NULL,'2024-06-24 09:28:29'),
	(502,1,'COM00042','company',2,'2024-06-24 09:28:29',NULL,'2024-06-24 09:28:29'),
	(503,1,'WOF01000064','field',2,'2024-06-24 09:28:29',NULL,'2024-06-24 09:28:29'),
	(505,14,'COM00038','company',132,'2024-06-24 14:10:17',NULL,'2024-06-24 14:10:17'),
	(506,14,'WOF053600062','field',132,'2024-06-24 14:10:17',NULL,'2024-06-24 14:10:17'),
	(507,31,'COM00038','company',2,'2024-06-25 15:47:27',NULL,'2024-06-25 15:47:27'),
	(508,31,'WOF053600062','field',2,'2024-06-25 15:47:27',NULL,'2024-06-25 15:47:27'),
	(509,31,'COM00041','company',2,'2024-06-25 15:47:27',NULL,'2024-06-25 15:47:27'),
	(510,31,'WOF01000063','field',2,'2024-06-25 15:47:27',NULL,'2024-06-25 15:47:27'),
	(511,31,'COM00042','company',2,'2024-06-25 15:47:27',NULL,'2024-06-25 15:47:27'),
	(512,31,'WOF01000064','field',2,'2024-06-25 15:47:27',NULL,'2024-06-25 15:47:27'),
	(513,1,'WOF01000065','field',2,'2024-06-28 10:26:56',NULL,'2024-06-28 10:26:56');

/*!40000 ALTER TABLE `sys_organization_auth` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_permission
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_permission`;

CREATE TABLE `sys_permission` (
  `permission_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '资源表主键id',
  `permission_name` varchar(255) NOT NULL COMMENT '资源名称',
  `parent_id` int(11) NOT NULL COMMENT '资源父id',
  `permission_code` varchar(255) NOT NULL COMMENT '资源code',
  `permission_type` int(11) NOT NULL COMMENT '资源类型(1 目录 2 菜单 3按钮)',
  `permission_url` varchar(255) DEFAULT NULL COMMENT '资源url',
  `permission_state` int(11) NOT NULL DEFAULT '1' COMMENT '资源状态 0 不可用 1是正常',
  `permission_show` tinyint(1) DEFAULT NULL COMMENT '是否显示1显示2不显示',
  `permission_sort` int(11) NOT NULL COMMENT '顺序',
  `permission_icon_url` varchar(255) DEFAULT NULL COMMENT '图标icon Url',
  `permission_depth` int(11) DEFAULT NULL COMMENT '所有父id集合',
  PRIMARY KEY (`permission_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='资源表';

LOCK TABLES `sys_permission` WRITE;
/*!40000 ALTER TABLE `sys_permission` DISABLE KEYS */;

INSERT INTO `sys_permission` (`permission_id`, `permission_name`, `parent_id`, `permission_code`, `permission_type`, `permission_url`, `permission_state`, `permission_show`, `permission_sort`, `permission_icon_url`, `permission_depth`)
VALUES
	(1,'权限管理',0,'/home/system',1,'/system/index.vue',1,1,5,'jurisdiction',1),
	(12,'用户管理',1,'/home/system/userMag',2,'/system/userMag/index.vue',1,1,100000,'',2),
	(16,'菜单权限',1,'/home/system/menuMag',2,'/system/menuMag/index.vue',1,1,100000,'',2),
	(17,'角色管理',1,'/home/system/roleMag',2,'/system/roleMag/index.vue',1,1,100000,'',2),
	(162,'数据管理',0,'/home/dataManage',1,'/system/index.vue',1,1,4,'log',1),
	(167,'数据操作',162,'/home/dataManage/dataAdministration',2,'/dataAdministration/index.vue',1,1,2,'',2),
	(188,'台账管理',0,'/home/Ledger',1,'/system/index.vue',1,1,2,'list',1),
	(189,'企业信息',188,'/home/Ledger/enterprise',2,'/ledger/enterprise.vue',1,1,100000,'',2),
	(190,'风场信息',188,'/home/Ledger/windsite',2,'/ledger/windsite.vue',1,1,100000,NULL,2),
	(191,'风机信息',188,'/home/Ledger/draught',2,'/ledger/draught.vue',1,1,100000,NULL,2),
	(192,'机型信息',188,'/home/Ledger/milltype',2,'/ledger/milltype.vue',1,1,100000,NULL,2),
	(193,'测风塔信息',188,'/home/Ledger/anemometer',2,'/ledger/anemometer.vue',1,1,100000,NULL,2),
	(194,'性能分析',0,'/home/performance',1,'/system/index.vue',1,2,2,'server',1),
	(195,'性能分析评估',194,'/home/performance/assetssMag',2,'/performance/assetssMag.vue',1,1,100000,'',2),
	(196,'性能分析详情',194,'/home/performance/assetssDetail',2,'/performance/assetssDetail.vue',1,2,100000,NULL,2),
	(197,'分析',194,'/home/performance/editAssets',2,'/performance/editAssets.vue',1,2,100000,NULL,2),
	(203,'批次管理',162,'/home/performance/batchMag',2,'/performance/batchMag.vue',1,1,1,NULL,2),
	(208,'用户新增',12,'system:users:add',3,NULL,1,2,1,'',3),
	(209,'用户编辑',12,'system:users:edit',3,NULL,1,2,2,NULL,3),
	(210,'用户删除',12,'system:users:delete',3,NULL,1,2,6,NULL,3),
	(211,'用户状态修改',12,'system:users:editState',3,NULL,1,2,5,NULL,3),
	(212,'用户修改密码',12,'system:users:editPassword',3,NULL,1,2,3,NULL,3),
	(213,'批次新增',203,'performance:batchMag:add',3,NULL,1,2,100000,'',3),
	(214,'批次编辑',203,'performance:batchMag:edit',3,NULL,1,2,100000,NULL,3),
	(215,'批次删除',203,'performance:batchMag:delete',3,NULL,1,2,100000,NULL,3),
	(216,'批次状态',203,'performance:batchMag:editState',3,NULL,1,2,100000,NULL,3),
	(217,'菜单新增',16,'system:menu:add',3,NULL,1,2,1,'',3),
	(218,'菜单编辑',16,'system:menu:edit',3,NULL,1,2,2,NULL,3),
	(219,'菜单编辑状态',16,'system:menu:editState',3,NULL,1,2,3,NULL,3),
	(220,'菜单删除',16,'system:menu:delete',3,NULL,1,2,4,NULL,3),
	(221,'角色新增',17,'system:role:add',3,NULL,1,2,1,NULL,3),
	(222,'角色编辑',17,'system:role:edit',3,NULL,1,2,2,NULL,3),
	(223,'权限编辑',17,'system:role:authEdit',3,NULL,1,2,3,'',3),
	(224,'角色删除',17,'system:role:delete',3,NULL,1,2,4,NULL,3),
	(225,'角色状态修改',17,'system:role:editState',3,NULL,1,2,5,NULL,3),
	(226,'数据新增',167,'dataManage:dataAdministration:add',3,NULL,1,2,1,'',3),
	(227,'数据编辑',167,'dataManage:dataAdministration:edit',3,NULL,1,2,2,NULL,3),
	(228,'数据转换',167,'dataManage:dataAdministration:editState',3,NULL,1,2,3,NULL,3);

/*!40000 ALTER TABLE `sys_permission` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_role
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_role`;

CREATE TABLE `sys_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '角色表主键id',
  `role_description` varchar(255) NOT NULL COMMENT '角色描述',
  `role_code` varchar(50) NOT NULL COMMENT '角色code',
  `role_type` int(11) DEFAULT NULL COMMENT '角色类型',
  `role_available` int(11) NOT NULL DEFAULT '1' COMMENT '是否可用',
  `source` tinyint(1) DEFAULT NULL COMMENT '来源',
  `create_by` int(11) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` int(11) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色表';

LOCK TABLES `sys_role` WRITE;
/*!40000 ALTER TABLE `sys_role` DISABLE KEYS */;

INSERT INTO `sys_role` (`id`, `role_description`, `role_code`, `role_type`, `role_available`, `source`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(1,'超级管理员','admin',1,1,0,NULL,'2022-07-15 15:10:33',NULL,'2022-07-15 15:10:33'),
	(14,'普通角色','common5',2,1,1,NULL,'2024-05-21 10:14:33',NULL,'2024-05-21 10:14:33'),
	(31,'test-6-25','test-6-25',1,1,1,NULL,'2024-06-25 15:47:01',NULL,'2024-06-25 15:47:01');

/*!40000 ALTER TABLE `sys_role` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_role_permission
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_role_permission`;

CREATE TABLE `sys_role_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) DEFAULT NULL COMMENT '角色表主键id',
  `permission_id` int(11) DEFAULT NULL COMMENT '资源表主键id',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`),
  KEY `permission_id` (`permission_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色资源关联表';

LOCK TABLES `sys_role_permission` WRITE;
/*!40000 ALTER TABLE `sys_role_permission` DISABLE KEYS */;

INSERT INTO `sys_role_permission` (`id`, `role_id`, `permission_id`, `create_time`, `update_time`)
VALUES
	(4083,14,162,NULL,NULL),
	(4084,14,167,NULL,NULL),
	(4085,14,203,NULL,NULL),
	(4086,14,188,NULL,NULL),
	(4087,14,189,NULL,NULL),
	(4088,14,190,NULL,NULL),
	(4089,14,191,NULL,NULL),
	(4090,14,192,NULL,NULL),
	(4091,14,193,NULL,NULL),
	(4092,14,194,NULL,NULL),
	(4093,14,195,NULL,NULL),
	(4094,14,196,NULL,NULL),
	(4095,14,197,NULL,NULL),
	(4097,31,1,NULL,NULL),
	(4098,31,12,NULL,NULL),
	(4099,31,16,NULL,NULL),
	(4100,31,17,NULL,NULL),
	(4101,31,162,NULL,NULL),
	(4102,31,167,NULL,NULL),
	(4103,31,203,NULL,NULL),
	(4104,31,188,NULL,NULL),
	(4105,31,189,NULL,NULL),
	(4106,31,190,NULL,NULL),
	(4107,31,191,NULL,NULL),
	(4108,31,192,NULL,NULL),
	(4109,31,193,NULL,NULL),
	(4110,31,194,NULL,NULL),
	(4111,31,195,NULL,NULL),
	(4112,31,196,NULL,NULL),
	(4113,31,197,NULL,NULL),
	(4334,1,188,NULL,NULL),
	(4335,1,189,NULL,NULL),
	(4336,1,190,NULL,NULL),
	(4337,1,191,NULL,NULL),
	(4338,1,192,NULL,NULL),
	(4339,1,193,NULL,NULL),
	(4340,1,194,NULL,NULL),
	(4341,1,195,NULL,NULL),
	(4342,1,196,NULL,NULL),
	(4343,1,197,NULL,NULL),
	(4344,1,162,NULL,NULL),
	(4345,1,203,NULL,NULL),
	(4346,1,213,NULL,NULL),
	(4347,1,214,NULL,NULL),
	(4348,1,215,NULL,NULL),
	(4349,1,216,NULL,NULL),
	(4350,1,167,NULL,NULL),
	(4351,1,226,NULL,NULL),
	(4352,1,227,NULL,NULL),
	(4353,1,228,NULL,NULL),
	(4354,1,1,NULL,NULL),
	(4355,1,12,NULL,NULL),
	(4356,1,208,NULL,NULL),
	(4357,1,209,NULL,NULL),
	(4358,1,212,NULL,NULL),
	(4359,1,211,NULL,NULL),
	(4360,1,210,NULL,NULL),
	(4361,1,16,NULL,NULL),
	(4362,1,217,NULL,NULL),
	(4363,1,218,NULL,NULL),
	(4364,1,219,NULL,NULL),
	(4365,1,220,NULL,NULL),
	(4366,1,17,NULL,NULL),
	(4367,1,221,NULL,NULL),
	(4368,1,222,NULL,NULL),
	(4369,1,223,NULL,NULL),
	(4370,1,224,NULL,NULL),
	(4371,1,225,NULL,NULL);

/*!40000 ALTER TABLE `sys_role_permission` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_user_info
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_user_info`;

CREATE TABLE `sys_user_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login_name` varchar(32) DEFAULT NULL COMMENT '登录名',
  `user_name` varchar(255) DEFAULT NULL,
  `user_phone` char(11) DEFAULT NULL,
  `user_password` varchar(255) DEFAULT NULL,
  `state` int(11) DEFAULT '1' COMMENT '0：禁用，1：可用',
  `create_by` int(11) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` int(11) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_idx` (`id`) USING BTREE,
  UNIQUE KEY `phone_idx` (`user_phone`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='后台用户表';

LOCK TABLES `sys_user_info` WRITE;
/*!40000 ALTER TABLE `sys_user_info` DISABLE KEYS */;

INSERT INTO `sys_user_info` (`id`, `login_name`, `user_name`, `user_phone`, `user_password`, `state`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(2,'admin','admin','13255557778','$2a$10$ZqOH07B2RsG4UpIJc7ZyluCd6xIGPM6E988jy/DDjL1MbRaiJi/bS',1,NULL,'2022-07-11 17:46:03',NULL,NULL),
	(132,'jiang','jiang','18600688787','$2a$10$e801weD0A2tqnpy7KCmXvuyhnfcyTTQs3es05CIGR5N1yitwXPXEG',1,NULL,'2024-06-23 19:26:36',NULL,NULL),
	(133,'test625user','test-6-25-user','13244445555','$2a$10$0OPqjD5z6wSUz2DACPeXMOqEwNl1KvwUbzCYYNhOzlkcddcki3WWO',0,NULL,'2024-06-25 15:32:12',NULL,NULL);

/*!40000 ALTER TABLE `sys_user_info` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_user_role
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_user_role`;

CREATE TABLE `sys_user_role` (
  `user_id` int(11) DEFAULT NULL COMMENT '用户id',
  `role_id` int(11) DEFAULT NULL COMMENT '角色表主键id',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户角色表';

LOCK TABLES `sys_user_role` WRITE;
/*!40000 ALTER TABLE `sys_user_role` DISABLE KEYS */;

INSERT INTO `sys_user_role` (`user_id`, `role_id`, `create_time`, `update_time`)
VALUES
	(2,1,NULL,NULL),
	(132,14,NULL,NULL),
	(133,1,NULL,NULL);

/*!40000 ALTER TABLE `sys_user_role` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_company
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_company`;

CREATE TABLE `wind_company` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `company_code` varchar(32) DEFAULT NULL COMMENT '企业编号',
  `company_name` varchar(32) DEFAULT NULL COMMENT '企业名称',
  `state` varchar(32) DEFAULT NULL COMMENT '状态',
  `province_id` int(11) DEFAULT NULL COMMENT '省',
  `province_name` varchar(10) DEFAULT NULL COMMENT '省名字',
  `city_id` int(11) DEFAULT NULL COMMENT '市',
  `city_name` varchar(32) DEFAULT NULL COMMENT '市名字',
  `described` varchar(32) DEFAULT NULL COMMENT '企业描述',
  `sort` varchar(32) DEFAULT NULL COMMENT '排序',
  `del_state` varchar(32) DEFAULT NULL COMMENT '删除状态',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `company_code` (`company_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='企业信息表(项目公司)';

LOCK TABLES `wind_company` WRITE;
/*!40000 ALTER TABLE `wind_company` DISABLE KEYS */;

INSERT INTO `wind_company` (`id`, `company_code`, `company_name`, `state`, `province_id`, `province_name`, `city_id`, `city_name`, `described`, `sort`, `del_state`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(45,'COM00038','大唐集团','1',1,'北京市',368,'北京市','',NULL,'0',131,'2024-06-20 15:42:09',NULL,'2024-06-20 15:42:09'),
	(48,'COM00041','中能测试','1',1,'北京市',368,'北京市','222',NULL,'0',2,'2024-06-20 17:08:11',NULL,'2024-06-20 17:08:11'),
	(49,'COM00042','中能智能','1',1,'北京市',368,'北京市','',NULL,'0',2,'2024-06-20 17:12:11',NULL,'2024-06-20 17:12:11'),
	(50,'COM00043','cc','0',1,'北京市',368,'北京市','',NULL,'1',132,'2024-06-23 19:28:12',NULL,'2024-06-23 19:28:12');

/*!40000 ALTER TABLE `wind_company` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_engine_group
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_engine_group`;

CREATE TABLE `wind_engine_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
  `engine_code` varchar(32) DEFAULT NULL COMMENT '风机编号',
  `engine_name` varchar(32) DEFAULT NULL COMMENT '风机名称（原始风机编号）',
  `mill_type_code` varchar(32) DEFAULT NULL COMMENT '机型编号',
  `rated_capacity` double(10,2) DEFAULT NULL COMMENT '额定容量-千瓦',
  `elevation_height` double(10,2) DEFAULT NULL COMMENT '海拔高度',
  `hub_height` double(10,2) DEFAULT NULL COMMENT '轮毂高度',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态',
  `longitude` decimal(15,8) DEFAULT NULL COMMENT '经度',
  `latitude` decimal(15,8) DEFAULT NULL COMMENT '维度',
  `sightcing` tinyint(1) DEFAULT NULL COMMENT '是否标杆风机1是2否',
  `rated_wind_speed` double(10,2) DEFAULT NULL COMMENT '额定风速 （m/s）',
  `rated_cut_in_windspeed` double(10,2) DEFAULT NULL COMMENT '切入风速 （m/s）',
  `rated_cut_out_windspeed` double(10,2) DEFAULT NULL COMMENT '切出风速 （m/s）',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `data_source` tinyint(1) DEFAULT NULL COMMENT '数据来源1，平台输入，2导入',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风机机组信息表 ';

LOCK TABLES `wind_engine_group` WRITE;
/*!40000 ALTER TABLE `wind_engine_group` DISABLE KEYS */;

INSERT INTO `wind_engine_group` (`id`, `field_code`, `engine_code`, `engine_name`, `mill_type_code`, `rated_capacity`, `elevation_height`, `hub_height`, `state`, `longitude`, `latitude`, `sightcing`, `rated_wind_speed`, `rated_cut_in_windspeed`, `rated_cut_out_windspeed`, `del_state`, `data_source`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(64,'WOF053600062','WOG00066','F01-1-1','WEM00014',1500.00,189.00,70.00,1,120.32800000,37.17830000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:55:50'),
	(65,'WOF053600062','WOG00067','F01-1-2','WEM00014',1500.00,175.49,70.00,1,120.34900000,37.15880000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:55:50'),
	(66,'WOF053600062','WOG00068','F03','WEM00014',1500.00,156.30,70.00,1,120.36700000,37.15830000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(67,'WOF053600062','WOG00069','F04','WEM00014',1500.00,163.50,70.00,1,120.36500000,37.15610000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(68,'WOF053600062','WOG00070','F05','WEM00014',1500.00,170.90,70.00,1,120.36100000,37.15520000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(69,'WOF053600062','WOG00071','F06','WEM00014',1500.00,150.50,70.00,1,120.35200000,37.15330000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(70,'WOF053600062','WOG00072','F07','WEM00014',1500.00,171.00,70.00,1,120.35500000,37.15880000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(71,'WOF053600062','WOG00073','F08','WEM00014',1500.00,149.30,70.00,1,120.36100000,37.16410000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(72,'WOF053600062','WOG00074','F09','WEM00014',1500.00,160.60,70.00,1,120.35900000,37.16190000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(73,'WOF053600062','WOG00075','F10','WEM00014',1500.00,195.53,70.00,1,120.33100000,37.16870000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(74,'WOF053600062','WOG00076','F11','WEM00014',1500.00,214.60,70.00,1,120.34700000,37.16630000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(75,'WOF053600062','WOG00077','F12','WEM00014',1500.00,211.49,70.00,1,120.34100000,37.17250000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(76,'WOF053600062','WOG00078','F13','WEM00014',1500.00,210.08,70.00,1,120.34700000,37.16920000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(77,'WOF053600062','WOG00079','F14','WEM00014',1500.00,175.20,70.00,1,120.35300000,37.17000000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(78,'WOF053600062','WOG00080','F15','WEM00014',1500.00,173.88,70.00,1,120.35300000,37.17190000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(79,'WOF053600062','WOG00081','F16','WEM00014',1500.00,217.50,70.00,1,120.34100000,37.16970000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(80,'WOF053600062','WOG00082','F17','WEM00014',1500.00,207.50,70.00,1,120.33600000,37.16810000,1,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(81,'WOF053600062','WOG00083','F18','WEM00014',1500.00,198.50,70.00,1,120.33300000,37.16800000,1,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(82,'WOF053600062','WOG00084','F19','WEM00014',1500.00,213.65,70.00,1,120.32700000,37.17300000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(83,'WOF053600062','WOG00085','F20','WEM00014',1500.00,190.70,70.00,1,120.33600000,37.17360000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(84,'WOF053600062','WOG00086','F21','WEM00014',1500.00,201.00,70.00,1,120.32700000,37.17660000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(85,'WOF053600062','WOG00087','F22','WEM00014',1500.00,180.30,70.00,1,120.35200000,37.16520000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(86,'WOF053600062','WOG00088','F23','WEM00014',1500.00,205.07,70.00,1,120.33900000,37.16550000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(87,'WOF053600062','WOG00089','F24','WEM00014',1500.00,210.73,70.00,1,120.31300000,37.17690000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(88,'WOF053600062','WOG00090','F25','WEM00014',1500.00,171.00,70.00,1,120.33000000,37.18160000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(89,'WOF053600062','WOG00091','F26','WEM00014',1500.00,198.30,70.00,1,120.32700000,37.16940000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(90,'WOF053600062','WOG00092','F27','WEM00014',1500.00,184.00,70.00,1,120.35000000,37.17160000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(91,'WOF053600062','WOG00093','F28','WEM00014',1500.00,221.00,70.00,1,120.34400000,37.16920000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(92,'WOF053600062','WOG00094','F29','WEM00014',1500.00,183.80,70.00,1,120.34500000,37.17690000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(93,'WOF053600062','WOG00095','F30','WEM00014',1500.00,167.50,70.00,1,120.34800000,37.15550000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(94,'WOF053600062','WOG00096','F31','WEM00014',1500.00,187.54,70.00,1,120.34600000,37.17330000,1,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(95,'WOF053600062','WOG00097','F32','WEM00014',1500.00,158.08,70.00,1,120.34900000,37.15120000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(96,'WOF053600062','WOG00098','F33','WEM00014',1500.00,197.70,70.00,1,120.31700000,37.18050000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(97,'WOF085500002','WOG00076','F11','WEM00014',1500.00,214.60,70.00,1,120.34700000,37.16630000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-07-15 15:38:05'),
	(98,'WOF085500002','WOG00364','F30','WEM00014',1500.00,167.50,70.00,1,120.34800000,37.15550000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-06-20 15:52:26'),
	(99,'WOF085500002','WOG00365','F31','WEM00014',1500.00,187.54,70.00,1,120.34600000,37.17330000,1,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-06-20 15:52:26'),
	(100,'WOF085500002','WOG00366','F32','WEM00014',1500.00,158.08,70.00,1,120.34900000,37.15120000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-06-20 15:52:26'),
	(101,'WOF085500002','WOG00367','F33','WEM00014',1500.00,197.70,70.00,1,120.31700000,37.18050000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-06-20 15:52:26'),
	(102,'WOF085500002','WOG00368','F11','WEM00014',1500.00,214.60,70.00,1,120.34700000,37.16630000,2,661.00,77.00,37.00,0,2,131,'2024-06-20 15:52:26',NULL,'2024-06-20 15:52:26');

/*!40000 ALTER TABLE `wind_engine_group` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_engine_mill
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_engine_mill`;

CREATE TABLE `wind_engine_mill` (
  `mill_type_code` varchar(32) NOT NULL COMMENT '编号',
  `machine_type_code` varchar(32) NOT NULL COMMENT '机型型号',
  `manufacturer_name` varchar(32) DEFAULT NULL COMMENT '厂商名称',
  `manufacturer_code` varchar(32) NOT NULL COMMENT '厂商编号',
  `brand` varchar(32) DEFAULT NULL COMMENT '品牌名称',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态',
  `tower_height` double(10,2) DEFAULT NULL COMMENT '塔筒高度',
  `vane_long` double(10,2) DEFAULT NULL COMMENT '叶片长度',
  `curved_motion_type` int(11) DEFAULT NULL COMMENT '驱动方式',
  `combination` varchar(32) DEFAULT NULL COMMENT '组合字段',
  `power_criterion_url` varchar(255) DEFAULT NULL COMMENT '标准功率曲线url地址',
  `rotor_diameter` double(10,2) DEFAULT NULL COMMENT ' 叶轮直径（m）',
  `rotational_speed_ratio` double(10,2) DEFAULT NULL COMMENT '传动比-转速比（无单位）',
  `rated_wind_speed` double(10,2) DEFAULT NULL COMMENT '额定风速 （m/s）',
  `rated_cut_in_windspeed` double(10,2) DEFAULT NULL COMMENT '切入风速 （m/s）',
  `rated_cut_out_windspeed` double(10,2) DEFAULT NULL COMMENT '切出风速 （m/s）',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`mill_type_code`,`machine_type_code`,`manufacturer_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风机机型信息 ';

LOCK TABLES `wind_engine_mill` WRITE;
/*!40000 ALTER TABLE `wind_engine_mill` DISABLE KEYS */;

INSERT INTO `wind_engine_mill` (`mill_type_code`, `machine_type_code`, `manufacturer_name`, `manufacturer_code`, `brand`, `state`, `tower_height`, `vane_long`, `curved_motion_type`, `combination`, `power_criterion_url`, `rotor_diameter`, `rotational_speed_ratio`, `rated_wind_speed`, `rated_cut_in_windspeed`, `rated_cut_out_windspeed`, `del_state`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	('WEM00014','121212','50','50','50',1,50.00,50.00,1,'第一次,50',NULL,50.00,50.00,NULL,NULL,NULL,0,131,'2024-06-20 15:50:29',NULL,'2024-06-20 15:50:29'),
	('WEM00015','88','88','88','88',1,88.00,88.00,1,'88,88',NULL,88.00,88.00,11.00,22.00,33.00,0,2,'2024-07-04 11:06:13',NULL,'2024-07-04 11:06:13');

/*!40000 ALTER TABLE `wind_engine_mill` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_exception_count
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_exception_count`;

CREATE TABLE `wind_exception_count` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(32) NOT NULL DEFAULT '' COMMENT '批次编号',
  `engine_code` varchar(32) NOT NULL DEFAULT '' COMMENT '风机编号',
  `analysis_type_code` varchar(500) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `err_count` int(11) NOT NULL DEFAULT '0' COMMENT '异常数目',
  `handle_err_count` int(11) NOT NULL DEFAULT '0' COMMENT '处理异常数',
  `is_delete` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否删除 0：否 1：是',
  `create_by` int(11) NOT NULL COMMENT '创建人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` int(11) NOT NULL COMMENT '更新人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `err_desc` varchar(500) NOT NULL DEFAULT '' COMMENT '异常信息描述',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析异常数（首页统计） ';

LOCK TABLES `wind_exception_count` WRITE;
/*!40000 ALTER TABLE `wind_exception_count` DISABLE KEYS */;

INSERT INTO `wind_exception_count` (`id`, `batch_code`, `engine_code`, `analysis_type_code`, `err_count`, `handle_err_count`, `is_delete`, `create_by`, `create_time`, `update_by`, `update_time`, `err_desc`)
VALUES
	(10,'WOF053600062-WOB00023','WOG00067','data_integrity_second',1,1,0,2,'2024-06-25 15:27:37',2,'2024-07-05 14:42:50','提供数据不完整'),
	(11,'WOF053600062-WOB00022','WOG00067','data_integrity_minute',32,30,0,2,'2024-06-26 16:33:14',130,'2024-07-05 14:42:30','无数据'),
	(12,'WOF053600062-WOB00022','WOG00068','wind_speed_frequency',22,2,0,2,'2024-06-26 16:33:35',2,'2024-07-05 14:42:14','数据不全'),
	(13,'WOF053600062-WOB00026','WOG00066','data_integrity_minute',1,1,0,2,'2024-06-27 09:08:26',2,'2024-07-05 14:42:04','参数不全'),
	(15,'WOF053600062-WOB00027','WOG00066','speed_torque',2,1,0,2,'2024-07-04 17:17:20',2,'2024-07-05 14:41:43','测试异常因素'),
	(17,'WOF053600062-WOB00022','WOG00070','wind_speed_frequency',22,21,1,2,'2024-07-05 11:02:08',130,'2024-07-05 14:41:31','设备硬件参数确实'),
	(18,'WOF053600062-WOB00022','WOG00070','tsr_trend',22,22,0,130,'2024-07-05 11:13:18',130,'2024-07-09 16:55:35','风机数据异常'),
	(19,'WOF053600062-WOB00022','WOG00070','speed_torque',22,21,0,130,'2024-07-05 11:23:57',130,'2024-07-05 14:41:18','分析参数异常'),
	(21,'WOF053600062-WOB000071','WOG00066','data_integrity_minute',2,1,0,2,'2024-07-08 16:07:30',2,'2024-07-09 09:35:43','异常信息'),
	(22,'WOF053600062-WOB000071','WOG00067','data_integrity_second',1,1,0,2,'2024-07-09 09:36:21',2,'2024-07-09 09:36:21','没有找到分钟级scad 数据'),
	(23,'WOF053600062-WOB000071','WOG00067','wind_speed_frequency',9,8,0,2,'2024-07-09 16:41:18',2,'2024-07-09 16:41:18',',,,');

/*!40000 ALTER TABLE `wind_exception_count` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_field
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_field`;

CREATE TABLE `wind_field` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
  `company_code` varchar(32) DEFAULT NULL COMMENT '企业编号',
  `field_name` varchar(32) DEFAULT NULL COMMENT '风场名称',
  `density` double(10,3) DEFAULT NULL COMMENT '空气密度-合同功率曲线',
  `state` tinyint(1) DEFAULT NULL COMMENT '启用状态',
  `engine_number` int(11) DEFAULT NULL COMMENT '风机数量',
  `rated_capacity_number` double(10,3) DEFAULT NULL COMMENT '总额定容量-sum机组',
  `province_id` int(11) DEFAULT NULL COMMENT '省编号',
  `province_name` varchar(32) DEFAULT NULL COMMENT '省名字',
  `city_id` int(11) DEFAULT NULL COMMENT '市编号',
  `city_name` varchar(32) DEFAULT NULL COMMENT '市名字',
  `longitude` decimal(15,8) DEFAULT NULL COMMENT '经度',
  `latitude` decimal(15,8) DEFAULT NULL COMMENT '纬度',
  `elevation_height` double(10,2) DEFAULT NULL COMMENT '海拔高度',
  `power_contract_url` varchar(255) DEFAULT NULL COMMENT '合同功率曲线地址',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `data_source` tinyint(1) DEFAULT NULL COMMENT '数据来源1，平台输入，2导入',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `field_code` (`field_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风场信息表 ';

LOCK TABLES `wind_field` WRITE;
/*!40000 ALTER TABLE `wind_field` DISABLE KEYS */;

INSERT INTO `wind_field` (`id`, `field_code`, `company_code`, `field_name`, `density`, `state`, `engine_number`, `rated_capacity_number`, `province_id`, `province_name`, `city_id`, `city_name`, `longitude`, `latitude`, `elevation_height`, `power_contract_url`, `del_state`, `data_source`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(60,'WOF053600062','COM00038','招远风电场',50.000,1,NULL,NULL,15,'山东省',121,'潍坊市',120.34400000,37.16920000,50.00,'http://192.168.50.234:6900/bucket-zhzn/合同功率曲线模版(1)_1718870091030.xlsx',0,1,131,'2024-06-20 15:51:24',NULL,'2024-06-20 15:51:24'),
	(61,'WOF01000063','COM00041','测试风场',22.000,1,NULL,NULL,1,'北京市',368,'北京市',12.00000000,12.00000000,11.00,NULL,0,1,2,'2024-06-20 17:09:08',NULL,'2024-06-20 17:09:08'),
	(62,'WOF01000064','COM00042','中能风场',20.000,1,NULL,NULL,1,'北京市',368,'北京市',103.12000000,23.23000000,1000.00,NULL,0,1,2,'2024-06-20 17:13:37',NULL,'2024-06-20 17:13:37'),
	(63,'WOF01000065','COM00038','大唐第二',123.000,1,NULL,NULL,1,'北京市',368,'北京市',116.40740000,39.90420000,456.00,NULL,0,1,2,'2024-06-28 10:26:56',NULL,'2024-06-28 10:26:56'),
	(64,'WOF085500002','COM00038','特色菜',32.000,1,NULL,NULL,15,'山东省',121,'潍坊市',131.03000000,34.10000000,50.00,NULL,0,1,131,'2024-06-20 15:51:24',NULL,'2024-06-20 15:51:24');

/*!40000 ALTER TABLE `wind_field` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_field_batch
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_field_batch`;

CREATE TABLE `wind_field_batch` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(32) DEFAULT '' COMMENT '风场批次编号',
  `batch_name` varchar(32) DEFAULT '' COMMENT '风场批次名称',
  `field_code` varchar(32) DEFAULT '' COMMENT '风场编号',
  `field_name` varchar(100) DEFAULT '' COMMENT '风场名称',
  `batch_state` tinyint(2) DEFAULT '1' COMMENT '批次状态 1：启用 0：停用',
  `is_delete` tinyint(2) DEFAULT '0' COMMENT '删除状态 0：否 1：是',
  `create_by` varchar(20) DEFAULT '' COMMENT '创建人',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(20) DEFAULT '' COMMENT '更新人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次编号索引',
  UNIQUE KEY `index_batch_name` (`batch_name`) USING BTREE COMMENT '批次名称索引',
  KEY `index_field_code` (`field_code`) USING BTREE COMMENT '风场编号索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风机批次信息表 批次etl风机信息表';

LOCK TABLES `wind_field_batch` WRITE;
/*!40000 ALTER TABLE `wind_field_batch` DISABLE KEYS */;

INSERT INTO `wind_field_batch` (`id`, `batch_code`, `batch_name`, `field_code`, `field_name`, `batch_state`, `is_delete`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(27,'WOF053600062-WOB00021','test-6-200','WOF053600062','招远风电场',1,1,'131','2024-06-20 16:02:33','130','2024-07-04 10:57:32'),
	(28,'WOF053600062-WOB00022','test-6-24','WOF053600062','招远风电场',1,0,'2','2024-06-24 09:40:19','2','2024-06-25 15:29:12'),
	(29,'WOF053600062-WOB00023','test-6-25','WOF053600062','招远风电场',1,0,'2','2024-06-25 09:47:04','2','2024-06-25 09:47:04'),
	(31,'WOF01000063-WOB00025','test','WOF01000063','测试风场',1,0,'2','2024-06-26 11:30:42','2','2024-06-26 11:30:42'),
	(32,'WOF053600062-WOB00026','test-6-26','WOF053600062','招远风电场',1,0,'2','2024-06-26 16:10:55','2','2024-06-27 09:07:43'),
	(33,'WOF053600062-WOB00027','test-6-27','WOF053600062','招远风电场',1,0,'2','2024-06-27 09:30:21','2','2024-06-27 09:30:21'),
	(34,'WOF085500002-WOB00002','test111','WOF085500002','',1,0,'2','2024-06-28 10:38:32','','2024-06-28 10:38:32'),
	(35,'WOF01000063-WOB00028','cehi','WOF01000063','测试风场',1,0,'2','2024-07-04 10:31:21','2','2024-07-04 10:31:21'),
	(36,'WOF01000063-WOB00029','ZY-BATCH_000001','WOF01000063','测试风场',1,0,'130','2024-07-04 10:33:17','130','2024-07-04 10:33:17'),
	(38,'WOF01000063-WOB000066','ZY-BATCH_000002','WOF01000063','测试风场',1,0,'130','2024-07-04 15:19:14','130','2024-07-04 15:19:14'),
	(39,'WOF01000063-WOB000068','ZY-BATCH_000003','WOF01000063','测试风场',1,0,'130','2024-07-05 15:55:52','130','2024-07-05 15:55:52'),
	(40,'WOF053600062-WOB0000169','WOF053600062000001','WOF053600062','招远风电场',0,1,'2','2024-07-05 16:02:37','2','2024-07-08 15:14:34'),
	(41,'WOF01000063-WOB000070','CSFC000001','WOF01000063','测试风场',1,0,'2','2024-07-05 16:03:45','2','2024-07-05 16:03:45'),
	(42,'WOF053600062-WOB000071','cehsipici','WOF053600062','招远风电场',1,0,'2','2024-07-08 15:36:04','2','2024-07-08 15:36:04');

/*!40000 ALTER TABLE `wind_field_batch` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_field_contract
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_field_contract`;

CREATE TABLE `wind_field_contract` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `field_code` varchar(50) DEFAULT NULL,
  `mill_type_code` varchar(50) DEFAULT NULL COMMENT '机型code',
  `contract_source` varchar(500) DEFAULT NULL,
  `cover_id` int(11) DEFAULT NULL COMMENT '覆盖id',
  `del_state` tinyint(1) DEFAULT NULL,
  `create_by` int(11) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` int(11) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='合同功率曲线和风场关系表';



# Dump of table wind_field_resource
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_field_resource`;

CREATE TABLE `wind_field_resource` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
  `file_name` varchar(100) DEFAULT NULL COMMENT '上传文件名称',
  `type` varchar(32) DEFAULT NULL COMMENT '上传类型',
  `resource_url` varchar(500) DEFAULT NULL COMMENT '上传文件地址',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `field_code` (`field_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风场资源信息表 ';



# Dump of table wind_relation
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_relation`;

CREATE TABLE `wind_relation` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `code_number` varchar(32) DEFAULT NULL COMMENT '对象编号',
  `code_name` varchar(32) DEFAULT NULL COMMENT '编号名称',
  `parent_code` varchar(32) DEFAULT NULL COMMENT '父级编号',
  `type` varchar(32) DEFAULT NULL COMMENT '类型',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `code_number` (`code_number`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风场关系表 ';

LOCK TABLES `wind_relation` WRITE;
/*!40000 ALTER TABLE `wind_relation` DISABLE KEYS */;

INSERT INTO `wind_relation` (`id`, `code_number`, `code_name`, `parent_code`, `type`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(99,'COM00038','大唐集团','0','company',NULL,'2024-06-20 15:42:09',NULL,'2024-06-20 15:42:09'),
	(100,'WOF053600062','招远风电场','COM00038','field',NULL,'2024-06-20 15:51:24',NULL,'2024-06-20 15:51:24'),
	(103,'COM00041','中能测试','0','company',NULL,'2024-06-20 17:08:11',NULL,'2024-06-20 17:08:11'),
	(104,'WOF01000063','测试风场','COM00041','field',NULL,'2024-06-20 17:09:08',NULL,'2024-06-20 17:09:08'),
	(105,'COM00042','中能智能','0','company',NULL,'2024-06-20 17:12:11',NULL,'2024-06-20 17:12:11'),
	(106,'WOF01000064','中能风场','COM00042','field',NULL,'2024-06-20 17:13:37',NULL,'2024-06-20 17:13:37'),
	(108,'WOF01000065','大唐第二','COM00038','field',NULL,'2024-06-28 10:26:56',NULL,'2024-06-28 10:26:56');

/*!40000 ALTER TABLE `wind_relation` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
